#include "any-client.h"

int flick_marshal_stub_any_seq(flick_marshal_stream_t _stream, const any_seq *_data)
{
  oskit_u32_t _t0_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort0);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_fluke_encode_type_tag_and_value(fluke, _data->_buffer[_t0_array_iter], _flick_label4, _flick_abort4);
      continue;
      {
      _flick_abort4:
        goto _flick_abort0;
      }
    }
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_any_seq(flick_marshal_stream_t _stream, any_seq *_data)
{
  oskit_u32_t _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort6);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  {
    mom_any *_t_alloc_ptr;

    _t_alloc_ptr = (mom_any *)(mom_flick_alloc(_data->_length * sizeof(mom_any )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_check_span(_data->_length * 0, _flick_abort10);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_fluke_decode_type_tag_and_value(fluke, _data->_buffer[_t1_array_iter], _flick_label9, _flick_abort11);
      continue;
      {
      _flick_abort11:
        goto _flick_abort10;
      }
    }
  return 0;
  {
  _flick_abort10:
    mom_flick_free(_data->_buffer);
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_any_struct(flick_marshal_stream_t _stream, const any_struct *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort13);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->slot_1, oskit_s32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_type_tag_and_value(fluke, _data->slot_2, _flick_label10, _flick_abort13);
  flick_fluke_encode_new_glob(7, _flick_abort13);
  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_encode_signed32(0, _data->slot_3, oskit_s32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(7);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_any_struct(flick_marshal_stream_t _stream, any_struct *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(8, _flick_abort14);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->slot_1, oskit_s32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_type_tag_and_value(fluke, _data->slot_2, _flick_label11, _flick_abort14);
  flick_fluke_decode_new_glob(7);
  flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_check_span(4, _flick_abort14);
  flick_fluke_decode_signed32(0, _data->slot_3, oskit_s32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(7);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

mom_any *I_op_any(mom_ref_t _obj, const mom_any *a, mom_any *b, mom_any **c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  mom_any *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort16);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_I_op_any, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_type_tag_and_value(fluke, *a, _flick_label14, _flick_abort16);
      flick_fluke_encode_type_tag_and_value(fluke, *b, _flick_label15, _flick_abort16);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort16);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort16);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            {
              mom_any *_t_alloc_ptr;

              _t_alloc_ptr = (mom_any *)(mom_flick_alloc(sizeof(mom_any )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort24);
              _return = _t_alloc_ptr;
            }
            flick_fluke_decode_end_glob(4);
            flick_fluke_decode_type_tag_and_value(fluke, *_return, _flick_label19, _flick_abort25);
            flick_fluke_decode_type_tag_and_value(fluke, *b, _flick_label20, _flick_abort25);
            {
              mom_any *_t_alloc_ptr;

              _t_alloc_ptr = (mom_any *)(mom_flick_alloc(sizeof(mom_any )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort25);
              *c = _t_alloc_ptr;
            }
            flick_fluke_decode_type_tag_and_value(fluke, **c, _flick_label21, _flick_abort26);
            break;
            {
            _flick_abort26:
              mom_flick_free(*c);
            _flick_abort25:
              mom_flick_free(_return);
            _flick_abort24:
              goto _flick_abort16;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort27);
            break;
            {
            _flick_abort27:
              goto _flick_abort16;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort28);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort28:
              goto _flick_abort16;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16);
  return _return;
  {
  _flick_abort16:
    flick_mom_client_error(fluke, fluke, _flick_abort15);
  _flick_abort15:
    goto _flick_reaper;
  }
}

any_seq *I_op_any_seq(mom_ref_t _obj, const any_seq *a, any_seq *b, any_seq **c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  any_seq *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      oskit_u32_t _t4_array_iter;
      oskit_u32_t _t5_array_iter;

      flick_fluke_encode_new_glob(8, _flick_abort30);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_I_op_any_seq, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, a->_length, oskit_u32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      for (_t4_array_iter = 0; _t4_array_iter < a->_length; _t4_array_iter++)
        {
          flick_fluke_encode_type_tag_and_value(fluke, a->_buffer[_t4_array_iter], _flick_label36, _flick_abort45);
          continue;
          {
          _flick_abort45:
            goto _flick_abort30;
          }
        }
      flick_fluke_encode_new_glob(7, _flick_abort30);
      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_unsigned32(0, b->_length, oskit_u32_t );
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(7);
      for (_t5_array_iter = 0; _t5_array_iter < b->_length; _t5_array_iter++)
        {
          flick_fluke_encode_type_tag_and_value(fluke, b->_buffer[_t5_array_iter], _flick_label41, _flick_abort50);
          continue;
          {
          _flick_abort50:
            goto _flick_abort30;
          }
        }
      if (b->_release)
        mom_flick_free(b->_buffer);
      b->_maximum = 0;
      b->_release = 0;
      b->_buffer = 0;
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort30);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort30);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            oskit_u32_t _t9_array_iter;
            oskit_u32_t _t10_array_iter;
            oskit_u32_t _t11_array_iter;

            /* Begin decode phase on parameters */
            {
              any_seq *_t_alloc_ptr;

              _t_alloc_ptr = (any_seq *)(mom_flick_alloc(sizeof(any_seq )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort76);
              _return = _t_alloc_ptr;
            }
            flick_fluke_check_span(4, _flick_abort77);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _return->_length, oskit_u32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            {
              mom_any *_t_alloc_ptr;

              _t_alloc_ptr = (mom_any *)(mom_flick_alloc(_return->_length * sizeof(mom_any )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort77);
              _return->_buffer = _t_alloc_ptr;
              _return->_maximum = _return->_length;
              _return->_release = 1;
            }
            flick_fluke_check_span(_return->_length * 0, _flick_abort81);
            for (_t9_array_iter = 0; _t9_array_iter < _return->_length; _t9_array_iter++)
              {
                flick_fluke_decode_type_tag_and_value(fluke, _return->_buffer[_t9_array_iter], _flick_label61, _flick_abort82);
                continue;
                {
                _flick_abort82:
                  goto _flick_abort81;
                }
              }
            flick_fluke_decode_new_glob(7);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort81);
            flick_fluke_decode_unsigned32(0, b->_length, oskit_u32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(7);
            {
              mom_any *_t_alloc_ptr;

              _t_alloc_ptr = (mom_any *)(mom_flick_alloc(b->_length * sizeof(mom_any )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort81);
              b->_buffer = _t_alloc_ptr;
              b->_maximum = b->_length;
              b->_release = 1;
            }
            flick_fluke_check_span(b->_length * 0, _flick_abort87);
            for (_t10_array_iter = 0; _t10_array_iter < b->_length; _t10_array_iter++)
              {
                flick_fluke_decode_type_tag_and_value(fluke, b->_buffer[_t10_array_iter], _flick_label66, _flick_abort88);
                continue;
                {
                _flick_abort88:
                  goto _flick_abort87;
                }
              }
            {
              any_seq *_t_alloc_ptr;

              _t_alloc_ptr = (any_seq *)(mom_flick_alloc(sizeof(any_seq )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort87);
              *c = _t_alloc_ptr;
            }
            flick_fluke_decode_new_glob(7);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort90);
            flick_fluke_decode_unsigned32(0, (*c)->_length, oskit_u32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(7);
            {
              mom_any *_t_alloc_ptr;

              _t_alloc_ptr = (mom_any *)(mom_flick_alloc((*c)->_length * sizeof(mom_any )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort90);
              (*c)->_buffer = _t_alloc_ptr;
              (*c)->_maximum = (*c)->_length;
              (*c)->_release = 1;
            }
            flick_fluke_check_span((*c)->_length * 0, _flick_abort94);
            for (_t11_array_iter = 0; _t11_array_iter < (*c)->_length; _t11_array_iter++)
              {
                flick_fluke_decode_type_tag_and_value(fluke, (*c)->_buffer[_t11_array_iter], _flick_label71, _flick_abort95);
                continue;
                {
                _flick_abort95:
                  goto _flick_abort94;
                }
              }
            break;
            {
            _flick_abort94:
              mom_flick_free((*c)->_buffer);
            _flick_abort90:
              mom_flick_free(*c);
            _flick_abort87:
              mom_flick_free(b->_buffer);
            _flick_abort81:
              mom_flick_free(_return->_buffer);
            _flick_abort77:
              mom_flick_free(_return);
            _flick_abort76:
              goto _flick_abort30;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort97);
            break;
            {
            _flick_abort97:
              goto _flick_abort30;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort98);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort98:
              goto _flick_abort30;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort30);
  return _return;
  {
  _flick_abort30:
    flick_mom_client_error(fluke, fluke, _flick_abort29);
  _flick_abort29:
    goto _flick_reaper;
  }
}

any_struct *I_op_any_struct(mom_ref_t _obj, const any_struct *a, any_struct *b, any_struct **c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  any_struct *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort100);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_I_op_any_struct, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a->slot_1, oskit_s32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_type_tag_and_value(fluke, a->slot_2, _flick_label74, _flick_abort100);
      flick_fluke_encode_new_glob(11, _flick_abort100);
      flick_fluke_encode_new_chunk_align(8, 2, 0, 0);
      flick_fluke_encode_signed32(0, a->slot_3, oskit_s32_t );
      flick_fluke_encode_signed32(4, b->slot_1, oskit_s32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(11);
      flick_fluke_encode_type_tag_and_value(fluke, b->slot_2, _flick_label75, _flick_abort100);
      flick_fluke_encode_new_glob(7, _flick_abort100);
      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_signed32(0, b->slot_3, oskit_s32_t );
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(7);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort100);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort100);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            {
              any_struct *_t_alloc_ptr;

              _t_alloc_ptr = (any_struct *)(mom_flick_alloc(sizeof(any_struct )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort108);
              _return = _t_alloc_ptr;
            }
            flick_fluke_check_span(8, _flick_abort109);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return->slot_1, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_type_tag_and_value(fluke, _return->slot_2, _flick_label79, _flick_abort109);
            flick_fluke_decode_new_glob(11);
            flick_fluke_decode_new_chunk_align(8, 2, 0, 0);
            flick_fluke_check_span(8, _flick_abort109);
            flick_fluke_decode_signed32(0, _return->slot_3, oskit_s32_t );
            flick_fluke_decode_signed32(4, b->slot_1, oskit_s32_t );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(11);
            flick_fluke_decode_type_tag_and_value(fluke, b->slot_2, _flick_label80, _flick_abort109);
            flick_fluke_decode_new_glob(11);
            flick_fluke_decode_new_chunk_align(8, 2, 0, 0);
            flick_fluke_check_span(8, _flick_abort109);
            flick_fluke_decode_signed32(0, b->slot_3, oskit_s32_t );
            {
              any_struct *_t_alloc_ptr;

              _t_alloc_ptr = (any_struct *)(mom_flick_alloc(sizeof(any_struct )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort109);
              *c = _t_alloc_ptr;
            }
            flick_fluke_decode_signed32(4, (*c)->slot_1, oskit_s32_t );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(11);
            flick_fluke_decode_type_tag_and_value(fluke, (*c)->slot_2, _flick_label81, _flick_abort110);
            flick_fluke_decode_new_glob(7);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort110);
            flick_fluke_decode_signed32(0, (*c)->slot_3, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(7);
            break;
            {
            _flick_abort110:
              mom_flick_free(*c);
            _flick_abort109:
              mom_flick_free(_return);
            _flick_abort108:
              goto _flick_abort100;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort111);
            break;
            {
            _flick_abort111:
              goto _flick_abort100;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort112);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort112:
              goto _flick_abort100;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort100);
  return _return;
  {
  _flick_abort100:
    flick_mom_client_error(fluke, fluke, _flick_abort99);
  _flick_abort99:
    goto _flick_reaper;
  }
}

