#ifndef _any_server_h_
#define _any_server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <errno.h>

#include <flick/pres/mom.h>

#ifndef _typedef___CORBA_sequence_any
#define _typedef___CORBA_sequence_any
typedef struct CORBA_sequence_any {
  oskit_bool_t _release;
  oskit_u32_t _maximum;
  oskit_u32_t _length;
  mom_any *_buffer;
} CORBA_sequence_any;
#endif /* _typedef___CORBA_sequence_any */

#ifndef _typedef___any_seq
#define _typedef___any_seq
typedef struct CORBA_sequence_any any_seq;
#endif /* _typedef___any_seq */

int flick_marshal_stub_any_seq(flick_marshal_stream_t _stream, any_seq *_data);

int flick_unmarshal_stub_any_seq(flick_marshal_stream_t _stream, any_seq *_data);

#ifndef _typedef___any_struct
#define _typedef___any_struct
typedef struct any_struct {
  oskit_s32_t slot_1;
  mom_any slot_2;
  oskit_s32_t slot_3;
} any_struct;
#endif /* _typedef___any_struct */

int flick_marshal_stub_any_struct(flick_marshal_stream_t _stream, any_struct *_data);

int flick_unmarshal_stub_any_struct(flick_marshal_stream_t _stream, any_struct *_data);

#include <fluke/flick.h>

#ifndef _typedef___I
#define _typedef___I
typedef struct I_struct I;
#endif /* _typedef___I */

int flick_marshal_stub_I(flick_marshal_stream_t _stream, I *_data);

int flick_unmarshal_stub_I(flick_marshal_stream_t _stream, I *_data);

extern flick_dispatch_t I_server;

mom_any *I_server_op_any(I *_obj, const mom_any *a, mom_any *b, mom_any **c, mom_exc_t *_ev);

any_seq *I_server_op_any_seq(I *_obj, const any_seq *a, any_seq *b, any_seq **c, mom_exc_t *_ev);

any_struct *I_server_op_any_struct(I *_obj, const any_struct *a, any_struct *b, any_struct **c, mom_exc_t *_ev);

#endif /* _any_server_h_ */
