#include "program-4-server.h"

int flick_marshal_stub_short_short(flick_marshal_stream_t _stream, struct short_short *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort0);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed16(0, _data->a, short int );
  flick_fluke_encode_signed16(2, _data->b, short int );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_short_short(flick_marshal_stream_t _stream, struct short_short *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort1);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed16(0, _data->a, short int );
  flick_fluke_decode_signed16(2, _data->b, short int );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_long_long(flick_marshal_stream_t _stream, struct long_long *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8, _flick_abort2);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->a, int );
  flick_fluke_encode_signed32(4, _data->b, int );
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_long(flick_marshal_stream_t _stream, struct long_long *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8);
  flick_fluke_check_span(8, _flick_abort3);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->a, int );
  flick_fluke_decode_signed32(4, _data->b, int );
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(44, _flick_abort4);
  flick_fluke_encode_new_chunk(4 + 4 * _data->long_list_len);
  flick_fluke_encode_unsigned32(0, _data->long_list_len, unsigned int );
  if (_data->long_list_len > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort4);
  flick_fluke_encode_bcopy(4, _data->long_list_val, 4 * _data->long_list_len);
  flick_fluke_encode_end_chunk(4 + 4 * _data->long_list_len);
  flick_fluke_encode_end_glob(44);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(44);
  flick_fluke_check_span(4, _flick_abort7);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->long_list_len, unsigned int );
  if (_data->long_list_len > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(4 * _data->long_list_len * 1, _flick_abort7);
  flick_fluke_decode_new_chunk(4 * _data->long_list_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->long_list_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
    _data->long_list_val = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_fluke_decode_end_chunk(4 * _data->long_list_len);
  flick_fluke_decode_end_glob(44);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

mom_dispatch_action_t math_1(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t9_switch_tag;

    flick_fluke_decode_new_glob(48);
    flick_fluke_check_span(8, _flick_abort13);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t9_switch_tag, signed int );
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t9_switch_tag)
      {
      case (signed int) 1:
        {
          {
            short int *_return;
            struct short_short *_local_arg;
            struct short_short _t10_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct short_short *)(&_t10_storage);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_arg->a, short int );
            flick_fluke_decode_signed16(2, _local_arg->b, short int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = addshort_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(6, _flick_abort92);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(2);
                    flick_fluke_encode_signed16(0, *_return, short int );
                    flick_fluke_encode_end_chunk(2);
                    flick_fluke_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort98);
                    break;
                    {
                    _flick_abort98:
                      goto _flick_abort92;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort99);
                    flick_fluke_encode_end_glob(6);
                    break;
                    {
                    _flick_abort99:
                      goto _flick_abort92;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort92:
              goto _flick_abort91;
            }
          }
          break;
          {
          _flick_abort91:
            goto _flick_abort13;
          }
        }
      case (signed int) 2:
        {
          {
            short int *_return;
            struct short_short *_local_arg;
            struct short_short _t11_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct short_short *)(&_t11_storage);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_arg->a, short int );
            flick_fluke_decode_signed16(2, _local_arg->b, short int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = subshort_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(6, _flick_abort101);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(2);
                    flick_fluke_encode_signed16(0, *_return, short int );
                    flick_fluke_encode_end_chunk(2);
                    flick_fluke_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort107);
                    break;
                    {
                    _flick_abort107:
                      goto _flick_abort101;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort108);
                    flick_fluke_encode_end_glob(6);
                    break;
                    {
                    _flick_abort108:
                      goto _flick_abort101;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort101:
              goto _flick_abort100;
            }
          }
          break;
          {
          _flick_abort100:
            goto _flick_abort13;
          }
        }
      case (signed int) 3:
        {
          {
            short int *_return;
            struct short_short *_local_arg;
            struct short_short _t12_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct short_short *)(&_t12_storage);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_arg->a, short int );
            flick_fluke_decode_signed16(2, _local_arg->b, short int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = multshort_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(6, _flick_abort110);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(2);
                    flick_fluke_encode_signed16(0, *_return, short int );
                    flick_fluke_encode_end_chunk(2);
                    flick_fluke_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort116);
                    break;
                    {
                    _flick_abort116:
                      goto _flick_abort110;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort117);
                    flick_fluke_encode_end_glob(6);
                    break;
                    {
                    _flick_abort117:
                      goto _flick_abort110;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort110:
              goto _flick_abort109;
            }
          }
          break;
          {
          _flick_abort109:
            goto _flick_abort13;
          }
        }
      case (signed int) 4:
        {
          {
            int *_return;
            struct long_long *_local_arg;
            struct long_long _t13_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct long_long *)(&_t13_storage);
            flick_fluke_check_span(8, _flick_abort119);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_arg->a, int );
            flick_fluke_decode_signed32(4, _local_arg->b, int );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = addlong_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort119);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort125);
                    break;
                    {
                    _flick_abort125:
                      goto _flick_abort119;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort126);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort126:
                      goto _flick_abort119;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort119:
              goto _flick_abort118;
            }
          }
          break;
          {
          _flick_abort118:
            goto _flick_abort13;
          }
        }
      case (signed int) 5:
        {
          {
            int *_return;
            struct long_long *_local_arg;
            struct long_long _t14_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct long_long *)(&_t14_storage);
            flick_fluke_check_span(8, _flick_abort128);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_arg->a, int );
            flick_fluke_decode_signed32(4, _local_arg->b, int );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = sublong_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort128);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort134);
                    break;
                    {
                    _flick_abort134:
                      goto _flick_abort128;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort135);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort135:
                      goto _flick_abort128;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort128:
              goto _flick_abort127;
            }
          }
          break;
          {
          _flick_abort127:
            goto _flick_abort13;
          }
        }
      case (signed int) 6:
        {
          {
            int *_return;
            struct long_long *_local_arg;
            struct long_long _t15_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct long_long *)(&_t15_storage);
            flick_fluke_check_span(8, _flick_abort137);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_arg->a, int );
            flick_fluke_decode_signed32(4, _local_arg->b, int );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = multlong_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort137);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort143);
                    break;
                    {
                    _flick_abort143:
                      goto _flick_abort137;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort144);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort144:
                      goto _flick_abort137;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort137:
              goto _flick_abort136;
            }
          }
          break;
          {
          _flick_abort136:
            goto _flick_abort13;
          }
        }
      case (signed int) 7:
        {
          {
            int *_return;
            long_list *_local_arg;
            long_list _t16_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (long_list *)(&_t16_storage);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_arg->long_list_len, unsigned int );
            if (_local_arg->long_list_len > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort146);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(4 * _local_arg->long_list_len * 1, _flick_abort146);
            flick_fluke_decode_new_chunk(4 * _local_arg->long_list_len);
            flick_fluke_decode_msgptr(0, _local_arg->long_list_val, int *);
            flick_fluke_decode_end_chunk(4 * _local_arg->long_list_len);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = addlonglist_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort146);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort154);
                    break;
                    {
                    _flick_abort154:
                      goto _flick_abort146;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort155);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort155:
                      goto _flick_abort146;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort146:
              goto _flick_abort145;
            }
          }
          break;
          {
          _flick_abort145:
            goto _flick_abort13;
          }
        }
      case (signed int) 8:
        {
          {
            int *_return;
            long_list *_local_arg;
            long_list _t17_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (long_list *)(&_t17_storage);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_arg->long_list_len, unsigned int );
            if (_local_arg->long_list_len > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort157);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(4 * _local_arg->long_list_len * 1, _flick_abort157);
            flick_fluke_decode_new_chunk(4 * _local_arg->long_list_len);
            flick_fluke_decode_msgptr(0, _local_arg->long_list_val, int *);
            flick_fluke_decode_end_chunk(4 * _local_arg->long_list_len);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = multlonglist_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort157);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort165);
                    break;
                    {
                    _flick_abort165:
                      goto _flick_abort157;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort166);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort166:
                      goto _flick_abort157;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort157:
              goto _flick_abort156;
            }
          }
          break;
          {
          _flick_abort156:
            goto _flick_abort13;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort13);
          flick_fluke_decode_end_glob(48);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
  {
  _flick_abort13:
    flick_sun_server_error(fluke, fluke, _flick_reaper, _flick_abort12);
  _flick_abort12:
    return DISPATCH_ACK_SEND;
    goto _flick_reaper;
  }
_flick_reaper:
  return DISPATCH_NO_REPLY;
}

