#ifndef _recursive_server_h_
#define _recursive_server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <errno.h>

#include <flick/pres/mom.h>

#ifndef _typedef___CORBA_sequence_a
#define _typedef___CORBA_sequence_a
typedef struct CORBA_sequence_a {
  oskit_bool_t _release;
  oskit_u32_t _maximum;
  oskit_u32_t _length;
  a *_buffer;
} CORBA_sequence_a;
#endif /* _typedef___CORBA_sequence_a */

#ifndef _typedef___a_b
#define _typedef___a_b
typedef struct a_b {
  oskit_s32_t c;
  double d;
  oskit_s16_t e;
} a_b;
#endif /* _typedef___a_b */

int flick_marshal_stub_a_b(flick_marshal_stream_t _stream, a_b *_data);

int flick_unmarshal_stub_a_b(flick_marshal_stream_t _stream, a_b *_data);

#ifndef _typedef___CORBA_sequence_a_d
#define _typedef___CORBA_sequence_a_d
typedef struct CORBA_sequence_a_d {
  oskit_bool_t _release;
  oskit_u32_t _maximum;
  oskit_u32_t _length;
  a_d *_buffer;
} CORBA_sequence_a_d;
#endif /* _typedef___CORBA_sequence_a_d */

#ifndef _typedef___a_d
#define _typedef___a_d
typedef struct a_d {
  char c;
  char *d;
  struct CORBA_sequence_a_d e;
} a_d;
#endif /* _typedef___a_d */

int flick_marshal_stub_a_d(flick_marshal_stream_t _stream, a_d *_data);

int flick_unmarshal_stub_a_d(flick_marshal_stream_t _stream, a_d *_data);

#ifndef _typedef___CORBA_sequence_a_f
#define _typedef___CORBA_sequence_a_f
typedef struct CORBA_sequence_a_f {
  oskit_bool_t _release;
  oskit_u32_t _maximum;
  oskit_u32_t _length;
  a_f *_buffer;
} CORBA_sequence_a_f;
#endif /* _typedef___CORBA_sequence_a_f */

#ifndef _typedef___a_f_d
#define _typedef___a_f_d
typedef struct a_f_d {
  char a;
  char b;
  char c;
  char d;
  struct CORBA_sequence_a_f e;
} a_f_d;
#endif /* _typedef___a_f_d */

int flick_marshal_stub_a_f_d(flick_marshal_stream_t _stream, a_f_d *_data);

int flick_unmarshal_stub_a_f_d(flick_marshal_stream_t _stream, a_f_d *_data);

#ifndef _typedef___a_f
#define _typedef___a_f
typedef struct a_f {
  a_b c;
  a_f_d d;
} a_f;
#endif /* _typedef___a_f */

int flick_marshal_stub_a_f(flick_marshal_stream_t _stream, a_f *_data);

int flick_unmarshal_stub_a_f(flick_marshal_stream_t _stream, a_f *_data);

#ifndef _typedef___a
#define _typedef___a
typedef struct a {
  a_b c;
  a_d e;
  a_f f;
  struct CORBA_sequence_a next;
  a_b g;
  a_d h;
  a_f i;
} a;
#endif /* _typedef___a */

int flick_marshal_stub_a(flick_marshal_stream_t _stream, a *_data);

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data);

#ifndef _typedef___CORBA_sequence_b
#define _typedef___CORBA_sequence_b
typedef struct CORBA_sequence_b {
  oskit_bool_t _release;
  oskit_u32_t _maximum;
  oskit_u32_t _length;
  b *_buffer;
} CORBA_sequence_b;
#endif /* _typedef___CORBA_sequence_b */

#ifndef _typedef___b
#define _typedef___b
typedef struct b {
  a_b a;
  a_d b;
  struct CORBA_sequence_a_f c;
  struct CORBA_sequence_b d;
} b;
#endif /* _typedef___b */

int flick_marshal_stub_b(flick_marshal_stream_t _stream, b *_data);

int flick_unmarshal_stub_b(flick_marshal_stream_t _stream, b *_data);

#define NORTH (0)

#define EAST (1)

#define WEST (2)

#define SOUTH (3)

#define DOWN (4)

#ifndef _typedef___c
#define _typedef___c
typedef unsigned long int c;
#endif /* _typedef___c */

int flick_marshal_stub_c(flick_marshal_stream_t _stream, c *_data);

int flick_unmarshal_stub_c(flick_marshal_stream_t _stream, c *_data);

#ifndef _typedef___CORBA_sequence_d_d
#define _typedef___CORBA_sequence_d_d
typedef struct CORBA_sequence_d_d {
  oskit_bool_t _release;
  oskit_u32_t _maximum;
  oskit_u32_t _length;
  d_d *_buffer;
} CORBA_sequence_d_d;
#endif /* _typedef___CORBA_sequence_d_d */

#ifndef _typedef___d_d_u
#define _typedef___d_d_u
typedef struct d_d_u {
  oskit_bool_t _d;
  union {
    struct CORBA_sequence_d_d next;
  } _u;
} d_d_u;
#endif /* _typedef___d_d_u */

int flick_marshal_stub_d_d_u(flick_marshal_stream_t _stream, d_d_u *_data);

int flick_unmarshal_stub_d_d_u(flick_marshal_stream_t _stream, d_d_u *_data);

#ifndef _typedef___d_d
#define _typedef___d_d
typedef struct d_d {
  c _d;
  union {
    oskit_s32_t x;
    double y;
    oskit_bool_t z;
    b s;
    d_d_u u;
  } _u;
} d_d;
#endif /* _typedef___d_d */

int flick_marshal_stub_d_d(flick_marshal_stream_t _stream, d_d *_data);

int flick_unmarshal_stub_d_d(flick_marshal_stream_t _stream, d_d *_data);

#ifndef _typedef___d
#define _typedef___d
typedef struct d {
  oskit_s32_t _d;
  union {
    a one;
    b two;
    d_d three;
    struct CORBA_sequence_d_d again;
  } _u;
} d;
#endif /* _typedef___d */

int flick_marshal_stub_d(flick_marshal_stream_t _stream, d *_data);

int flick_unmarshal_stub_d(flick_marshal_stream_t _stream, d *_data);

#include <fluke/flick.h>

#ifndef _typedef___obj
#define _typedef___obj
typedef struct obj_struct obj;
#endif /* _typedef___obj */

int flick_marshal_stub_obj(flick_marshal_stream_t _stream, obj *_data);

int flick_unmarshal_stub_obj(flick_marshal_stream_t _stream, obj *_data);

#ifndef _typedef___obj_my_obj
#define _typedef___obj_my_obj
typedef mom_ref_t obj_my_obj;
#endif /* _typedef___obj_my_obj */

int flick_marshal_stub_obj_my_obj(flick_marshal_stream_t _stream, obj_my_obj *_data);

int flick_unmarshal_stub_obj_my_obj(flick_marshal_stream_t _stream, obj_my_obj *_data);

extern flick_dispatch_t obj_server;

obj_my_obj obj_server_get_server(obj *_obj, mom_exc_t *_ev);

void obj_server_set_server(obj *_obj, const obj_my_obj srvr, mom_exc_t *_ev);

c obj_server_convert(obj *_obj, const a *a1, const b *b1, mom_exc_t *_ev);

#endif /* _recursive_server_h_ */
