#ifndef _simple_server_h_
#define _simple_server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <errno.h>

#include <flick/pres/mom.h>

#ifndef _typedef___CORBA_sequence_long
#define _typedef___CORBA_sequence_long
typedef struct CORBA_sequence_long {
  oskit_bool_t _release;
  oskit_u32_t _maximum;
  oskit_u32_t _length;
  oskit_s32_t *_buffer;
} CORBA_sequence_long;
#endif /* _typedef___CORBA_sequence_long */

#ifndef _typedef___vec10
#define _typedef___vec10
typedef struct CORBA_sequence_long vec10;
#endif /* _typedef___vec10 */

int flick_marshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data);

int flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data);

#include <fluke/flick.h>

#ifndef _typedef___simple
#define _typedef___simple
typedef struct simple_struct simple;
#endif /* _typedef___simple */

int flick_marshal_stub_simple(flick_marshal_stream_t _stream, simple *_data);

int flick_unmarshal_stub_simple(flick_marshal_stream_t _stream, simple *_data);

extern flick_dispatch_t simple_server;

oskit_s32_t simple_server_op(simple *_obj, oskit_s32_t a, mom_ref_t *b, oskit_s32_t *c, mom_exc_t *_ev);

#ifndef _typedef___simple2
#define _typedef___simple2
typedef struct simple2_struct simple2;
#endif /* _typedef___simple2 */

int flick_marshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data);

int flick_unmarshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data);

extern flick_dispatch_t simple2_server;

oskit_s32_t simple2_server_op2(simple2 *_obj, oskit_s32_t a, const mom_ref_t b, mom_ref_t *c, mom_exc_t *_ev);

oskit_s32_t simple2_server_op(simple2 *_obj, oskit_s32_t a, mom_ref_t *b, oskit_s32_t *c, mom_exc_t *_ev);

#endif /* _simple_server_h_ */
