#ifndef _simple2_client_h_
#define _simple2_client_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <errno.h>

#include <flick/pres/mom.h>

#ifndef _typedef___CORBA_sequence_long
#define _typedef___CORBA_sequence_long
typedef struct CORBA_sequence_long {
  oskit_bool_t _release;
  oskit_u32_t _maximum;
  oskit_u32_t _length;
  oskit_s32_t *_buffer;
} CORBA_sequence_long;
#endif /* _typedef___CORBA_sequence_long */

#ifndef _typedef___vec10
#define _typedef___vec10
typedef struct CORBA_sequence_long vec10;
#endif /* _typedef___vec10 */

int flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data);

int flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data);

#include <fluke/flick.h>

oskit_s32_t simple_op(mom_ref_t _obj, oskit_s32_t a, mom_ref_t *b, oskit_s32_t *c, mom_exc_t *_ev);

oskit_s32_t simple2_op2(mom_ref_t _obj, oskit_s32_t a, const mom_ref_t b, mom_ref_t *c, mom_exc_t *_ev);

oskit_s32_t simple2_op(mom_ref_t _obj, oskit_s32_t a, mom_ref_t *b, oskit_s32_t *c, mom_exc_t *_ev);

#ifndef _typedef___simple3_OVERFLOW
#define _typedef___simple3_OVERFLOW
typedef struct simple3_OVERFLOW {
  oskit_s32_t a;
  char *msg;
} simple3_OVERFLOW;
#endif /* _typedef___simple3_OVERFLOW */

int flick_marshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, const simple3_OVERFLOW *_data);

int flick_unmarshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, simple3_OVERFLOW *_data);

#ifndef _typedef___simple3_UNDERFLOW
#define _typedef___simple3_UNDERFLOW
typedef struct simple3_UNDERFLOW {
  oskit_s32_t b;
  char *msg;
} simple3_UNDERFLOW;
#endif /* _typedef___simple3_UNDERFLOW */

int flick_marshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, const simple3_UNDERFLOW *_data);

int flick_unmarshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, simple3_UNDERFLOW *_data);

#ifndef _typedef___simple3_BADNUM
#define _typedef___simple3_BADNUM
typedef struct simple3_BADNUM {
  vec10 c;
} simple3_BADNUM;
#endif /* _typedef___simple3_BADNUM */

int flick_marshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, const simple3_BADNUM *_data);

int flick_unmarshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, simple3_BADNUM *_data);

#ifndef _typedef___simple3_USERERROR
#define _typedef___simple3_USERERROR
typedef struct simple3_USERERROR {
  char *reason;
} simple3_USERERROR;
#endif /* _typedef___simple3_USERERROR */

int flick_marshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, const simple3_USERERROR *_data);

int flick_unmarshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, simple3_USERERROR *_data);

oskit_s32_t simple3_op3(mom_ref_t _obj, oskit_s32_t a, mom_ref_t *b, mom_ref_t *c, mom_ref_t *d, mom_exc_t *_ev);

char *simple3_op4(mom_ref_t _obj, const char *x, char **y, char **z, mom_exc_t *_ev);

void simple3_op5(mom_ref_t _obj, mom_exc_t *_ev);

oskit_s32_t simple3_op2(mom_ref_t _obj, oskit_s32_t a, const mom_ref_t b, mom_ref_t *c, mom_exc_t *_ev);

oskit_s32_t simple3_op(mom_ref_t _obj, oskit_s32_t a, mom_ref_t *b, oskit_s32_t *c, mom_exc_t *_ev);

#endif /* _simple2_client_h_ */
