#include "structnest_-server.h"

int flick_marshal_stub_a_b_q(flick_marshal_stream_t _stream, a_b_q *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8, _flick_abort0);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_unsigned8(0, _data->c, oskit_bool_t );
  flick_fluke_encode_signed32(4, _data->d, oskit_s32_t );
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_b_q(flick_marshal_stream_t _stream, a_b_q *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8);
  flick_fluke_check_span(8, _flick_abort1);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_unsigned8(0, _data->c, oskit_bool_t );
  flick_fluke_decode_signed32(4, _data->d, oskit_s32_t );
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_a_b(flick_marshal_stream_t _stream, a_b *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(16, _flick_abort2);
  flick_fluke_encode_new_chunk(16);
  flick_fluke_encode_signed16(0, _data->c, oskit_s16_t );
  flick_fluke_encode_char8(2, _data->d, char );
  flick_fluke_encode_unsigned8(3, _data->e.c, oskit_bool_t );
  flick_fluke_encode_signed32(4, _data->e.d, oskit_s32_t );
  flick_fluke_encode_signed16(8, _data->f, oskit_s16_t );
  flick_fluke_encode_unsigned8(10, _data->g.c, oskit_bool_t );
  flick_fluke_encode_signed32(12, _data->g.d, oskit_s32_t );
  flick_fluke_encode_end_chunk(16);
  flick_fluke_encode_end_glob(16);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_b(flick_marshal_stream_t _stream, a_b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(16);
  flick_fluke_check_span(16, _flick_abort3);
  flick_fluke_decode_new_chunk(16);
  flick_fluke_decode_signed16(0, _data->c, oskit_s16_t );
  flick_fluke_decode_char8(2, _data->d, char );
  flick_fluke_decode_unsigned8(3, _data->e.c, oskit_bool_t );
  flick_fluke_decode_signed32(4, _data->e.d, oskit_s32_t );
  flick_fluke_decode_signed16(8, _data->f, oskit_s16_t );
  flick_fluke_decode_unsigned8(10, _data->g.c, oskit_bool_t );
  flick_fluke_decode_signed32(12, _data->g.d, oskit_s32_t );
  flick_fluke_decode_end_chunk(16);
  flick_fluke_decode_end_glob(16);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_a_q(flick_marshal_stream_t _stream, a_q *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(16, _flick_abort4);
  flick_fluke_encode_new_chunk(16);
  flick_fluke_encode_signed16(0, _data->a, oskit_s16_t );
  flick_fluke_encode_float64(8, _data->b, double );
  flick_fluke_encode_end_chunk(16);
  flick_fluke_encode_end_glob(16);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_q(flick_marshal_stream_t _stream, a_q *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(16);
  flick_fluke_check_span(16, _flick_abort5);
  flick_fluke_decode_new_chunk(16);
  flick_fluke_decode_signed16(0, _data->a, oskit_s16_t );
  flick_fluke_decode_float64(8, _data->b, double );
  flick_fluke_decode_end_chunk(16);
  flick_fluke_decode_end_glob(16);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_a_z_zz(flick_marshal_stream_t _stream, a_z_zz *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(16, _flick_abort6);
  flick_fluke_encode_new_chunk(16);
  flick_fluke_encode_signed16(0, _data->a.a, oskit_s16_t );
  flick_fluke_encode_float64(8, _data->a.b, double );
  flick_fluke_encode_end_chunk(16);
  flick_fluke_encode_end_glob(16);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_z_zz(flick_marshal_stream_t _stream, a_z_zz *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(16);
  flick_fluke_check_span(16, _flick_abort7);
  flick_fluke_decode_new_chunk(16);
  flick_fluke_decode_signed16(0, _data->a.a, oskit_s16_t );
  flick_fluke_decode_float64(8, _data->a.b, double );
  flick_fluke_decode_end_chunk(16);
  flick_fluke_decode_end_glob(16);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_a_z(flick_marshal_stream_t _stream, a_z *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(32, _flick_abort8);
  flick_fluke_encode_new_chunk(32);
  flick_fluke_encode_signed16(0, _data->b.a.a, oskit_s16_t );
  flick_fluke_encode_float64(8, _data->b.a.b, double );
  flick_fluke_encode_signed16(16, _data->z.a, oskit_s16_t );
  flick_fluke_encode_float64(24, _data->z.b, double );
  flick_fluke_encode_end_chunk(32);
  flick_fluke_encode_end_glob(32);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_z(flick_marshal_stream_t _stream, a_z *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(32);
  flick_fluke_check_span(32, _flick_abort9);
  flick_fluke_decode_new_chunk(32);
  flick_fluke_decode_signed16(0, _data->b.a.a, oskit_s16_t );
  flick_fluke_decode_float64(8, _data->b.a.b, double );
  flick_fluke_decode_signed16(16, _data->z.a, oskit_s16_t );
  flick_fluke_decode_float64(24, _data->z.b, double );
  flick_fluke_decode_end_chunk(32);
  flick_fluke_decode_end_glob(32);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(96, _flick_abort10);
  flick_fluke_encode_new_chunk(96);
  flick_fluke_encode_signed16(0, _data->e.c, oskit_s16_t );
  flick_fluke_encode_char8(2, _data->e.d, char );
  flick_fluke_encode_unsigned8(3, _data->e.e.c, oskit_bool_t );
  flick_fluke_encode_signed32(4, _data->e.e.d, oskit_s32_t );
  flick_fluke_encode_signed16(8, _data->e.f, oskit_s16_t );
  flick_fluke_encode_unsigned8(10, _data->e.g.c, oskit_bool_t );
  flick_fluke_encode_signed32(12, _data->e.g.d, oskit_s32_t );
  flick_fluke_encode_signed16(16, _data->h.a, oskit_s16_t );
  flick_fluke_encode_float64(24, _data->h.b, double );
  flick_fluke_encode_signed16(32, _data->j.b.a.a, oskit_s16_t );
  flick_fluke_encode_float64(40, _data->j.b.a.b, double );
  flick_fluke_encode_signed16(48, _data->j.z.a, oskit_s16_t );
  flick_fluke_encode_float64(56, _data->j.z.b, double );
  flick_fluke_encode_float32(64, _data->f, float );
  flick_fluke_encode_signed16(68, _data->g.c, oskit_s16_t );
  flick_fluke_encode_char8(70, _data->g.d, char );
  flick_fluke_encode_unsigned8(71, _data->g.e.c, oskit_bool_t );
  flick_fluke_encode_signed32(72, _data->g.e.d, oskit_s32_t );
  flick_fluke_encode_signed16(76, _data->g.f, oskit_s16_t );
  flick_fluke_encode_unsigned8(78, _data->g.g.c, oskit_bool_t );
  flick_fluke_encode_signed32(80, _data->g.g.d, oskit_s32_t );
  flick_fluke_encode_signed16(84, _data->i.a, oskit_s16_t );
  flick_fluke_encode_float64(88, _data->i.b, double );
  flick_fluke_encode_end_chunk(96);
  flick_fluke_encode_end_glob(96);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(96);
  flick_fluke_check_span(96, _flick_abort11);
  flick_fluke_decode_new_chunk(96);
  flick_fluke_decode_signed16(0, _data->e.c, oskit_s16_t );
  flick_fluke_decode_char8(2, _data->e.d, char );
  flick_fluke_decode_unsigned8(3, _data->e.e.c, oskit_bool_t );
  flick_fluke_decode_signed32(4, _data->e.e.d, oskit_s32_t );
  flick_fluke_decode_signed16(8, _data->e.f, oskit_s16_t );
  flick_fluke_decode_unsigned8(10, _data->e.g.c, oskit_bool_t );
  flick_fluke_decode_signed32(12, _data->e.g.d, oskit_s32_t );
  flick_fluke_decode_signed16(16, _data->h.a, oskit_s16_t );
  flick_fluke_decode_float64(24, _data->h.b, double );
  flick_fluke_decode_signed16(32, _data->j.b.a.a, oskit_s16_t );
  flick_fluke_decode_float64(40, _data->j.b.a.b, double );
  flick_fluke_decode_signed16(48, _data->j.z.a, oskit_s16_t );
  flick_fluke_decode_float64(56, _data->j.z.b, double );
  flick_fluke_decode_float32(64, _data->f, float );
  flick_fluke_decode_signed16(68, _data->g.c, oskit_s16_t );
  flick_fluke_decode_char8(70, _data->g.d, char );
  flick_fluke_decode_unsigned8(71, _data->g.e.c, oskit_bool_t );
  flick_fluke_decode_signed32(72, _data->g.e.d, oskit_s32_t );
  flick_fluke_decode_signed16(76, _data->g.f, oskit_s16_t );
  flick_fluke_decode_unsigned8(78, _data->g.g.c, oskit_bool_t );
  flick_fluke_decode_signed32(80, _data->g.g.d, oskit_s32_t );
  flick_fluke_decode_signed16(84, _data->i.a, oskit_s16_t );
  flick_fluke_decode_float64(88, _data->i.b, double );
  flick_fluke_decode_end_chunk(96);
  flick_fluke_decode_end_glob(96);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_b(flick_marshal_stream_t _stream, b *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(17, _flick_abort12);
  flick_fluke_encode_new_chunk(17);
  flick_fluke_encode_signed16(0, _data->c.c, oskit_s16_t );
  flick_fluke_encode_char8(2, _data->c.d, char );
  flick_fluke_encode_unsigned8(3, _data->c.e.c, oskit_bool_t );
  flick_fluke_encode_signed32(4, _data->c.e.d, oskit_s32_t );
  flick_fluke_encode_signed16(8, _data->c.f, oskit_s16_t );
  flick_fluke_encode_unsigned8(10, _data->c.g.c, oskit_bool_t );
  flick_fluke_encode_signed32(12, _data->c.g.d, oskit_s32_t );
  flick_fluke_encode_char8(16, _data->d, char );
  flick_fluke_encode_end_chunk(17);
  flick_fluke_encode_end_glob(17);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_b(flick_marshal_stream_t _stream, b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(17);
  flick_fluke_check_span(17, _flick_abort13);
  flick_fluke_decode_new_chunk(17);
  flick_fluke_decode_signed16(0, _data->c.c, oskit_s16_t );
  flick_fluke_decode_char8(2, _data->c.d, char );
  flick_fluke_decode_unsigned8(3, _data->c.e.c, oskit_bool_t );
  flick_fluke_decode_signed32(4, _data->c.e.d, oskit_s32_t );
  flick_fluke_decode_signed16(8, _data->c.f, oskit_s16_t );
  flick_fluke_decode_unsigned8(10, _data->c.g.c, oskit_bool_t );
  flick_fluke_decode_signed32(12, _data->c.g.d, oskit_s32_t );
  flick_fluke_decode_char8(16, _data->d, char );
  flick_fluke_decode_end_chunk(17);
  flick_fluke_decode_end_glob(17);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  return 0;
  return 1;
}

int flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  return 0;
  return 1;
}

mom_dispatch_action_t test_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t3_switch_tag;

    flick_fluke_decode_new_glob(96);
    flick_fluke_check_span(96, _flick_abort18);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t3_switch_tag, signed int );
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t3_switch_tag)
      {
      case req_test_CopyAdd:
        {
          {
            b _return;
            a *_local_s1;
            a _t4_storage;
            mom_exc_t *_ev;
            mom_exc_t _t5_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_s1 = (a *)(&_t4_storage);
            flick_fluke_decode_new_chunk(92);
            flick_fluke_decode_signed16(0, _local_s1->e.c, oskit_s16_t );
            flick_fluke_decode_char8(2, _local_s1->e.d, char );
            flick_fluke_decode_unsigned8(3, _local_s1->e.e.c, oskit_bool_t );
            flick_fluke_decode_signed32(4, _local_s1->e.e.d, oskit_s32_t );
            flick_fluke_decode_signed16(8, _local_s1->e.f, oskit_s16_t );
            flick_fluke_decode_unsigned8(10, _local_s1->e.g.c, oskit_bool_t );
            flick_fluke_decode_signed32(12, _local_s1->e.g.d, oskit_s32_t );
            flick_fluke_decode_signed16(16, _local_s1->h.a, oskit_s16_t );
            flick_fluke_decode_float64(20, _local_s1->h.b, double );
            flick_fluke_decode_signed16(28, _local_s1->j.b.a.a, oskit_s16_t );
            flick_fluke_decode_float64(36, _local_s1->j.b.a.b, double );
            flick_fluke_decode_signed16(44, _local_s1->j.z.a, oskit_s16_t );
            flick_fluke_decode_float64(52, _local_s1->j.z.b, double );
            flick_fluke_decode_float32(60, _local_s1->f, float );
            flick_fluke_decode_signed16(64, _local_s1->g.c, oskit_s16_t );
            flick_fluke_decode_char8(66, _local_s1->g.d, char );
            flick_fluke_decode_unsigned8(67, _local_s1->g.e.c, oskit_bool_t );
            flick_fluke_decode_signed32(68, _local_s1->g.e.d, oskit_s32_t );
            flick_fluke_decode_signed16(72, _local_s1->g.f, oskit_s16_t );
            flick_fluke_decode_unsigned8(74, _local_s1->g.g.c, oskit_bool_t );
            flick_fluke_decode_signed32(76, _local_s1->g.g.d, oskit_s32_t );
            flick_fluke_decode_signed16(80, _local_s1->i.a, oskit_s16_t );
            flick_fluke_decode_float64(84, _local_s1->i.b, double );
            _ev = (mom_exc_t *)(&_t5_storage);
            flick_fluke_decode_end_chunk(92);
            flick_fluke_decode_end_glob(96);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_server_CopyAdd(_obj, _local_s1, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(21, _flick_abort30);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(17);
                    flick_fluke_encode_signed16(0, _return.c.c, oskit_s16_t );
                    flick_fluke_encode_char8(2, _return.c.d, char );
                    flick_fluke_encode_unsigned8(3, _return.c.e.c, oskit_bool_t );
                    flick_fluke_encode_signed32(4, _return.c.e.d, oskit_s32_t );
                    flick_fluke_encode_signed16(8, _return.c.f, oskit_s16_t );
                    flick_fluke_encode_unsigned8(10, _return.c.g.c, oskit_bool_t );
                    flick_fluke_encode_signed32(12, _return.c.g.d, oskit_s32_t );
                    flick_fluke_encode_char8(16, _return.d, char );
                    flick_fluke_encode_end_chunk(17);
                    flick_fluke_encode_end_glob(21);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(21);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort36);
                    break;
                    {
                    _flick_abort36:
                      goto _flick_abort30;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort37);
                    flick_fluke_encode_end_glob(21);
                    break;
                    {
                    _flick_abort37:
                      goto _flick_abort30;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort30:
              goto _flick_abort29;
            }
          }
          break;
          {
          _flick_abort29:
            goto _flick_abort18;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
          flick_fluke_decode_end_glob(96);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
  {
  _flick_abort18:
    flick_mom_server_error(fluke, fluke, _flick_reaper, _flick_abort17);
  _flick_abort17:
    return DISPATCH_ACK_SEND;
    goto _flick_reaper;
  }
_flick_reaper:
  return DISPATCH_NO_REPLY;
}

