#include "structnestez_-client.h"

int flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(2, _flick_abort0);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->f, oskit_s16_t );
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(2);
  flick_fluke_check_span(2, _flick_abort1);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->f, oskit_s16_t );
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_b(flick_marshal_stream_t _stream, const b *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(2, _flick_abort2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->f.f, oskit_s16_t );
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_b(flick_marshal_stream_t _stream, b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(2);
  flick_fluke_check_span(2, _flick_abort3);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->f.f, oskit_s16_t );
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_bar_foo(flick_marshal_stream_t _stream, const bar_foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(2, _flick_abort4);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->f, oskit_s16_t );
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar_foo(flick_marshal_stream_t _stream, bar_foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(2);
  flick_fluke_check_span(2, _flick_abort5);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->f, oskit_s16_t );
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_bar(flick_marshal_stream_t _stream, const bar *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(2, _flick_abort6);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->f.f, oskit_s16_t );
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, bar *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(2);
  flick_fluke_check_span(2, _flick_abort7);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->f.f, oskit_s16_t );
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

bar test_op(mom_ref_t _obj, const bar *arg, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  bar _return;

  _return.f.f = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(6, _flick_abort9);
      flick_fluke_encode_new_chunk(6);
      flick_fluke_encode_unsigned32(0, req_test_op, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed16(4, arg->f.f, oskit_s16_t );
      flick_fluke_encode_end_chunk(6);
      flick_fluke_encode_end_glob(6);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort9);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(6);
      flick_fluke_check_span(4, _flick_abort9);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(2, _flick_abort15);
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _return.f.f, oskit_s16_t );
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort15:
              goto _flick_abort9;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(6);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort16);
            break;
            {
            _flick_abort16:
              goto _flick_abort9;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort17);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort17:
              goto _flick_abort9;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort9);
  return _return;
  {
  _flick_abort9:
    flick_mom_client_error(fluke, fluke, _flick_abort8);
  _flick_abort8:
    goto _flick_reaper;
  }
}

b test_op2(mom_ref_t _obj, const b *arg, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  b _return;

  _return.f.f = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(6, _flick_abort19);
      flick_fluke_encode_new_chunk(6);
      flick_fluke_encode_unsigned32(0, req_test_op2, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed16(4, arg->f.f, oskit_s16_t );
      flick_fluke_encode_end_chunk(6);
      flick_fluke_encode_end_glob(6);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort19);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(6);
      flick_fluke_check_span(4, _flick_abort19);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(2, _flick_abort25);
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _return.f.f, oskit_s16_t );
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort25:
              goto _flick_abort19;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(6);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort26);
            break;
            {
            _flick_abort26:
              goto _flick_abort19;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort27);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort27:
              goto _flick_abort19;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19);
  return _return;
  {
  _flick_abort19:
    flick_mom_client_error(fluke, fluke, _flick_abort18);
  _flick_abort18:
    goto _flick_reaper;
  }
}

