#include "union-5-server.h"

int flick_marshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(12, _flick_abort0);
  flick_fluke_encode_new_chunk(12);
  flick_fluke_encode_signed32(0, _data->slot_1, int );
  flick_fluke_encode_signed32(4, _data->slot_2, int );
  flick_fluke_encode_signed32(8, _data->slot_3, int );
  flick_fluke_encode_end_chunk(12);
  flick_fluke_encode_end_glob(12);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(12);
  flick_fluke_check_span(12, _flick_abort1);
  flick_fluke_decode_new_chunk(12);
  flick_fluke_decode_signed32(0, _data->slot_1, int );
  flick_fluke_decode_signed32(4, _data->slot_2, int );
  flick_fluke_decode_signed32(8, _data->slot_3, int );
  flick_fluke_decode_end_chunk(12);
  flick_fluke_decode_end_glob(12);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(408, _flick_abort2);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->discriminator, int );
  flick_fluke_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_fluke_encode_new_chunk(4 + 4 * _data->foo_u.one.one_len);
        flick_fluke_encode_unsigned32(0, _data->foo_u.one.one_len, unsigned int );
        if (_data->foo_u.one.one_len > 100)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort12);
        flick_fluke_encode_bcopy(4, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_fluke_encode_end_chunk(4 + 4 * _data->foo_u.one.one_len);
        flick_fluke_encode_end_glob(408);
        break;
        {
        _flick_abort12:
          goto _flick_abort2;
        }
      }
    case 2:
      {
        flick_unsigned32_t _t1_temp_string_len;

        flick_fluke_stringlen(char *, _data->foo_u.two, flick_unsigned32_t , _t1_temp_string_len);

        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_unsigned32(0, _t1_temp_string_len, flick_unsigned32_t );
        flick_fluke_encode_end_chunk(4);
        flick_fluke_encode_end_glob(408);
        flick_fluke_encode_new_glob(1 * _t1_temp_string_len, _flick_abort15);
        flick_fluke_encode_new_chunk(1 * _t1_temp_string_len);
        flick_fluke_encode_bcopy(0, _data->foo_u.two, 1 * _t1_temp_string_len);
        flick_fluke_encode_end_chunk(1 * _t1_temp_string_len);
        flick_fluke_encode_end_glob(1 * _t1_temp_string_len);
        break;
        {
        _flick_abort15:
          goto _flick_abort2;
        }
      }
    case 3:
      {
        flick_fluke_encode_new_chunk(12);
        flick_fluke_encode_signed32(0, _data->foo_u.three.slot_1, int );
        flick_fluke_encode_signed32(4, _data->foo_u.three.slot_2, int );
        flick_fluke_encode_signed32(8, _data->foo_u.three.slot_3, int );
        flick_fluke_encode_end_chunk(12);
        flick_fluke_encode_end_glob(408);
        break;
      }
    default:
      {
        flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort19);
        flick_fluke_encode_end_glob(408);
        break;
        {
        _flick_abort19:
          goto _flick_abort2;
        }
      }
    }
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(408);
  flick_fluke_check_span(4, _flick_abort20);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->discriminator, int );
  flick_fluke_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_fluke_check_span(4, _flick_abort33);
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_unsigned32(0, _data->foo_u.one.one_len, unsigned int );
        if (_data->foo_u.one.one_len > 100)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort33);
        flick_fluke_decode_end_chunk(4);
        flick_fluke_check_span(4 * _data->foo_u.one.one_len * 1, _flick_abort33);
        flick_fluke_decode_new_chunk(4 * _data->foo_u.one.one_len);
        {
          int *_t_alloc_ptr;

          _t_alloc_ptr = (int *)(sun_flick_alloc(_data->foo_u.one.one_len * sizeof(int )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort33);
          _data->foo_u.one.one_val = _t_alloc_ptr;
        }
        flick_fluke_decode_bcopy(0, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_fluke_decode_end_chunk(4 * _data->foo_u.one.one_len);
        flick_fluke_decode_end_glob(408);
        break;
        {
        _flick_abort33:
          goto _flick_abort20;
        }
      }
    case 2:
      {
        flick_unsigned32_t _t3_temp_string_len;

        flick_fluke_check_span(4, _flick_abort37);
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_unsigned32(0, _t3_temp_string_len, flick_unsigned32_t );
        flick_fluke_decode_end_chunk(4);
        flick_fluke_decode_end_glob(408);
        flick_fluke_decode_new_glob(1 * _t3_temp_string_len);
        flick_fluke_check_span(1 * _t3_temp_string_len * 1, _flick_abort37);
        flick_fluke_decode_new_chunk(1 * _t3_temp_string_len);
        {
          char *_t_alloc_ptr;

          _t_alloc_ptr = (char *)(sun_flick_alloc(_t3_temp_string_len * sizeof(char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort37);
          _data->foo_u.two = _t_alloc_ptr;
        }
        flick_fluke_decode_bcopy(0, _data->foo_u.two, 1 * _t3_temp_string_len);
        flick_fluke_decode_end_chunk(1 * _t3_temp_string_len);
        flick_fluke_decode_end_glob(1 * _t3_temp_string_len);
        break;
        {
        _flick_abort37:
          goto _flick_abort20;
        }
      }
    case 3:
      {
        flick_fluke_check_span(12, _flick_abort41);
        flick_fluke_decode_new_chunk(12);
        flick_fluke_decode_signed32(0, _data->foo_u.three.slot_1, int );
        flick_fluke_decode_signed32(4, _data->foo_u.three.slot_2, int );
        flick_fluke_decode_signed32(8, _data->foo_u.three.slot_3, int );
        flick_fluke_decode_end_chunk(12);
        flick_fluke_decode_end_glob(408);
        break;
        {
        _flick_abort41:
          goto _flick_abort20;
        }
      }
    default:
      {
        flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort42);
        flick_fluke_decode_end_glob(408);
        break;
        {
        _flick_abort42:
          goto _flick_abort20;
        }
      }
    }
  return 0;
  {
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

mom_dispatch_action_t prog_2(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t12_switch_tag;

    flick_fluke_decode_new_glob(412);
    flick_fluke_check_span(8, _flick_abort46);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t12_switch_tag, signed int );
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t12_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct foo *_return;
            struct foo *_local_arg;
            struct foo _t13_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct foo *)(&_t13_storage);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_arg->discriminator, int );
            flick_fluke_decode_end_chunk(4);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  flick_fluke_check_span(4, _flick_abort119);
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_unsigned32(0, _local_arg->foo_u.one.one_len, unsigned int );
                  if (_local_arg->foo_u.one.one_len > 100)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort119);
                  flick_fluke_decode_end_chunk(4);
                  flick_fluke_check_span(4 * _local_arg->foo_u.one.one_len * 1, _flick_abort119);
                  flick_fluke_decode_new_chunk(4 * _local_arg->foo_u.one.one_len);
                  flick_fluke_decode_msgptr(0, _local_arg->foo_u.one.one_val, int *);
                  flick_fluke_decode_end_chunk(4 * _local_arg->foo_u.one.one_len);
                  flick_fluke_decode_end_glob(412);
                  break;
                  {
                  _flick_abort119:
                    goto _flick_abort109;
                  }
                }
              case 2:
                {
                  flick_unsigned32_t _t15_temp_string_len;

                  flick_fluke_check_span(4, _flick_abort122);
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_unsigned32(0, _t15_temp_string_len, flick_unsigned32_t );
                  flick_fluke_decode_end_chunk(4);
                  flick_fluke_decode_end_glob(412);
                  flick_fluke_decode_new_glob(1 * _t15_temp_string_len);
                  flick_fluke_check_span(1 * _t15_temp_string_len * 1, _flick_abort122);
                  flick_fluke_decode_new_chunk(1 * _t15_temp_string_len);
                  flick_fluke_decode_msgptr(0, _local_arg->foo_u.two, char *);
                  flick_fluke_decode_end_chunk(1 * _t15_temp_string_len);
                  flick_fluke_decode_end_glob(1 * _t15_temp_string_len);
                  break;
                  {
                  _flick_abort122:
                    goto _flick_abort109;
                  }
                }
              case 3:
                {
                  flick_fluke_check_span(12, _flick_abort125);
                  flick_fluke_decode_new_chunk(12);
                  flick_fluke_decode_signed32(0, _local_arg->foo_u.three.slot_1, int );
                  flick_fluke_decode_signed32(4, _local_arg->foo_u.three.slot_2, int );
                  flick_fluke_decode_signed32(8, _local_arg->foo_u.three.slot_3, int );
                  flick_fluke_decode_end_chunk(12);
                  flick_fluke_decode_end_glob(412);
                  break;
                  {
                  _flick_abort125:
                    goto _flick_abort109;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort126);
                  flick_fluke_decode_end_glob(412);
                  break;
                  {
                  _flick_abort126:
                    goto _flick_abort109;
                  }
                }
              }
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(412, _flick_abort109);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, _return->discriminator, int );
                    flick_fluke_encode_end_chunk(4);
                    switch (_return->discriminator)
                      {
                      case 1:
                        {
                          flick_fluke_encode_new_chunk(4 + 4 * _return->foo_u.one.one_len);
                          flick_fluke_encode_unsigned32(0, _return->foo_u.one.one_len, unsigned int );
                          if (_return->foo_u.one.one_len > 100)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort158);
                          flick_fluke_encode_bcopy(4, _return->foo_u.one.one_val, 4 * _return->foo_u.one.one_len);
                          flick_fluke_encode_end_chunk(4 + 4 * _return->foo_u.one.one_len);
                          flick_fluke_encode_end_glob(412);
                          break;
                          {
                          _flick_abort158:
                            goto _flick_abort148;
                          }
                        }
                      case 2:
                        {
                          flick_unsigned32_t _t19_temp_string_len;

                          flick_fluke_stringlen(char *, _return->foo_u.two, flick_unsigned32_t , _t19_temp_string_len);

                          flick_fluke_encode_new_chunk(4);
                          flick_fluke_encode_unsigned32(0, _t19_temp_string_len, flick_unsigned32_t );
                          flick_fluke_encode_end_chunk(4);
                          flick_fluke_encode_end_glob(412);
                          flick_fluke_encode_new_glob(1 * _t19_temp_string_len, _flick_abort161);
                          flick_fluke_encode_new_chunk(1 * _t19_temp_string_len);
                          flick_fluke_encode_bcopy(0, _return->foo_u.two, 1 * _t19_temp_string_len);
                          flick_fluke_encode_end_chunk(1 * _t19_temp_string_len);
                          flick_fluke_encode_end_glob(1 * _t19_temp_string_len);
                          break;
                          {
                          _flick_abort161:
                            goto _flick_abort148;
                          }
                        }
                      case 3:
                        {
                          flick_fluke_encode_new_chunk(12);
                          flick_fluke_encode_signed32(0, _return->foo_u.three.slot_1, int );
                          flick_fluke_encode_signed32(4, _return->foo_u.three.slot_2, int );
                          flick_fluke_encode_signed32(8, _return->foo_u.three.slot_3, int );
                          flick_fluke_encode_end_chunk(12);
                          flick_fluke_encode_end_glob(412);
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort165);
                          flick_fluke_encode_end_glob(412);
                          break;
                          {
                          _flick_abort165:
                            goto _flick_abort148;
                          }
                        }
                      }
                    break;
                    {
                    _flick_abort148:
                      goto _flick_abort109;
                    }
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(412);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort166);
                    break;
                    {
                    _flick_abort166:
                      goto _flick_abort109;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort167);
                    flick_fluke_encode_end_glob(412);
                    break;
                    {
                    _flick_abort167:
                      goto _flick_abort109;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort109:
              goto _flick_abort108;
            }
          }
          break;
          {
          _flick_abort108:
            goto _flick_abort46;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort46);
          flick_fluke_decode_end_glob(412);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
  {
  _flick_abort46:
    flick_sun_server_error(fluke, fluke, _flick_reaper, _flick_abort45);
  _flick_abort45:
    return DISPATCH_ACK_SEND;
    goto _flick_reaper;
  }
_flick_reaper:
  return DISPATCH_NO_REPLY;
}

