#ifndef _enum__client_h_
#define _enum__client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

enum types {
  type1 = 0,
  type2 = 1,
  type3 = 2
} ;


typedef enum types &types_out;

int flick_marshal_stub(flick_marshal_stream_t _stream, const enum types *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, enum types *_data);

class Test ;


typedef Test *Test_ptr;

class Test_var {

public:
  Test_var();
  Test_var(Test_ptr p);
  Test_var(const Test_var &a);
  ~Test_var();
  Test_var &operator=(Test_ptr p);
  Test_var &operator=(const Test_var &p);
  Test_ptr operator->() const;
  operator const Test_ptr &() const;
  operator Test_ptr &();
  Test_ptr in() const;
  Test_ptr &inout();
  Test_ptr &out();
  Test_ptr _retn();
  Test_ptr ptr() const;

private:
  Test_ptr ptr_;
} ;


class Test_out {

public:
  Test_out(Test_ptr &r);
  Test_out(Test_var &r);
  Test_out(const Test_out &r);
  Test_out &operator=(const Test_out &r);
  Test_out &operator=(const Test_var &r);
  Test_out &operator=(Test_ptr r);
  operator Test_ptr &();
  Test_ptr &ptr();
  Test_ptr operator->();

private:
  Test_ptr &ptr_;
} ;


class Test : public virtual ACE_CORBA_1 (Object) {

public:
  static Test_ptr _duplicate(Test_ptr obj);
  static Test_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static Test_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static Test_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  Test();
  virtual ~Test();

private:
  Test(const Test &v);
  void operator=(const Test &v);

public:
  virtual enum types Enum(/* Test *this, */ enum types a, enum types &b, types_out c, CORBA::Environment &_ev);

protected:
  Test(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const Test_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, Test_ptr *_data);

void operator<<=(CORBA::Any &a, Test_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, Test_ptr &o);

extern CORBA::TypeCode_ptr _tc_Test;

#endif /* _enum__client_h_ */
