#ifndef _ez__server_h_
#define _ez__server_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include "ez_-client.h"
#include <flick/pres/corbaxx.h>

class POA_a ;


typedef POA_a *POA_a_ptr;

class POA_a : public virtual PortableServer::ServantBase {

protected:
  POA_a();

public:
  POA_a(const POA_a &rhs);
  virtual ~POA_a();
  a *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Long op(/* POA_a *this, */ CORBA::Long a, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_a_tie : public POA_a {

  public:
    POA_a_tie(T &t);
    POA_a_tie(T &t, PortableServer::POA_ptr poa);
    POA_a_tie(T *t, CORBA::Boolean release = 1);
    POA_a_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_a_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_a_tie(const POA_a_tie &c);
    void operator=(const POA_a_tie &c);

  public:
    CORBA::Long op(/* POA_a *this, */ CORBA::Long a, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


int flick_marshal_stub(flick_marshal_stream_t _stream, a_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, a_ptr *_data);

class _tao_collocated_a : public virtual a {

public:
  _tao_collocated_a(POA_a_ptr servant, TAO_Stub *stub);
  POA_a_ptr _get_servant() const;
  virtual CORBA::Long op(CORBA::Long a, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_a_ptr servant_;
} ;


#endif /* _ez__server_h_ */
