#ifndef _inherit_client_h_
#define _inherit_client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class one ;


typedef one *one_ptr;

class one_var {

public:
  one_var();
  one_var(one_ptr p);
  one_var(const one_var &a);
  ~one_var();
  one_var &operator=(one_ptr p);
  one_var &operator=(const one_var &p);
  one_ptr operator->() const;
  operator const one_ptr &() const;
  operator one_ptr &();
  one_ptr in() const;
  one_ptr &inout();
  one_ptr &out();
  one_ptr _retn();
  one_ptr ptr() const;

private:
  one_ptr ptr_;
} ;


class one_out {

public:
  one_out(one_ptr &r);
  one_out(one_var &r);
  one_out(const one_out &r);
  one_out &operator=(const one_out &r);
  one_out &operator=(const one_var &r);
  one_out &operator=(one_ptr r);
  operator one_ptr &();
  one_ptr &ptr();
  one_ptr operator->();

private:
  one_ptr &ptr_;
} ;


class one : public virtual ACE_CORBA_1 (Object) {

public:
  static one_ptr _duplicate(one_ptr obj);
  static one_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static one_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static one_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  one();
  virtual ~one();

private:
  one(const one &v);
  void operator=(const one &v);

public:
  virtual void op_one(/* one *this, */ CORBA::Environment &_ev);

protected:
  one(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const one_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, one_ptr *_data);

void operator<<=(CORBA::Any &a, one_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, one_ptr &o);

class two ;


typedef two *two_ptr;

class two_var {

public:
  two_var();
  two_var(two_ptr p);
  two_var(const two_var &a);
  ~two_var();
  two_var &operator=(two_ptr p);
  two_var &operator=(const two_var &p);
  two_ptr operator->() const;
  operator const two_ptr &() const;
  operator two_ptr &();
  two_ptr in() const;
  two_ptr &inout();
  two_ptr &out();
  two_ptr _retn();
  two_ptr ptr() const;

private:
  two_ptr ptr_;
} ;


class two_out {

public:
  two_out(two_ptr &r);
  two_out(two_var &r);
  two_out(const two_out &r);
  two_out &operator=(const two_out &r);
  two_out &operator=(const two_var &r);
  two_out &operator=(two_ptr r);
  operator two_ptr &();
  two_ptr &ptr();
  two_ptr operator->();

private:
  two_ptr &ptr_;
} ;


class two : public virtual ACE_CORBA_1 (Object) {

public:
  static two_ptr _duplicate(two_ptr obj);
  static two_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static two_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static two_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  two();
  virtual ~two();

private:
  two(const two &v);
  void operator=(const two &v);

public:
  virtual void op_two(/* two *this, */ CORBA::Environment &_ev);
  virtual void op_one(/* two *this, */ CORBA::Environment &_ev);

protected:
  two(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const two_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, two_ptr *_data);

void operator<<=(CORBA::Any &a, two_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, two_ptr &o);

class three ;


typedef three *three_ptr;

class three_var {

public:
  three_var();
  three_var(three_ptr p);
  three_var(const three_var &a);
  ~three_var();
  three_var &operator=(three_ptr p);
  three_var &operator=(const three_var &p);
  three_ptr operator->() const;
  operator const three_ptr &() const;
  operator three_ptr &();
  three_ptr in() const;
  three_ptr &inout();
  three_ptr &out();
  three_ptr _retn();
  three_ptr ptr() const;

private:
  three_ptr ptr_;
} ;


class three_out {

public:
  three_out(three_ptr &r);
  three_out(three_var &r);
  three_out(const three_out &r);
  three_out &operator=(const three_out &r);
  three_out &operator=(const three_var &r);
  three_out &operator=(three_ptr r);
  operator three_ptr &();
  three_ptr &ptr();
  three_ptr operator->();

private:
  three_ptr &ptr_;
} ;


class three : public virtual ACE_CORBA_1 (Object) {

public:
  static three_ptr _duplicate(three_ptr obj);
  static three_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static three_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static three_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  three();
  virtual ~three();

private:
  three(const three &v);
  void operator=(const three &v);

public:
  virtual void op_three(/* three *this, */ CORBA::Environment &_ev);
  virtual void op_one(/* three *this, */ CORBA::Environment &_ev);

protected:
  three(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const three_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, three_ptr *_data);

void operator<<=(CORBA::Any &a, three_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, three_ptr &o);

class four ;


typedef four *four_ptr;

class four_var {

public:
  four_var();
  four_var(four_ptr p);
  four_var(const four_var &a);
  ~four_var();
  four_var &operator=(four_ptr p);
  four_var &operator=(const four_var &p);
  four_ptr operator->() const;
  operator const four_ptr &() const;
  operator four_ptr &();
  four_ptr in() const;
  four_ptr &inout();
  four_ptr &out();
  four_ptr _retn();
  four_ptr ptr() const;

private:
  four_ptr ptr_;
} ;


class four_out {

public:
  four_out(four_ptr &r);
  four_out(four_var &r);
  four_out(const four_out &r);
  four_out &operator=(const four_out &r);
  four_out &operator=(const four_var &r);
  four_out &operator=(four_ptr r);
  operator four_ptr &();
  four_ptr &ptr();
  four_ptr operator->();

private:
  four_ptr &ptr_;
} ;


class four : public virtual ACE_CORBA_1 (Object) {

public:
  static four_ptr _duplicate(four_ptr obj);
  static four_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static four_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static four_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  four();
  virtual ~four();

private:
  four(const four &v);
  void operator=(const four &v);

public:
  virtual void op_four(/* four *this, */ CORBA::Environment &_ev);
  virtual void op_two(/* four *this, */ CORBA::Environment &_ev);
  virtual void op_one(/* four *this, */ CORBA::Environment &_ev);
  virtual void op_three(/* four *this, */ CORBA::Environment &_ev);

protected:
  four(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const four_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, four_ptr *_data);

void operator<<=(CORBA::Any &a, four_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, four_ptr &o);

class five ;


typedef five *five_ptr;

class five_var {

public:
  five_var();
  five_var(five_ptr p);
  five_var(const five_var &a);
  ~five_var();
  five_var &operator=(five_ptr p);
  five_var &operator=(const five_var &p);
  five_ptr operator->() const;
  operator const five_ptr &() const;
  operator five_ptr &();
  five_ptr in() const;
  five_ptr &inout();
  five_ptr &out();
  five_ptr _retn();
  five_ptr ptr() const;

private:
  five_ptr ptr_;
} ;


class five_out {

public:
  five_out(five_ptr &r);
  five_out(five_var &r);
  five_out(const five_out &r);
  five_out &operator=(const five_out &r);
  five_out &operator=(const five_var &r);
  five_out &operator=(five_ptr r);
  operator five_ptr &();
  five_ptr &ptr();
  five_ptr operator->();

private:
  five_ptr &ptr_;
} ;


class five : public virtual ACE_CORBA_1 (Object) {

public:
  static five_ptr _duplicate(five_ptr obj);
  static five_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static five_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static five_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  five();
  virtual ~five();

private:
  five(const five &v);
  void operator=(const five &v);

public:
  virtual void op_five(/* five *this, */ CORBA::Environment &_ev);
  virtual void op_four(/* five *this, */ CORBA::Environment &_ev);
  virtual void op_two(/* five *this, */ CORBA::Environment &_ev);
  virtual void op_one(/* five *this, */ CORBA::Environment &_ev);
  virtual void op_three(/* five *this, */ CORBA::Environment &_ev);

protected:
  five(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const five_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, five_ptr *_data);

void operator<<=(CORBA::Any &a, five_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, five_ptr &o);

extern CORBA::TypeCode_ptr _tc_one;

extern CORBA::TypeCode_ptr _tc_two;

extern CORBA::TypeCode_ptr _tc_three;

extern CORBA::TypeCode_ptr _tc_four;

extern CORBA::TypeCode_ptr _tc_five;

#endif /* _inherit_client_h_ */
