#ifndef _recursive_client_h_
#define _recursive_client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

void operator<<=(CORBA::Any &a, const struct a::b &o);

void operator<<=(CORBA::Any &a, struct a::b *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct a::b *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct a::b *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct a::b *_data);

void operator<<=(CORBA::Any &a, const struct a::d &o);

void operator<<=(CORBA::Any &a, struct a::d *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct a::d *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct a::d *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct a::d *_data);

void operator<<=(CORBA::Any &a, const struct a::f::d &o);

void operator<<=(CORBA::Any &a, struct a::f::d *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct a::f::d *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct a::f::d *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct a::f::d *_data);

void operator<<=(CORBA::Any &a, const struct a::f &o);

void operator<<=(CORBA::Any &a, struct a::f *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct a::f *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct a::f *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct a::f *_data);

struct a {
  struct b {
    CORBA::Long c;
    CORBA::Double d;
    CORBA::Short e;
  } ;

  class b_var {

  public:
    b_var();
    b_var(struct a::b *p);
    b_var(const a::b_var &a);
    ~b_var();
    a::b_var &operator=(struct a::b *p);
    a::b_var &operator=(const a::b_var &p);
    struct a::b *operator->();
    const struct a::b *operator->() const;
    operator const struct a::b &() const;
    operator struct a::b &();
    operator struct a::b &() const;
    const struct a::b &in() const;
    struct a::b &inout();
    struct a::b &out();
    struct a::b _retn();
    struct a::b *ptr() const;

  private:
    struct a::b *ptr_;
  } ;

  typedef struct a::b &b_out;

public:
  struct d {

  public:
    CORBA::Char c;
    TAO_String_Manager d;
    class flick_sequence_d {

    public:
      CORBA::ULong _maximum;
      CORBA::ULong _length;
      struct a::d *_buffer;
      CORBA::Boolean _release;
      flick_sequence_d();
      flick_sequence_d(CORBA::ULong max);
      flick_sequence_d(CORBA::ULong max, CORBA::ULong length, struct a::d *buffer, CORBA::Boolean release = 0);
      flick_sequence_d(const a::d::flick_sequence_d &o);
      virtual ~flick_sequence_d();
      a::d::flick_sequence_d &operator=(const a::d::flick_sequence_d &rhs);
      struct a::d &operator[](CORBA::ULong i);
      const struct a::d &operator[](CORBA::ULong i) const;
      static struct a::d *allocbuf(CORBA::ULong size);
      static void freebuf(struct a::d *buffer);
      virtual void _allocate_buffer(CORBA::ULong length);
      virtual void _deallocate_buffer();
      CORBA::Boolean release() const;
      CORBA::ULong maximum() const;
      CORBA::ULong length() const;
      void length(CORBA::ULong length);
      virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
      struct a::d *get_buffer(CORBA::Boolean orphan = 0);
      const struct a::d *get_buffer() const;
    } ;

    typedef a::d::flick_sequence_d *flick_sequence_d_ptr;
    class flick_sequence_d_var {

    public:
      flick_sequence_d_var();
      flick_sequence_d_var(a::d::flick_sequence_d *p);
      flick_sequence_d_var(const a::d::flick_sequence_d_var &a);
      ~flick_sequence_d_var();
      a::d::flick_sequence_d_var &operator=(a::d::flick_sequence_d *p);
      a::d::flick_sequence_d_var &operator=(const a::d::flick_sequence_d_var &p);
      struct a::d &operator[](CORBA::ULong index);
      const struct a::d &operator[](CORBA::ULong index) const;
      a::d::flick_sequence_d *operator->();
      const a::d::flick_sequence_d *operator->() const;
      operator const a::d::flick_sequence_d &() const;
      operator a::d::flick_sequence_d &();
      operator a::d::flick_sequence_d &() const;
      const a::d::flick_sequence_d &in() const;
      a::d::flick_sequence_d &inout();
      a::d::flick_sequence_d *&out();
      a::d::flick_sequence_d *_retn();
      a::d::flick_sequence_d *ptr() const;

    private:
      a::d::flick_sequence_d_ptr ptr_;
    } ;

    class flick_sequence_d_out {

    public:
      flick_sequence_d_out(a::d::flick_sequence_d *&r);
      flick_sequence_d_out(a::d::flick_sequence_d_var &r);
      flick_sequence_d_out(const a::d::flick_sequence_d_out &r);
      a::d::flick_sequence_d_out &operator=(const a::d::flick_sequence_d_out &r);

    private:
      a::d::flick_sequence_d_out &operator=(const a::d::flick_sequence_d_var &r);

    public:
      a::d::flick_sequence_d_out &operator=(a::d::flick_sequence_d *r);
      operator a::d::flick_sequence_d *&();
      a::d::flick_sequence_d *&ptr();
      struct a::d &operator[](CORBA::ULong index);
      const struct a::d &operator[](CORBA::ULong index) const;
      a::d::flick_sequence_d *operator->();

    private:
      a::d::flick_sequence_d_ptr &ptr_;
    } ;

    a::d::flick_sequence_d e;
    static CORBA::TypeCode_ptr _tc_flick_sequence_d;
  } ;

  class d_var {

  public:
    d_var();
    d_var(struct a::d *p);
    d_var(const a::d_var &a);
    ~d_var();
    a::d_var &operator=(struct a::d *p);
    a::d_var &operator=(const a::d_var &p);
    struct a::d *operator->();
    const struct a::d *operator->() const;
    operator const struct a::d &() const;
    operator struct a::d &();
    operator struct a::d &() const;
    const struct a::d &in() const;
    struct a::d &inout();
    struct a::d *&out();
    struct a::d *_retn();
    struct a::d *ptr() const;

  private:
    struct a::d *ptr_;
  } ;

  class d_out {

  public:
    d_out(struct a::d *&r);
    d_out(a::d_var &r);
    d_out(const a::d_out &r);
    a::d_out &operator=(const a::d_out &r);

  private:
    a::d_out &operator=(const a::d_var &r);

  public:
    a::d_out &operator=(struct a::d *r);
    operator struct a::d *&();
    struct a::d *&ptr();
    struct a::d *operator->();

  private:
    struct a::d *&ptr_;
  } ;

  struct f {

  public:
    struct d {

    public:
      CORBA::Char a;
      CORBA::Char b;
      CORBA::Char c;
      CORBA::Char d;
      class flick_sequence_f {

      public:
        CORBA::ULong _maximum;
        CORBA::ULong _length;
        struct a::f *_buffer;
        CORBA::Boolean _release;
        flick_sequence_f();
        flick_sequence_f(CORBA::ULong max);
        flick_sequence_f(CORBA::ULong max, CORBA::ULong length, struct a::f *buffer, CORBA::Boolean release = 0);
        flick_sequence_f(const a::f::d::flick_sequence_f &o);
        virtual ~flick_sequence_f();
        a::f::d::flick_sequence_f &operator=(const a::f::d::flick_sequence_f &rhs);
        struct a::f &operator[](CORBA::ULong i);
        const struct a::f &operator[](CORBA::ULong i) const;
        static struct a::f *allocbuf(CORBA::ULong size);
        static void freebuf(struct a::f *buffer);
        virtual void _allocate_buffer(CORBA::ULong length);
        virtual void _deallocate_buffer();
        CORBA::Boolean release() const;
        CORBA::ULong maximum() const;
        CORBA::ULong length() const;
        void length(CORBA::ULong length);
        virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
        struct a::f *get_buffer(CORBA::Boolean orphan = 0);
        const struct a::f *get_buffer() const;
      } ;

      typedef a::f::d::flick_sequence_f *flick_sequence_f_ptr;
      class flick_sequence_f_var {

      public:
        flick_sequence_f_var();
        flick_sequence_f_var(a::f::d::flick_sequence_f *p);
        flick_sequence_f_var(const a::f::d::flick_sequence_f_var &a);
        ~flick_sequence_f_var();
        a::f::d::flick_sequence_f_var &operator=(a::f::d::flick_sequence_f *p);
        a::f::d::flick_sequence_f_var &operator=(const a::f::d::flick_sequence_f_var &p);
        struct a::f &operator[](CORBA::ULong index);
        const struct a::f &operator[](CORBA::ULong index) const;
        a::f::d::flick_sequence_f *operator->();
        const a::f::d::flick_sequence_f *operator->() const;
        operator const a::f::d::flick_sequence_f &() const;
        operator a::f::d::flick_sequence_f &();
        operator a::f::d::flick_sequence_f &() const;
        const a::f::d::flick_sequence_f &in() const;
        a::f::d::flick_sequence_f &inout();
        a::f::d::flick_sequence_f *&out();
        a::f::d::flick_sequence_f *_retn();
        a::f::d::flick_sequence_f *ptr() const;

      private:
        a::f::d::flick_sequence_f_ptr ptr_;
      } ;

      class flick_sequence_f_out {

      public:
        flick_sequence_f_out(a::f::d::flick_sequence_f *&r);
        flick_sequence_f_out(a::f::d::flick_sequence_f_var &r);
        flick_sequence_f_out(const a::f::d::flick_sequence_f_out &r);
        a::f::d::flick_sequence_f_out &operator=(const a::f::d::flick_sequence_f_out &r);

      private:
        a::f::d::flick_sequence_f_out &operator=(const a::f::d::flick_sequence_f_var &r);

      public:
        a::f::d::flick_sequence_f_out &operator=(a::f::d::flick_sequence_f *r);
        operator a::f::d::flick_sequence_f *&();
        a::f::d::flick_sequence_f *&ptr();
        struct a::f &operator[](CORBA::ULong index);
        const struct a::f &operator[](CORBA::ULong index) const;
        a::f::d::flick_sequence_f *operator->();

      private:
        a::f::d::flick_sequence_f_ptr &ptr_;
      } ;

      a::f::d::flick_sequence_f e;
      static CORBA::TypeCode_ptr _tc_flick_sequence_f;
    } ;

    class d_var {

    public:
      d_var();
      d_var(struct a::f::d *p);
      d_var(const a::f::d_var &a);
      ~d_var();
      a::f::d_var &operator=(struct a::f::d *p);
      a::f::d_var &operator=(const a::f::d_var &p);
      struct a::f::d *operator->();
      const struct a::f::d *operator->() const;
      operator const struct a::f::d &() const;
      operator struct a::f::d &();
      operator struct a::f::d &() const;
      const struct a::f::d &in() const;
      struct a::f::d &inout();
      struct a::f::d *&out();
      struct a::f::d *_retn();
      struct a::f::d *ptr() const;

    private:
      struct a::f::d *ptr_;
    } ;

    class d_out {

    public:
      d_out(struct a::f::d *&r);
      d_out(a::f::d_var &r);
      d_out(const a::f::d_out &r);
      a::f::d_out &operator=(const a::f::d_out &r);

    private:
      a::f::d_out &operator=(const a::f::d_var &r);

    public:
      a::f::d_out &operator=(struct a::f::d *r);
      operator struct a::f::d *&();
      struct a::f::d *&ptr();
      struct a::f::d *operator->();

    private:
      struct a::f::d *&ptr_;
    } ;

    struct a::b c;
    struct a::f::d d;
    static CORBA::TypeCode_ptr _tc_d;
  } ;

  class f_var {

  public:
    f_var();
    f_var(struct a::f *p);
    f_var(const a::f_var &a);
    ~f_var();
    a::f_var &operator=(struct a::f *p);
    a::f_var &operator=(const a::f_var &p);
    struct a::f *operator->();
    const struct a::f *operator->() const;
    operator const struct a::f &() const;
    operator struct a::f &();
    operator struct a::f &() const;
    const struct a::f &in() const;
    struct a::f &inout();
    struct a::f *&out();
    struct a::f *_retn();
    struct a::f *ptr() const;

  private:
    struct a::f *ptr_;
  } ;

  class f_out {

  public:
    f_out(struct a::f *&r);
    f_out(a::f_var &r);
    f_out(const a::f_out &r);
    a::f_out &operator=(const a::f_out &r);

  private:
    a::f_out &operator=(const a::f_var &r);

  public:
    a::f_out &operator=(struct a::f *r);
    operator struct a::f *&();
    struct a::f *&ptr();
    struct a::f *operator->();

  private:
    struct a::f *&ptr_;
  } ;

  struct a::b c;
  struct a::d e;
  struct a::f f;
  class flick_sequence_a {

  public:
    CORBA::ULong _maximum;
    CORBA::ULong _length;
    struct a *_buffer;
    CORBA::Boolean _release;
    flick_sequence_a();
    flick_sequence_a(CORBA::ULong max);
    flick_sequence_a(CORBA::ULong max, CORBA::ULong length, struct a *buffer, CORBA::Boolean release = 0);
    flick_sequence_a(const a::flick_sequence_a &o);
    virtual ~flick_sequence_a();
    a::flick_sequence_a &operator=(const a::flick_sequence_a &rhs);
    struct a &operator[](CORBA::ULong i);
    const struct a &operator[](CORBA::ULong i) const;
    static struct a *allocbuf(CORBA::ULong size);
    static void freebuf(struct a *buffer);
    virtual void _allocate_buffer(CORBA::ULong length);
    virtual void _deallocate_buffer();
    CORBA::Boolean release() const;
    CORBA::ULong maximum() const;
    CORBA::ULong length() const;
    void length(CORBA::ULong length);
    virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
    struct a *get_buffer(CORBA::Boolean orphan = 0);
    const struct a *get_buffer() const;
  } ;

  typedef a::flick_sequence_a *flick_sequence_a_ptr;
  class flick_sequence_a_var {

  public:
    flick_sequence_a_var();
    flick_sequence_a_var(a::flick_sequence_a *p);
    flick_sequence_a_var(const a::flick_sequence_a_var &a);
    ~flick_sequence_a_var();
    a::flick_sequence_a_var &operator=(a::flick_sequence_a *p);
    a::flick_sequence_a_var &operator=(const a::flick_sequence_a_var &p);
    struct a &operator[](CORBA::ULong index);
    const struct a &operator[](CORBA::ULong index) const;
    a::flick_sequence_a *operator->();
    const a::flick_sequence_a *operator->() const;
    operator const a::flick_sequence_a &() const;
    operator a::flick_sequence_a &();
    operator a::flick_sequence_a &() const;
    const a::flick_sequence_a &in() const;
    a::flick_sequence_a &inout();
    a::flick_sequence_a *&out();
    a::flick_sequence_a *_retn();
    a::flick_sequence_a *ptr() const;

  private:
    a::flick_sequence_a_ptr ptr_;
  } ;

  class flick_sequence_a_out {

  public:
    flick_sequence_a_out(a::flick_sequence_a *&r);
    flick_sequence_a_out(a::flick_sequence_a_var &r);
    flick_sequence_a_out(const a::flick_sequence_a_out &r);
    a::flick_sequence_a_out &operator=(const a::flick_sequence_a_out &r);

  private:
    a::flick_sequence_a_out &operator=(const a::flick_sequence_a_var &r);

  public:
    a::flick_sequence_a_out &operator=(a::flick_sequence_a *r);
    operator a::flick_sequence_a *&();
    a::flick_sequence_a *&ptr();
    struct a &operator[](CORBA::ULong index);
    const struct a &operator[](CORBA::ULong index) const;
    a::flick_sequence_a *operator->();

  private:
    a::flick_sequence_a_ptr &ptr_;
  } ;

  a::flick_sequence_a next;
  struct a::b g;
  struct a::d h;
  struct a::f i;
  static CORBA::TypeCode_ptr _tc_b;
  static CORBA::TypeCode_ptr _tc_d;
  static CORBA::TypeCode_ptr _tc_f;
  static CORBA::TypeCode_ptr _tc_flick_sequence_a;
} ;


class a_var {

public:
  a_var();
  a_var(struct a *p);
  a_var(const a_var &a);
  ~a_var();
  a_var &operator=(struct a *p);
  a_var &operator=(const a_var &p);
  struct a *operator->();
  const struct a *operator->() const;
  operator const struct a &() const;
  operator struct a &();
  operator struct a &() const;
  const struct a &in() const;
  struct a &inout();
  struct a *&out();
  struct a *_retn();
  struct a *ptr() const;

private:
  struct a *ptr_;
} ;


class a_out {

public:
  a_out(struct a *&r);
  a_out(a_var &r);
  a_out(const a_out &r);
  a_out &operator=(const a_out &r);

private:
  a_out &operator=(const a_var &r);

public:
  a_out &operator=(struct a *r);
  operator struct a *&();
  struct a *&ptr();
  struct a *operator->();

private:
  struct a *&ptr_;
} ;


void operator<<=(CORBA::Any &a, const struct a &o);

void operator<<=(CORBA::Any &a, struct a *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct a *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct a *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct a *_data);

struct b {

public:
  struct a::b a;
  struct a::d b;
  class flick_sequence_f {

  public:
    CORBA::ULong _maximum;
    CORBA::ULong _length;
    struct a::f *_buffer;
    CORBA::Boolean _release;
    flick_sequence_f();
    flick_sequence_f(CORBA::ULong max);
    flick_sequence_f(CORBA::ULong max, CORBA::ULong length, struct a::f *buffer, CORBA::Boolean release = 0);
    flick_sequence_f(const b::flick_sequence_f &o);
    virtual ~flick_sequence_f();
    b::flick_sequence_f &operator=(const b::flick_sequence_f &rhs);
    struct a::f &operator[](CORBA::ULong i);
    const struct a::f &operator[](CORBA::ULong i) const;
    static struct a::f *allocbuf(CORBA::ULong size);
    static void freebuf(struct a::f *buffer);
    virtual void _allocate_buffer(CORBA::ULong length);
    virtual void _deallocate_buffer();
    CORBA::Boolean release() const;
    CORBA::ULong maximum() const;
    CORBA::ULong length() const;
    void length(CORBA::ULong length);
    virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
    struct a::f *get_buffer(CORBA::Boolean orphan = 0);
    const struct a::f *get_buffer() const;
  } ;

  typedef b::flick_sequence_f *flick_sequence_f_ptr;
  class flick_sequence_f_var {

  public:
    flick_sequence_f_var();
    flick_sequence_f_var(b::flick_sequence_f *p);
    flick_sequence_f_var(const b::flick_sequence_f_var &a);
    ~flick_sequence_f_var();
    b::flick_sequence_f_var &operator=(b::flick_sequence_f *p);
    b::flick_sequence_f_var &operator=(const b::flick_sequence_f_var &p);
    struct a::f &operator[](CORBA::ULong index);
    const struct a::f &operator[](CORBA::ULong index) const;
    b::flick_sequence_f *operator->();
    const b::flick_sequence_f *operator->() const;
    operator const b::flick_sequence_f &() const;
    operator b::flick_sequence_f &();
    operator b::flick_sequence_f &() const;
    const b::flick_sequence_f &in() const;
    b::flick_sequence_f &inout();
    b::flick_sequence_f *&out();
    b::flick_sequence_f *_retn();
    b::flick_sequence_f *ptr() const;

  private:
    b::flick_sequence_f_ptr ptr_;
  } ;

  class flick_sequence_f_out {

  public:
    flick_sequence_f_out(b::flick_sequence_f *&r);
    flick_sequence_f_out(b::flick_sequence_f_var &r);
    flick_sequence_f_out(const b::flick_sequence_f_out &r);
    b::flick_sequence_f_out &operator=(const b::flick_sequence_f_out &r);

  private:
    b::flick_sequence_f_out &operator=(const b::flick_sequence_f_var &r);

  public:
    b::flick_sequence_f_out &operator=(b::flick_sequence_f *r);
    operator b::flick_sequence_f *&();
    b::flick_sequence_f *&ptr();
    struct a::f &operator[](CORBA::ULong index);
    const struct a::f &operator[](CORBA::ULong index) const;
    b::flick_sequence_f *operator->();

  private:
    b::flick_sequence_f_ptr &ptr_;
  } ;

  b::flick_sequence_f c;
  class flick_sequence_b {

  public:
    CORBA::ULong _maximum;
    CORBA::ULong _length;
    struct b *_buffer;
    CORBA::Boolean _release;
    flick_sequence_b();
    flick_sequence_b(CORBA::ULong max);
    flick_sequence_b(CORBA::ULong max, CORBA::ULong length, struct b *buffer, CORBA::Boolean release = 0);
    flick_sequence_b(const b::flick_sequence_b &o);
    virtual ~flick_sequence_b();
    b::flick_sequence_b &operator=(const b::flick_sequence_b &rhs);
    struct b &operator[](CORBA::ULong i);
    const struct b &operator[](CORBA::ULong i) const;
    static struct b *allocbuf(CORBA::ULong size);
    static void freebuf(struct b *buffer);
    virtual void _allocate_buffer(CORBA::ULong length);
    virtual void _deallocate_buffer();
    CORBA::Boolean release() const;
    CORBA::ULong maximum() const;
    CORBA::ULong length() const;
    void length(CORBA::ULong length);
    virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
    struct b *get_buffer(CORBA::Boolean orphan = 0);
    const struct b *get_buffer() const;
  } ;

  typedef b::flick_sequence_b *flick_sequence_b_ptr;
  class flick_sequence_b_var {

  public:
    flick_sequence_b_var();
    flick_sequence_b_var(b::flick_sequence_b *p);
    flick_sequence_b_var(const b::flick_sequence_b_var &a);
    ~flick_sequence_b_var();
    b::flick_sequence_b_var &operator=(b::flick_sequence_b *p);
    b::flick_sequence_b_var &operator=(const b::flick_sequence_b_var &p);
    struct b &operator[](CORBA::ULong index);
    const struct b &operator[](CORBA::ULong index) const;
    b::flick_sequence_b *operator->();
    const b::flick_sequence_b *operator->() const;
    operator const b::flick_sequence_b &() const;
    operator b::flick_sequence_b &();
    operator b::flick_sequence_b &() const;
    const b::flick_sequence_b &in() const;
    b::flick_sequence_b &inout();
    b::flick_sequence_b *&out();
    b::flick_sequence_b *_retn();
    b::flick_sequence_b *ptr() const;

  private:
    b::flick_sequence_b_ptr ptr_;
  } ;

  class flick_sequence_b_out {

  public:
    flick_sequence_b_out(b::flick_sequence_b *&r);
    flick_sequence_b_out(b::flick_sequence_b_var &r);
    flick_sequence_b_out(const b::flick_sequence_b_out &r);
    b::flick_sequence_b_out &operator=(const b::flick_sequence_b_out &r);

  private:
    b::flick_sequence_b_out &operator=(const b::flick_sequence_b_var &r);

  public:
    b::flick_sequence_b_out &operator=(b::flick_sequence_b *r);
    operator b::flick_sequence_b *&();
    b::flick_sequence_b *&ptr();
    struct b &operator[](CORBA::ULong index);
    const struct b &operator[](CORBA::ULong index) const;
    b::flick_sequence_b *operator->();

  private:
    b::flick_sequence_b_ptr &ptr_;
  } ;

  b::flick_sequence_b d;
  static CORBA::TypeCode_ptr _tc_flick_sequence_f;
  static CORBA::TypeCode_ptr _tc_flick_sequence_b;
} ;


class b_var {

public:
  b_var();
  b_var(struct b *p);
  b_var(const b_var &a);
  ~b_var();
  b_var &operator=(struct b *p);
  b_var &operator=(const b_var &p);
  struct b *operator->();
  const struct b *operator->() const;
  operator const struct b &() const;
  operator struct b &();
  operator struct b &() const;
  const struct b &in() const;
  struct b &inout();
  struct b *&out();
  struct b *_retn();
  struct b *ptr() const;

private:
  struct b *ptr_;
} ;


class b_out {

public:
  b_out(struct b *&r);
  b_out(b_var &r);
  b_out(const b_out &r);
  b_out &operator=(const b_out &r);

private:
  b_out &operator=(const b_var &r);

public:
  b_out &operator=(struct b *r);
  operator struct b *&();
  struct b *&ptr();
  struct b *operator->();

private:
  struct b *&ptr_;
} ;


void operator<<=(CORBA::Any &a, const struct b &o);

void operator<<=(CORBA::Any &a, struct b *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct b *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct b *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct b *_data);

enum c {
  NORTH = 0,
  EAST = 1,
  WEST = 2,
  SOUTH = 3,
  DOWN = 4
} ;


typedef enum c &c_out;

int flick_marshal_stub(flick_marshal_stream_t _stream, const enum c *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, enum c *_data);

void operator<<=(CORBA::Any &a, const d::d::u &o);

void operator<<=(CORBA::Any &a, d::d::u *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, d::d::u *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const d::d::u *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, d::d::u *_data);

void operator<<=(CORBA::Any &a, const d::d &o);

void operator<<=(CORBA::Any &a, d::d *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, d::d *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const d::d *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, d::d *_data);

class d : public TAO_Base_Union {

public:
  d();
  d(const d &o);
  virtual ~d();
  d &operator=(const d &o);

private:
  void _reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_);
  virtual void *_discriminant();
  virtual void _reset();
  virtual void *_access(CORBA::Boolean flag);

public:
  class d : public TAO_Base_Union {

  public:
    d();
    d(const d::d &o);
    virtual ~d();
    d::d &operator=(const d::d &o);

  private:
    void _reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_);
    virtual void *_discriminant();
    virtual void _reset();
    virtual void *_access(CORBA::Boolean flag);

  public:
    class u : public TAO_Base_Union {

    public:
      u();
      u(const d::d::u &o);
      virtual ~u();
      d::d::u &operator=(const d::d::u &o);

    private:
      void _reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_);
      virtual void *_discriminant();
      virtual void _reset();
      virtual void *_access(CORBA::Boolean flag);

    public:
      CORBA::Boolean disc_;
      void _d(CORBA::Boolean _d_);
      CORBA::Boolean _d() const;
      class flick_sequence_d {

      public:
        CORBA::ULong _maximum;
        CORBA::ULong _length;
        d::d *_buffer;
        CORBA::Boolean _release;
        flick_sequence_d();
        flick_sequence_d(CORBA::ULong length, d::d *buffer, CORBA::Boolean release = 0);
        flick_sequence_d(const d::d::u::flick_sequence_d &o);
        virtual ~flick_sequence_d();
        d::d::u::flick_sequence_d &operator=(const d::d::u::flick_sequence_d &rhs);
        d::d &operator[](CORBA::ULong i);
        const d::d &operator[](CORBA::ULong i) const;
        static d::d *allocbuf(CORBA::ULong size);
        static void freebuf(d::d *buffer);
        virtual void _allocate_buffer(CORBA::ULong length);
        virtual void _deallocate_buffer();
        CORBA::Boolean release() const;
        CORBA::ULong maximum() const;
        CORBA::ULong length() const;
        void length(CORBA::ULong length);
        virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
        d::d *get_buffer(CORBA::Boolean orphan = 0);
        const d::d *get_buffer() const;
      } ;

      typedef d::d::u::flick_sequence_d *flick_sequence_d_ptr;
      class flick_sequence_d_var {

      public:
        flick_sequence_d_var();
        flick_sequence_d_var(d::d::u::flick_sequence_d *p);
        flick_sequence_d_var(const d::d::u::flick_sequence_d_var &a);
        ~flick_sequence_d_var();
        d::d::u::flick_sequence_d_var &operator=(d::d::u::flick_sequence_d *p);
        d::d::u::flick_sequence_d_var &operator=(const d::d::u::flick_sequence_d_var &p);
        d::d &operator[](CORBA::ULong index);
        const d::d &operator[](CORBA::ULong index) const;
        d::d::u::flick_sequence_d *operator->();
        const d::d::u::flick_sequence_d *operator->() const;
        operator const d::d::u::flick_sequence_d &() const;
        operator d::d::u::flick_sequence_d &();
        operator d::d::u::flick_sequence_d &() const;
        const d::d::u::flick_sequence_d &in() const;
        d::d::u::flick_sequence_d &inout();
        d::d::u::flick_sequence_d *&out();
        d::d::u::flick_sequence_d *_retn();
        d::d::u::flick_sequence_d *ptr() const;

      private:
        d::d::u::flick_sequence_d_ptr ptr_;
      } ;

      class flick_sequence_d_out {

      public:
        flick_sequence_d_out(d::d::u::flick_sequence_d *&r);
        flick_sequence_d_out(d::d::u::flick_sequence_d_var &r);
        flick_sequence_d_out(const d::d::u::flick_sequence_d_out &r);
        d::d::u::flick_sequence_d_out &operator=(const d::d::u::flick_sequence_d_out &r);

      private:
        d::d::u::flick_sequence_d_out &operator=(const d::d::u::flick_sequence_d_var &r);

      public:
        d::d::u::flick_sequence_d_out &operator=(d::d::u::flick_sequence_d *r);
        operator d::d::u::flick_sequence_d *&();
        d::d::u::flick_sequence_d *&ptr();
        d::d &operator[](CORBA::ULong index);
        const d::d &operator[](CORBA::ULong index) const;
        d::d::u::flick_sequence_d *operator->();

      private:
        d::d::u::flick_sequence_d_ptr &ptr_;
      } ;

      void next(const d::d::u::flick_sequence_d &v);
      const d::d::u::flick_sequence_d &next() const;
      d::d::u::flick_sequence_d &next();
      union {

      public:
        d::d::u::flick_sequence_d *next;
      } _u;
      static CORBA::TypeCode_ptr _tc_flick_sequence_d;
    } ;

    class u_var {

    public:
      u_var();
      u_var(d::d::u *p);
      u_var(const d::d::u_var &a);
      ~u_var();
      d::d::u_var &operator=(d::d::u *p);
      d::d::u_var &operator=(const d::d::u_var &p);
      d::d::u *operator->();
      const d::d::u *operator->() const;
      operator const d::d::u &() const;
      operator d::d::u &();
      operator d::d::u &() const;
      const d::d::u &in() const;
      d::d::u &inout();
      d::d::u *&out();
      d::d::u *_retn();
      d::d::u *ptr() const;

    private:
      d::d::u *ptr_;
    } ;

    class u_out {

    public:
      u_out(d::d::u *&r);
      u_out(d::d::u_var &r);
      u_out(const d::d::u_out &r);
      d::d::u_out &operator=(const d::d::u_out &r);

    private:
      d::d::u_out &operator=(const d::d::u_var &r);

    public:
      d::d::u_out &operator=(d::d::u *r);
      operator d::d::u *&();
      d::d::u *&ptr();
      d::d::u *operator->();

    private:
      d::d::u *&ptr_;
    } ;

    enum c disc_;
    void _d(enum c _d_);
    enum c _d() const;
    void x(CORBA::Long v);
    CORBA::Long x() const;
    void y(CORBA::Double v);
    CORBA::Double y() const;
    void z(CORBA::Boolean v);
    CORBA::Boolean z() const;
    void s(const struct b &v);
    const struct b &s() const;
    struct b &s();
    void u(const d::d::u &v);
    const d::d::u &u() const;
    d::d::u &u();
    union {

    public:
      CORBA::Long x;
      CORBA::Double y;
      CORBA::Boolean z;
      struct b *s;
      d::d::u u;
    } _u;
    static CORBA::TypeCode_ptr _tc_u;
  } ;

  class d_var {

  public:
    d_var();
    d_var(d::d *p);
    d_var(const d::d_var &a);
    ~d_var();
    d::d_var &operator=(d::d *p);
    d::d_var &operator=(const d::d_var &p);
    d::d *operator->();
    const d::d *operator->() const;
    operator const d::d &() const;
    operator d::d &();
    operator d::d &() const;
    const d::d &in() const;
    d::d &inout();
    d::d *&out();
    d::d *_retn();
    d::d *ptr() const;

  private:
    d::d *ptr_;
  } ;

  class d_out {

  public:
    d_out(d::d *&r);
    d_out(d::d_var &r);
    d_out(const d::d_out &r);
    d::d_out &operator=(const d::d_out &r);

  private:
    d::d_out &operator=(const d::d_var &r);

  public:
    d::d_out &operator=(d::d *r);
    operator d::d *&();
    d::d *&ptr();
    d::d *operator->();

  private:
    d::d *&ptr_;
  } ;

  CORBA::Long disc_;
  void _d(CORBA::Long _d_);
  CORBA::Long _d() const;
  void one(const struct a &v);
  const struct a &one() const;
  struct a &one();
  void two(const struct b &v);
  const struct b &two() const;
  struct b &two();
  void three(const d::d &v);
  const d::d &three() const;
  d::d &three();
  class flick_sequence_d {

  public:
    CORBA::ULong _maximum;
    CORBA::ULong _length;
    d::d *_buffer;
    CORBA::Boolean _release;
    flick_sequence_d();
    flick_sequence_d(CORBA::ULong max);
    flick_sequence_d(CORBA::ULong max, CORBA::ULong length, d::d *buffer, CORBA::Boolean release = 0);
    flick_sequence_d(const d::flick_sequence_d &o);
    virtual ~flick_sequence_d();
    d::flick_sequence_d &operator=(const d::flick_sequence_d &rhs);
    d::d &operator[](CORBA::ULong i);
    const d::d &operator[](CORBA::ULong i) const;
    static d::d *allocbuf(CORBA::ULong size);
    static void freebuf(d::d *buffer);
    virtual void _allocate_buffer(CORBA::ULong length);
    virtual void _deallocate_buffer();
    CORBA::Boolean release() const;
    CORBA::ULong maximum() const;
    CORBA::ULong length() const;
    void length(CORBA::ULong length);
    virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
    d::d *get_buffer(CORBA::Boolean orphan = 0);
    const d::d *get_buffer() const;
  } ;

  typedef d::flick_sequence_d *flick_sequence_d_ptr;
  class flick_sequence_d_var {

  public:
    flick_sequence_d_var();
    flick_sequence_d_var(d::flick_sequence_d *p);
    flick_sequence_d_var(const d::flick_sequence_d_var &a);
    ~flick_sequence_d_var();
    d::flick_sequence_d_var &operator=(d::flick_sequence_d *p);
    d::flick_sequence_d_var &operator=(const d::flick_sequence_d_var &p);
    d::d &operator[](CORBA::ULong index);
    const d::d &operator[](CORBA::ULong index) const;
    d::flick_sequence_d *operator->();
    const d::flick_sequence_d *operator->() const;
    operator const d::flick_sequence_d &() const;
    operator d::flick_sequence_d &();
    operator d::flick_sequence_d &() const;
    const d::flick_sequence_d &in() const;
    d::flick_sequence_d &inout();
    d::flick_sequence_d *&out();
    d::flick_sequence_d *_retn();
    d::flick_sequence_d *ptr() const;

  private:
    d::flick_sequence_d_ptr ptr_;
  } ;

  class flick_sequence_d_out {

  public:
    flick_sequence_d_out(d::flick_sequence_d *&r);
    flick_sequence_d_out(d::flick_sequence_d_var &r);
    flick_sequence_d_out(const d::flick_sequence_d_out &r);
    d::flick_sequence_d_out &operator=(const d::flick_sequence_d_out &r);

  private:
    d::flick_sequence_d_out &operator=(const d::flick_sequence_d_var &r);

  public:
    d::flick_sequence_d_out &operator=(d::flick_sequence_d *r);
    operator d::flick_sequence_d *&();
    d::flick_sequence_d *&ptr();
    d::d &operator[](CORBA::ULong index);
    const d::d &operator[](CORBA::ULong index) const;
    d::flick_sequence_d *operator->();

  private:
    d::flick_sequence_d_ptr &ptr_;
  } ;

  void again(const d::flick_sequence_d &v);
  const d::flick_sequence_d &again() const;
  d::flick_sequence_d &again();
  union {

  public:
    struct a *one;
    struct b *two;
    d::d three;
    d::flick_sequence_d *again;
  } _u;
  static CORBA::TypeCode_ptr _tc_d;
  static CORBA::TypeCode_ptr _tc_flick_sequence_d;
} ;


class d_var {

public:
  d_var();
  d_var(d *p);
  d_var(const d_var &a);
  ~d_var();
  d_var &operator=(d *p);
  d_var &operator=(const d_var &p);
  d *operator->();
  const d *operator->() const;
  operator const d &() const;
  operator d &();
  operator d &() const;
  const d &in() const;
  d &inout();
  d *&out();
  d *_retn();
  d *ptr() const;

private:
  d *ptr_;
} ;


class d_out {

public:
  d_out(d *&r);
  d_out(d_var &r);
  d_out(const d_out &r);
  d_out &operator=(const d_out &r);

private:
  d_out &operator=(const d_var &r);

public:
  d_out &operator=(d *r);
  operator d *&();
  d *&ptr();
  d *operator->();

private:
  d *&ptr_;
} ;


void operator<<=(CORBA::Any &a, const d &o);

void operator<<=(CORBA::Any &a, d *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, d *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const d *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, d *_data);

class obj ;


typedef obj *obj_ptr;

class obj_var {

public:
  obj_var();
  obj_var(obj_ptr p);
  obj_var(const obj_var &a);
  ~obj_var();
  obj_var &operator=(obj_ptr p);
  obj_var &operator=(const obj_var &p);
  obj_ptr operator->() const;
  operator const obj_ptr &() const;
  operator obj_ptr &();
  obj_ptr in() const;
  obj_ptr &inout();
  obj_ptr &out();
  obj_ptr _retn();
  obj_ptr ptr() const;

private:
  obj_ptr ptr_;
  obj_ptr ptr_;
} ;


class obj_out {

public:
  obj_out(obj_ptr &r);
  obj_out(obj_var &r);
  obj_out(const obj_out &r);
  obj_out &operator=(const obj_out &r);
  obj_out &operator=(const obj_var &r);
  obj_out &operator=(obj_ptr r);
  operator obj_ptr &();
  obj_ptr &ptr();
  obj_ptr operator->();

private:
  obj_ptr &ptr_;
  obj_ptr &ptr_;
} ;


class obj : public virtual ACE_CORBA_1 (Object) {

public:
  static obj_ptr _duplicate(obj_ptr obj);
  static obj_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static obj_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static obj_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  obj();
  virtual ~obj();

private:
  obj(const obj &v);
  void operator=(const obj &v);

public:
  class obj ;

  typedef obj_ptr my_obj_ptr;
  typedef obj_var my_obj_var;
  typedef obj_out my_obj_out;
  typedef obj my_obj;
  virtual obj::my_obj_ptr get_server(/* obj *this, */ CORBA::Environment &_ev);
  virtual void set_server(/* obj *this, */ obj::my_obj_ptr srvr, CORBA::Environment &_ev);
  virtual enum c convert(/* obj *this, */ const struct a &a1, const struct b &b1, CORBA::Environment &_ev);

protected:
  obj(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);

public:
  static CORBA::TypeCode_ptr _tc_my_obj;
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const obj_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, obj_ptr *_data);

void operator<<=(CORBA::Any &a, obj_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, obj_ptr &o);

typedef POA_obj POA_my_obj;

typedef POA_obj_ptr POA_my_obj_ptr;

typedef POA_obj POA_my_obj;

template <class T>
  class POA_obj_tie : public POA_obj {

  public:

  private:
  } ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const obj::my_obj_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, obj::my_obj_ptr *_data);

extern CORBA::TypeCode_ptr _tc_a;

extern CORBA::TypeCode_ptr _tc_b;

extern CORBA::TypeCode_ptr _tc_d;

extern CORBA::TypeCode_ptr _tc_obj;

#endif /* _recursive_client_h_ */
