#include "mig-arrays-ool-client.h"

/* This is the runtime type information */
/* */

kern_return_t rpc_64_in(mach_port_t target, t64B foo)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort1);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort1);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 234002, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort1);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort12);
            break;
            {
            _flick_abort12:
              goto _flick_abort1;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort1);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort7);
            break;
            {
            _flick_abort7:
              goto _flick_abort1;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort1:
    flick_mig_client_error(cdr, khazana, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_128_in(mach_port_t target, t128B foo)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort14);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort14);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 234003, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort14);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort14);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort25);
            break;
            {
            _flick_abort25:
              goto _flick_abort14;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort14);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort20);
            break;
            {
            _flick_abort20:
              goto _flick_abort14;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort14:
    flick_mig_client_error(cdr, khazana, _flick_abort13);
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_256_in(mach_port_t target, t256B foo)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort27);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort27);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 234004, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort27);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort27);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort38);
            break;
            {
            _flick_abort38:
              goto _flick_abort27;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort27);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort33);
            break;
            {
            _flick_abort33:
              goto _flick_abort27;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort27:
    flick_mig_client_error(cdr, khazana, _flick_abort26);
  _flick_abort26:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_512_in(mach_port_t target, t512B foo)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort40);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort40);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 234005, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort40);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort40);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort51);
            break;
            {
            _flick_abort51:
              goto _flick_abort40;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort40);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort46);
            break;
            {
            _flick_abort46:
              goto _flick_abort40;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort40:
    flick_mig_client_error(cdr, khazana, _flick_abort39);
  _flick_abort39:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_1K_in(mach_port_t target, t1K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort53);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort53);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 234006, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort53);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort53);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort64);
            break;
            {
            _flick_abort64:
              goto _flick_abort53;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort53);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort59);
            break;
            {
            _flick_abort59:
              goto _flick_abort53;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort53:
    flick_mig_client_error(cdr, khazana, _flick_abort52);
  _flick_abort52:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_2K_in(mach_port_t target, t2K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort66);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort66);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 234007, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort66);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort66);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort77);
            break;
            {
            _flick_abort77:
              goto _flick_abort66;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort66);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort72);
            break;
            {
            _flick_abort72:
              goto _flick_abort66;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort66:
    flick_mig_client_error(cdr, khazana, _flick_abort65);
  _flick_abort65:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_4K_in(mach_port_t target, t4K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort79);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort79);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 234008, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort79);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort79);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort90);
            break;
            {
            _flick_abort90:
              goto _flick_abort79;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort79);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort85);
            break;
            {
            _flick_abort85:
              goto _flick_abort79;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort79:
    flick_mig_client_error(cdr, khazana, _flick_abort78);
  _flick_abort78:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_8K_in(mach_port_t target, t8K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort92);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort92);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 234009, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort92);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort92);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort103);
            break;
            {
            _flick_abort103:
              goto _flick_abort92;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort92);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort98);
            break;
            {
            _flick_abort98:
              goto _flick_abort92;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort92:
    flick_mig_client_error(cdr, khazana, _flick_abort91);
  _flick_abort91:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_16K_in(mach_port_t target, t16K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort105);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort105);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 234010, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort105);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort105);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort116);
            break;
            {
            _flick_abort116:
              goto _flick_abort105;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort105);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort111);
            break;
            {
            _flick_abort111:
              goto _flick_abort105;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort105:
    flick_mig_client_error(cdr, khazana, _flick_abort104);
  _flick_abort104:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_32K_in(mach_port_t target, t32K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort118);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort118);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 234011, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort118);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort118);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort129);
            break;
            {
            _flick_abort129:
              goto _flick_abort118;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort118);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort124);
            break;
            {
            _flick_abort124:
              goto _flick_abort118;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort118:
    flick_mig_client_error(cdr, khazana, _flick_abort117);
  _flick_abort117:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_64K_in(mach_port_t target, t64K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort131);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort131);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 234012, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort131);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort131);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort142);
            break;
            {
            _flick_abort142:
              goto _flick_abort131;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort131);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort137);
            break;
            {
            _flick_abort137:
              goto _flick_abort131;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort131:
    flick_mig_client_error(cdr, khazana, _flick_abort130);
  _flick_abort130:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

