#ifndef _struct_server_h_
#define _struct_server_h_

#include <flick/link/mach3mig.h>

#include <flick/encode/mach3mig.h>

#include <flick/pres/corba.h>

#ifndef _typedef___bar
#define _typedef___bar
typedef struct bar {
  CORBA_long b1;
  CORBA_long b2;
  CORBA_char *b3;
} bar;
#endif /* _typedef___bar */

#ifndef _typedef___bar2
#define _typedef___bar2
typedef struct bar2 {
  CORBA_long b3;
  struct bar b4;
} bar2;
#endif /* _typedef___bar2 */

#ifndef _typedef___bar3
#define _typedef___bar3
typedef struct bar3 {
  CORBA_long b1;
  CORBA_long b2;
  CORBA_long b3;
} bar3;
#endif /* _typedef___bar3 */

#ifndef _typedef___bar4
#define _typedef___bar4
typedef struct bar4 {
  CORBA_long b1;
  struct bar2 b2;
  CORBA_long b3;
  struct bar3 b4;
  CORBA_long b5;
} bar4;
#endif /* _typedef___bar4 */

#ifndef _typedef___foo
#define _typedef___foo
typedef CORBA_Object foo;
#endif /* _typedef___foo */

extern flick_dispatch_t foo_server;

CORBA_long foo_op(foo _obj, struct bar *a, struct bar2 **b, CORBA_Environment *_ev);

CORBA_boolean CORBA_Object_is_a_internal(CORBA_Object _obj, CORBA_char *id, char **_par, CORBA_Environment *_ev);

#ifndef _typedef___foo2
#define _typedef___foo2
typedef CORBA_Object foo2;
#endif /* _typedef___foo2 */

extern flick_dispatch_t foo2_server;

struct bar *foo2_op2(foo2 _obj, struct bar2 *a, CORBA_Environment *_ev);

CORBA_long foo2_op3(foo2 _obj, CORBA_long a, CORBA_char *b, CORBA_Environment *_ev);

CORBA_long foo2_op(foo2 _obj, struct bar *a, struct bar2 **b, CORBA_Environment *_ev);

#ifndef _typedef___Coord
#define _typedef___Coord
typedef CORBA_unsigned_short Coord;
#endif /* _typedef___Coord */

#ifndef _typedef___CellPos
#define _typedef___CellPos
typedef struct CellPos {
  Coord row;
  Coord col;
} CellPos;
#endif /* _typedef___CellPos */

#ifndef _typedef___CellPos2
#define _typedef___CellPos2
typedef struct CellPos2 {
  CORBA_unsigned_short row;
  CORBA_unsigned_short col;
} CellPos2;
#endif /* _typedef___CellPos2 */

#ifndef _typedef___CellPos3
#define _typedef___CellPos3
typedef struct CellPos3 {
  Coord row;
  Coord col;
  CORBA_unsigned_short col2;
} CellPos3;
#endif /* _typedef___CellPos3 */

#endif /* _struct_server_h_ */
