#ifndef _structplain__server_h_
#define _structplain__server_h_

#include <flick/link/mach3mig.h>

#include <flick/encode/mach3mig.h>

#include <flick/pres/corba.h>

#ifndef _typedef___coord
#define _typedef___coord
typedef struct coord {
  CORBA_short row;
  CORBA_short col;
} coord;
#endif /* _typedef___coord */

#ifndef _typedef___geom
#define _typedef___geom
typedef CORBA_Object geom;
#endif /* _typedef___geom */

extern flick_dispatch_t geom_server;

CORBA_short geom_dist(geom _obj, struct coord *a, struct coord *b, CORBA_Environment *_ev);

CORBA_boolean CORBA_Object_is_a_internal(CORBA_Object _obj, CORBA_char *id, char **_par, CORBA_Environment *_ev);

#endif /* _structplain__server_h_ */
