#include "array-1-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	0
};

char *flick_interface_parents_VERS[] = {
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = PROG;
	s.vers_num = VERS;

	reg_success = flick_server_register(s, &prog_1234);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(64, _flick_abort0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 16; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t0_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(64);
  flick_xdr_encode_bcopy(0, *_data, 64);
  flick_suntcp_encode_end_chunk(64);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(64);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(64);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(16 * 4 + 64, _flick_abort11);
  for (_t1_array_iter = 0; _t1_array_iter < 16; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t1_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(64);
  flick_xdr_decode_bcopy(0, *_data, 64);
  flick_suntcp_decode_end_chunk(64);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(64);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort11:
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t2_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(128, _flick_abort16);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < 32; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t2_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(128);
  flick_xdr_encode_bcopy(0, *_data, 128);
  flick_suntcp_encode_end_chunk(128);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(128);
  return 0;
  {
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t3_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(128);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(32 * 4 + 128, _flick_abort27);
  for (_t3_array_iter = 0; _t3_array_iter < 32; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t3_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(128);
  flick_xdr_decode_bcopy(0, *_data, 128);
  flick_suntcp_decode_end_chunk(128);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(128);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort27:
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t4_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(256, _flick_abort32);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t4_array_iter = 0; _t4_array_iter < 64; _t4_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t4_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(256);
  flick_xdr_encode_bcopy(0, *_data, 256);
  flick_suntcp_encode_end_chunk(256);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(256);
  return 0;
  {
  _flick_abort32:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t5_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(256);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(64 * 4 + 256, _flick_abort43);
  for (_t5_array_iter = 0; _t5_array_iter < 64; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t5_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(256);
  flick_xdr_decode_bcopy(0, *_data, 256);
  flick_suntcp_decode_end_chunk(256);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(256);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort43:
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t6_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(512, _flick_abort48);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t6_array_iter = 0; _t6_array_iter < 128; _t6_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t6_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(512);
  flick_xdr_encode_bcopy(0, *_data, 512);
  flick_suntcp_encode_end_chunk(512);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(512);
  return 0;
  {
  _flick_abort48:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t7_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(512);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(128 * 4 + 512, _flick_abort59);
  for (_t7_array_iter = 0; _t7_array_iter < 128; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t7_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(512);
  flick_xdr_decode_bcopy(0, *_data, 512);
  flick_suntcp_decode_end_chunk(512);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(512);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort59:
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t8_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(1024, _flick_abort64);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t8_array_iter = 0; _t8_array_iter < 256; _t8_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t8_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(1024);
  flick_xdr_encode_bcopy(0, *_data, 1024);
  flick_suntcp_encode_end_chunk(1024);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(1024);
  return 0;
  {
  _flick_abort64:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t9_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(1024);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(256 * 4 + 1024, _flick_abort75);
  for (_t9_array_iter = 0; _t9_array_iter < 256; _t9_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t9_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(1024);
  flick_xdr_decode_bcopy(0, *_data, 1024);
  flick_suntcp_decode_end_chunk(1024);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(1024);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort75:
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t10_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(2048, _flick_abort80);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t10_array_iter = 0; _t10_array_iter < 512; _t10_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t10_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(2048);
  flick_xdr_encode_bcopy(0, *_data, 2048);
  flick_suntcp_encode_end_chunk(2048);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(2048);
  return 0;
  {
  _flick_abort80:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t11_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(2048);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(512 * 4 + 2048, _flick_abort91);
  for (_t11_array_iter = 0; _t11_array_iter < 512; _t11_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t11_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(2048);
  flick_xdr_decode_bcopy(0, *_data, 2048);
  flick_suntcp_decode_end_chunk(2048);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(2048);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort91:
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t12_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4096, _flick_abort96);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t12_array_iter = 0; _t12_array_iter < 1024; _t12_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t12_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4096);
  flick_xdr_encode_bcopy(0, *_data, 4096);
  flick_suntcp_encode_end_chunk(4096);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4096);
  return 0;
  {
  _flick_abort96:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t13_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4096);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(1024 * 4 + 4096, _flick_abort107);
  for (_t13_array_iter = 0; _t13_array_iter < 1024; _t13_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t13_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4096);
  flick_xdr_decode_bcopy(0, *_data, 4096);
  flick_suntcp_decode_end_chunk(4096);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4096);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort107:
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t14_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8192, _flick_abort112);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t14_array_iter = 0; _t14_array_iter < 2048; _t14_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t14_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(8192);
  flick_xdr_encode_bcopy(0, *_data, 8192);
  flick_suntcp_encode_end_chunk(8192);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(8192);
  return 0;
  {
  _flick_abort112:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t15_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(2048 * 4 + 8192, _flick_abort123);
  for (_t15_array_iter = 0; _t15_array_iter < 2048; _t15_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t15_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(8192);
  flick_xdr_decode_bcopy(0, *_data, 8192);
  flick_suntcp_decode_end_chunk(8192);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(8192);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort123:
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t16_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(16384, _flick_abort128);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t16_array_iter = 0; _t16_array_iter < 4096; _t16_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t16_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(16384);
  flick_xdr_encode_bcopy(0, *_data, 16384);
  flick_suntcp_encode_end_chunk(16384);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(16384);
  return 0;
  {
  _flick_abort128:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t17_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(16384);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(4096 * 4 + 16384, _flick_abort139);
  for (_t17_array_iter = 0; _t17_array_iter < 4096; _t17_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t17_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(16384);
  flick_xdr_decode_bcopy(0, *_data, 16384);
  flick_suntcp_decode_end_chunk(16384);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(16384);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort139:
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t18_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(32768, _flick_abort144);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t18_array_iter = 0; _t18_array_iter < 8192; _t18_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t18_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(32768);
  flick_xdr_encode_bcopy(0, *_data, 32768);
  flick_suntcp_encode_end_chunk(32768);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(32768);
  return 0;
  {
  _flick_abort144:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t19_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(32768);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(8192 * 4 + 32768, _flick_abort155);
  for (_t19_array_iter = 0; _t19_array_iter < 8192; _t19_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t19_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(32768);
  flick_xdr_decode_bcopy(0, *_data, 32768);
  flick_suntcp_decode_end_chunk(32768);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(32768);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort155:
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t20_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(65536, _flick_abort160);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t20_array_iter = 0; _t20_array_iter < 16384; _t20_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t20_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(65536);
  flick_xdr_encode_bcopy(0, *_data, 65536);
  flick_suntcp_encode_end_chunk(65536);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(65536);
  return 0;
  {
  _flick_abort160:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t21_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(65536);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(16384 * 4 + 65536, _flick_abort171);
  for (_t21_array_iter = 0; _t21_array_iter < 16384; _t21_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t21_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(65536);
  flick_xdr_decode_bcopy(0, *_data, 65536);
  flick_suntcp_decode_end_chunk(65536);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(65536);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort171:
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t prog_1234(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t56_switch_tag;

    flick_suntcp_decode_new_glob(4116);
    flick_suntcp_check_span(4, _flick_abort178);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t56_switch_tag, signed int );
    flick_suntcp_decode_end_chunk(4);
    switch ((signed int )_t56_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t57_ignore;
            int *_return;
            int *_local_arg;
#if BYTE_ORDER != BIG_ENDIAN
            int _t58_storage[16];
            flick_unsigned32_t _t59_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort357);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_check_span(16 * 4 + 80, _flick_abort357);
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t57_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t57_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t57_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t57_ignore, unsigned int );
            _return = 0;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = (int *)_t58_storage;
            for (_t59_array_iter = 0; _t59_array_iter < 16; _t59_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t59_array_iter], int );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(64);
            flick_xdr_decode_msgptr(0, _local_arg, int *);
            flick_suntcp_decode_end_chunk(64);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op64_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block413);
              flick_suntcp_encode_new_glob(8, _flick_abort_block413);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort370);
                    break;
                    {
                    _flick_abort370:
                      goto _flick_abort_block413;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort371);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort371:
                      goto _flick_abort_block413;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort_block413:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
            _flick_abort357:
              goto _flick_abort356;
            }
          }
          break;
          {
          _flick_abort356:
            goto _flick_abort178;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            unsigned int _t60_ignore;
            int *_return;
            int *_local_arg;
#if BYTE_ORDER != BIG_ENDIAN
            int _t61_storage[32];
            flick_unsigned32_t _t62_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort373);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_check_span(32 * 4 + 144, _flick_abort373);
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t60_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t60_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t60_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t60_ignore, unsigned int );
            _return = 0;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = (int *)_t61_storage;
            for (_t62_array_iter = 0; _t62_array_iter < 32; _t62_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t62_array_iter], int );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(128);
            flick_xdr_decode_msgptr(0, _local_arg, int *);
            flick_suntcp_decode_end_chunk(128);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op128_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block432);
              flick_suntcp_encode_new_glob(8, _flick_abort_block432);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort386);
                    break;
                    {
                    _flick_abort386:
                      goto _flick_abort_block432;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort387);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort387:
                      goto _flick_abort_block432;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort_block432:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
            _flick_abort373:
              goto _flick_abort372;
            }
          }
          break;
          {
          _flick_abort372:
            goto _flick_abort178;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            unsigned int _t63_ignore;
            int *_return;
            int *_local_arg;
#if BYTE_ORDER != BIG_ENDIAN
            int _t64_storage[64];
            flick_unsigned32_t _t65_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort389);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_check_span(64 * 4 + 272, _flick_abort389);
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t63_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t63_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t63_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t63_ignore, unsigned int );
            _return = 0;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = (int *)_t64_storage;
            for (_t65_array_iter = 0; _t65_array_iter < 64; _t65_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t65_array_iter], int );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(256);
            flick_xdr_decode_msgptr(0, _local_arg, int *);
            flick_suntcp_decode_end_chunk(256);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op256_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block451);
              flick_suntcp_encode_new_glob(8, _flick_abort_block451);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort402);
                    break;
                    {
                    _flick_abort402:
                      goto _flick_abort_block451;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort403);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort403:
                      goto _flick_abort_block451;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort_block451:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
            _flick_abort389:
              goto _flick_abort388;
            }
          }
          break;
          {
          _flick_abort388:
            goto _flick_abort178;
          }
        }
      case (signed int) 4:
        {
          {
            struct svc_req *_obj;
            unsigned int _t66_ignore;
            int *_return;
            int *_local_arg;
#if BYTE_ORDER != BIG_ENDIAN
            int _t67_storage[128];
            flick_unsigned32_t _t68_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort405);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_check_span(128 * 4 + 528, _flick_abort405);
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t66_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t66_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t66_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t66_ignore, unsigned int );
            _return = 0;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = (int *)_t67_storage;
            for (_t68_array_iter = 0; _t68_array_iter < 128; _t68_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t68_array_iter], int );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(512);
            flick_xdr_decode_msgptr(0, _local_arg, int *);
            flick_suntcp_decode_end_chunk(512);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op512_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block470);
              flick_suntcp_encode_new_glob(8, _flick_abort_block470);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort418);
                    break;
                    {
                    _flick_abort418:
                      goto _flick_abort_block470;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort419);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort419:
                      goto _flick_abort_block470;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort_block470:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
            _flick_abort405:
              goto _flick_abort404;
            }
          }
          break;
          {
          _flick_abort404:
            goto _flick_abort178;
          }
        }
      case (signed int) 5:
        {
          {
            struct svc_req *_obj;
            unsigned int _t69_ignore;
            int *_return;
            int *_local_arg;
#if BYTE_ORDER != BIG_ENDIAN
            int _t70_storage[256];
            flick_unsigned32_t _t71_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort421);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_check_span(256 * 4 + 1040, _flick_abort421);
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t69_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t69_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t69_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t69_ignore, unsigned int );
            _return = 0;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = (int *)_t70_storage;
            for (_t71_array_iter = 0; _t71_array_iter < 256; _t71_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t71_array_iter], int );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(1024);
            flick_xdr_decode_msgptr(0, _local_arg, int *);
            flick_suntcp_decode_end_chunk(1024);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op1k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block489);
              flick_suntcp_encode_new_glob(8, _flick_abort_block489);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort434);
                    break;
                    {
                    _flick_abort434:
                      goto _flick_abort_block489;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort435);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort435:
                      goto _flick_abort_block489;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort_block489:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
            _flick_abort421:
              goto _flick_abort420;
            }
          }
          break;
          {
          _flick_abort420:
            goto _flick_abort178;
          }
        }
      case (signed int) 6:
        {
          {
            struct svc_req *_obj;
            unsigned int _t72_ignore;
            int *_return;
            int *_local_arg;
#if BYTE_ORDER != BIG_ENDIAN
            int _t73_storage[512];
            flick_unsigned32_t _t74_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort437);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_check_span(512 * 4 + 2064, _flick_abort437);
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t72_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t72_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t72_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t72_ignore, unsigned int );
            _return = 0;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = (int *)_t73_storage;
            for (_t74_array_iter = 0; _t74_array_iter < 512; _t74_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t74_array_iter], int );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(2048);
            flick_xdr_decode_msgptr(0, _local_arg, int *);
            flick_suntcp_decode_end_chunk(2048);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op2k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block508);
              flick_suntcp_encode_new_glob(8, _flick_abort_block508);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort450);
                    break;
                    {
                    _flick_abort450:
                      goto _flick_abort_block508;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort451);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort451:
                      goto _flick_abort_block508;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort_block508:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
            _flick_abort437:
              goto _flick_abort436;
            }
          }
          break;
          {
          _flick_abort436:
            goto _flick_abort178;
          }
        }
      case (signed int) 7:
        {
          {
            struct svc_req *_obj;
            unsigned int _t75_ignore;
            int *_return;
            int *_local_arg;
#if BYTE_ORDER != BIG_ENDIAN
            int _t76_storage[1024];
            flick_unsigned32_t _t77_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort453);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_check_span(1024 * 4 + 4112, _flick_abort453);
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t75_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t75_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t75_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t75_ignore, unsigned int );
            _return = 0;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = (int *)_t76_storage;
            for (_t77_array_iter = 0; _t77_array_iter < 1024; _t77_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t77_array_iter], int );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(4096);
            flick_xdr_decode_msgptr(0, _local_arg, int *);
            flick_suntcp_decode_end_chunk(4096);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op4k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block527);
              flick_suntcp_encode_new_glob(8, _flick_abort_block527);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort466);
                    break;
                    {
                    _flick_abort466:
                      goto _flick_abort_block527;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort467);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort467:
                      goto _flick_abort_block527;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort_block527:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
            _flick_abort453:
              goto _flick_abort452;
            }
          }
          break;
          {
          _flick_abort452:
            goto _flick_abort178;
          }
        }
      case (signed int) 8:
        {
          {
            struct svc_req *_obj;
            unsigned int _t78_ignore;
            int *_return;
            int *_local_arg;
#if BYTE_ORDER != BIG_ENDIAN
            int _t79_storage[2048];
            flick_unsigned32_t _t80_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort469);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_check_span(2048 * 4 + 8208, _flick_abort469);
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t78_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t78_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t78_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t78_ignore, unsigned int );
            _return = 0;
            flick_suntcp_decode_end_chunk(16);
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = (int *)_t79_storage;
            for (_t80_array_iter = 0; _t80_array_iter < 2048; _t80_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t80_array_iter], int );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(8192);
            flick_xdr_decode_msgptr(0, _local_arg, int *);
            flick_suntcp_decode_end_chunk(8192);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(8192);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op8k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block546);
              flick_suntcp_encode_new_glob(8, _flick_abort_block546);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort482);
                    break;
                    {
                    _flick_abort482:
                      goto _flick_abort_block546;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort483);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort483:
                      goto _flick_abort_block546;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort_block546:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
            _flick_abort469:
              goto _flick_abort468;
            }
          }
          break;
          {
          _flick_abort468:
            goto _flick_abort178;
          }
        }
      case (signed int) 9:
        {
          {
            struct svc_req *_obj;
            unsigned int _t81_ignore;
            int *_return;
            int *_local_arg;
#if BYTE_ORDER != BIG_ENDIAN
            int _t82_storage[4096];
            flick_unsigned32_t _t83_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort485);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_check_span(4096 * 4 + 16400, _flick_abort485);
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t81_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t81_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t81_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t81_ignore, unsigned int );
            _return = 0;
            flick_suntcp_decode_end_chunk(16);
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_decode_new_glob(16384);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = (int *)_t82_storage;
            for (_t83_array_iter = 0; _t83_array_iter < 4096; _t83_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t83_array_iter], int );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(16384);
            flick_xdr_decode_msgptr(0, _local_arg, int *);
            flick_suntcp_decode_end_chunk(16384);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(16384);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op16k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block565);
              flick_suntcp_encode_new_glob(8, _flick_abort_block565);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort498);
                    break;
                    {
                    _flick_abort498:
                      goto _flick_abort_block565;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort499);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort499:
                      goto _flick_abort_block565;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort_block565:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
            _flick_abort485:
              goto _flick_abort484;
            }
          }
          break;
          {
          _flick_abort484:
            goto _flick_abort178;
          }
        }
      case (signed int) 10:
        {
          {
            struct svc_req *_obj;
            unsigned int _t84_ignore;
            int *_return;
            int *_local_arg;
#if BYTE_ORDER != BIG_ENDIAN
            int _t85_storage[8192];
            flick_unsigned32_t _t86_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort501);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_check_span(8192 * 4 + 32784, _flick_abort501);
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t84_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t84_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t84_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t84_ignore, unsigned int );
            _return = 0;
            flick_suntcp_decode_end_chunk(16);
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_decode_new_glob(32768);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = (int *)_t85_storage;
            for (_t86_array_iter = 0; _t86_array_iter < 8192; _t86_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t86_array_iter], int );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(32768);
            flick_xdr_decode_msgptr(0, _local_arg, int *);
            flick_suntcp_decode_end_chunk(32768);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(32768);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op32k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block584);
              flick_suntcp_encode_new_glob(8, _flick_abort_block584);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort514);
                    break;
                    {
                    _flick_abort514:
                      goto _flick_abort_block584;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort515);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort515:
                      goto _flick_abort_block584;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort_block584:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
            _flick_abort501:
              goto _flick_abort500;
            }
          }
          break;
          {
          _flick_abort500:
            goto _flick_abort178;
          }
        }
      case (signed int) 11:
        {
          {
            struct svc_req *_obj;
            unsigned int _t87_ignore;
            int *_return;
            int *_local_arg;
#if BYTE_ORDER != BIG_ENDIAN
            int _t88_storage[16384];
            flick_unsigned32_t _t89_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort517);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_check_span(16384 * 4 + 65552, _flick_abort517);
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t87_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t87_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t87_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t87_ignore, unsigned int );
            _return = 0;
            flick_suntcp_decode_end_chunk(16);
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_decode_new_glob(65536);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = (int *)_t88_storage;
            for (_t89_array_iter = 0; _t89_array_iter < 16384; _t89_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t89_array_iter], int );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(65536);
            flick_xdr_decode_msgptr(0, _local_arg, int *);
            flick_suntcp_decode_end_chunk(65536);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(65536);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op64k_1234(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block603);
              flick_suntcp_encode_new_glob(8, _flick_abort_block603);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort530);
                    break;
                    {
                    _flick_abort530:
                      goto _flick_abort_block603;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort531);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort531:
                      goto _flick_abort_block603;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort_block603:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
            _flick_abort517:
              goto _flick_abort516;
            }
          }
          break;
          {
          _flick_abort516:
            goto _flick_abort178;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort178);
          flick_suntcp_decode_end_glob(4116);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort178:
    flick_sun_server_error(xdr, suntcp, _flick_reaper, _flick_abort177);
  _flick_abort177:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

