#include "primtypes-server.h"

/* This is the runtime type information */
char *flick_interface_parents_ex1[] = {
	0
};

char *flick_interface_parents_ex2[] = {
	"IDL:ex1:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_ex2;
	s.vers_num = _VERS_ex2;

	reg_success = flick_server_register(s, &ex2_server);
	assert(reg_success);


	s.prog_num = _PROG_ex1;
	s.vers_num = _VERS_ex1;

	reg_success = flick_server_register(s, &ex1_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_ex1(flick_marshal_stream_t _stream, ex1 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex1(flick_marshal_stream_t _stream, ex1 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t ex1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t55_switch_tag;

    flick_suntcp_decode_new_glob(112);
    flick_suntcp_check_span(36, _flick_abort4);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t55_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t55_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t56_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t56_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t56_switch_tag)
            {
            case 'm':
              {
                char _t57_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t57_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t57_switch_tag)
                  {
                  case '1':
                    {
                      char _t58_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t58_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t58_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex1 _obj;
                              unsigned int _t59_ignore;
                              CORBA_long _return;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t60_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort55);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t59_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t59_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t59_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t59_ignore, unsigned int );
                              _return = 0;
                              flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t60_storage);
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(112);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = ex1_m1(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort55);
                                flick_suntcp_encode_new_glob(8, _flick_abort55);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _return, CORBA_long );
                                      flick_suntcp_encode_end_chunk(4);
                                      flick_suntcp_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort61);
                                      break;
                                      {
                                      _flick_abort61:
                                        goto _flick_abort55;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort62);
                                      flick_suntcp_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort62:
                                        goto _flick_abort55;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort55:
                                goto _flick_abort54;
                              }
                            }
                            break;
                            {
                            _flick_abort54:
                              goto _flick_abort4;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t61_switch_tag;

          flick_suntcp_check_span(108, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t61_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t61_switch_tag)
            {
            case 'm':
              {
                char _t62_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t62_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t62_switch_tag)
                  {
                  case 't':
                    {
                      char _t63_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t63_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t63_switch_tag)
                        {
                        case 'y':
                          {
                            char _t64_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t64_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t64_switch_tag)
                              {
                              case 'p':
                                {
                                  char _t65_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t65_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t65_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t66_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t66_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t66_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t67_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t67_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t67_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex1 _obj;
                                                      unsigned int _t68_ignore;
                                                      ex1 _return;
                                                      CORBA_long _local_a1;
                                                      CORBA_long *_local_a2;
                                                      CORBA_long _t69_storage;
                                                      CORBA_long *_local_a3;
                                                      CORBA_long _t70_storage;
                                                      CORBA_unsigned_long _local_b1;
                                                      CORBA_unsigned_long *_local_b2;
                                                      CORBA_unsigned_long _t71_storage;
                                                      CORBA_unsigned_long *_local_b3;
                                                      CORBA_unsigned_long _t72_storage;
                                                      CORBA_short _local_c1;
                                                      CORBA_short *_local_c2;
                                                      CORBA_short _t73_storage;
                                                      CORBA_short *_local_c3;
                                                      CORBA_short _t74_storage;
                                                      CORBA_unsigned_short _local_d1;
                                                      CORBA_unsigned_short *_local_d2;
                                                      CORBA_unsigned_short _t75_storage;
                                                      CORBA_unsigned_short *_local_d3;
                                                      CORBA_unsigned_short _t76_storage;
                                                      CORBA_float _local_e1;
                                                      CORBA_float *_local_e2;
                                                      CORBA_float _t77_storage;
                                                      CORBA_float *_local_e3;
                                                      CORBA_float _t78_storage;
                                                      CORBA_double _local_f1;
                                                      CORBA_double *_local_f2;
                                                      CORBA_double _t79_storage;
                                                      CORBA_double *_local_f3;
                                                      CORBA_double _t80_storage;
                                                      CORBA_char _local_g1;
                                                      CORBA_char *_local_g2;
                                                      CORBA_char _t81_storage;
                                                      CORBA_char *_local_g3;
                                                      CORBA_char _t82_storage;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t83_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort64);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(80);
                                                      flick_xdr_decode_unsigned32(0, _t68_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t68_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t68_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t68_ignore, unsigned int );
                                                      flick_xdr_decode_signed32(16, _local_a1, CORBA_long );
                                                      _local_a2 = (CORBA_long *)(&_t69_storage);
                                                      flick_xdr_decode_signed32(20, *_local_a2, CORBA_long );
                                                      _local_a3 = (CORBA_long *)(&_t70_storage);
                                                      flick_xdr_decode_unsigned32(24, _local_b1, CORBA_unsigned_long );
                                                      _local_b2 = (CORBA_unsigned_long *)(&_t71_storage);
                                                      flick_xdr_decode_unsigned32(28, *_local_b2, CORBA_unsigned_long );
                                                      _local_b3 = (CORBA_unsigned_long *)(&_t72_storage);
                                                      flick_xdr_decode_signed16(32, _local_c1, CORBA_short );
                                                      _local_c2 = (CORBA_short *)(&_t73_storage);
                                                      flick_xdr_decode_signed16(36, *_local_c2, CORBA_short );
                                                      _local_c3 = (CORBA_short *)(&_t74_storage);
                                                      flick_xdr_decode_unsigned16(40, _local_d1, CORBA_unsigned_short );
                                                      _local_d2 = (CORBA_unsigned_short *)(&_t75_storage);
                                                      flick_xdr_decode_unsigned16(44, *_local_d2, CORBA_unsigned_short );
                                                      _local_d3 = (CORBA_unsigned_short *)(&_t76_storage);
                                                      flick_xdr_decode_float32(48, _local_e1, CORBA_float );
                                                      _local_e2 = (CORBA_float *)(&_t77_storage);
                                                      flick_xdr_decode_float32(52, *_local_e2, CORBA_float );
                                                      _local_e3 = (CORBA_float *)(&_t78_storage);
                                                      flick_xdr_decode_float64(56, _local_f1, CORBA_double );
                                                      _local_f2 = (CORBA_double *)(&_t79_storage);
                                                      flick_xdr_decode_float64(64, *_local_f2, CORBA_double );
                                                      _local_f3 = (CORBA_double *)(&_t80_storage);
                                                      flick_xdr_decode_char8(72, _local_g1, CORBA_char );
                                                      _local_g2 = (CORBA_char *)(&_t81_storage);
                                                      flick_xdr_decode_char8(76, *_local_g2, CORBA_char );
                                                      _local_g3 = (CORBA_char *)(&_t82_storage);
                                                      _ev = (CORBA_Environment *)(&_t83_storage);
                                                      flick_suntcp_decode_end_chunk(80);
                                                      flick_suntcp_decode_end_glob(112);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      _return = ex1_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort64);
                                                        flick_suntcp_encode_new_glob(72, _flick_abort64);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_new_chunk(68);
                                                              flick_xdr_encode_port32(0, _return, 0);
                                                              flick_xdr_encode_signed32(4, *_local_a2, CORBA_long );
                                                              flick_xdr_encode_signed32(8, *_local_a3, CORBA_long );
                                                              flick_xdr_encode_unsigned32(12, *_local_b2, CORBA_unsigned_long );
                                                              flick_xdr_encode_unsigned32(16, *_local_b3, CORBA_unsigned_long );
                                                              flick_xdr_encode_signed16(20, *_local_c2, CORBA_short );
                                                              flick_xdr_encode_signed16(24, *_local_c3, CORBA_short );
                                                              flick_xdr_encode_unsigned16(28, *_local_d2, CORBA_unsigned_short );
                                                              flick_xdr_encode_unsigned16(32, *_local_d3, CORBA_unsigned_short );
                                                              flick_xdr_encode_float32(36, *_local_e2, CORBA_float );
                                                              flick_xdr_encode_float32(40, *_local_e3, CORBA_float );
                                                              flick_xdr_encode_float64(44, *_local_f2, CORBA_double );
                                                              flick_xdr_encode_float64(52, *_local_f3, CORBA_double );
                                                              flick_xdr_encode_char8(60, *_local_g2, CORBA_char );
                                                              flick_xdr_encode_char8(64, *_local_g3, CORBA_char );
                                                              flick_suntcp_encode_end_chunk(68);
                                                              flick_suntcp_encode_end_glob(72);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(72);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort70);
                                                              break;
                                                              {
                                                              _flick_abort70:
                                                                goto _flick_abort64;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort71);
                                                              flick_suntcp_encode_end_glob(72);
                                                              break;
                                                              {
                                                              _flick_abort71:
                                                                goto _flick_abort64;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort64:
                                                        goto _flick_abort63;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort63:
                                                      goto _flick_abort4;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t84_switch_tag;

          flick_suntcp_check_span(48, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t84_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t84_switch_tag)
            {
            case '_':
              {
                char _t85_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t85_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t85_switch_tag)
                  {
                  case 'g':
                    {
                      char _t86_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t86_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t86_switch_tag)
                        {
                        case 'e':
                          {
                            char _t87_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t87_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t87_switch_tag)
                              {
                              case 't':
                                {
                                  char _t88_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t88_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t88_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t89_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t89_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t89_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t90_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t90_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t90_switch_tag)
                                                {
                                                case '1':
                                                  {
                                                    char _t91_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t91_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t91_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex1 _obj;
                                                            unsigned int _t92_ignore;
                                                            CORBA_long _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t93_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort73);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t92_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t92_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t92_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t92_ignore, unsigned int );
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t93_storage);
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(112);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex1__get_l1(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort73);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort73);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort79);
                                                                    break;
                                                                    {
                                                                    _flick_abort79:
                                                                      goto _flick_abort73;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort80);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort80:
                                                                      goto _flick_abort73;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort73:
                                                              goto _flick_abort72;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort72:
                                                            goto _flick_abort4;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t94_switch_tag;

                      flick_suntcp_check_span(44, _flick_abort4);
                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t94_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t94_switch_tag)
                        {
                        case 'e':
                          {
                            char _t95_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t95_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t95_switch_tag)
                              {
                              case 't':
                                {
                                  char _t96_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t96_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t96_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t97_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t97_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t97_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t98_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t98_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t98_switch_tag)
                                                {
                                                case '1':
                                                  {
                                                    char _t99_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t99_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t99_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex1 _obj;
                                                            unsigned int _t100_ignore;
                                                            CORBA_long _local_l1;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t101_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort82);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t100_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t100_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t100_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t100_ignore, unsigned int );
                                                            flick_xdr_decode_signed32(16, _local_l1, CORBA_long );
                                                            _ev = (CORBA_Environment *)(&_t101_storage);
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(112);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            ex1__set_l1(_obj, _local_l1, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort82);
                                                              flick_suntcp_encode_new_glob(4, _flick_abort82);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort88);
                                                                    break;
                                                                    {
                                                                    _flick_abort88:
                                                                      goto _flick_abort82;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort89:
                                                                      goto _flick_abort82;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort82:
                                                              goto _flick_abort81;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort81:
                                                            goto _flick_abort4;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t102_switch_tag;

          flick_suntcp_check_span(40, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t102_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t102_switch_tag)
            {
            case 'i':
              {
                char _t103_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t103_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t103_switch_tag)
                  {
                  case 's':
                    {
                      char _t104_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t104_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t104_switch_tag)
                        {
                        case '_':
                          {
                            char _t105_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t105_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t105_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t106_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t106_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t106_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t107_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t108_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t109_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort91);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t107_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t107_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t107_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t107_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t108_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(112);
                                          flick_suntcp_decode_new_glob(1 * _t108_temp_string_len);
                                          flick_suntcp_check_span(1 * _t108_temp_string_len * 1, _flick_abort91);
                                          flick_suntcp_decode_new_chunk(1 * _t108_temp_string_len);
                                          if ((_t108_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t108_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort91);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t108_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t108_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t108_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort94);
                                          _local_id[_t108_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t109_storage);
                                          _par = flick_interface_parents_ex1;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort94);
                                            flick_suntcp_encode_new_glob(8, _flick_abort94);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort100);
                                                  break;
                                                  {
                                                  _flick_abort100:
                                                    goto _flick_abort94;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort101);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort101:
                                                    goto _flick_abort94;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort94:
                                            auto_flick_free(_local_id);
                                          _flick_abort91:
                                            goto _flick_abort90;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort90:
                                          goto _flick_abort4;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
          flick_suntcp_decode_end_glob(112);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort4:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort3);
  _flick_abort3:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_ex2(flick_marshal_stream_t _stream, ex2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort102);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort102:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex2(flick_marshal_stream_t _stream, ex2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort103);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort103:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t ex2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t175_switch_tag;

    flick_suntcp_decode_new_glob(112);
    flick_suntcp_check_span(32, _flick_abort106);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t175_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t175_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t176_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t176_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t176_switch_tag)
            {
            case 'm':
              {
                char _t177_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t177_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t177_switch_tag)
                  {
                  case '2':
                    {
                      char _t178_switch_tag;

                      flick_suntcp_check_span(24, _flick_abort106);
                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t178_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t178_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              unsigned int _t179_ignore;
                              CORBA_long _return;
                              CORBA_long _local_a;
                              CORBA_long *_local_b;
                              CORBA_long _t180_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t181_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort184);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t179_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t179_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t179_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t179_ignore, unsigned int );
                              _return = 0;
                              flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                              _local_b = (CORBA_long *)(&_t180_storage);
                              _ev = (CORBA_Environment *)(&_t181_storage);
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(112);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = ex2_m2(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort184);
                                flick_suntcp_encode_new_glob(12, _flick_abort184);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_suntcp_encode_new_chunk(8);
                                      flick_xdr_encode_signed32(0, _return, CORBA_long );
                                      flick_xdr_encode_signed32(4, *_local_b, CORBA_long );
                                      flick_suntcp_encode_end_chunk(8);
                                      flick_suntcp_encode_end_glob(12);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(12);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort190);
                                      break;
                                      {
                                      _flick_abort190:
                                        goto _flick_abort184;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort191);
                                      flick_suntcp_encode_end_glob(12);
                                      break;
                                      {
                                      _flick_abort191:
                                        goto _flick_abort184;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort184:
                                goto _flick_abort183;
                              }
                            }
                            break;
                            {
                            _flick_abort183:
                              goto _flick_abort106;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  case 'v':
                    {
                      char _t182_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t182_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t182_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              unsigned int _t183_ignore;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t184_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort193);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(16);
                              flick_xdr_decode_unsigned32(0, _t183_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t183_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t183_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t183_ignore, unsigned int );
                              _ev = (CORBA_Environment *)(&_t184_storage);
                              flick_suntcp_decode_end_chunk(16);
                              flick_suntcp_decode_end_glob(112);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              ex2_mv(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort193);
                                flick_suntcp_encode_new_glob(4, _flick_abort193);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort199);
                                      break;
                                      {
                                      _flick_abort199:
                                        goto _flick_abort193;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort200);
                                      flick_suntcp_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort200:
                                        goto _flick_abort193;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort193:
                                goto _flick_abort192;
                              }
                            }
                            break;
                            {
                            _flick_abort192:
                              goto _flick_abort106;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  case '1':
                    {
                      char _t185_switch_tag;

                      flick_suntcp_check_span(24, _flick_abort106);
                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t185_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t185_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              unsigned int _t186_ignore;
                              CORBA_long _return;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t187_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort202);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t186_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t186_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t186_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t186_ignore, unsigned int );
                              _return = 0;
                              flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t187_storage);
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(112);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = ex2_m1(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort202);
                                flick_suntcp_encode_new_glob(8, _flick_abort202);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _return, CORBA_long );
                                      flick_suntcp_encode_end_chunk(4);
                                      flick_suntcp_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort208);
                                      break;
                                      {
                                      _flick_abort208:
                                        goto _flick_abort202;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort209);
                                      flick_suntcp_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort209:
                                        goto _flick_abort202;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort202:
                                goto _flick_abort201;
                              }
                            }
                            break;
                            {
                            _flick_abort201:
                              goto _flick_abort106;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t188_switch_tag;

          flick_suntcp_check_span(48, _flick_abort106);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t188_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t188_switch_tag)
            {
            case '_':
              {
                char _t189_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t189_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t189_switch_tag)
                  {
                  case 'g':
                    {
                      char _t190_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t190_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t190_switch_tag)
                        {
                        case 'e':
                          {
                            char _t191_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t191_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t191_switch_tag)
                              {
                              case 't':
                                {
                                  char _t192_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t192_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t192_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t193_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t193_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t193_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t194_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t194_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t194_switch_tag)
                                                {
                                                case '2':
                                                  {
                                                    char _t195_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t195_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t195_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex2 _obj;
                                                            unsigned int _t196_ignore;
                                                            CORBA_long _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t197_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort211);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t196_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t196_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t196_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t196_ignore, unsigned int );
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t197_storage);
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(112);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex2__get_l2(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort211);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort211);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort217);
                                                                    break;
                                                                    {
                                                                    _flick_abort217:
                                                                      goto _flick_abort211;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort218);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort218:
                                                                      goto _flick_abort211;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort211:
                                                              goto _flick_abort210;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort210:
                                                            goto _flick_abort106;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                                          flick_suntcp_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case '1':
                                                  {
                                                    char _t198_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t198_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t198_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex2 _obj;
                                                            unsigned int _t199_ignore;
                                                            CORBA_long _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t200_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort220);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t199_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t199_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t199_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t199_ignore, unsigned int );
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t200_storage);
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(112);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex2__get_l1(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort220);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort220);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort226);
                                                                    break;
                                                                    {
                                                                    _flick_abort226:
                                                                      goto _flick_abort220;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort227);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort227:
                                                                      goto _flick_abort220;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort220:
                                                              goto _flick_abort219;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort219:
                                                            goto _flick_abort106;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                                          flick_suntcp_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t201_switch_tag;

                      flick_suntcp_check_span(44, _flick_abort106);
                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t201_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t201_switch_tag)
                        {
                        case 'e':
                          {
                            char _t202_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t202_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t202_switch_tag)
                              {
                              case 't':
                                {
                                  char _t203_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t203_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t203_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t204_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t204_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t204_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t205_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t205_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t205_switch_tag)
                                                {
                                                case '1':
                                                  {
                                                    char _t206_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t206_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t206_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex2 _obj;
                                                            unsigned int _t207_ignore;
                                                            CORBA_long _local_l1;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t208_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort229);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t207_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t207_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t207_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t207_ignore, unsigned int );
                                                            flick_xdr_decode_signed32(16, _local_l1, CORBA_long );
                                                            _ev = (CORBA_Environment *)(&_t208_storage);
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(112);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            ex2__set_l1(_obj, _local_l1, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort229);
                                                              flick_suntcp_encode_new_glob(4, _flick_abort229);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort235);
                                                                    break;
                                                                    {
                                                                    _flick_abort235:
                                                                      goto _flick_abort229;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort236);
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort236:
                                                                      goto _flick_abort229;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort229:
                                                              goto _flick_abort228;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort228:
                                                            goto _flick_abort106;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                                          flick_suntcp_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t209_switch_tag;

          flick_suntcp_check_span(108, _flick_abort106);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t209_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t209_switch_tag)
            {
            case 'm':
              {
                char _t210_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t210_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t210_switch_tag)
                  {
                  case 't':
                    {
                      char _t211_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t211_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t211_switch_tag)
                        {
                        case 'y':
                          {
                            char _t212_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t212_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t212_switch_tag)
                              {
                              case 'p':
                                {
                                  char _t213_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t213_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t213_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t214_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t214_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t214_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t215_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t215_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t215_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex2 _obj;
                                                      unsigned int _t216_ignore;
                                                      ex1 _return;
                                                      CORBA_long _local_a1;
                                                      CORBA_long *_local_a2;
                                                      CORBA_long _t217_storage;
                                                      CORBA_long *_local_a3;
                                                      CORBA_long _t218_storage;
                                                      CORBA_unsigned_long _local_b1;
                                                      CORBA_unsigned_long *_local_b2;
                                                      CORBA_unsigned_long _t219_storage;
                                                      CORBA_unsigned_long *_local_b3;
                                                      CORBA_unsigned_long _t220_storage;
                                                      CORBA_short _local_c1;
                                                      CORBA_short *_local_c2;
                                                      CORBA_short _t221_storage;
                                                      CORBA_short *_local_c3;
                                                      CORBA_short _t222_storage;
                                                      CORBA_unsigned_short _local_d1;
                                                      CORBA_unsigned_short *_local_d2;
                                                      CORBA_unsigned_short _t223_storage;
                                                      CORBA_unsigned_short *_local_d3;
                                                      CORBA_unsigned_short _t224_storage;
                                                      CORBA_float _local_e1;
                                                      CORBA_float *_local_e2;
                                                      CORBA_float _t225_storage;
                                                      CORBA_float *_local_e3;
                                                      CORBA_float _t226_storage;
                                                      CORBA_double _local_f1;
                                                      CORBA_double *_local_f2;
                                                      CORBA_double _t227_storage;
                                                      CORBA_double *_local_f3;
                                                      CORBA_double _t228_storage;
                                                      CORBA_char _local_g1;
                                                      CORBA_char *_local_g2;
                                                      CORBA_char _t229_storage;
                                                      CORBA_char *_local_g3;
                                                      CORBA_char _t230_storage;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t231_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort238);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(80);
                                                      flick_xdr_decode_unsigned32(0, _t216_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t216_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t216_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t216_ignore, unsigned int );
                                                      flick_xdr_decode_signed32(16, _local_a1, CORBA_long );
                                                      _local_a2 = (CORBA_long *)(&_t217_storage);
                                                      flick_xdr_decode_signed32(20, *_local_a2, CORBA_long );
                                                      _local_a3 = (CORBA_long *)(&_t218_storage);
                                                      flick_xdr_decode_unsigned32(24, _local_b1, CORBA_unsigned_long );
                                                      _local_b2 = (CORBA_unsigned_long *)(&_t219_storage);
                                                      flick_xdr_decode_unsigned32(28, *_local_b2, CORBA_unsigned_long );
                                                      _local_b3 = (CORBA_unsigned_long *)(&_t220_storage);
                                                      flick_xdr_decode_signed16(32, _local_c1, CORBA_short );
                                                      _local_c2 = (CORBA_short *)(&_t221_storage);
                                                      flick_xdr_decode_signed16(36, *_local_c2, CORBA_short );
                                                      _local_c3 = (CORBA_short *)(&_t222_storage);
                                                      flick_xdr_decode_unsigned16(40, _local_d1, CORBA_unsigned_short );
                                                      _local_d2 = (CORBA_unsigned_short *)(&_t223_storage);
                                                      flick_xdr_decode_unsigned16(44, *_local_d2, CORBA_unsigned_short );
                                                      _local_d3 = (CORBA_unsigned_short *)(&_t224_storage);
                                                      flick_xdr_decode_float32(48, _local_e1, CORBA_float );
                                                      _local_e2 = (CORBA_float *)(&_t225_storage);
                                                      flick_xdr_decode_float32(52, *_local_e2, CORBA_float );
                                                      _local_e3 = (CORBA_float *)(&_t226_storage);
                                                      flick_xdr_decode_float64(56, _local_f1, CORBA_double );
                                                      _local_f2 = (CORBA_double *)(&_t227_storage);
                                                      flick_xdr_decode_float64(64, *_local_f2, CORBA_double );
                                                      _local_f3 = (CORBA_double *)(&_t228_storage);
                                                      flick_xdr_decode_char8(72, _local_g1, CORBA_char );
                                                      _local_g2 = (CORBA_char *)(&_t229_storage);
                                                      flick_xdr_decode_char8(76, *_local_g2, CORBA_char );
                                                      _local_g3 = (CORBA_char *)(&_t230_storage);
                                                      _ev = (CORBA_Environment *)(&_t231_storage);
                                                      flick_suntcp_decode_end_chunk(80);
                                                      flick_suntcp_decode_end_glob(112);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      _return = ex2_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort238);
                                                        flick_suntcp_encode_new_glob(72, _flick_abort238);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_new_chunk(68);
                                                              flick_xdr_encode_port32(0, _return, 0);
                                                              flick_xdr_encode_signed32(4, *_local_a2, CORBA_long );
                                                              flick_xdr_encode_signed32(8, *_local_a3, CORBA_long );
                                                              flick_xdr_encode_unsigned32(12, *_local_b2, CORBA_unsigned_long );
                                                              flick_xdr_encode_unsigned32(16, *_local_b3, CORBA_unsigned_long );
                                                              flick_xdr_encode_signed16(20, *_local_c2, CORBA_short );
                                                              flick_xdr_encode_signed16(24, *_local_c3, CORBA_short );
                                                              flick_xdr_encode_unsigned16(28, *_local_d2, CORBA_unsigned_short );
                                                              flick_xdr_encode_unsigned16(32, *_local_d3, CORBA_unsigned_short );
                                                              flick_xdr_encode_float32(36, *_local_e2, CORBA_float );
                                                              flick_xdr_encode_float32(40, *_local_e3, CORBA_float );
                                                              flick_xdr_encode_float64(44, *_local_f2, CORBA_double );
                                                              flick_xdr_encode_float64(52, *_local_f3, CORBA_double );
                                                              flick_xdr_encode_char8(60, *_local_g2, CORBA_char );
                                                              flick_xdr_encode_char8(64, *_local_g3, CORBA_char );
                                                              flick_suntcp_encode_end_chunk(68);
                                                              flick_suntcp_encode_end_glob(72);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(72);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort244);
                                                              break;
                                                              {
                                                              _flick_abort244:
                                                                goto _flick_abort238;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort245);
                                                              flick_suntcp_encode_end_glob(72);
                                                              break;
                                                              {
                                                              _flick_abort245:
                                                                goto _flick_abort238;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort238:
                                                        goto _flick_abort237;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort237:
                                                      goto _flick_abort106;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t232_switch_tag;

          flick_suntcp_check_span(40, _flick_abort106);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t232_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t232_switch_tag)
            {
            case 'i':
              {
                char _t233_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t233_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t233_switch_tag)
                  {
                  case 's':
                    {
                      char _t234_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t234_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t234_switch_tag)
                        {
                        case '_':
                          {
                            char _t235_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t235_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t235_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t236_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t236_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t236_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t237_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t238_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t239_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort247);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t237_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t237_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t237_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t237_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t238_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(112);
                                          flick_suntcp_decode_new_glob(1 * _t238_temp_string_len);
                                          flick_suntcp_check_span(1 * _t238_temp_string_len * 1, _flick_abort247);
                                          flick_suntcp_decode_new_chunk(1 * _t238_temp_string_len);
                                          if ((_t238_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t238_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort247);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t238_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t238_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t238_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort250);
                                          _local_id[_t238_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t239_storage);
                                          _par = flick_interface_parents_ex2;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort250);
                                            flick_suntcp_encode_new_glob(8, _flick_abort250);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort256);
                                                  break;
                                                  {
                                                  _flick_abort256:
                                                    goto _flick_abort250;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort257);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort257:
                                                    goto _flick_abort250;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort250:
                                            auto_flick_free(_local_id);
                                          _flick_abort247:
                                            goto _flick_abort246;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort246:
                                          goto _flick_abort106;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
          flick_suntcp_decode_end_glob(112);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort106:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort105);
  _flick_abort105:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

