#include "program-4-client.h"

/* This is the runtime type information */
char *flick_interface_parents_MATH[] = {
	0
};

char *flick_interface_parents_ONE[] = {
	"IDL:MATH:1.0",
	0
};

/* */

int flick_marshal_stub_short_short(flick_marshal_stream_t _stream, const struct short_short *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort0);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed16(0, _data->a, short int );
  flick_xdr_encode_signed16(4, _data->b, short int );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_short_short(flick_marshal_stream_t _stream, struct short_short *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort1);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed16(0, _data->a, short int );
  flick_xdr_decode_signed16(4, _data->b, short int );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_long_long(flick_marshal_stream_t _stream, const struct long_long *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort2);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->a, int );
  flick_xdr_encode_signed32(4, _data->b, int );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_long(flick_marshal_stream_t _stream, struct long_long *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort3);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->a, int );
  flick_xdr_decode_signed32(4, _data->b, int );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(44, _flick_abort4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->long_list_len, unsigned int );
  if (_data->long_list_len + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort4);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->long_list_len; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->long_list_val[_t0_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->long_list_len);
  flick_xdr_encode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_suntcp_encode_end_chunk(4 * _data->long_list_len);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(44);
  flick_suntcp_check_span(4, _flick_abort12);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->long_list_len, unsigned int );
  if (_data->long_list_len + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort12);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc((_data->long_list_len + 1) * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15);
    _data->long_list_val = _t_alloc_ptr;
  }
  flick_suntcp_check_span(_data->long_list_len * 4, _flick_abort17);
  for (_t1_array_iter = 0; _t1_array_iter < _data->long_list_len; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->long_list_val[_t1_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_check_span(4 * _data->long_list_len * 1, _flick_abort20);
  flick_suntcp_decode_new_chunk(4 * _data->long_list_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc((_data->long_list_len + 1) * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20);
    _data->long_list_val = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_suntcp_decode_end_chunk(4 * _data->long_list_len);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort17:
    sun_flick_free(_data->long_list_val);
  _flick_abort15:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort20:
#endif /* ENDIANness */
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

short int *addshort_1(struct short_short *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  short int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort23);
  }
  {
    flick_suntcp_encode_new_glob(28, _flick_abort23);
    flick_suntcp_encode_new_chunk(28);
    flick_xdr_encode_unsigned32(0, 1, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed16(20, arg->a, short int );
    flick_xdr_encode_signed16(24, arg->b, short int );
    flick_suntcp_encode_end_chunk(28);
    flick_suntcp_encode_end_glob(28);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort23);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort23);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort23);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t3_storage;

            _return = (short int *)(&_t3_storage);
            flick_suntcp_check_span(4, _flick_abort29);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, *_return, short int );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort29:
              goto _flick_abort23;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort30);
            break;
            {
            _flick_abort30:
              goto _flick_abort23;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort31);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort31:
              goto _flick_abort23;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort23:
    flick_sun_client_error(xdr, sun, _flick_abort22);
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

short int *subshort_1(struct short_short *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  short int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort33);
  }
  {
    flick_suntcp_encode_new_glob(28, _flick_abort33);
    flick_suntcp_encode_new_chunk(28);
    flick_xdr_encode_unsigned32(0, 2, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed16(20, arg->a, short int );
    flick_xdr_encode_signed16(24, arg->b, short int );
    flick_suntcp_encode_end_chunk(28);
    flick_suntcp_encode_end_glob(28);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort33);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort33);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort33);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t5_storage;

            _return = (short int *)(&_t5_storage);
            flick_suntcp_check_span(4, _flick_abort39);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, *_return, short int );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort39:
              goto _flick_abort33;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort40);
            break;
            {
            _flick_abort40:
              goto _flick_abort33;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort41);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort41:
              goto _flick_abort33;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort33:
    flick_sun_client_error(xdr, sun, _flick_abort32);
  _flick_abort32:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

short int *multshort_1(struct short_short *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  short int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort43);
  }
  {
    flick_suntcp_encode_new_glob(28, _flick_abort43);
    flick_suntcp_encode_new_chunk(28);
    flick_xdr_encode_unsigned32(0, 3, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed16(20, arg->a, short int );
    flick_xdr_encode_signed16(24, arg->b, short int );
    flick_suntcp_encode_end_chunk(28);
    flick_suntcp_encode_end_glob(28);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort43);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort43);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort43);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t7_storage;

            _return = (short int *)(&_t7_storage);
            flick_suntcp_check_span(4, _flick_abort49);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, *_return, short int );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort49:
              goto _flick_abort43;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort50);
            break;
            {
            _flick_abort50:
              goto _flick_abort43;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort51);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort51:
              goto _flick_abort43;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort43:
    flick_sun_client_error(xdr, sun, _flick_abort42);
  _flick_abort42:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

int *addlong_1(struct long_long *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort53);
  }
  {
    flick_suntcp_encode_new_glob(28, _flick_abort53);
    flick_suntcp_encode_new_chunk(28);
    flick_xdr_encode_unsigned32(0, 4, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed32(20, arg->a, int );
    flick_xdr_encode_signed32(24, arg->b, int );
    flick_suntcp_encode_end_chunk(28);
    flick_suntcp_encode_end_glob(28);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort53);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort53);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort53);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t9_storage;

            _return = (int *)(&_t9_storage);
            flick_suntcp_check_span(4, _flick_abort59);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return, int );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort59:
              goto _flick_abort53;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort60);
            break;
            {
            _flick_abort60:
              goto _flick_abort53;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort61);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort61:
              goto _flick_abort53;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort53:
    flick_sun_client_error(xdr, sun, _flick_abort52);
  _flick_abort52:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

int *sublong_1(struct long_long *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort63);
  }
  {
    flick_suntcp_encode_new_glob(28, _flick_abort63);
    flick_suntcp_encode_new_chunk(28);
    flick_xdr_encode_unsigned32(0, 5, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed32(20, arg->a, int );
    flick_xdr_encode_signed32(24, arg->b, int );
    flick_suntcp_encode_end_chunk(28);
    flick_suntcp_encode_end_glob(28);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort63);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort63);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort63);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t11_storage;

            _return = (int *)(&_t11_storage);
            flick_suntcp_check_span(4, _flick_abort69);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return, int );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort69:
              goto _flick_abort63;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort70);
            break;
            {
            _flick_abort70:
              goto _flick_abort63;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort71);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort71:
              goto _flick_abort63;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort63:
    flick_sun_client_error(xdr, sun, _flick_abort62);
  _flick_abort62:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

int *multlong_1(struct long_long *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort73);
  }
  {
    flick_suntcp_encode_new_glob(28, _flick_abort73);
    flick_suntcp_encode_new_chunk(28);
    flick_xdr_encode_unsigned32(0, 6, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed32(20, arg->a, int );
    flick_xdr_encode_signed32(24, arg->b, int );
    flick_suntcp_encode_end_chunk(28);
    flick_suntcp_encode_end_glob(28);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort73);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort73);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort73);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t13_storage;

            _return = (int *)(&_t13_storage);
            flick_suntcp_check_span(4, _flick_abort79);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return, int );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort79:
              goto _flick_abort73;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort80);
            break;
            {
            _flick_abort80:
              goto _flick_abort73;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort81);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort81:
              goto _flick_abort73;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort73:
    flick_sun_client_error(xdr, sun, _flick_abort72);
  _flick_abort72:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

int *addlonglist_1(long_list *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort83);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    unsigned int _t15_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(64, _flick_abort83);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 7, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(20, arg->long_list_len, unsigned int );
    if (arg->long_list_len + 1 > 10)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort83);
    flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t15_array_iter = 0; _t15_array_iter < arg->long_list_len; _t15_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg->long_list_val[_t15_array_iter], int );
        flick_suntcp_encode_end_chunk(4);
        continue;
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(4 * arg->long_list_len);
    flick_xdr_encode_bcopy(0, arg->long_list_val, 4 * arg->long_list_len);
    flick_suntcp_encode_end_chunk(4 * arg->long_list_len);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(64);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block100);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block100);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort_block100);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t17_storage;

            _return = (int *)(&_t17_storage);
            flick_suntcp_check_span(4, _flick_abort103);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return, int );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort103:
              goto _flick_abort_block100;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort104);
            break;
            {
            _flick_abort104:
              goto _flick_abort_block100;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort105);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort105:
              goto _flick_abort_block100;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort_block100:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
  _flick_abort83:
    flick_sun_client_error(xdr, sun, _flick_abort82);
  _flick_abort82:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

int *multlonglist_1(long_list *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort107);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    unsigned int _t19_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(64, _flick_abort107);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 8, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(20, arg->long_list_len, unsigned int );
    if (arg->long_list_len + 1 > 10)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort107);
    flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t19_array_iter = 0; _t19_array_iter < arg->long_list_len; _t19_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg->long_list_val[_t19_array_iter], int );
        flick_suntcp_encode_end_chunk(4);
        continue;
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(4 * arg->long_list_len);
    flick_xdr_encode_bcopy(0, arg->long_list_val, 4 * arg->long_list_len);
    flick_suntcp_encode_end_chunk(4 * arg->long_list_len);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(64);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block127);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block127);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort_block127);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t21_storage;

            _return = (int *)(&_t21_storage);
            flick_suntcp_check_span(4, _flick_abort127);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return, int );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort127:
              goto _flick_abort_block127;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort128);
            break;
            {
            _flick_abort128:
              goto _flick_abort_block127;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort129);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort129:
              goto _flick_abort_block127;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort_block127:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
  _flick_abort107:
    flick_sun_client_error(xdr, sun, _flick_abort106);
  _flick_abort106:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

