#include "program-4-server.h"

/* This is the runtime type information */
char *flick_interface_parents_MATH[] = {
	0
};

char *flick_interface_parents_ONE[] = {
	"IDL:MATH:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = MATH;
	s.vers_num = ONE;

	reg_success = flick_server_register(s, &math_1);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_short_short(flick_marshal_stream_t _stream, struct short_short *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort0);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed16(0, _data->a, short int );
  flick_xdr_encode_signed16(4, _data->b, short int );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_short_short(flick_marshal_stream_t _stream, struct short_short *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort1);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed16(0, _data->a, short int );
  flick_xdr_decode_signed16(4, _data->b, short int );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_long_long(flick_marshal_stream_t _stream, struct long_long *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort2);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->a, int );
  flick_xdr_encode_signed32(4, _data->b, int );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_long(flick_marshal_stream_t _stream, struct long_long *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort3);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->a, int );
  flick_xdr_decode_signed32(4, _data->b, int );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(44, _flick_abort4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->long_list_len, unsigned int );
  if (_data->long_list_len + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort4);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->long_list_len; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->long_list_val[_t0_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->long_list_len);
  flick_xdr_encode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_suntcp_encode_end_chunk(4 * _data->long_list_len);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(44);
  flick_suntcp_check_span(4, _flick_abort12);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->long_list_len, unsigned int );
  if (_data->long_list_len + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort12);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc((_data->long_list_len + 1) * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15);
    _data->long_list_val = _t_alloc_ptr;
  }
  flick_suntcp_check_span(_data->long_list_len * 4, _flick_abort17);
  for (_t1_array_iter = 0; _t1_array_iter < _data->long_list_len; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->long_list_val[_t1_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_check_span(4 * _data->long_list_len * 1, _flick_abort20);
  flick_suntcp_decode_new_chunk(4 * _data->long_list_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc((_data->long_list_len + 1) * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20);
    _data->long_list_val = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_suntcp_decode_end_chunk(4 * _data->long_list_len);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort17:
    sun_flick_free(_data->long_list_val);
  _flick_abort15:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort20:
#endif /* ENDIANness */
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t math_1(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t23_switch_tag;

    flick_suntcp_decode_new_glob(64);
    flick_suntcp_check_span(24, _flick_abort24);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t23_switch_tag, signed int );
    flick_suntcp_decode_end_chunk(4);
    switch ((signed int )_t23_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t24_ignore;
            short int *_return;
            struct short_short *_local_arg;
            struct short_short _t25_storage;

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort113);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_check_span(24, _flick_abort113);
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t24_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t24_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t24_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t24_ignore, unsigned int );
            _return = 0;
            _local_arg = (struct short_short *)(&_t25_storage);
            flick_xdr_decode_signed16(16, _local_arg->a, short int );
            flick_xdr_decode_signed16(20, _local_arg->b, short int );
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = addshort_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort113);
              flick_suntcp_encode_new_glob(8, _flick_abort113);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed16(0, *_return, short int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort119);
                    break;
                    {
                    _flick_abort119:
                      goto _flick_abort113;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort120);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort120:
                      goto _flick_abort113;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort113:
              goto _flick_abort112;
            }
          }
          break;
          {
          _flick_abort112:
            goto _flick_abort24;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            unsigned int _t26_ignore;
            short int *_return;
            struct short_short *_local_arg;
            struct short_short _t27_storage;

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort122);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_check_span(24, _flick_abort122);
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t26_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t26_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t26_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t26_ignore, unsigned int );
            _return = 0;
            _local_arg = (struct short_short *)(&_t27_storage);
            flick_xdr_decode_signed16(16, _local_arg->a, short int );
            flick_xdr_decode_signed16(20, _local_arg->b, short int );
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = subshort_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort122);
              flick_suntcp_encode_new_glob(8, _flick_abort122);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed16(0, *_return, short int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort128);
                    break;
                    {
                    _flick_abort128:
                      goto _flick_abort122;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort129);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort129:
                      goto _flick_abort122;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort122:
              goto _flick_abort121;
            }
          }
          break;
          {
          _flick_abort121:
            goto _flick_abort24;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            unsigned int _t28_ignore;
            short int *_return;
            struct short_short *_local_arg;
            struct short_short _t29_storage;

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort131);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_check_span(24, _flick_abort131);
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t28_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t28_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t28_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t28_ignore, unsigned int );
            _return = 0;
            _local_arg = (struct short_short *)(&_t29_storage);
            flick_xdr_decode_signed16(16, _local_arg->a, short int );
            flick_xdr_decode_signed16(20, _local_arg->b, short int );
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = multshort_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort131);
              flick_suntcp_encode_new_glob(8, _flick_abort131);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed16(0, *_return, short int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort137);
                    break;
                    {
                    _flick_abort137:
                      goto _flick_abort131;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort138);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort138:
                      goto _flick_abort131;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort131:
              goto _flick_abort130;
            }
          }
          break;
          {
          _flick_abort130:
            goto _flick_abort24;
          }
        }
      case (signed int) 4:
        {
          {
            struct svc_req *_obj;
            unsigned int _t30_ignore;
            int *_return;
            struct long_long *_local_arg;
            struct long_long _t31_storage;

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort140);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_check_span(24, _flick_abort140);
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t30_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t30_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t30_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t30_ignore, unsigned int );
            _return = 0;
            _local_arg = (struct long_long *)(&_t31_storage);
            flick_xdr_decode_signed32(16, _local_arg->a, int );
            flick_xdr_decode_signed32(20, _local_arg->b, int );
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = addlong_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort140);
              flick_suntcp_encode_new_glob(8, _flick_abort140);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort146);
                    break;
                    {
                    _flick_abort146:
                      goto _flick_abort140;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort147);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort147:
                      goto _flick_abort140;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort140:
              goto _flick_abort139;
            }
          }
          break;
          {
          _flick_abort139:
            goto _flick_abort24;
          }
        }
      case (signed int) 5:
        {
          {
            struct svc_req *_obj;
            unsigned int _t32_ignore;
            int *_return;
            struct long_long *_local_arg;
            struct long_long _t33_storage;

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort149);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_check_span(24, _flick_abort149);
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t32_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t32_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t32_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t32_ignore, unsigned int );
            _return = 0;
            _local_arg = (struct long_long *)(&_t33_storage);
            flick_xdr_decode_signed32(16, _local_arg->a, int );
            flick_xdr_decode_signed32(20, _local_arg->b, int );
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = sublong_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort149);
              flick_suntcp_encode_new_glob(8, _flick_abort149);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort155);
                    break;
                    {
                    _flick_abort155:
                      goto _flick_abort149;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort156);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort156:
                      goto _flick_abort149;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort149:
              goto _flick_abort148;
            }
          }
          break;
          {
          _flick_abort148:
            goto _flick_abort24;
          }
        }
      case (signed int) 6:
        {
          {
            struct svc_req *_obj;
            unsigned int _t34_ignore;
            int *_return;
            struct long_long *_local_arg;
            struct long_long _t35_storage;

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort158);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_check_span(24, _flick_abort158);
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t34_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t34_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t34_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t34_ignore, unsigned int );
            _return = 0;
            _local_arg = (struct long_long *)(&_t35_storage);
            flick_xdr_decode_signed32(16, _local_arg->a, int );
            flick_xdr_decode_signed32(20, _local_arg->b, int );
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = multlong_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort158);
              flick_suntcp_encode_new_glob(8, _flick_abort158);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort164);
                    break;
                    {
                    _flick_abort164:
                      goto _flick_abort158;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort165);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort165:
                      goto _flick_abort158;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort158:
              goto _flick_abort157;
            }
          }
          break;
          {
          _flick_abort157:
            goto _flick_abort24;
          }
        }
      case (signed int) 7:
        {
          {
            struct svc_req *_obj;
            unsigned int _t36_ignore;
            int *_return;
            long_list *_local_arg;
            long_list _t37_storage;
#if BYTE_ORDER != BIG_ENDIAN
            int _t38_storage[10];
            unsigned int _t39_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort167);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t36_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t36_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t36_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t36_ignore, unsigned int );
            _return = 0;
            _local_arg = (long_list *)(&_t37_storage);
            flick_xdr_decode_unsigned32(16, _local_arg->long_list_len, unsigned int );
            if (_local_arg->long_list_len + 1 > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort167);
            flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg->long_list_val = (int *)_t38_storage;
            flick_suntcp_check_span(_local_arg->long_list_len * 4, _flick_abort170);
            for (_t39_array_iter = 0; _t39_array_iter < _local_arg->long_list_len; _t39_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg->long_list_val[_t39_array_iter], int );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_check_span(4 * _local_arg->long_list_len * 1, _flick_abort174);
            flick_suntcp_decode_new_chunk(4 * _local_arg->long_list_len);
            flick_xdr_decode_msgptr(0, _local_arg->long_list_val, int *);
            flick_suntcp_decode_end_chunk(4 * _local_arg->long_list_len);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = addlonglist_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block198);
              flick_suntcp_encode_new_glob(8, _flick_abort_block198);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort180);
                    break;
                    {
                    _flick_abort180:
                      goto _flick_abort_block198;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort181);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort181:
                      goto _flick_abort_block198;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort_block198:
#if BYTE_ORDER != BIG_ENDIAN
            _flick_abort170:
#else /* BIG_ENDIAN - do a bcopy*/
            _flick_abort174:
#endif /* ENDIANness */
            _flick_abort167:
              goto _flick_abort166;
            }
          }
          break;
          {
          _flick_abort166:
            goto _flick_abort24;
          }
        }
      case (signed int) 8:
        {
          {
            struct svc_req *_obj;
            unsigned int _t40_ignore;
            int *_return;
            long_list *_local_arg;
            long_list _t41_storage;
#if BYTE_ORDER != BIG_ENDIAN
            int _t42_storage[10];
            unsigned int _t43_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort183);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t40_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t40_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t40_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t40_ignore, unsigned int );
            _return = 0;
            _local_arg = (long_list *)(&_t41_storage);
            flick_xdr_decode_unsigned32(16, _local_arg->long_list_len, unsigned int );
            if (_local_arg->long_list_len + 1 > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort183);
            flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg->long_list_val = (int *)_t42_storage;
            flick_suntcp_check_span(_local_arg->long_list_len * 4, _flick_abort186);
            for (_t43_array_iter = 0; _t43_array_iter < _local_arg->long_list_len; _t43_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg->long_list_val[_t43_array_iter], int );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_check_span(4 * _local_arg->long_list_len * 1, _flick_abort190);
            flick_suntcp_decode_new_chunk(4 * _local_arg->long_list_len);
            flick_xdr_decode_msgptr(0, _local_arg->long_list_val, int *);
            flick_suntcp_decode_end_chunk(4 * _local_arg->long_list_len);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = multlonglist_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block217);
              flick_suntcp_encode_new_glob(8, _flick_abort_block217);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort196);
                    break;
                    {
                    _flick_abort196:
                      goto _flick_abort_block217;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort197);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort197:
                      goto _flick_abort_block217;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort_block217:
#if BYTE_ORDER != BIG_ENDIAN
            _flick_abort186:
#else /* BIG_ENDIAN - do a bcopy*/
            _flick_abort190:
#endif /* ENDIANness */
            _flick_abort183:
              goto _flick_abort182;
            }
          }
          break;
          {
          _flick_abort182:
            goto _flick_abort24;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort24);
          flick_suntcp_decode_end_glob(64);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort24:
    flick_sun_server_error(xdr, suntcp, _flick_reaper, _flick_abort23);
  _flick_abort23:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

