#include "structnest_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_test;
	s.vers_num = _VERS_test;

	reg_success = flick_server_register(s, &test_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_a_b_q(flick_marshal_stream_t _stream, struct a_b_q *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort0);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned8(0, _data->c, CORBA_boolean );
  flick_xdr_encode_signed32(4, _data->d, CORBA_long );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_b_q(flick_marshal_stream_t _stream, struct a_b_q *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort1);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned8(0, _data->c, CORBA_boolean );
  flick_xdr_decode_signed32(4, _data->d, CORBA_long );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_a_b(flick_marshal_stream_t _stream, struct a_b *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(28, _flick_abort2);
  flick_suntcp_encode_new_chunk(28);
  flick_xdr_encode_signed16(0, _data->c, CORBA_short );
  flick_xdr_encode_char8(4, _data->d, CORBA_char );
  flick_xdr_encode_unsigned8(8, _data->e.c, CORBA_boolean );
  flick_xdr_encode_signed32(12, _data->e.d, CORBA_long );
  flick_xdr_encode_signed16(16, _data->f, CORBA_short );
  flick_xdr_encode_unsigned8(20, _data->g.c, CORBA_boolean );
  flick_xdr_encode_signed32(24, _data->g.d, CORBA_long );
  flick_suntcp_encode_end_chunk(28);
  flick_suntcp_encode_end_glob(28);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_b(flick_marshal_stream_t _stream, struct a_b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(28);
  flick_suntcp_check_span(28, _flick_abort3);
  flick_suntcp_decode_new_chunk(28);
  flick_xdr_decode_signed16(0, _data->c, CORBA_short );
  flick_xdr_decode_char8(4, _data->d, CORBA_char );
  flick_xdr_decode_unsigned8(8, _data->e.c, CORBA_boolean );
  flick_xdr_decode_signed32(12, _data->e.d, CORBA_long );
  flick_xdr_decode_signed16(16, _data->f, CORBA_short );
  flick_xdr_decode_unsigned8(20, _data->g.c, CORBA_boolean );
  flick_xdr_decode_signed32(24, _data->g.d, CORBA_long );
  flick_suntcp_decode_end_chunk(28);
  flick_suntcp_decode_end_glob(28);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_a_q(flick_marshal_stream_t _stream, struct a_q *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(12, _flick_abort4);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_signed16(0, _data->a, CORBA_short );
  flick_xdr_encode_float64(4, _data->b, CORBA_double );
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_q(flick_marshal_stream_t _stream, struct a_q *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_check_span(12, _flick_abort5);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_signed16(0, _data->a, CORBA_short );
  flick_xdr_decode_float64(4, _data->b, CORBA_double );
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_a_z_zz(flick_marshal_stream_t _stream, struct a_z_zz *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(12, _flick_abort6);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_signed16(0, _data->a.a, CORBA_short );
  flick_xdr_encode_float64(4, _data->a.b, CORBA_double );
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_z_zz(flick_marshal_stream_t _stream, struct a_z_zz *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_check_span(12, _flick_abort7);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_signed16(0, _data->a.a, CORBA_short );
  flick_xdr_decode_float64(4, _data->a.b, CORBA_double );
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_a_z(flick_marshal_stream_t _stream, struct a_z *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(24, _flick_abort8);
  flick_suntcp_encode_new_chunk(24);
  flick_xdr_encode_signed16(0, _data->b.a.a, CORBA_short );
  flick_xdr_encode_float64(4, _data->b.a.b, CORBA_double );
  flick_xdr_encode_signed16(12, _data->z.a, CORBA_short );
  flick_xdr_encode_float64(16, _data->z.b, CORBA_double );
  flick_suntcp_encode_end_chunk(24);
  flick_suntcp_encode_end_glob(24);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_z(flick_marshal_stream_t _stream, struct a_z *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(24);
  flick_suntcp_check_span(24, _flick_abort9);
  flick_suntcp_decode_new_chunk(24);
  flick_xdr_decode_signed16(0, _data->b.a.a, CORBA_short );
  flick_xdr_decode_float64(4, _data->b.a.b, CORBA_double );
  flick_xdr_decode_signed16(12, _data->z.a, CORBA_short );
  flick_xdr_decode_float64(16, _data->z.b, CORBA_double );
  flick_suntcp_decode_end_chunk(24);
  flick_suntcp_decode_end_glob(24);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(108, _flick_abort10);
  flick_suntcp_encode_new_chunk(108);
  flick_xdr_encode_signed16(0, _data->e.c, CORBA_short );
  flick_xdr_encode_char8(4, _data->e.d, CORBA_char );
  flick_xdr_encode_unsigned8(8, _data->e.e.c, CORBA_boolean );
  flick_xdr_encode_signed32(12, _data->e.e.d, CORBA_long );
  flick_xdr_encode_signed16(16, _data->e.f, CORBA_short );
  flick_xdr_encode_unsigned8(20, _data->e.g.c, CORBA_boolean );
  flick_xdr_encode_signed32(24, _data->e.g.d, CORBA_long );
  flick_xdr_encode_signed16(28, _data->h.a, CORBA_short );
  flick_xdr_encode_float64(32, _data->h.b, CORBA_double );
  flick_xdr_encode_signed16(40, _data->j.b.a.a, CORBA_short );
  flick_xdr_encode_float64(44, _data->j.b.a.b, CORBA_double );
  flick_xdr_encode_signed16(52, _data->j.z.a, CORBA_short );
  flick_xdr_encode_float64(56, _data->j.z.b, CORBA_double );
  flick_xdr_encode_float32(64, _data->f, CORBA_float );
  flick_xdr_encode_signed16(68, _data->g.c, CORBA_short );
  flick_xdr_encode_char8(72, _data->g.d, CORBA_char );
  flick_xdr_encode_unsigned8(76, _data->g.e.c, CORBA_boolean );
  flick_xdr_encode_signed32(80, _data->g.e.d, CORBA_long );
  flick_xdr_encode_signed16(84, _data->g.f, CORBA_short );
  flick_xdr_encode_unsigned8(88, _data->g.g.c, CORBA_boolean );
  flick_xdr_encode_signed32(92, _data->g.g.d, CORBA_long );
  flick_xdr_encode_signed16(96, _data->i.a, CORBA_short );
  flick_xdr_encode_float64(100, _data->i.b, CORBA_double );
  flick_suntcp_encode_end_chunk(108);
  flick_suntcp_encode_end_glob(108);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(108);
  flick_suntcp_check_span(108, _flick_abort11);
  flick_suntcp_decode_new_chunk(108);
  flick_xdr_decode_signed16(0, _data->e.c, CORBA_short );
  flick_xdr_decode_char8(4, _data->e.d, CORBA_char );
  flick_xdr_decode_unsigned8(8, _data->e.e.c, CORBA_boolean );
  flick_xdr_decode_signed32(12, _data->e.e.d, CORBA_long );
  flick_xdr_decode_signed16(16, _data->e.f, CORBA_short );
  flick_xdr_decode_unsigned8(20, _data->e.g.c, CORBA_boolean );
  flick_xdr_decode_signed32(24, _data->e.g.d, CORBA_long );
  flick_xdr_decode_signed16(28, _data->h.a, CORBA_short );
  flick_xdr_decode_float64(32, _data->h.b, CORBA_double );
  flick_xdr_decode_signed16(40, _data->j.b.a.a, CORBA_short );
  flick_xdr_decode_float64(44, _data->j.b.a.b, CORBA_double );
  flick_xdr_decode_signed16(52, _data->j.z.a, CORBA_short );
  flick_xdr_decode_float64(56, _data->j.z.b, CORBA_double );
  flick_xdr_decode_float32(64, _data->f, CORBA_float );
  flick_xdr_decode_signed16(68, _data->g.c, CORBA_short );
  flick_xdr_decode_char8(72, _data->g.d, CORBA_char );
  flick_xdr_decode_unsigned8(76, _data->g.e.c, CORBA_boolean );
  flick_xdr_decode_signed32(80, _data->g.e.d, CORBA_long );
  flick_xdr_decode_signed16(84, _data->g.f, CORBA_short );
  flick_xdr_decode_unsigned8(88, _data->g.g.c, CORBA_boolean );
  flick_xdr_decode_signed32(92, _data->g.g.d, CORBA_long );
  flick_xdr_decode_signed16(96, _data->i.a, CORBA_short );
  flick_xdr_decode_float64(100, _data->i.b, CORBA_double );
  flick_suntcp_decode_end_chunk(108);
  flick_suntcp_decode_end_glob(108);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(32, _flick_abort12);
  flick_suntcp_encode_new_chunk(32);
  flick_xdr_encode_signed16(0, _data->c.c, CORBA_short );
  flick_xdr_encode_char8(4, _data->c.d, CORBA_char );
  flick_xdr_encode_unsigned8(8, _data->c.e.c, CORBA_boolean );
  flick_xdr_encode_signed32(12, _data->c.e.d, CORBA_long );
  flick_xdr_encode_signed16(16, _data->c.f, CORBA_short );
  flick_xdr_encode_unsigned8(20, _data->c.g.c, CORBA_boolean );
  flick_xdr_encode_signed32(24, _data->c.g.d, CORBA_long );
  flick_xdr_encode_char8(28, _data->d, CORBA_char );
  flick_suntcp_encode_end_chunk(32);
  flick_suntcp_encode_end_glob(32);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(32);
  flick_suntcp_check_span(32, _flick_abort13);
  flick_suntcp_decode_new_chunk(32);
  flick_xdr_decode_signed16(0, _data->c.c, CORBA_short );
  flick_xdr_decode_char8(4, _data->c.d, CORBA_char );
  flick_xdr_decode_unsigned8(8, _data->c.e.c, CORBA_boolean );
  flick_xdr_decode_signed32(12, _data->c.e.d, CORBA_long );
  flick_xdr_decode_signed16(16, _data->c.f, CORBA_short );
  flick_xdr_decode_unsigned8(20, _data->c.g.c, CORBA_boolean );
  flick_xdr_decode_signed32(24, _data->c.g.d, CORBA_long );
  flick_xdr_decode_char8(28, _data->d, CORBA_char );
  flick_suntcp_decode_end_chunk(32);
  flick_suntcp_decode_end_glob(32);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort14);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort15);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t20_switch_tag;

    flick_suntcp_decode_new_glob(160);
    flick_suntcp_check_span(44, _flick_abort18);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t20_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t20_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t21_switch_tag;

          flick_suntcp_check_span(156, _flick_abort18);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t21_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t21_switch_tag)
            {
            case 'C':
              {
                char _t22_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t22_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t22_switch_tag)
                  {
                  case 'o':
                    {
                      char _t23_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t23_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t23_switch_tag)
                        {
                        case 'p':
                          {
                            char _t24_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t24_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t24_switch_tag)
                              {
                              case 'y':
                                {
                                  char _t25_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t25_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t25_switch_tag)
                                    {
                                    case 'A':
                                      {
                                        char _t26_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t26_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t26_switch_tag)
                                          {
                                          case 'd':
                                            {
                                              char _t27_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t27_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t27_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t28_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t28_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t28_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            test _obj;
                                                            unsigned int _t29_ignore;
                                                            struct b _return;
                                                            struct a *_local_s1;
                                                            struct a _t30_storage;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t31_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort42);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(124);
                                                            flick_xdr_decode_unsigned32(0, _t29_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t29_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t29_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t29_ignore, unsigned int );
                                                            _local_s1 = (struct a *)(&_t30_storage);
                                                            flick_xdr_decode_signed16(16, _local_s1->e.c, CORBA_short );
                                                            flick_xdr_decode_char8(20, _local_s1->e.d, CORBA_char );
                                                            flick_xdr_decode_unsigned8(24, _local_s1->e.e.c, CORBA_boolean );
                                                            flick_xdr_decode_signed32(28, _local_s1->e.e.d, CORBA_long );
                                                            flick_xdr_decode_signed16(32, _local_s1->e.f, CORBA_short );
                                                            flick_xdr_decode_unsigned8(36, _local_s1->e.g.c, CORBA_boolean );
                                                            flick_xdr_decode_signed32(40, _local_s1->e.g.d, CORBA_long );
                                                            flick_xdr_decode_signed16(44, _local_s1->h.a, CORBA_short );
                                                            flick_xdr_decode_float64(48, _local_s1->h.b, CORBA_double );
                                                            flick_xdr_decode_signed16(56, _local_s1->j.b.a.a, CORBA_short );
                                                            flick_xdr_decode_float64(60, _local_s1->j.b.a.b, CORBA_double );
                                                            flick_xdr_decode_signed16(68, _local_s1->j.z.a, CORBA_short );
                                                            flick_xdr_decode_float64(72, _local_s1->j.z.b, CORBA_double );
                                                            flick_xdr_decode_float32(80, _local_s1->f, CORBA_float );
                                                            flick_xdr_decode_signed16(84, _local_s1->g.c, CORBA_short );
                                                            flick_xdr_decode_char8(88, _local_s1->g.d, CORBA_char );
                                                            flick_xdr_decode_unsigned8(92, _local_s1->g.e.c, CORBA_boolean );
                                                            flick_xdr_decode_signed32(96, _local_s1->g.e.d, CORBA_long );
                                                            flick_xdr_decode_signed16(100, _local_s1->g.f, CORBA_short );
                                                            flick_xdr_decode_unsigned8(104, _local_s1->g.g.c, CORBA_boolean );
                                                            flick_xdr_decode_signed32(108, _local_s1->g.g.d, CORBA_long );
                                                            flick_xdr_decode_signed16(112, _local_s1->i.a, CORBA_short );
                                                            flick_xdr_decode_float64(116, _local_s1->i.b, CORBA_double );
                                                            _ev = (CORBA_Environment *)(&_t31_storage);
                                                            flick_suntcp_decode_end_chunk(124);
                                                            flick_suntcp_decode_end_glob(160);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = test_CopyAdd(_obj, _local_s1, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort42);
                                                              flick_suntcp_encode_new_glob(36, _flick_abort42);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(32);
                                                                    flick_xdr_encode_signed16(0, _return.c.c, CORBA_short );
                                                                    flick_xdr_encode_char8(4, _return.c.d, CORBA_char );
                                                                    flick_xdr_encode_unsigned8(8, _return.c.e.c, CORBA_boolean );
                                                                    flick_xdr_encode_signed32(12, _return.c.e.d, CORBA_long );
                                                                    flick_xdr_encode_signed16(16, _return.c.f, CORBA_short );
                                                                    flick_xdr_encode_unsigned8(20, _return.c.g.c, CORBA_boolean );
                                                                    flick_xdr_encode_signed32(24, _return.c.g.d, CORBA_long );
                                                                    flick_xdr_encode_char8(28, _return.d, CORBA_char );
                                                                    flick_suntcp_encode_end_chunk(32);
                                                                    flick_suntcp_encode_end_glob(36);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(36);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort48);
                                                                    break;
                                                                    {
                                                                    _flick_abort48:
                                                                      goto _flick_abort42;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort49);
                                                                    flick_suntcp_encode_end_glob(36);
                                                                    break;
                                                                    {
                                                                    _flick_abort49:
                                                                      goto _flick_abort42;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort42:
                                                              goto _flick_abort41;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort41:
                                                            goto _flick_abort18;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                                                          flick_suntcp_decode_end_glob(160);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                                                    flick_suntcp_decode_end_glob(160);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                                              flick_suntcp_decode_end_glob(160);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                                        flick_suntcp_decode_end_glob(160);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                                  flick_suntcp_decode_end_glob(160);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                            flick_suntcp_decode_end_glob(160);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                      flick_suntcp_decode_end_glob(160);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                flick_suntcp_decode_end_glob(160);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t32_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t32_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t32_switch_tag)
            {
            case 'i':
              {
                char _t33_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t33_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t33_switch_tag)
                  {
                  case 's':
                    {
                      char _t34_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t34_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t34_switch_tag)
                        {
                        case '_':
                          {
                            char _t35_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t35_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t35_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t36_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t36_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t36_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t37_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t38_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t39_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort51);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t37_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t37_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t37_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t37_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t38_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(160);
                                          flick_suntcp_decode_new_glob(1 * _t38_temp_string_len);
                                          flick_suntcp_check_span(1 * _t38_temp_string_len * 1, _flick_abort51);
                                          flick_suntcp_decode_new_chunk(1 * _t38_temp_string_len);
                                          if ((_t38_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t38_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort51);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t38_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t38_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t38_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort54);
                                          _local_id[_t38_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t39_storage);
                                          _par = flick_interface_parents_test;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort54);
                                            flick_suntcp_encode_new_glob(8, _flick_abort54);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort60);
                                                  break;
                                                  {
                                                  _flick_abort60:
                                                    goto _flick_abort54;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort61);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort61:
                                                    goto _flick_abort54;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort54:
                                            auto_flick_free(_local_id);
                                          _flick_abort51:
                                            goto _flick_abort50;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort50:
                                          goto _flick_abort18;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                                        flick_suntcp_decode_end_glob(160);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                                  flick_suntcp_decode_end_glob(160);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                            flick_suntcp_decode_end_glob(160);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                      flick_suntcp_decode_end_glob(160);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                flick_suntcp_decode_end_glob(160);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
          flick_suntcp_decode_end_glob(160);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort18:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort17);
  _flick_abort17:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

