#include "ttcp-client.h"

/* This is the runtime type information */
char *flick_interface_parents_ttcp[] = {
	0
};

/* */

int flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort0);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->xx, CORBA_long );
  flick_xdr_encode_signed32(4, _data->yy, CORBA_long );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort1);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->xx, CORBA_long );
  flick_xdr_decode_signed32(4, _data->yy, CORBA_long );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(16, _flick_abort2);
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_signed32(0, _data->x.xx, CORBA_long );
  flick_xdr_encode_signed32(4, _data->x.yy, CORBA_long );
  flick_xdr_encode_signed32(8, _data->y.xx, CORBA_long );
  flick_xdr_encode_signed32(12, _data->y.yy, CORBA_long );
  flick_suntcp_encode_end_chunk(16);
  flick_suntcp_encode_end_glob(16);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_check_span(16, _flick_abort3);
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_signed32(0, _data->x.xx, CORBA_long );
  flick_xdr_decode_signed32(4, _data->x.yy, CORBA_long );
  flick_xdr_decode_signed32(8, _data->y.xx, CORBA_long );
  flick_xdr_decode_signed32(12, _data->y.yy, CORBA_long );
  flick_suntcp_decode_end_chunk(16);
  flick_suntcp_decode_end_glob(16);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_structBuffer(flick_marshal_stream_t _stream, const structBuffer *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(16 * _data->_length, _flick_abort4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_signed32(0, _data->_buffer[_t0_array_iter].x.xx, CORBA_long );
      flick_xdr_encode_signed32(4, _data->_buffer[_t0_array_iter].x.yy, CORBA_long );
      flick_xdr_encode_signed32(8, _data->_buffer[_t0_array_iter].y.xx, CORBA_long );
      flick_xdr_encode_signed32(12, _data->_buffer[_t0_array_iter].y.yy, CORBA_long );
      flick_suntcp_encode_end_chunk(16);
      continue;
    }
  flick_suntcp_encode_end_glob(16 * _data->_length);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_structBuffer(flick_marshal_stream_t _stream, structBuffer *_data)
{
  CORBA_unsigned_long _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort10);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(16 * _data->_length);
  {
    struct b *_t_alloc_ptr;

    _t_alloc_ptr = (struct b *)(CORBA_flick_alloc((_data->_length + 1) * sizeof(struct b )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length + 1;
    _data->_release = 1;
  }
  flick_suntcp_check_span(_data->_length * 16, _flick_abort14);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_signed32(0, _data->_buffer[_t1_array_iter].x.xx, CORBA_long );
      flick_xdr_decode_signed32(4, _data->_buffer[_t1_array_iter].x.yy, CORBA_long );
      flick_xdr_decode_signed32(8, _data->_buffer[_t1_array_iter].y.xx, CORBA_long );
      flick_xdr_decode_signed32(12, _data->_buffer[_t1_array_iter].y.yy, CORBA_long );
      flick_suntcp_decode_end_chunk(16);
      continue;
    }
  flick_suntcp_decode_end_glob(16 * _data->_length);
  return 0;
  {
  _flick_abort14:
    CORBA_flick_free(_data->_buffer);
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_intBuffer(flick_marshal_stream_t _stream, const intBuffer *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t2_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort17);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length, _flick_abort17);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t2_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_intBuffer(flick_marshal_stream_t _stream, intBuffer *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t3_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort25);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc((_data->_length + 1) * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort28);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length + 1;
    _data->_release = 1;
  }
  flick_suntcp_check_span(_data->_length * 4, _flick_abort30);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t3_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_check_span(4 * _data->_length * 1, _flick_abort33);
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc((_data->_length + 1) * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort33);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length + 1;
    _data->_release = 1;
  }
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort30:
    CORBA_flick_free(_data->_buffer);
  _flick_abort28:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort33:
#endif /* ENDIANness */
  _flick_abort25:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_useless(flick_marshal_stream_t _stream, const useless *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort35);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->baloney, CORBA_long );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort35:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_useless(flick_marshal_stream_t _stream, useless *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort36);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->baloney, CORBA_long );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort36:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ttcp(flick_marshal_stream_t _stream, const ttcp *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort37);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort37:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ttcp(flick_marshal_stream_t _stream, ttcp *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort38);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort38:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA_long ttcp_inttest(ttcp _obj, intBuffer *data, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort40);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    CORBA_unsigned_long _t5_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(56, _flick_abort40);
    flick_suntcp_encode_new_chunk(56);
    flick_xdr_encode_unsigned32(0, 8, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'i', flick_char8_t );
    flick_xdr_encode_char8(8, 'n', flick_char8_t );
    flick_xdr_encode_char8(12, 't', flick_char8_t );
    flick_xdr_encode_char8(16, 't', flick_char8_t );
    flick_xdr_encode_char8(20, 'e', flick_char8_t );
    flick_xdr_encode_char8(24, 's', flick_char8_t );
    flick_xdr_encode_char8(28, 't', flick_char8_t );
    flick_xdr_encode_char8(32, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(40, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(44, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(48, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(52, data->_length, CORBA_unsigned_long );
    flick_suntcp_encode_end_chunk(56);
    flick_suntcp_encode_end_glob(56);
    flick_suntcp_encode_new_glob(4 * data->_length, _flick_abort40);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t5_array_iter = 0; _t5_array_iter < data->_length; _t5_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, data->_buffer[_t5_array_iter], CORBA_long );
        flick_suntcp_encode_end_chunk(4);
        continue;
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(4 * data->_length);
    flick_xdr_encode_bcopy(0, data->_buffer, 4 * data->_length);
    flick_suntcp_encode_end_chunk(4 * data->_length);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(4 * data->_length);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block52);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block52);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(76);
      flick_suntcp_check_span(4, _flick_abort_block52);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(4, _flick_abort65);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return, CORBA_long );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(76);
            break;
            {
            _flick_abort65:
              goto _flick_abort_block52;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(76);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort66);
            break;
            {
            _flick_abort66:
              goto _flick_abort_block52;
            }
          }
        default:
          {
            unsigned int _t57_switch_tag;

            flick_suntcp_check_span(72, _flick_abort67);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _t57_switch_tag, unsigned int );
            flick_suntcp_decode_end_chunk(4);
            switch ((unsigned int )_t57_switch_tag)
              {
              case (unsigned int) 16:
                {
                  char _t58_switch_tag;

                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, _t58_switch_tag, char );
                  flick_suntcp_decode_end_chunk(4);
                  switch ((char )_t58_switch_tag)
                    {
                    case 'I':
                      {
                        char _t59_switch_tag;

                        flick_suntcp_decode_new_chunk(4);
                        flick_xdr_decode_char8(0, _t59_switch_tag, char );
                        flick_suntcp_decode_end_chunk(4);
                        switch ((char )_t59_switch_tag)
                          {
                          case 'D':
                            {
                              char _t60_switch_tag;

                              flick_suntcp_decode_new_chunk(4);
                              flick_xdr_decode_char8(0, _t60_switch_tag, char );
                              flick_suntcp_decode_end_chunk(4);
                              switch ((char )_t60_switch_tag)
                                {
                                case 'L':
                                  {
                                    char _t61_switch_tag;

                                    flick_suntcp_decode_new_chunk(4);
                                    flick_xdr_decode_char8(0, _t61_switch_tag, char );
                                    flick_suntcp_decode_end_chunk(4);
                                    switch ((char )_t61_switch_tag)
                                      {
                                      case ':':
                                        {
                                          char _t62_switch_tag;

                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_char8(0, _t62_switch_tag, char );
                                          flick_suntcp_decode_end_chunk(4);
                                          switch ((char )_t62_switch_tag)
                                            {
                                            case 'u':
                                              {
                                                char _t63_switch_tag;

                                                flick_suntcp_decode_new_chunk(4);
                                                flick_xdr_decode_char8(0, _t63_switch_tag, char );
                                                flick_suntcp_decode_end_chunk(4);
                                                switch ((char )_t63_switch_tag)
                                                  {
                                                  case 's':
                                                    {
                                                      char _t64_switch_tag;

                                                      flick_suntcp_decode_new_chunk(4);
                                                      flick_xdr_decode_char8(0, _t64_switch_tag, char );
                                                      flick_suntcp_decode_end_chunk(4);
                                                      switch ((char )_t64_switch_tag)
                                                        {
                                                        case 'e':
                                                          {
                                                            char _t65_switch_tag;

                                                            flick_suntcp_decode_new_chunk(4);
                                                            flick_xdr_decode_char8(0, _t65_switch_tag, char );
                                                            flick_suntcp_decode_end_chunk(4);
                                                            switch ((char )_t65_switch_tag)
                                                              {
                                                              case 'l':
                                                                {
                                                                  char _t66_switch_tag;

                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_char8(0, _t66_switch_tag, char );
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  switch ((char )_t66_switch_tag)
                                                                    {
                                                                    case 'e':
                                                                      {
                                                                        char _t67_switch_tag;

                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _t67_switch_tag, char );
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        switch ((char )_t67_switch_tag)
                                                                          {
                                                                          case 's':
                                                                            {
                                                                              char _t68_switch_tag;

                                                                              flick_suntcp_decode_new_chunk(4);
                                                                              flick_xdr_decode_char8(0, _t68_switch_tag, char );
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              switch ((char )_t68_switch_tag)
                                                                                {
                                                                                case 's':
                                                                                  {
                                                                                    char _t69_switch_tag;

                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _t69_switch_tag, char );
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    switch ((char )_t69_switch_tag)
                                                                                      {
                                                                                      case ':':
                                                                                        {
                                                                                          char _t70_switch_tag;

                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                          flick_xdr_decode_char8(0, _t70_switch_tag, char );
                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                          switch ((char )_t70_switch_tag)
                                                                                            {
                                                                                            case '1':
                                                                                              {
                                                                                                char _t71_switch_tag;

                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                flick_xdr_decode_char8(0, _t71_switch_tag, char );
                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                switch ((char )_t71_switch_tag)
                                                                                                  {
                                                                                                  case '.':
                                                                                                    {
                                                                                                      char _t72_switch_tag;

                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                      flick_xdr_decode_char8(0, _t72_switch_tag, char );
                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                      switch ((char )_t72_switch_tag)
                                                                                                        {
                                                                                                        case '0':
                                                                                                          {
                                                                                                            char _t73_switch_tag;

                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                            flick_xdr_decode_char8(0, _t73_switch_tag, char );
                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                            switch ((char )_t73_switch_tag)
                                                                                                              {
                                                                                                              case 0:
                                                                                                                {
                                                                                                                  _ev->_id = "IDL:useless:1.0";
                                                                                                                  {
                                                                                                                    useless *_t_alloc_ptr;

                                                                                                                    _t_alloc_ptr = (useless *)(CORBA_flick_alloc(sizeof(useless )));
                                                                                                                    if (!_t_alloc_ptr)
                                                                                                                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort71);
                                                                                                                    _ev->_value._user_except = _t_alloc_ptr;
                                                                                                                  }
                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                  flick_xdr_decode_signed32(0, ((useless *)(_ev->_value._user_except))->baloney, CORBA_long );
                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                  break;
                                                                                                                  {
                                                                                                                  _flick_abort71:
                                                                                                                    goto _flick_abort67;
                                                                                                                  }
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                                                                                                  break;
                                                                                                                }
                                                                                                              }
                                                                                                            break;
                                                                                                          }
                                                                                                        default:
                                                                                                          {
                                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                                                                                            break;
                                                                                                          }
                                                                                                        }
                                                                                                      break;
                                                                                                    }
                                                                                                  default:
                                                                                                    {
                                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                                                                                      break;
                                                                                                    }
                                                                                                  }
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                                                                                break;
                                                                                              }
                                                                                            }
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                                                              break;
                                                                            }
                                                                          }
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                                                        break;
                                                                      }
                                                                    }
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                  break;
                }
              }
            flick_suntcp_decode_end_glob(76);
            break;
            {
            _flick_abort67:
              goto _flick_abort_block52;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort_block52:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
  _flick_abort40:
    flick_corba_client_error(xdr, sun, _flick_abort39);
  _flick_abort39:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long ttcp_structtest(ttcp _obj, structBuffer *data, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort74);
  }
  {
    CORBA_unsigned_long _t75_array_iter;

    flick_suntcp_encode_new_glob(68, _flick_abort74);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 11, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 's', flick_char8_t );
    flick_xdr_encode_char8(8, 't', flick_char8_t );
    flick_xdr_encode_char8(12, 'r', flick_char8_t );
    flick_xdr_encode_char8(16, 'u', flick_char8_t );
    flick_xdr_encode_char8(20, 'c', flick_char8_t );
    flick_xdr_encode_char8(24, 't', flick_char8_t );
    flick_xdr_encode_char8(28, 't', flick_char8_t );
    flick_xdr_encode_char8(32, 'e', flick_char8_t );
    flick_xdr_encode_char8(36, 's', flick_char8_t );
    flick_xdr_encode_char8(40, 't', flick_char8_t );
    flick_xdr_encode_char8(44, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(52, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(56, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(60, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(64, data->_length, CORBA_unsigned_long );
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
    flick_suntcp_encode_new_glob(16 * data->_length, _flick_abort74);
    for (_t75_array_iter = 0; _t75_array_iter < data->_length; _t75_array_iter++)
      {
        flick_suntcp_encode_new_chunk(16);
        flick_xdr_encode_signed32(0, data->_buffer[_t75_array_iter].x.xx, CORBA_long );
        flick_xdr_encode_signed32(4, data->_buffer[_t75_array_iter].x.yy, CORBA_long );
        flick_xdr_encode_signed32(8, data->_buffer[_t75_array_iter].y.xx, CORBA_long );
        flick_xdr_encode_signed32(12, data->_buffer[_t75_array_iter].y.yy, CORBA_long );
        flick_suntcp_encode_end_chunk(16);
        continue;
      }
    flick_suntcp_encode_end_glob(16 * data->_length);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort74);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort74);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(76);
      flick_suntcp_check_span(4, _flick_abort74);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(4, _flick_abort95);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return, CORBA_long );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(76);
            break;
            {
            _flick_abort95:
              goto _flick_abort74;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(76);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort96);
            break;
            {
            _flick_abort96:
              goto _flick_abort74;
            }
          }
        default:
          {
            unsigned int _t127_switch_tag;

            flick_suntcp_check_span(72, _flick_abort97);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _t127_switch_tag, unsigned int );
            flick_suntcp_decode_end_chunk(4);
            switch ((unsigned int )_t127_switch_tag)
              {
              case (unsigned int) 16:
                {
                  char _t128_switch_tag;

                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, _t128_switch_tag, char );
                  flick_suntcp_decode_end_chunk(4);
                  switch ((char )_t128_switch_tag)
                    {
                    case 'I':
                      {
                        char _t129_switch_tag;

                        flick_suntcp_decode_new_chunk(4);
                        flick_xdr_decode_char8(0, _t129_switch_tag, char );
                        flick_suntcp_decode_end_chunk(4);
                        switch ((char )_t129_switch_tag)
                          {
                          case 'D':
                            {
                              char _t130_switch_tag;

                              flick_suntcp_decode_new_chunk(4);
                              flick_xdr_decode_char8(0, _t130_switch_tag, char );
                              flick_suntcp_decode_end_chunk(4);
                              switch ((char )_t130_switch_tag)
                                {
                                case 'L':
                                  {
                                    char _t131_switch_tag;

                                    flick_suntcp_decode_new_chunk(4);
                                    flick_xdr_decode_char8(0, _t131_switch_tag, char );
                                    flick_suntcp_decode_end_chunk(4);
                                    switch ((char )_t131_switch_tag)
                                      {
                                      case ':':
                                        {
                                          char _t132_switch_tag;

                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_char8(0, _t132_switch_tag, char );
                                          flick_suntcp_decode_end_chunk(4);
                                          switch ((char )_t132_switch_tag)
                                            {
                                            case 'u':
                                              {
                                                char _t133_switch_tag;

                                                flick_suntcp_decode_new_chunk(4);
                                                flick_xdr_decode_char8(0, _t133_switch_tag, char );
                                                flick_suntcp_decode_end_chunk(4);
                                                switch ((char )_t133_switch_tag)
                                                  {
                                                  case 's':
                                                    {
                                                      char _t134_switch_tag;

                                                      flick_suntcp_decode_new_chunk(4);
                                                      flick_xdr_decode_char8(0, _t134_switch_tag, char );
                                                      flick_suntcp_decode_end_chunk(4);
                                                      switch ((char )_t134_switch_tag)
                                                        {
                                                        case 'e':
                                                          {
                                                            char _t135_switch_tag;

                                                            flick_suntcp_decode_new_chunk(4);
                                                            flick_xdr_decode_char8(0, _t135_switch_tag, char );
                                                            flick_suntcp_decode_end_chunk(4);
                                                            switch ((char )_t135_switch_tag)
                                                              {
                                                              case 'l':
                                                                {
                                                                  char _t136_switch_tag;

                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_char8(0, _t136_switch_tag, char );
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  switch ((char )_t136_switch_tag)
                                                                    {
                                                                    case 'e':
                                                                      {
                                                                        char _t137_switch_tag;

                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _t137_switch_tag, char );
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        switch ((char )_t137_switch_tag)
                                                                          {
                                                                          case 's':
                                                                            {
                                                                              char _t138_switch_tag;

                                                                              flick_suntcp_decode_new_chunk(4);
                                                                              flick_xdr_decode_char8(0, _t138_switch_tag, char );
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              switch ((char )_t138_switch_tag)
                                                                                {
                                                                                case 's':
                                                                                  {
                                                                                    char _t139_switch_tag;

                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _t139_switch_tag, char );
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    switch ((char )_t139_switch_tag)
                                                                                      {
                                                                                      case ':':
                                                                                        {
                                                                                          char _t140_switch_tag;

                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                          flick_xdr_decode_char8(0, _t140_switch_tag, char );
                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                          switch ((char )_t140_switch_tag)
                                                                                            {
                                                                                            case '1':
                                                                                              {
                                                                                                char _t141_switch_tag;

                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                flick_xdr_decode_char8(0, _t141_switch_tag, char );
                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                switch ((char )_t141_switch_tag)
                                                                                                  {
                                                                                                  case '.':
                                                                                                    {
                                                                                                      char _t142_switch_tag;

                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                      flick_xdr_decode_char8(0, _t142_switch_tag, char );
                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                      switch ((char )_t142_switch_tag)
                                                                                                        {
                                                                                                        case '0':
                                                                                                          {
                                                                                                            char _t143_switch_tag;

                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                            flick_xdr_decode_char8(0, _t143_switch_tag, char );
                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                            switch ((char )_t143_switch_tag)
                                                                                                              {
                                                                                                              case 0:
                                                                                                                {
                                                                                                                  _ev->_id = "IDL:useless:1.0";
                                                                                                                  {
                                                                                                                    useless *_t_alloc_ptr;

                                                                                                                    _t_alloc_ptr = (useless *)(CORBA_flick_alloc(sizeof(useless )));
                                                                                                                    if (!_t_alloc_ptr)
                                                                                                                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort101);
                                                                                                                    _ev->_value._user_except = _t_alloc_ptr;
                                                                                                                  }
                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                  flick_xdr_decode_signed32(0, ((useless *)(_ev->_value._user_except))->baloney, CORBA_long );
                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                  break;
                                                                                                                  {
                                                                                                                  _flick_abort101:
                                                                                                                    goto _flick_abort97;
                                                                                                                  }
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                                                                                                                  break;
                                                                                                                }
                                                                                                              }
                                                                                                            break;
                                                                                                          }
                                                                                                        default:
                                                                                                          {
                                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                                                                                                            break;
                                                                                                          }
                                                                                                        }
                                                                                                      break;
                                                                                                    }
                                                                                                  default:
                                                                                                    {
                                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                                                                                                      break;
                                                                                                    }
                                                                                                  }
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                                                                                                break;
                                                                                              }
                                                                                            }
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                                                                              break;
                                                                            }
                                                                          }
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                                                                        break;
                                                                      }
                                                                    }
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                  break;
                }
              }
            flick_suntcp_decode_end_glob(76);
            break;
            {
            _flick_abort97:
              goto _flick_abort74;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort74:
    flick_corba_client_error(xdr, sun, _flick_abort73);
  _flick_abort73:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

