#include "turtle-client-client.h"

/* This is the runtime type information */
char *flick_interface_parents_Client[] = {
	0
};

/* */

int flick_marshal_stub_Client(flick_marshal_stream_t _stream, const Client *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Client(flick_marshal_stream_t _stream, Client *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA_long Client_SetLeft(Client _obj, CORBA_long speed, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort3);
  }
  {
    flick_suntcp_encode_new_glob(56, _flick_abort3);
    flick_suntcp_encode_new_chunk(56);
    flick_xdr_encode_unsigned32(0, 8, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'S', flick_char8_t );
    flick_xdr_encode_char8(8, 'e', flick_char8_t );
    flick_xdr_encode_char8(12, 't', flick_char8_t );
    flick_xdr_encode_char8(16, 'L', flick_char8_t );
    flick_xdr_encode_char8(20, 'e', flick_char8_t );
    flick_xdr_encode_char8(24, 'f', flick_char8_t );
    flick_xdr_encode_char8(28, 't', flick_char8_t );
    flick_xdr_encode_char8(32, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(40, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(44, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(48, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed32(52, speed, CORBA_long );
    flick_suntcp_encode_end_chunk(56);
    flick_suntcp_encode_end_glob(56);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort3);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort3);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort3);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(4, _flick_abort9);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return, CORBA_long );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort9:
              goto _flick_abort3;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort10);
            break;
            {
            _flick_abort10:
              goto _flick_abort3;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort11);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort11:
              goto _flick_abort3;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort3:
    flick_corba_client_error(xdr, sun, _flick_abort2);
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long Client_SetRight(Client _obj, CORBA_long speed, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort13);
  }
  {
    flick_suntcp_encode_new_glob(60, _flick_abort13);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 9, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'S', flick_char8_t );
    flick_xdr_encode_char8(8, 'e', flick_char8_t );
    flick_xdr_encode_char8(12, 't', flick_char8_t );
    flick_xdr_encode_char8(16, 'R', flick_char8_t );
    flick_xdr_encode_char8(20, 'i', flick_char8_t );
    flick_xdr_encode_char8(24, 'g', flick_char8_t );
    flick_xdr_encode_char8(28, 'h', flick_char8_t );
    flick_xdr_encode_char8(32, 't', flick_char8_t );
    flick_xdr_encode_char8(36, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(44, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(48, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(52, (unsigned int) 0, unsigned int );
    flick_xdr_encode_signed32(56, speed, CORBA_long );
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort13);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort13);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort13);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(4, _flick_abort19);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return, CORBA_long );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort19:
              goto _flick_abort13;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort20);
            break;
            {
            _flick_abort20:
              goto _flick_abort13;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort21);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort21:
              goto _flick_abort13;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort13:
    flick_corba_client_error(xdr, sun, _flick_abort12);
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long Client_GetButton(Client _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort23);
  }
  {
    flick_suntcp_encode_new_glob(60, _flick_abort23);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 10, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'G', flick_char8_t );
    flick_xdr_encode_char8(8, 'e', flick_char8_t );
    flick_xdr_encode_char8(12, 't', flick_char8_t );
    flick_xdr_encode_char8(16, 'B', flick_char8_t );
    flick_xdr_encode_char8(20, 'u', flick_char8_t );
    flick_xdr_encode_char8(24, 't', flick_char8_t );
    flick_xdr_encode_char8(28, 't', flick_char8_t );
    flick_xdr_encode_char8(32, 'o', flick_char8_t );
    flick_xdr_encode_char8(36, 'n', flick_char8_t );
    flick_xdr_encode_char8(40, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(48, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(52, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(56, (unsigned int) 0, unsigned int );
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort23);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort23);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort23);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(4, _flick_abort29);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return, CORBA_long );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort29:
              goto _flick_abort23;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort30);
            break;
            {
            _flick_abort30:
              goto _flick_abort23;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort31);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort31:
              goto _flick_abort23;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort23:
    flick_corba_client_error(xdr, sun, _flick_abort22);
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long Client_GetPhoto(Client _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort33);
  }
  {
    flick_suntcp_encode_new_glob(56, _flick_abort33);
    flick_suntcp_encode_new_chunk(56);
    flick_xdr_encode_unsigned32(0, 9, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 'G', flick_char8_t );
    flick_xdr_encode_char8(8, 'e', flick_char8_t );
    flick_xdr_encode_char8(12, 't', flick_char8_t );
    flick_xdr_encode_char8(16, 'P', flick_char8_t );
    flick_xdr_encode_char8(20, 'h', flick_char8_t );
    flick_xdr_encode_char8(24, 'o', flick_char8_t );
    flick_xdr_encode_char8(28, 't', flick_char8_t );
    flick_xdr_encode_char8(32, 'o', flick_char8_t );
    flick_xdr_encode_char8(36, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(44, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(48, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(52, (unsigned int) 0, unsigned int );
    flick_suntcp_encode_end_chunk(56);
    flick_suntcp_encode_end_glob(56);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort33);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort33);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort33);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(4, _flick_abort39);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return, CORBA_long );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort39:
              goto _flick_abort33;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort40);
            break;
            {
            _flick_abort40:
              goto _flick_abort33;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort41);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort41:
              goto _flick_abort33;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort33:
    flick_corba_client_error(xdr, sun, _flick_abort32);
  _flick_abort32:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

