#include "atomic_-client.h"

/* This is the runtime type information */
char *flick_interface_parents_Atomic_test[] = {
	0
};

/* */

CORBA_short Atomic_test_Short(Atomic_test _obj, CORBA_short a, CORBA_short *b, CORBA_short *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_short _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort1);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort1);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 0, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(8, a, CORBA_short );
    flick_cdr_encode_signed16(10, *b, CORBA_short );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(10);
      flick_trapeze_check_span(4, _flick_abort1);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(6, _flick_abort7);
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_signed16(0, _return, CORBA_short );
            flick_cdr_decode_signed16(2, *b, CORBA_short );
            flick_cdr_decode_signed16(4, *c, CORBA_short );
            flick_trapeze_decode_end_chunk(6);
            break;
            {
            _flick_abort7:
              goto _flick_abort1;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort9);
            break;
            {
            _flick_abort9:
              goto _flick_abort1;
            }
          }
        }
      flick_trapeze_decode_end_glob(10);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort1:
    flick_corba_client_error(cdr, trapeze, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long Atomic_test_Long(Atomic_test _obj, CORBA_long a, CORBA_long *b, CORBA_long *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort11);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort11);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 1, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, a, CORBA_long );
    flick_cdr_encode_signed32(12, *b, CORBA_long );
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort11);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_check_span(4, _flick_abort11);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(12, _flick_abort17);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_cdr_decode_signed32(4, *b, CORBA_long );
            flick_cdr_decode_signed32(8, *c, CORBA_long );
            flick_trapeze_decode_end_chunk(12);
            break;
            {
            _flick_abort17:
              goto _flick_abort11;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort19);
            break;
            {
            _flick_abort19:
              goto _flick_abort11;
            }
          }
        }
      flick_trapeze_decode_end_glob(16);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort11:
    flick_corba_client_error(cdr, trapeze, _flick_abort10);
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_unsigned_short Atomic_test_UShort(Atomic_test _obj, CORBA_unsigned_short a, CORBA_unsigned_short *b, CORBA_unsigned_short *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_unsigned_short _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort21);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort21);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 2, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned16(8, a, CORBA_unsigned_short );
    flick_cdr_encode_unsigned16(10, *b, CORBA_unsigned_short );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(10);
      flick_trapeze_check_span(4, _flick_abort21);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(6, _flick_abort27);
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned16(0, _return, CORBA_unsigned_short );
            flick_cdr_decode_unsigned16(2, *b, CORBA_unsigned_short );
            flick_cdr_decode_unsigned16(4, *c, CORBA_unsigned_short );
            flick_trapeze_decode_end_chunk(6);
            break;
            {
            _flick_abort27:
              goto _flick_abort21;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort29);
            break;
            {
            _flick_abort29:
              goto _flick_abort21;
            }
          }
        }
      flick_trapeze_decode_end_glob(10);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort21:
    flick_corba_client_error(cdr, trapeze, _flick_abort20);
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_unsigned_long Atomic_test_ULong(Atomic_test _obj, CORBA_unsigned_long a, CORBA_unsigned_long *b, CORBA_unsigned_long *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_unsigned_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort31);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort31);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 3, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, a, CORBA_unsigned_long );
    flick_cdr_encode_unsigned32(12, *b, CORBA_unsigned_long );
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort31);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_check_span(4, _flick_abort31);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(12, _flick_abort37);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _return, CORBA_unsigned_long );
            flick_cdr_decode_unsigned32(4, *b, CORBA_unsigned_long );
            flick_cdr_decode_unsigned32(8, *c, CORBA_unsigned_long );
            flick_trapeze_decode_end_chunk(12);
            break;
            {
            _flick_abort37:
              goto _flick_abort31;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort39);
            break;
            {
            _flick_abort39:
              goto _flick_abort31;
            }
          }
        }
      flick_trapeze_decode_end_glob(16);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort31:
    flick_corba_client_error(cdr, trapeze, _flick_abort30);
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_float Atomic_test_Float(Atomic_test _obj, CORBA_float a, CORBA_float *b, CORBA_float *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_float _return;

  _return = 0.000000;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort41);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort41);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 4, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_float32(8, a, CORBA_float );
    flick_cdr_encode_float32(12, *b, CORBA_float );
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort41);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_check_span(4, _flick_abort41);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(12, _flick_abort47);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_float32(0, _return, CORBA_float );
            flick_cdr_decode_float32(4, *b, CORBA_float );
            flick_cdr_decode_float32(8, *c, CORBA_float );
            flick_trapeze_decode_end_chunk(12);
            break;
            {
            _flick_abort47:
              goto _flick_abort41;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort49);
            break;
            {
            _flick_abort49:
              goto _flick_abort41;
            }
          }
        }
      flick_trapeze_decode_end_glob(16);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort41:
    flick_corba_client_error(cdr, trapeze, _flick_abort40);
  _flick_abort40:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_double Atomic_test_Double(Atomic_test _obj, CORBA_double a, CORBA_double *b, CORBA_double *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_double _return;

  _return = 0.000000;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort51);
  }
  {
    flick_trapeze_encode_new_glob(28, _flick_abort51);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_new_chunk_align(16, 3, 2, 0);
    flick_cdr_encode_float64(0, a, CORBA_double );
    flick_cdr_encode_float64(8, *b, CORBA_double );
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(28);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort51);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(32);
      flick_trapeze_check_span(4, _flick_abort51);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk_align(24, 3, 2, 0);
            flick_trapeze_check_span(24, _flick_abort57);
            flick_cdr_decode_float64(0, _return, CORBA_double );
            flick_cdr_decode_float64(8, *b, CORBA_double );
            flick_cdr_decode_float64(16, *c, CORBA_double );
            flick_trapeze_decode_end_chunk(24);
            break;
            {
            _flick_abort57:
              goto _flick_abort51;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort59);
            break;
            {
            _flick_abort59:
              goto _flick_abort51;
            }
          }
        }
      flick_trapeze_decode_end_glob(32);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort51:
    flick_corba_client_error(cdr, trapeze, _flick_abort50);
  _flick_abort50:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_boolean Atomic_test_Boolean(Atomic_test _obj, CORBA_boolean a, CORBA_boolean *b, CORBA_boolean *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_boolean _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort61);
  }
  {
    flick_trapeze_encode_new_glob(10, _flick_abort61);
    flick_trapeze_encode_new_chunk(10);
    flick_cdr_encode_signed32(0, 6, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned8(8, a, CORBA_boolean );
    flick_cdr_encode_unsigned8(9, *b, CORBA_boolean );
    flick_trapeze_encode_end_chunk(10);
    flick_trapeze_encode_end_glob(10);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort61);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(7);
      flick_trapeze_check_span(4, _flick_abort61);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(3, _flick_abort67);
            flick_trapeze_decode_new_chunk(3);
            flick_cdr_decode_unsigned8(0, _return, CORBA_boolean );
            flick_cdr_decode_unsigned8(1, *b, CORBA_boolean );
            flick_cdr_decode_unsigned8(2, *c, CORBA_boolean );
            flick_trapeze_decode_end_chunk(3);
            break;
            {
            _flick_abort67:
              goto _flick_abort61;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort69);
            break;
            {
            _flick_abort69:
              goto _flick_abort61;
            }
          }
        }
      flick_trapeze_decode_end_glob(7);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort61:
    flick_corba_client_error(cdr, trapeze, _flick_abort60);
  _flick_abort60:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_char Atomic_test_Char(Atomic_test _obj, CORBA_char a, CORBA_char *b, CORBA_char *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_char _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort71);
  }
  {
    flick_trapeze_encode_new_glob(10, _flick_abort71);
    flick_trapeze_encode_new_chunk(10);
    flick_cdr_encode_signed32(0, 7, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(8, a, CORBA_char );
    flick_cdr_encode_char8(9, *b, CORBA_char );
    flick_trapeze_encode_end_chunk(10);
    flick_trapeze_encode_end_glob(10);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort71);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(7);
      flick_trapeze_check_span(4, _flick_abort71);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(3, _flick_abort77);
            flick_trapeze_decode_new_chunk(3);
            flick_cdr_decode_char8(0, _return, CORBA_char );
            flick_cdr_decode_char8(1, *b, CORBA_char );
            flick_cdr_decode_char8(2, *c, CORBA_char );
            flick_trapeze_decode_end_chunk(3);
            break;
            {
            _flick_abort77:
              goto _flick_abort71;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort79);
            break;
            {
            _flick_abort79:
              goto _flick_abort71;
            }
          }
        }
      flick_trapeze_decode_end_glob(7);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort71:
    flick_corba_client_error(cdr, trapeze, _flick_abort70);
  _flick_abort70:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_octet Atomic_test_Octet(Atomic_test _obj, CORBA_octet a, CORBA_octet *b, CORBA_octet *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_octet _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort81);
  }
  {
    flick_trapeze_encode_new_glob(10, _flick_abort81);
    flick_trapeze_encode_new_chunk(10);
    flick_cdr_encode_signed32(0, 8, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned8(8, a, CORBA_octet );
    flick_cdr_encode_unsigned8(9, *b, CORBA_octet );
    flick_trapeze_encode_end_chunk(10);
    flick_trapeze_encode_end_glob(10);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort81);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(7);
      flick_trapeze_check_span(4, _flick_abort81);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(3, _flick_abort87);
            flick_trapeze_decode_new_chunk(3);
            flick_cdr_decode_unsigned8(0, _return, CORBA_octet );
            flick_cdr_decode_unsigned8(1, *b, CORBA_octet );
            flick_cdr_decode_unsigned8(2, *c, CORBA_octet );
            flick_trapeze_decode_end_chunk(3);
            break;
            {
            _flick_abort87:
              goto _flick_abort81;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
            break;
            {
            _flick_abort89:
              goto _flick_abort81;
            }
          }
        }
      flick_trapeze_decode_end_glob(7);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort81:
    flick_corba_client_error(cdr, trapeze, _flick_abort80);
  _flick_abort80:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

