#include "atomic_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_Atomic_test[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t Atomic_test_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t30_switch_tag;

    flick_trapeze_decode_new_glob(28);
    flick_trapeze_check_span(10, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t30_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t30_switch_tag)
      {
      case (signed int) 0:
        {
          {
            Atomic_test _obj;
            CORBA_short _return;
            CORBA_short _local_a;
            CORBA_short *_local_b;
            CORBA_short _t31_storage;
            CORBA_short *_local_c;
            CORBA_short _t32_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t33_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort95);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort95);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed16(4, _local_a, CORBA_short );
            _local_b = (CORBA_short *)(&_t31_storage);
            flick_cdr_decode_signed16(6, *_local_b, CORBA_short );
            _local_c = (CORBA_short *)(&_t32_storage);
            _ev = (CORBA_Environment *)(&_t33_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Atomic_test_Short(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort95);
              flick_trapeze_encode_new_glob(10, _flick_abort95);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(6);
                    flick_cdr_encode_signed16(0, _return, CORBA_short );
                    flick_cdr_encode_signed16(2, *_local_b, CORBA_short );
                    flick_cdr_encode_signed16(4, *_local_c, CORBA_short );
                    flick_trapeze_encode_end_chunk(6);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort102);
                    break;
                    {
                    _flick_abort102:
                      goto _flick_abort95;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(10);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort95:
              goto _flick_abort94;
            }
          }
          break;
          {
          _flick_abort94:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            Atomic_test _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            CORBA_long *_local_b;
            CORBA_long _t34_storage;
            CORBA_long *_local_c;
            CORBA_long _t35_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t36_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort104);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort104);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _local_b = (CORBA_long *)(&_t34_storage);
            flick_cdr_decode_signed32(8, *_local_b, CORBA_long );
            _local_c = (CORBA_long *)(&_t35_storage);
            _ev = (CORBA_Environment *)(&_t36_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Atomic_test_Long(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort104);
              flick_trapeze_encode_new_glob(16, _flick_abort104);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                    flick_cdr_encode_signed32(8, *_local_c, CORBA_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort111);
                    break;
                    {
                    _flick_abort111:
                      goto _flick_abort104;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort104:
              goto _flick_abort103;
            }
          }
          break;
          {
          _flick_abort103:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            Atomic_test _obj;
            CORBA_unsigned_short _return;
            CORBA_unsigned_short _local_a;
            CORBA_unsigned_short *_local_b;
            CORBA_unsigned_short _t37_storage;
            CORBA_unsigned_short *_local_c;
            CORBA_unsigned_short _t38_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t39_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort113);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort113);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned16(4, _local_a, CORBA_unsigned_short );
            _local_b = (CORBA_unsigned_short *)(&_t37_storage);
            flick_cdr_decode_unsigned16(6, *_local_b, CORBA_unsigned_short );
            _local_c = (CORBA_unsigned_short *)(&_t38_storage);
            _ev = (CORBA_Environment *)(&_t39_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Atomic_test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort113);
              flick_trapeze_encode_new_glob(10, _flick_abort113);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(6);
                    flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(2, *_local_b, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(4, *_local_c, CORBA_unsigned_short );
                    flick_trapeze_encode_end_chunk(6);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort120);
                    break;
                    {
                    _flick_abort120:
                      goto _flick_abort113;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(10);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort113:
              goto _flick_abort112;
            }
          }
          break;
          {
          _flick_abort112:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            Atomic_test _obj;
            CORBA_unsigned_long _return;
            CORBA_unsigned_long _local_a;
            CORBA_unsigned_long *_local_b;
            CORBA_unsigned_long _t40_storage;
            CORBA_unsigned_long *_local_c;
            CORBA_unsigned_long _t41_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t42_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort122);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort122);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _local_a, CORBA_unsigned_long );
            _local_b = (CORBA_unsigned_long *)(&_t40_storage);
            flick_cdr_decode_unsigned32(8, *_local_b, CORBA_unsigned_long );
            _local_c = (CORBA_unsigned_long *)(&_t41_storage);
            _ev = (CORBA_Environment *)(&_t42_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Atomic_test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort122);
              flick_trapeze_encode_new_glob(16, _flick_abort122);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned32(4, *_local_b, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned32(8, *_local_c, CORBA_unsigned_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort129);
                    break;
                    {
                    _flick_abort129:
                      goto _flick_abort122;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort122:
              goto _flick_abort121;
            }
          }
          break;
          {
          _flick_abort121:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            Atomic_test _obj;
            CORBA_float _return;
            CORBA_float _local_a;
            CORBA_float *_local_b;
            CORBA_float _t43_storage;
            CORBA_float *_local_c;
            CORBA_float _t44_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t45_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort131);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort131);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            flick_cdr_decode_float32(4, _local_a, CORBA_float );
            _local_b = (CORBA_float *)(&_t43_storage);
            flick_cdr_decode_float32(8, *_local_b, CORBA_float );
            _local_c = (CORBA_float *)(&_t44_storage);
            _ev = (CORBA_Environment *)(&_t45_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Atomic_test_Float(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort131);
              flick_trapeze_encode_new_glob(16, _flick_abort131);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_float32(0, _return, CORBA_float );
                    flick_cdr_encode_float32(4, *_local_b, CORBA_float );
                    flick_cdr_encode_float32(8, *_local_c, CORBA_float );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort138);
                    break;
                    {
                    _flick_abort138:
                      goto _flick_abort131;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort131:
              goto _flick_abort130;
            }
          }
          break;
          {
          _flick_abort130:
            goto _flick_abort2;
          }
        }
      case (signed int) 5:
        {
          {
            Atomic_test _obj;
            CORBA_double _return;
            CORBA_double _local_a;
            CORBA_double *_local_b;
            CORBA_double _t46_storage;
            CORBA_double *_local_c;
            CORBA_double _t47_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t48_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort140);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(20, _flick_abort140);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(16, 3, 2, 0);
            flick_trapeze_check_span(16, _flick_abort140);
            flick_cdr_decode_float64(0, _local_a, CORBA_double );
            _local_b = (CORBA_double *)(&_t46_storage);
            flick_cdr_decode_float64(8, *_local_b, CORBA_double );
            _local_c = (CORBA_double *)(&_t47_storage);
            _ev = (CORBA_Environment *)(&_t48_storage);
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Atomic_test_Double(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort140);
              flick_trapeze_encode_new_glob(32, _flick_abort140);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk_align(24, 3, 2, 0);
                    flick_cdr_encode_float64(0, _return, CORBA_double );
                    flick_cdr_encode_float64(8, *_local_b, CORBA_double );
                    flick_cdr_encode_float64(16, *_local_c, CORBA_double );
                    flick_trapeze_encode_end_chunk(24);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort147);
                    break;
                    {
                    _flick_abort147:
                      goto _flick_abort140;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(32);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort140:
              goto _flick_abort139;
            }
          }
          break;
          {
          _flick_abort139:
            goto _flick_abort2;
          }
        }
      case (signed int) 6:
        {
          {
            Atomic_test _obj;
            CORBA_boolean _return;
            CORBA_boolean _local_a;
            CORBA_boolean *_local_b;
            CORBA_boolean _t49_storage;
            CORBA_boolean *_local_c;
            CORBA_boolean _t50_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t51_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort149);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned8(4, _local_a, CORBA_boolean );
            _local_b = (CORBA_boolean *)(&_t49_storage);
            flick_cdr_decode_unsigned8(5, *_local_b, CORBA_boolean );
            _local_c = (CORBA_boolean *)(&_t50_storage);
            _ev = (CORBA_Environment *)(&_t51_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Atomic_test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort149);
              flick_trapeze_encode_new_glob(7, _flick_abort149);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(3);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                    flick_cdr_encode_unsigned8(2, *_local_c, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(3);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort156);
                    break;
                    {
                    _flick_abort156:
                      goto _flick_abort149;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(7);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort149:
              goto _flick_abort148;
            }
          }
          break;
          {
          _flick_abort148:
            goto _flick_abort2;
          }
        }
      case (signed int) 7:
        {
          {
            Atomic_test _obj;
            CORBA_char _return;
            CORBA_char _local_a;
            CORBA_char *_local_b;
            CORBA_char _t52_storage;
            CORBA_char *_local_c;
            CORBA_char _t53_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t54_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort158);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_char8(4, _local_a, CORBA_char );
            _local_b = (CORBA_char *)(&_t52_storage);
            flick_cdr_decode_char8(5, *_local_b, CORBA_char );
            _local_c = (CORBA_char *)(&_t53_storage);
            _ev = (CORBA_Environment *)(&_t54_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Atomic_test_Char(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort158);
              flick_trapeze_encode_new_glob(7, _flick_abort158);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(3);
                    flick_cdr_encode_char8(0, _return, CORBA_char );
                    flick_cdr_encode_char8(1, *_local_b, CORBA_char );
                    flick_cdr_encode_char8(2, *_local_c, CORBA_char );
                    flick_trapeze_encode_end_chunk(3);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort165);
                    break;
                    {
                    _flick_abort165:
                      goto _flick_abort158;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(7);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort158:
              goto _flick_abort157;
            }
          }
          break;
          {
          _flick_abort157:
            goto _flick_abort2;
          }
        }
      case (signed int) 8:
        {
          {
            Atomic_test _obj;
            CORBA_octet _return;
            CORBA_octet _local_a;
            CORBA_octet *_local_b;
            CORBA_octet _t55_storage;
            CORBA_octet *_local_c;
            CORBA_octet _t56_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t57_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort167);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned8(4, _local_a, CORBA_octet );
            _local_b = (CORBA_octet *)(&_t55_storage);
            flick_cdr_decode_unsigned8(5, *_local_b, CORBA_octet );
            _local_c = (CORBA_octet *)(&_t56_storage);
            _ev = (CORBA_Environment *)(&_t57_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Atomic_test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort167);
              flick_trapeze_encode_new_glob(7, _flick_abort167);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(3);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                    flick_cdr_encode_unsigned8(1, *_local_b, CORBA_octet );
                    flick_cdr_encode_unsigned8(2, *_local_c, CORBA_octet );
                    flick_trapeze_encode_end_chunk(3);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort174);
                    break;
                    {
                    _flick_abort174:
                      goto _flick_abort167;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(7);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort167:
              goto _flick_abort166;
            }
          }
          break;
          {
          _flick_abort166:
            goto _flick_abort2;
          }
        }
      case (signed int) 9:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t58_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t59_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort176);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort176);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t58_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t58_temp_string_len);
            _ev = (CORBA_Environment *)(&_t59_storage);
            _par = flick_interface_parents_Atomic_test;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort176);
              flick_trapeze_encode_new_glob(5, _flick_abort176);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort183);
                    break;
                    {
                    _flick_abort183:
                      goto _flick_abort176;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort176:
              goto _flick_abort175;
            }
          }
          break;
          {
          _flick_abort175:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(28);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

