#include "constant-server.h"

/* This is the runtime type information */
char *flick_interface_parents_M_A[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t M_A_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t6_switch_tag;

    flick_trapeze_decode_new_glob(16);
    flick_trapeze_check_span(12, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t6_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t6_switch_tag)
      {
      case (signed int) 0:
        {
          {
            M_A _obj;
            M_A_N _return;
            M_A_N _local_x;
            M_A_N *_local_y;
            M_A_N _t7_storage;
            M_A_N *_local_z;
            M_A_N _t8_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t9_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort33);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort33);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _local_x, CORBA_enum );
            _local_y = (M_A_N *)(&_t7_storage);
            _local_z = (M_A_N *)(&_t8_storage);
            flick_cdr_decode_unsigned32(8, *_local_z, CORBA_enum );
            _ev = (CORBA_Environment *)(&_t9_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = M_A_foo(_obj, _local_x, _local_y, _local_z, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort33);
              flick_trapeze_encode_new_glob(24, _flick_abort33);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned32(0, _return, CORBA_enum );
                    flick_cdr_encode_unsigned32(4, *_local_y, CORBA_enum );
                    flick_cdr_encode_unsigned32(8, *_local_z, CORBA_enum );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    switch ((unsigned int )(1+strlen(_ev->_id)))
                      {
                      case (unsigned int) 14:
                        {
                          switch (*(unsigned int *)(_ev->_id + 0))
                            {
                            case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                              {
                                switch (*(unsigned int *)(_ev->_id + 4))
                                  {
                                  case /* M/A/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1294942511):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 8))
                                        {
                                        case /* E:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1161441582):
                                          {
                                            switch (*(unsigned short int *)(_ev->_id + 12))
                                              {
                                              case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                {
                                                  flick_trapeze_encode_new_chunk(20);
                                                  flick_cdr_encode_unsigned32(0, 14, flick_unsigned32_t );
                                                  flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                  flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                  flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                  flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                  flick_cdr_encode_char8(8, 'M', flick_char8_t );
                                                  flick_cdr_encode_char8(9, '/', flick_char8_t );
                                                  flick_cdr_encode_char8(10, 'A', flick_char8_t );
                                                  flick_cdr_encode_char8(11, '/', flick_char8_t );
                                                  flick_cdr_encode_char8(12, 'E', flick_char8_t );
                                                  flick_cdr_encode_char8(13, ':', flick_char8_t );
                                                  flick_cdr_encode_char8(14, '1', flick_char8_t );
                                                  flick_cdr_encode_char8(15, '.', flick_char8_t );
                                                  flick_cdr_encode_char8(16, '0', flick_char8_t );
                                                  flick_cdr_encode_char8(17, 0, flick_char8_t );
                                                  flick_cdr_encode_signed16(18, ((M_A_E *)(_ev->_value._user_except))->cause, CORBA_short );
                                                  CORBA_flick_free((M_A_E *)(_ev->_value._user_except));
                                                  flick_trapeze_encode_end_chunk(20);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort45);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort45);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort45);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort45);
                                break;
                              }
                            }
                          break;
                        }
                      case (unsigned int) 10:
                        {
                          switch (*(unsigned int *)(_ev->_id + 0))
                            {
                            case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                              {
                                switch (*(unsigned int *)(_ev->_id + 4))
                                  {
                                  case /* F:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1178218798):
                                    {
                                      switch (*(unsigned short int *)(_ev->_id + 8))
                                        {
                                        case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                          {
                                            flick_trapeze_encode_new_chunk(20);
                                            flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
                                            flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                            flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                            flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                            flick_cdr_encode_char8(7, ':', flick_char8_t );
                                            flick_cdr_encode_char8(8, 'F', flick_char8_t );
                                            flick_cdr_encode_char8(9, ':', flick_char8_t );
                                            flick_cdr_encode_char8(10, '1', flick_char8_t );
                                            flick_cdr_encode_char8(11, '.', flick_char8_t );
                                            flick_cdr_encode_char8(12, '0', flick_char8_t );
                                            flick_cdr_encode_char8(13, 0, flick_char8_t );
                                            flick_cdr_encode_signed32(16, ((F *)(_ev->_value._user_except))->type, CORBA_long );
                                            CORBA_flick_free((F *)(_ev->_value._user_except));
                                            flick_trapeze_encode_end_chunk(20);
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort45);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort45);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort45);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort45);
                          break;
                        }
                      }
                    break;
                    {
                    _flick_abort45:
                      goto _flick_abort33;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(24);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort33:
              goto _flick_abort32;
            }
          }
          break;
          {
          _flick_abort32:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t10_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t11_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort52);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t10_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t10_temp_string_len);
            _ev = (CORBA_Environment *)(&_t11_storage);
            _par = flick_interface_parents_M_A;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort52);
              flick_trapeze_encode_new_glob(5, _flick_abort52);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort59);
                    break;
                    {
                    _flick_abort59:
                      goto _flick_abort52;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort52:
              goto _flick_abort51;
            }
          }
          break;
          {
          _flick_abort51:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(16);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

