#include "ex-server.h"

/* This is the runtime type information */
char *flick_interface_parents_A[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t A_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t8_switch_tag;

    flick_trapeze_decode_new_glob(12);
    flick_trapeze_check_span(10, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t8_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t8_switch_tag)
      {
      case (signed int) 0:
        {
          {
            A _obj;
            CORBA_short _return;
            CORBA_short _local_b;
            CORBA_Environment *_ev;
            CORBA_Environment _t9_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort37);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed16(4, _local_b, CORBA_short );
            _ev = (CORBA_Environment *)(&_t9_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = A_op(_obj, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort37);
              flick_trapeze_encode_new_glob(49, _flick_abort37);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(2);
                    flick_cdr_encode_signed16(0, _return, CORBA_short );
                    flick_trapeze_encode_end_chunk(2);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    switch ((unsigned int )(1+strlen(_ev->_id)))
                      {
                      case (unsigned int) 12:
                        {
                          switch (*(unsigned int *)(_ev->_id + 0))
                            {
                            case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                              {
                                switch (*(unsigned int *)(_ev->_id + 4))
                                  {
                                  case /* A/B: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1093616186):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 8))
                                        {
                                        case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                          {
                                            flick_unsigned32_t _t13_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, ((A_B *)(_ev->_value._user_except))->d, flick_unsigned32_t , _t13_temp_string_len);

                                            flick_trapeze_encode_new_chunk(24 + 1 * _t13_temp_string_len);
                                            flick_cdr_encode_unsigned32(0, 12, flick_unsigned32_t );
                                            flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                            flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                            flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                            flick_cdr_encode_char8(7, ':', flick_char8_t );
                                            flick_cdr_encode_char8(8, 'A', flick_char8_t );
                                            flick_cdr_encode_char8(9, '/', flick_char8_t );
                                            flick_cdr_encode_char8(10, 'B', flick_char8_t );
                                            flick_cdr_encode_char8(11, ':', flick_char8_t );
                                            flick_cdr_encode_char8(12, '1', flick_char8_t );
                                            flick_cdr_encode_char8(13, '.', flick_char8_t );
                                            flick_cdr_encode_char8(14, '0', flick_char8_t );
                                            flick_cdr_encode_char8(15, 0, flick_char8_t );
                                            flick_cdr_encode_signed16(16, ((A_B *)(_ev->_value._user_except))->a, CORBA_short );
                                            flick_cdr_encode_unsigned32(20, _t13_temp_string_len, flick_unsigned32_t );
                                            if (_t13_temp_string_len > 21)
                                              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort56);
                                            flick_cdr_encode_bcopy(24, ((A_B *)(_ev->_value._user_except))->d, 1 * _t13_temp_string_len);
                                            CORBA_flick_free(((A_B *)(_ev->_value._user_except))->d);
                                            flick_trapeze_encode_end_chunk(24 + 1 * _t13_temp_string_len);
                                            CORBA_flick_free((A_B *)(_ev->_value._user_except));
                                            break;
                                            {
                                            _flick_abort56:
                                              goto _flick_abort51;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort51);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort51);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort51);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort51);
                          break;
                        }
                      }
                    break;
                    {
                    _flick_abort51:
                      goto _flick_abort37;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(49);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort37:
              goto _flick_abort36;
            }
          }
          break;
          {
          _flick_abort36:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t14_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t15_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort60);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort60);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t14_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t14_temp_string_len);
            _ev = (CORBA_Environment *)(&_t15_storage);
            _par = flick_interface_parents_A;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort60);
              flick_trapeze_encode_new_glob(5, _flick_abort60);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort67);
                    break;
                    {
                    _flick_abort67:
                      goto _flick_abort60;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort60:
              goto _flick_abort59;
            }
          }
          break;
          {
          _flick_abort59:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(12);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

