#ifndef _interface__client_h_
#define _interface__client_h_

#define FLICK_PROTOCOL_TRAPEZE
#include <flick/link/trapeze.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corba.h>

#ifndef _typedef___CORBA_sequence_long
#define _typedef___CORBA_sequence_long
typedef struct CORBA_sequence_long {
  CORBA_boolean _release;
  CORBA_unsigned_long _maximum;
  CORBA_unsigned_long _length;
  CORBA_long *_buffer;
} CORBA_sequence_long;
#endif /* _typedef___CORBA_sequence_long */

#ifndef _typedef___long10
#define _typedef___long10
typedef struct CORBA_sequence_long long10;
#endif /* _typedef___long10 */

int flick_marshal_stub_long10(flick_marshal_stream_t _stream, const long10 *_data);

int flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data);

#ifndef _typedef___math
#define _typedef___math
typedef CORBA_Object math;
#endif /* _typedef___math */

int flick_marshal_stub_math(flick_marshal_stream_t _stream, const math *_data);

int flick_unmarshal_stub_math(flick_marshal_stream_t _stream, math *_data);

CORBA_short math_addshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev);

CORBA_short math_subshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev);

CORBA_short math_multshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev);

CORBA_long math_addlong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev);

CORBA_long math_sublong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev);

CORBA_long math_multlong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev);

CORBA_long math_addlonglist(math _obj, long10 *a, CORBA_Environment *_ev);

CORBA_long math_multlonglist(math _obj, long10 *a, CORBA_Environment *_ev);

#endif /* _interface__client_h_ */
