#include "oneway-client.h"

/* This is the runtime type information */
char *flick_interface_parents_onewaytest[] = {
	0
};

/* */

CORBA_short onewaytest_shortlong(onewaytest _obj, CORBA_long *x, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_short _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort1);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort1);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 0, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *x, CORBA_long );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort1);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(8, _flick_abort7);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_signed16(0, _return, CORBA_short );
            flick_cdr_decode_signed32(4, *x, CORBA_long );
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort7:
              goto _flick_abort1;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort9);
            break;
            {
            _flick_abort9:
              goto _flick_abort1;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort1:
    flick_corba_client_error(cdr, trapeze, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

void onewaytest_voidlong(onewaytest _obj, CORBA_long x, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort11);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort11);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 1, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, x, CORBA_long );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort11);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort11);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort19);
            break;
            {
            _flick_abort19:
              goto _flick_abort11;
            }
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return;
  {
  _flick_abort11:
    flick_corba_client_error(cdr, trapeze, _flick_abort10);
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return;
}

void onewaytest_onewaylong(onewaytest _obj, CORBA_long x, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort21);
  }
  {
    flick_trapeze_encode_new_glob(12, _flick_abort21);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 2, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, x, CORBA_long );
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_send(_obj, _msg_buf, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
  return;
  {
  _flick_abort21:
    flick_corba_client_error(cdr, trapeze, _flick_abort20);
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return;
}

void onewaytest_onewaystring(onewaytest _obj, CORBA_char *x, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort32);
  }
  {
    flick_unsigned32_t _t1_temp_string_len;

    flick_cdr_stringlen(CORBA_char *, x, flick_unsigned32_t , _t1_temp_string_len);

    flick_trapeze_encode_new_glob(12, _flick_abort32);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 3, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, _t1_temp_string_len, flick_unsigned32_t );
    flick_trapeze_client_encode_array(x, 1 * _t1_temp_string_len);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_send(_obj, _msg_buf, TPZ_UNSOL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort32);
  return;
  {
  _flick_abort32:
    flick_corba_client_error(cdr, trapeze, _flick_abort31);
  _flick_abort31:
    goto _flick_reaper;
  }
_flick_reaper:
  return;
}

CORBA_char *onewaytest_stringreturn(onewaytest _obj, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_char *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort43);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort43);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 4, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_CTRL, _return))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort43);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_check_span(4, _flick_abort43);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned32_t _t3_temp_string_len;

            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort52);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t3_temp_string_len, flick_unsigned32_t );
            flick_trapeze_client_decode_array(_return, 1 * _t3_temp_string_len);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(8);
            break;
            {
            _flick_abort52:
              goto _flick_abort43;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort54);
            flick_trapeze_decode_end_glob(8);
            break;
            {
            _flick_abort54:
              goto _flick_abort43;
            }
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort43:
    flick_corba_client_error(cdr, trapeze, _flick_abort42);
  _flick_abort42:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long onewaytest_longstring(onewaytest _obj, CORBA_char **x, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort56);
  }
  {
    flick_unsigned32_t _t5_temp_string_len;

    flick_cdr_stringlen(CORBA_char *, *x, flick_unsigned32_t , _t5_temp_string_len);

    flick_trapeze_encode_new_glob(12, _flick_abort56);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, _t5_temp_string_len, flick_unsigned32_t );
    flick_trapeze_client_encode_array(*x, 1 * _t5_temp_string_len);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, *x))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort56);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort56);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned32_t _t7_temp_string_len;

            /* Begin decode phase on parameters */
            flick_trapeze_check_span(8, _flick_abort65);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_cdr_decode_unsigned32(4, _t7_temp_string_len, flick_unsigned32_t );
            flick_trapeze_client_decode_array(*x, 1 * _t7_temp_string_len);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            break;
            {
            _flick_abort65:
              goto _flick_abort56;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort67);
            flick_trapeze_decode_end_glob(12);
            break;
            {
            _flick_abort67:
              goto _flick_abort56;
            }
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort56:
    flick_corba_client_error(cdr, trapeze, _flick_abort55);
  _flick_abort55:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_char *onewaytest_stringlong(onewaytest _obj, CORBA_long *x, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_char *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort69);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort69);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 6, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_CTRL, _return))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort69);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned32_t _t9_temp_string_len;

            /* Begin decode phase on parameters */
            flick_trapeze_check_span(8, _flick_abort78);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _t9_temp_string_len, flick_unsigned32_t );
            flick_trapeze_client_decode_array(_return, 1 * _t9_temp_string_len);
            flick_cdr_decode_signed32(4, *x, CORBA_long );
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            break;
            {
            _flick_abort78:
              goto _flick_abort69;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort80);
            flick_trapeze_decode_end_glob(12);
            break;
            {
            _flick_abort80:
              goto _flick_abort69;
            }
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort69:
    flick_corba_client_error(cdr, trapeze, _flick_abort68);
  _flick_abort68:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

