#include "union-server.h"

/* This is the runtime type information */
char *flick_interface_parents_a[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t a_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t5_switch_tag;

    flick_trapeze_decode_new_glob(41);
    flick_trapeze_check_span(9, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t5_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t5_switch_tag)
      {
      case (signed int) 0:
        {
          {
            a _obj;
            struct Foo2 _return;
            struct a_astruct *_local_b;
            struct a_astruct _t6_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t7_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort93);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_b = (struct a_astruct *)(&_t6_storage);
            flick_cdr_decode_char8(4, _local_b->a1._d, CORBA_char );
            flick_trapeze_decode_end_chunk(5);
            switch (_local_b->a1._d)
              {
              case 'a':
                {
                  flick_trapeze_check_span(7, _flick_abort105);
                  flick_trapeze_decode_new_chunk(7);
                  flick_cdr_decode_signed32(3, _local_b->a1._u.x, CORBA_long );
                  flick_trapeze_decode_end_chunk(7);
                  break;
                  {
                  _flick_abort105:
                    goto _flick_abort93;
                  }
                }
              case 'b':
                {
                  flick_trapeze_check_span(8, _flick_abort106);
                  flick_trapeze_decode_new_chunk(7);
                  flick_cdr_decode_signed32(3, _local_b->a1._u.y._d, CORBA_long );
                  flick_trapeze_decode_end_chunk(7);
                  switch (_local_b->a1._u.y._d)
                    {
                    case 1:
                      {
                        flick_trapeze_check_span(4, _flick_abort111);
                        flick_trapeze_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_b->a1._u.y._u.x, CORBA_long );
                        flick_trapeze_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort111:
                          goto _flick_abort106;
                        }
                      }
                    case 2:
                      {
                        flick_trapeze_check_span(5, _flick_abort112);
                        flick_trapeze_decode_new_chunk(5);
                        flick_cdr_decode_signed32(0, _local_b->a1._u.y._u.y.b1, CORBA_long );
                        flick_cdr_decode_char8(4, _local_b->a1._u.y._u.y.b2, CORBA_char );
                        flick_trapeze_decode_end_chunk(5);
                        break;
                        {
                        _flick_abort112:
                          goto _flick_abort106;
                        }
                      }
                    default:
                      {
                        flick_trapeze_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _local_b->a1._u.y._u.z, CORBA_char );
                        flick_trapeze_decode_end_chunk(1);
                        break;
                      }
                    }
                  break;
                  {
                  _flick_abort106:
                    goto _flick_abort93;
                  }
                }
              default:
                {
                  break;
                }
              }
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_trapeze_check_span(4, _flick_abort93);
            flick_cdr_decode_signed32(0, _local_b->a2._d, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            switch (_local_b->a2._d)
              {
              case 1:
                {
                  flick_trapeze_check_span(4, _flick_abort119);
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _local_b->a2._u.x, CORBA_long );
                  flick_trapeze_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort119:
                    goto _flick_abort93;
                  }
                }
              case 2:
                {
                  flick_trapeze_check_span(5, _flick_abort120);
                  flick_trapeze_decode_new_chunk(5);
                  flick_cdr_decode_signed32(0, _local_b->a2._u.y.b1, CORBA_long );
                  flick_cdr_decode_char8(4, _local_b->a2._u.y.b2, CORBA_char );
                  flick_trapeze_decode_end_chunk(5);
                  break;
                  {
                  _flick_abort120:
                    goto _flick_abort93;
                  }
                }
              default:
                {
                  flick_trapeze_check_span(1, _flick_abort121);
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_b->a2._u.z, CORBA_char );
                  flick_trapeze_decode_end_chunk(1);
                  break;
                  {
                  _flick_abort121:
                    goto _flick_abort93;
                  }
                }
              }
            flick_trapeze_decode_new_chunk_align(5, 2, 0, 0);
            flick_trapeze_check_span(5, _flick_abort93);
            flick_cdr_decode_signed32(0, _local_b->a3.b1, CORBA_long );
            flick_cdr_decode_char8(4, _local_b->a3.b2, CORBA_char );
            _ev = (CORBA_Environment *)(&_t7_storage);
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(41);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = a_opA(_obj, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort93);
              flick_trapeze_encode_new_glob(17, _flick_abort93);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_char8(0, _return._d, CORBA_char );
                    flick_trapeze_encode_end_chunk(1);
                    switch (_return._d)
                      {
                      case 'a':
                        {
                          flick_trapeze_encode_new_chunk(7);
                          flick_cdr_encode_signed32(3, _return._u.x, CORBA_long );
                          flick_trapeze_encode_end_chunk(7);
                          break;
                        }
                      case 'b':
                        {
                          flick_trapeze_encode_new_chunk(7);
                          flick_cdr_encode_signed32(3, _return._u.y._d, CORBA_long );
                          flick_trapeze_encode_end_chunk(7);
                          switch (_return._u.y._d)
                            {
                            case 1:
                              {
                                flick_trapeze_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return._u.y._u.x, CORBA_long );
                                flick_trapeze_encode_end_chunk(4);
                                break;
                              }
                            case 2:
                              {
                                flick_trapeze_encode_new_chunk(5);
                                flick_cdr_encode_signed32(0, _return._u.y._u.y.b1, CORBA_long );
                                flick_cdr_encode_char8(4, _return._u.y._u.y.b2, CORBA_char );
                                flick_trapeze_encode_end_chunk(5);
                                break;
                              }
                            default:
                              {
                                flick_trapeze_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _return._u.y._u.z, CORBA_char );
                                flick_trapeze_encode_end_chunk(1);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          break;
                        }
                      }
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort170);
                    break;
                    {
                    _flick_abort170:
                      goto _flick_abort93;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(17);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort93:
              goto _flick_abort92;
            }
          }
          break;
          {
          _flick_abort92:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t8_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t9_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort172);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort172);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t8_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t8_temp_string_len);
            _ev = (CORBA_Environment *)(&_t9_storage);
            _par = flick_interface_parents_a;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(41);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort172);
              flick_trapeze_encode_new_glob(5, _flick_abort172);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_corba_encode_system_exception(_ev, cdr, trapeze);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort179);
                    break;
                    {
                    _flick_abort179:
                      goto _flick_abort172;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(5);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort172:
              goto _flick_abort171;
            }
          }
          break;
          {
          _flick_abort171:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(41);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

