#include "impldef-client.h"

int flick_marshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, const CORBA_StringSequence *_data)
{
  oskit_u32_t _t3_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort0);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_unsigned32_t _t5_temp_string_len;

      flick_fluke_stringlen(char *, _data->_buffer[_t3_array_iter], flick_unsigned32_t , _t5_temp_string_len);

      flick_fluke_encode_new_glob(7, _flick_abort10);
      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_unsigned32(0, _t5_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(7);
      flick_fluke_encode_new_glob(1 * _t5_temp_string_len, _flick_abort10);
      flick_fluke_encode_new_chunk(1 * _t5_temp_string_len);
      flick_fluke_encode_bcopy(0, _data->_buffer[_t3_array_iter], 1 * _t5_temp_string_len);
      flick_fluke_encode_end_chunk(1 * _t5_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t5_temp_string_len);
      continue;
      {
      _flick_abort10:
        goto _flick_abort0;
      }
    }
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, CORBA_StringSequence *_data)
{
  oskit_u32_t _t9_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort16);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  {
    char **_t_alloc_ptr;

    _t_alloc_ptr = (char **)(mom_flick_alloc(_data->_length * sizeof(char *)));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_check_span(_data->_length * 0, _flick_abort29);
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_unsigned32_t _t11_temp_string_len;

      flick_fluke_decode_new_glob(7);
      flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_check_span(4, _flick_abort30);
      flick_fluke_decode_unsigned32(0, _t11_temp_string_len, flick_unsigned32_t );
      flick_fluke_decode_end_chunk(4);
      flick_fluke_decode_end_glob(7);
      flick_fluke_decode_new_glob(1 * _t11_temp_string_len);
      flick_fluke_check_span(1 * _t11_temp_string_len * 1, _flick_abort30);
      flick_fluke_decode_new_chunk(1 * _t11_temp_string_len);
      {
        char *_t_alloc_ptr;

        _t_alloc_ptr = (char *)(mom_flick_alloc(_t11_temp_string_len * sizeof(char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort30);
        _data->_buffer[_t9_array_iter] = _t_alloc_ptr;
      }
      flick_fluke_decode_bcopy(0, _data->_buffer[_t9_array_iter], 1 * _t11_temp_string_len);
      flick_fluke_decode_end_chunk(1 * _t11_temp_string_len);
      flick_fluke_decode_end_glob(1 * _t11_temp_string_len);
      continue;
      {
      _flick_abort40:
        _t9_array_iter--;
        mom_flick_free(_data->_buffer[_t9_array_iter]);
      _flick_abort30:
        if ((unsigned int )_t9_array_iter < _data->_length)
          goto _flick_abort40;
        goto _flick_abort29;
      }
    }
  return 0;
  {
  _flick_abort29:
    mom_flick_free(_data->_buffer);
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, const CORBA_OctetSequence *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort43);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _data->_length, _flick_abort43);
  flick_fluke_encode_new_chunk(1 * _data->_length);
  flick_fluke_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_fluke_encode_end_chunk(1 * _data->_length);
  flick_fluke_encode_end_glob(1 * _data->_length);
  return 0;
  {
  _flick_abort43:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, CORBA_OctetSequence *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort46);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _data->_length);
  flick_fluke_check_span(1 * _data->_length * 1, _flick_abort46);
  flick_fluke_decode_new_chunk(1 * _data->_length);
  {
    oskit_u8_t *_t_alloc_ptr;

    _t_alloc_ptr = (oskit_u8_t *)(mom_flick_alloc(_data->_length * sizeof(oskit_u8_t )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort46);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_fluke_decode_end_chunk(1 * _data->_length);
  flick_fluke_decode_end_glob(1 * _data->_length);
  return 0;
  {
  _flick_abort46:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, const CORBA_LongSequence *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort50);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(4 * _data->_length, _flick_abort50);
  flick_fluke_encode_new_chunk(4 * _data->_length);
  flick_fluke_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_encode_end_chunk(4 * _data->_length);
  flick_fluke_encode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort50:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, CORBA_LongSequence *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort53);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(4 * _data->_length);
  flick_fluke_check_span(4 * _data->_length * 1, _flick_abort53);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  {
    oskit_s32_t *_t_alloc_ptr;

    _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(_data->_length * sizeof(oskit_s32_t )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort53);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort53:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, const CORBA_ReferenceData *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort57);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _data->_length, _flick_abort57);
  flick_fluke_encode_new_chunk(1 * _data->_length);
  flick_fluke_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_fluke_encode_end_chunk(1 * _data->_length);
  flick_fluke_encode_end_glob(1 * _data->_length);
  return 0;
  {
  _flick_abort57:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, CORBA_ReferenceData *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort60);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _data->_length);
  flick_fluke_check_span(1 * _data->_length * 1, _flick_abort60);
  flick_fluke_decode_new_chunk(1 * _data->_length);
  {
    oskit_u8_t *_t_alloc_ptr;

    _t_alloc_ptr = (oskit_u8_t *)(mom_flick_alloc(_data->_length * sizeof(oskit_u8_t )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort60);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_fluke_decode_end_chunk(1 * _data->_length);
  flick_fluke_decode_end_glob(1 * _data->_length);
  return 0;
  {
  _flick_abort60:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, const CORBA_ReferenceString *_data)
{
  oskit_u32_t _t15_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort64);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  for (_t15_array_iter = 0; _t15_array_iter < _data->_length; _t15_array_iter++)
    {
      flick_unsigned32_t _t17_temp_string_len;

      flick_fluke_stringlen(char *, _data->_buffer[_t15_array_iter], flick_unsigned32_t , _t17_temp_string_len);

      flick_fluke_encode_new_glob(7, _flick_abort74);
      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_unsigned32(0, _t17_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(7);
      flick_fluke_encode_new_glob(1 * _t17_temp_string_len, _flick_abort74);
      flick_fluke_encode_new_chunk(1 * _t17_temp_string_len);
      flick_fluke_encode_bcopy(0, _data->_buffer[_t15_array_iter], 1 * _t17_temp_string_len);
      flick_fluke_encode_end_chunk(1 * _t17_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t17_temp_string_len);
      continue;
      {
      _flick_abort74:
        goto _flick_abort64;
      }
    }
  return 0;
  {
  _flick_abort64:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, CORBA_ReferenceString *_data)
{
  oskit_u32_t _t21_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort80);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  {
    char **_t_alloc_ptr;

    _t_alloc_ptr = (char **)(mom_flick_alloc(_data->_length * sizeof(char *)));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort80);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_check_span(_data->_length * 0, _flick_abort93);
  for (_t21_array_iter = 0; _t21_array_iter < _data->_length; _t21_array_iter++)
    {
      flick_unsigned32_t _t23_temp_string_len;

      flick_fluke_decode_new_glob(7);
      flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_check_span(4, _flick_abort94);
      flick_fluke_decode_unsigned32(0, _t23_temp_string_len, flick_unsigned32_t );
      flick_fluke_decode_end_chunk(4);
      flick_fluke_decode_end_glob(7);
      flick_fluke_decode_new_glob(1 * _t23_temp_string_len);
      flick_fluke_check_span(1 * _t23_temp_string_len * 1, _flick_abort94);
      flick_fluke_decode_new_chunk(1 * _t23_temp_string_len);
      {
        char *_t_alloc_ptr;

        _t_alloc_ptr = (char *)(mom_flick_alloc(_t23_temp_string_len * sizeof(char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort94);
        _data->_buffer[_t21_array_iter] = _t_alloc_ptr;
      }
      flick_fluke_decode_bcopy(0, _data->_buffer[_t21_array_iter], 1 * _t23_temp_string_len);
      flick_fluke_decode_end_chunk(1 * _t23_temp_string_len);
      flick_fluke_decode_end_glob(1 * _t23_temp_string_len);
      continue;
      {
      _flick_abort104:
        _t21_array_iter--;
        mom_flick_free(_data->_buffer[_t21_array_iter]);
      _flick_abort94:
        if ((unsigned int )_t21_array_iter < _data->_length)
          goto _flick_abort104;
        goto _flick_abort93;
      }
    }
  return 0;
  {
  _flick_abort93:
    mom_flick_free(_data->_buffer);
  _flick_abort80:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, const CORBA_ReferenceLong *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort107);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(4 * _data->_length, _flick_abort107);
  flick_fluke_encode_new_chunk(4 * _data->_length);
  flick_fluke_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_encode_end_chunk(4 * _data->_length);
  flick_fluke_encode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort107:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, CORBA_ReferenceLong *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort110);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(4 * _data->_length);
  flick_fluke_check_span(4 * _data->_length * 1, _flick_abort110);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  {
    oskit_s32_t *_t_alloc_ptr;

    _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(_data->_length * sizeof(oskit_s32_t )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort110);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort110:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

char *CORBA_ImplementationDef__get_interface_name(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort115);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_interface_name, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort115);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort115);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            flick_unsigned32_t _t25_temp_string_len;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort124);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t25_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _t25_temp_string_len);
            flick_fluke_check_span(1 * _t25_temp_string_len * 1, _flick_abort124);
            flick_fluke_decode_new_chunk(1 * _t25_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t25_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort124);
              _return = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return, 1 * _t25_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t25_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t25_temp_string_len);
            break;
            {
            _flick_abort124:
              goto _flick_abort115;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort128);
            break;
            {
            _flick_abort128:
              goto _flick_abort115;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort129);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort129:
              goto _flick_abort115;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort115);
  return _return;
  {
  _flick_abort115:
    flick_mom_client_error(fluke, fluke, _flick_abort114);
  _flick_abort114:
    goto _flick_reaper;
  }
}

void CORBA_ImplementationDef__set_interface_name(mom_ref_t _obj, const char *interface_name, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t27_temp_string_len;

      flick_fluke_stringlen(const char *, interface_name, flick_unsigned32_t , _t27_temp_string_len);

      flick_fluke_encode_new_glob(8, _flick_abort131);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_interface_name, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t27_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * _t27_temp_string_len, _flick_abort131);
      flick_fluke_encode_new_chunk(1 * _t27_temp_string_len);
      flick_fluke_encode_bcopy(0, interface_name, 1 * _t27_temp_string_len);
      flick_fluke_encode_end_chunk(1 * _t27_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t27_temp_string_len);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort131);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort131);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort142);
            break;
            {
            _flick_abort142:
              goto _flick_abort131;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort143);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort143:
              goto _flick_abort131;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort131);
  return;
  {
  _flick_abort131:
    flick_mom_client_error(fluke, fluke, _flick_abort130);
  _flick_abort130:
    goto _flick_reaper;
  }
}

char *CORBA_ImplementationDef__get_object_name(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort145);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_object_name, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort145);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort145);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            flick_unsigned32_t _t29_temp_string_len;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort154);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t29_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _t29_temp_string_len);
            flick_fluke_check_span(1 * _t29_temp_string_len * 1, _flick_abort154);
            flick_fluke_decode_new_chunk(1 * _t29_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t29_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort154);
              _return = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return, 1 * _t29_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t29_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t29_temp_string_len);
            break;
            {
            _flick_abort154:
              goto _flick_abort145;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort158);
            break;
            {
            _flick_abort158:
              goto _flick_abort145;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort159);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort159:
              goto _flick_abort145;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort145);
  return _return;
  {
  _flick_abort145:
    flick_mom_client_error(fluke, fluke, _flick_abort144);
  _flick_abort144:
    goto _flick_reaper;
  }
}

void CORBA_ImplementationDef__set_object_name(mom_ref_t _obj, const char *object_name, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t31_temp_string_len;

      flick_fluke_stringlen(const char *, object_name, flick_unsigned32_t , _t31_temp_string_len);

      flick_fluke_encode_new_glob(8, _flick_abort161);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_object_name, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t31_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * _t31_temp_string_len, _flick_abort161);
      flick_fluke_encode_new_chunk(1 * _t31_temp_string_len);
      flick_fluke_encode_bcopy(0, object_name, 1 * _t31_temp_string_len);
      flick_fluke_encode_end_chunk(1 * _t31_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t31_temp_string_len);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort161);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort161);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort172);
            break;
            {
            _flick_abort172:
              goto _flick_abort161;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort173);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort173:
              goto _flick_abort161;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort161);
  return;
  {
  _flick_abort161:
    flick_mom_client_error(fluke, fluke, _flick_abort160);
  _flick_abort160:
    goto _flick_reaper;
  }
}

CORBA_ReferenceData *CORBA_ImplementationDef__get_id(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  CORBA_ReferenceData *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort175);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_id, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort175);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort175);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            {
              CORBA_ReferenceData *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_ReferenceData *)(mom_flick_alloc(sizeof(CORBA_ReferenceData )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort185);
              _return = _t_alloc_ptr;
            }
            flick_fluke_check_span(4, _flick_abort186);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _return->_length, oskit_u32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _return->_length);
            flick_fluke_check_span(1 * _return->_length * 1, _flick_abort186);
            flick_fluke_decode_new_chunk(1 * _return->_length);
            {
              oskit_u8_t *_t_alloc_ptr;

              _t_alloc_ptr = (oskit_u8_t *)(mom_flick_alloc(_return->_length * sizeof(oskit_u8_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort186);
              _return->_buffer = _t_alloc_ptr;
              _return->_maximum = _return->_length;
              _return->_release = 1;
            }
            flick_fluke_decode_bcopy(0, _return->_buffer, 1 * _return->_length);
            flick_fluke_decode_end_chunk(1 * _return->_length);
            flick_fluke_decode_end_glob(1 * _return->_length);
            break;
            {
            _flick_abort186:
              mom_flick_free(_return);
            _flick_abort185:
              goto _flick_abort175;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort190);
            break;
            {
            _flick_abort190:
              goto _flick_abort175;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort191);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort191:
              goto _flick_abort175;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort175);
  return _return;
  {
  _flick_abort175:
    flick_mom_client_error(fluke, fluke, _flick_abort174);
  _flick_abort174:
    goto _flick_reaper;
  }
}

void CORBA_ImplementationDef__set_id(mom_ref_t _obj, const CORBA_ReferenceData *id, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort193);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_id, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, id->_length, oskit_u32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * id->_length, _flick_abort193);
      flick_fluke_encode_new_chunk(1 * id->_length);
      flick_fluke_encode_bcopy(0, id->_buffer, 1 * id->_length);
      flick_fluke_encode_end_chunk(1 * id->_length);
      flick_fluke_encode_end_glob(1 * id->_length);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort193);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort193);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort204);
            break;
            {
            _flick_abort204:
              goto _flick_abort193;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort205);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort205:
              goto _flick_abort193;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort193);
  return;
  {
  _flick_abort193:
    flick_mom_client_error(fluke, fluke, _flick_abort192);
  _flick_abort192:
    goto _flick_reaper;
  }
}

int flick_marshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, const CORBA_Policy *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort206);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data, unsigned long int );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  return 0;
  {
  _flick_abort206:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, CORBA_Policy *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort207);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data, unsigned long int );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  return 0;
  {
  _flick_abort207:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

char *CORBA_CreationImplDef__get_path_name(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort209);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_CreationImplDef__get_path_name, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort209);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort209);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            flick_unsigned32_t _t33_temp_string_len;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort218);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t33_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _t33_temp_string_len);
            flick_fluke_check_span(1 * _t33_temp_string_len * 1, _flick_abort218);
            flick_fluke_decode_new_chunk(1 * _t33_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t33_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort218);
              _return = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return, 1 * _t33_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t33_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t33_temp_string_len);
            break;
            {
            _flick_abort218:
              goto _flick_abort209;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort222);
            break;
            {
            _flick_abort222:
              goto _flick_abort209;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort223);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort223:
              goto _flick_abort209;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort209);
  return _return;
  {
  _flick_abort209:
    flick_mom_client_error(fluke, fluke, _flick_abort208);
  _flick_abort208:
    goto _flick_reaper;
  }
}

void CORBA_CreationImplDef__set_path_name(mom_ref_t _obj, const char *path_name, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t35_temp_string_len;

      flick_fluke_stringlen(const char *, path_name, flick_unsigned32_t , _t35_temp_string_len);

      flick_fluke_encode_new_glob(8, _flick_abort225);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_CreationImplDef__set_path_name, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t35_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * _t35_temp_string_len, _flick_abort225);
      flick_fluke_encode_new_chunk(1 * _t35_temp_string_len);
      flick_fluke_encode_bcopy(0, path_name, 1 * _t35_temp_string_len);
      flick_fluke_encode_end_chunk(1 * _t35_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t35_temp_string_len);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort225);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort225);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort236);
            break;
            {
            _flick_abort236:
              goto _flick_abort225;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort237);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort237:
              goto _flick_abort225;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort225);
  return;
  {
  _flick_abort225:
    flick_mom_client_error(fluke, fluke, _flick_abort224);
  _flick_abort224:
    goto _flick_reaper;
  }
}

CORBA_Policy CORBA_CreationImplDef__get_activation_policy(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  CORBA_Policy _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort239);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_CreationImplDef__get_activation_policy, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort239);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort239);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort245);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _return, unsigned long int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort245:
              goto _flick_abort239;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort246);
            break;
            {
            _flick_abort246:
              goto _flick_abort239;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort247);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort247:
              goto _flick_abort239;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort239);
  return _return;
  {
  _flick_abort239:
    flick_mom_client_error(fluke, fluke, _flick_abort238);
  _flick_abort238:
    goto _flick_reaper;
  }
}

void CORBA_CreationImplDef__set_activation_policy(mom_ref_t _obj, CORBA_Policy activation_policy, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort249);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_CreationImplDef__set_activation_policy, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, activation_policy, unsigned long int );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort249);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort249);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort256);
            break;
            {
            _flick_abort256:
              goto _flick_abort249;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort257);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort257:
              goto _flick_abort249;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort249);
  return;
  {
  _flick_abort249:
    flick_mom_client_error(fluke, fluke, _flick_abort248);
  _flick_abort248:
    goto _flick_reaper;
  }
}

CORBA_StringSequence *CORBA_CreationImplDef__get_args(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  CORBA_StringSequence *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort259);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_CreationImplDef__get_args, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort259);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort259);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            oskit_u32_t _t45_array_iter;

            /* Begin decode phase on parameters */
            {
              CORBA_StringSequence *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_StringSequence *)(mom_flick_alloc(sizeof(CORBA_StringSequence )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort292);
              _return = _t_alloc_ptr;
            }
            flick_fluke_check_span(4, _flick_abort293);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _return->_length, oskit_u32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            {
              char **_t_alloc_ptr;

              _t_alloc_ptr = (char **)(mom_flick_alloc(_return->_length * sizeof(char *)));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort293);
              _return->_buffer = _t_alloc_ptr;
              _return->_maximum = _return->_length;
              _return->_release = 1;
            }
            flick_fluke_check_span(_return->_length * 0, _flick_abort306);
            for (_t45_array_iter = 0; _t45_array_iter < _return->_length; _t45_array_iter++)
              {
                flick_unsigned32_t _t47_temp_string_len;

                flick_fluke_decode_new_glob(7);
                flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
                flick_fluke_check_span(4, _flick_abort307);
                flick_fluke_decode_unsigned32(0, _t47_temp_string_len, flick_unsigned32_t );
                flick_fluke_decode_end_chunk(4);
                flick_fluke_decode_end_glob(7);
                flick_fluke_decode_new_glob(1 * _t47_temp_string_len);
                flick_fluke_check_span(1 * _t47_temp_string_len * 1, _flick_abort307);
                flick_fluke_decode_new_chunk(1 * _t47_temp_string_len);
                {
                  char *_t_alloc_ptr;

                  _t_alloc_ptr = (char *)(mom_flick_alloc(_t47_temp_string_len * sizeof(char )));
                  if (!_t_alloc_ptr)
                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort307);
                  _return->_buffer[_t45_array_iter] = _t_alloc_ptr;
                }
                flick_fluke_decode_bcopy(0, _return->_buffer[_t45_array_iter], 1 * _t47_temp_string_len);
                flick_fluke_decode_end_chunk(1 * _t47_temp_string_len);
                flick_fluke_decode_end_glob(1 * _t47_temp_string_len);
                continue;
                {
                _flick_abort317:
                  _t45_array_iter--;
                  mom_flick_free(_return->_buffer[_t45_array_iter]);
                _flick_abort307:
                  if ((unsigned int )_t45_array_iter < _return->_length)
                    goto _flick_abort317;
                  goto _flick_abort306;
                }
              }
            break;
            {
            _flick_abort306:
              mom_flick_free(_return->_buffer);
            _flick_abort293:
              mom_flick_free(_return);
            _flick_abort292:
              goto _flick_abort259;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort320);
            break;
            {
            _flick_abort320:
              goto _flick_abort259;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort321);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort321:
              goto _flick_abort259;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort259);
  return _return;
  {
  _flick_abort259:
    flick_mom_client_error(fluke, fluke, _flick_abort258);
  _flick_abort258:
    goto _flick_reaper;
  }
}

void CORBA_CreationImplDef__set_args(mom_ref_t _obj, const CORBA_StringSequence *args, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      oskit_u32_t _t57_array_iter;

      flick_fluke_encode_new_glob(8, _flick_abort323);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_CreationImplDef__set_args, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, args->_length, oskit_u32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      for (_t57_array_iter = 0; _t57_array_iter < args->_length; _t57_array_iter++)
        {
          flick_unsigned32_t _t59_temp_string_len;

          flick_fluke_stringlen(char *, args->_buffer[_t57_array_iter], flick_unsigned32_t , _t59_temp_string_len);

          flick_fluke_encode_new_glob(7, _flick_abort349);
          flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_encode_unsigned32(0, _t59_temp_string_len, flick_unsigned32_t );
          flick_fluke_encode_end_chunk(4);
          flick_fluke_encode_end_glob(7);
          flick_fluke_encode_new_glob(1 * _t59_temp_string_len, _flick_abort349);
          flick_fluke_encode_new_chunk(1 * _t59_temp_string_len);
          flick_fluke_encode_bcopy(0, args->_buffer[_t57_array_iter], 1 * _t59_temp_string_len);
          flick_fluke_encode_end_chunk(1 * _t59_temp_string_len);
          flick_fluke_encode_end_glob(1 * _t59_temp_string_len);
          continue;
          {
          _flick_abort349:
            goto _flick_abort323;
          }
        }
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort323);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort323);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort360);
            break;
            {
            _flick_abort360:
              goto _flick_abort323;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort361);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort361:
              goto _flick_abort323;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort323);
  return;
  {
  _flick_abort323:
    flick_mom_client_error(fluke, fluke, _flick_abort322);
  _flick_abort322:
    goto _flick_reaper;
  }
}

CORBA_StringSequence *CORBA_CreationImplDef__get_env(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  CORBA_StringSequence *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort363);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_CreationImplDef__get_env, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort363);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort363);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            oskit_u32_t _t69_array_iter;

            /* Begin decode phase on parameters */
            {
              CORBA_StringSequence *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_StringSequence *)(mom_flick_alloc(sizeof(CORBA_StringSequence )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort396);
              _return = _t_alloc_ptr;
            }
            flick_fluke_check_span(4, _flick_abort397);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _return->_length, oskit_u32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            {
              char **_t_alloc_ptr;

              _t_alloc_ptr = (char **)(mom_flick_alloc(_return->_length * sizeof(char *)));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort397);
              _return->_buffer = _t_alloc_ptr;
              _return->_maximum = _return->_length;
              _return->_release = 1;
            }
            flick_fluke_check_span(_return->_length * 0, _flick_abort410);
            for (_t69_array_iter = 0; _t69_array_iter < _return->_length; _t69_array_iter++)
              {
                flick_unsigned32_t _t71_temp_string_len;

                flick_fluke_decode_new_glob(7);
                flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
                flick_fluke_check_span(4, _flick_abort411);
                flick_fluke_decode_unsigned32(0, _t71_temp_string_len, flick_unsigned32_t );
                flick_fluke_decode_end_chunk(4);
                flick_fluke_decode_end_glob(7);
                flick_fluke_decode_new_glob(1 * _t71_temp_string_len);
                flick_fluke_check_span(1 * _t71_temp_string_len * 1, _flick_abort411);
                flick_fluke_decode_new_chunk(1 * _t71_temp_string_len);
                {
                  char *_t_alloc_ptr;

                  _t_alloc_ptr = (char *)(mom_flick_alloc(_t71_temp_string_len * sizeof(char )));
                  if (!_t_alloc_ptr)
                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort411);
                  _return->_buffer[_t69_array_iter] = _t_alloc_ptr;
                }
                flick_fluke_decode_bcopy(0, _return->_buffer[_t69_array_iter], 1 * _t71_temp_string_len);
                flick_fluke_decode_end_chunk(1 * _t71_temp_string_len);
                flick_fluke_decode_end_glob(1 * _t71_temp_string_len);
                continue;
                {
                _flick_abort421:
                  _t69_array_iter--;
                  mom_flick_free(_return->_buffer[_t69_array_iter]);
                _flick_abort411:
                  if ((unsigned int )_t69_array_iter < _return->_length)
                    goto _flick_abort421;
                  goto _flick_abort410;
                }
              }
            break;
            {
            _flick_abort410:
              mom_flick_free(_return->_buffer);
            _flick_abort397:
              mom_flick_free(_return);
            _flick_abort396:
              goto _flick_abort363;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort424);
            break;
            {
            _flick_abort424:
              goto _flick_abort363;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort425);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort425:
              goto _flick_abort363;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort363);
  return _return;
  {
  _flick_abort363:
    flick_mom_client_error(fluke, fluke, _flick_abort362);
  _flick_abort362:
    goto _flick_reaper;
  }
}

void CORBA_CreationImplDef__set_env(mom_ref_t _obj, const CORBA_StringSequence *env, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      oskit_u32_t _t81_array_iter;

      flick_fluke_encode_new_glob(8, _flick_abort427);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_CreationImplDef__set_env, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, env->_length, oskit_u32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      for (_t81_array_iter = 0; _t81_array_iter < env->_length; _t81_array_iter++)
        {
          flick_unsigned32_t _t83_temp_string_len;

          flick_fluke_stringlen(char *, env->_buffer[_t81_array_iter], flick_unsigned32_t , _t83_temp_string_len);

          flick_fluke_encode_new_glob(7, _flick_abort453);
          flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_encode_unsigned32(0, _t83_temp_string_len, flick_unsigned32_t );
          flick_fluke_encode_end_chunk(4);
          flick_fluke_encode_end_glob(7);
          flick_fluke_encode_new_glob(1 * _t83_temp_string_len, _flick_abort453);
          flick_fluke_encode_new_chunk(1 * _t83_temp_string_len);
          flick_fluke_encode_bcopy(0, env->_buffer[_t81_array_iter], 1 * _t83_temp_string_len);
          flick_fluke_encode_end_chunk(1 * _t83_temp_string_len);
          flick_fluke_encode_end_glob(1 * _t83_temp_string_len);
          continue;
          {
          _flick_abort453:
            goto _flick_abort427;
          }
        }
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort427);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort427);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort464);
            break;
            {
            _flick_abort464:
              goto _flick_abort427;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort465);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort465:
              goto _flick_abort427;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort427);
  return;
  {
  _flick_abort427:
    flick_mom_client_error(fluke, fluke, _flick_abort426);
  _flick_abort426:
    goto _flick_reaper;
  }
}

char *CORBA_CreationImplDef__get_interface_name(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort467);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_interface_name, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort467);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort467);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            flick_unsigned32_t _t85_temp_string_len;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort476);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t85_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _t85_temp_string_len);
            flick_fluke_check_span(1 * _t85_temp_string_len * 1, _flick_abort476);
            flick_fluke_decode_new_chunk(1 * _t85_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t85_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort476);
              _return = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return, 1 * _t85_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t85_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t85_temp_string_len);
            break;
            {
            _flick_abort476:
              goto _flick_abort467;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort480);
            break;
            {
            _flick_abort480:
              goto _flick_abort467;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort481);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort481:
              goto _flick_abort467;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort467);
  return _return;
  {
  _flick_abort467:
    flick_mom_client_error(fluke, fluke, _flick_abort466);
  _flick_abort466:
    goto _flick_reaper;
  }
}

void CORBA_CreationImplDef__set_interface_name(mom_ref_t _obj, const char *interface_name, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t87_temp_string_len;

      flick_fluke_stringlen(const char *, interface_name, flick_unsigned32_t , _t87_temp_string_len);

      flick_fluke_encode_new_glob(8, _flick_abort483);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_interface_name, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t87_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * _t87_temp_string_len, _flick_abort483);
      flick_fluke_encode_new_chunk(1 * _t87_temp_string_len);
      flick_fluke_encode_bcopy(0, interface_name, 1 * _t87_temp_string_len);
      flick_fluke_encode_end_chunk(1 * _t87_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t87_temp_string_len);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort483);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort483);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort494);
            break;
            {
            _flick_abort494:
              goto _flick_abort483;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort495);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort495:
              goto _flick_abort483;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort483);
  return;
  {
  _flick_abort483:
    flick_mom_client_error(fluke, fluke, _flick_abort482);
  _flick_abort482:
    goto _flick_reaper;
  }
}

char *CORBA_CreationImplDef__get_object_name(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort497);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_object_name, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort497);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort497);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            flick_unsigned32_t _t89_temp_string_len;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort506);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t89_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _t89_temp_string_len);
            flick_fluke_check_span(1 * _t89_temp_string_len * 1, _flick_abort506);
            flick_fluke_decode_new_chunk(1 * _t89_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t89_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort506);
              _return = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return, 1 * _t89_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t89_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t89_temp_string_len);
            break;
            {
            _flick_abort506:
              goto _flick_abort497;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort510);
            break;
            {
            _flick_abort510:
              goto _flick_abort497;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort511);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort511:
              goto _flick_abort497;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort497);
  return _return;
  {
  _flick_abort497:
    flick_mom_client_error(fluke, fluke, _flick_abort496);
  _flick_abort496:
    goto _flick_reaper;
  }
}

void CORBA_CreationImplDef__set_object_name(mom_ref_t _obj, const char *object_name, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t91_temp_string_len;

      flick_fluke_stringlen(const char *, object_name, flick_unsigned32_t , _t91_temp_string_len);

      flick_fluke_encode_new_glob(8, _flick_abort513);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_object_name, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t91_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * _t91_temp_string_len, _flick_abort513);
      flick_fluke_encode_new_chunk(1 * _t91_temp_string_len);
      flick_fluke_encode_bcopy(0, object_name, 1 * _t91_temp_string_len);
      flick_fluke_encode_end_chunk(1 * _t91_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t91_temp_string_len);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort513);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort513);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort524);
            break;
            {
            _flick_abort524:
              goto _flick_abort513;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort525);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort525:
              goto _flick_abort513;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort513);
  return;
  {
  _flick_abort513:
    flick_mom_client_error(fluke, fluke, _flick_abort512);
  _flick_abort512:
    goto _flick_reaper;
  }
}

CORBA_ReferenceData *CORBA_CreationImplDef__get_id(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  CORBA_ReferenceData *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort527);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_id, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort527);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort527);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            {
              CORBA_ReferenceData *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_ReferenceData *)(mom_flick_alloc(sizeof(CORBA_ReferenceData )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort537);
              _return = _t_alloc_ptr;
            }
            flick_fluke_check_span(4, _flick_abort538);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _return->_length, oskit_u32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _return->_length);
            flick_fluke_check_span(1 * _return->_length * 1, _flick_abort538);
            flick_fluke_decode_new_chunk(1 * _return->_length);
            {
              oskit_u8_t *_t_alloc_ptr;

              _t_alloc_ptr = (oskit_u8_t *)(mom_flick_alloc(_return->_length * sizeof(oskit_u8_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort538);
              _return->_buffer = _t_alloc_ptr;
              _return->_maximum = _return->_length;
              _return->_release = 1;
            }
            flick_fluke_decode_bcopy(0, _return->_buffer, 1 * _return->_length);
            flick_fluke_decode_end_chunk(1 * _return->_length);
            flick_fluke_decode_end_glob(1 * _return->_length);
            break;
            {
            _flick_abort538:
              mom_flick_free(_return);
            _flick_abort537:
              goto _flick_abort527;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort542);
            break;
            {
            _flick_abort542:
              goto _flick_abort527;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort543);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort543:
              goto _flick_abort527;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort527);
  return _return;
  {
  _flick_abort527:
    flick_mom_client_error(fluke, fluke, _flick_abort526);
  _flick_abort526:
    goto _flick_reaper;
  }
}

void CORBA_CreationImplDef__set_id(mom_ref_t _obj, const CORBA_ReferenceData *id, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort545);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_id, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, id->_length, oskit_u32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * id->_length, _flick_abort545);
      flick_fluke_encode_new_chunk(1 * id->_length);
      flick_fluke_encode_bcopy(0, id->_buffer, 1 * id->_length);
      flick_fluke_encode_end_chunk(1 * id->_length);
      flick_fluke_encode_end_glob(1 * id->_length);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort545);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort545);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort556);
            break;
            {
            _flick_abort556:
              goto _flick_abort545;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort557);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort557:
              goto _flick_abort545;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort545);
  return;
  {
  _flick_abort545:
    flick_mom_client_error(fluke, fluke, _flick_abort544);
  _flick_abort544:
    goto _flick_reaper;
  }
}

mom_ref_t CORBA_Activator_activate(mom_ref_t _obj, const mom_ref_t impl, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  mom_ref_t _return;

  memset(&_return, 0, sizeof(mom_ref_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort559);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_Activator_activate, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_client_encode_port32(4, impl, 0);
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort559);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort559);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort565);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_client_decode_port32(0, _return, 1);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort565:
              goto _flick_abort559;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort566);
            break;
            {
            _flick_abort566:
              goto _flick_abort559;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort567);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort567:
              goto _flick_abort559;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort559);
  return _return;
  {
  _flick_abort559:
    flick_mom_client_error(fluke, fluke, _flick_abort558);
  _flick_abort558:
    goto _flick_reaper;
  }
}

void CORBA_Activator_deactivate(mom_ref_t _obj, const mom_ref_t obj, const mom_ref_t impl, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort569);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_Activator_deactivate, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_client_encode_port32(4, obj, 0);
      flick_fluke_client_encode_port32(8, impl, 0);
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort569);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort569);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort576);
            break;
            {
            _flick_abort576:
              goto _flick_abort569;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort577);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort577:
              goto _flick_abort569;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort569);
  return;
  {
  _flick_abort569:
    flick_mom_client_error(fluke, fluke, _flick_abort568);
  _flick_abort568:
    goto _flick_reaper;
  }
}

mom_ref_t CORBA_ActivationImplDef__get_activator_obj(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  mom_ref_t _return;

  memset(&_return, 0, sizeof(mom_ref_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort579);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_ActivationImplDef__get_activator_obj, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort579);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort579);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort585);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_client_decode_port32(0, _return, 1);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort585:
              goto _flick_abort579;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort586);
            break;
            {
            _flick_abort586:
              goto _flick_abort579;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort587);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort587:
              goto _flick_abort579;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort579);
  return _return;
  {
  _flick_abort579:
    flick_mom_client_error(fluke, fluke, _flick_abort578);
  _flick_abort578:
    goto _flick_reaper;
  }
}

void CORBA_ActivationImplDef__set_activator_obj(mom_ref_t _obj, const mom_ref_t activator_obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort589);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_ActivationImplDef__set_activator_obj, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_client_encode_port32(4, activator_obj, 0);
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort589);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort589);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort596);
            break;
            {
            _flick_abort596:
              goto _flick_abort589;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort597);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort597:
              goto _flick_abort589;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort589);
  return;
  {
  _flick_abort589:
    flick_mom_client_error(fluke, fluke, _flick_abort588);
  _flick_abort588:
    goto _flick_reaper;
  }
}

char *CORBA_ActivationImplDef__get_interface_name(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort599);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_interface_name, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort599);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort599);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            flick_unsigned32_t _t93_temp_string_len;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort608);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t93_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _t93_temp_string_len);
            flick_fluke_check_span(1 * _t93_temp_string_len * 1, _flick_abort608);
            flick_fluke_decode_new_chunk(1 * _t93_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t93_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort608);
              _return = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return, 1 * _t93_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t93_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t93_temp_string_len);
            break;
            {
            _flick_abort608:
              goto _flick_abort599;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort612);
            break;
            {
            _flick_abort612:
              goto _flick_abort599;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort613);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort613:
              goto _flick_abort599;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort599);
  return _return;
  {
  _flick_abort599:
    flick_mom_client_error(fluke, fluke, _flick_abort598);
  _flick_abort598:
    goto _flick_reaper;
  }
}

void CORBA_ActivationImplDef__set_interface_name(mom_ref_t _obj, const char *interface_name, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t95_temp_string_len;

      flick_fluke_stringlen(const char *, interface_name, flick_unsigned32_t , _t95_temp_string_len);

      flick_fluke_encode_new_glob(8, _flick_abort615);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_interface_name, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t95_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * _t95_temp_string_len, _flick_abort615);
      flick_fluke_encode_new_chunk(1 * _t95_temp_string_len);
      flick_fluke_encode_bcopy(0, interface_name, 1 * _t95_temp_string_len);
      flick_fluke_encode_end_chunk(1 * _t95_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t95_temp_string_len);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort615);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort615);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort626);
            break;
            {
            _flick_abort626:
              goto _flick_abort615;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort627);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort627:
              goto _flick_abort615;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort615);
  return;
  {
  _flick_abort615:
    flick_mom_client_error(fluke, fluke, _flick_abort614);
  _flick_abort614:
    goto _flick_reaper;
  }
}

char *CORBA_ActivationImplDef__get_object_name(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort629);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_object_name, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort629);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort629);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            flick_unsigned32_t _t97_temp_string_len;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort638);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t97_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _t97_temp_string_len);
            flick_fluke_check_span(1 * _t97_temp_string_len * 1, _flick_abort638);
            flick_fluke_decode_new_chunk(1 * _t97_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t97_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort638);
              _return = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return, 1 * _t97_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t97_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t97_temp_string_len);
            break;
            {
            _flick_abort638:
              goto _flick_abort629;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort642);
            break;
            {
            _flick_abort642:
              goto _flick_abort629;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort643);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort643:
              goto _flick_abort629;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort629);
  return _return;
  {
  _flick_abort629:
    flick_mom_client_error(fluke, fluke, _flick_abort628);
  _flick_abort628:
    goto _flick_reaper;
  }
}

void CORBA_ActivationImplDef__set_object_name(mom_ref_t _obj, const char *object_name, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t99_temp_string_len;

      flick_fluke_stringlen(const char *, object_name, flick_unsigned32_t , _t99_temp_string_len);

      flick_fluke_encode_new_glob(8, _flick_abort645);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_object_name, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t99_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * _t99_temp_string_len, _flick_abort645);
      flick_fluke_encode_new_chunk(1 * _t99_temp_string_len);
      flick_fluke_encode_bcopy(0, object_name, 1 * _t99_temp_string_len);
      flick_fluke_encode_end_chunk(1 * _t99_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t99_temp_string_len);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort645);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort645);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort656);
            break;
            {
            _flick_abort656:
              goto _flick_abort645;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort657);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort657:
              goto _flick_abort645;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort645);
  return;
  {
  _flick_abort645:
    flick_mom_client_error(fluke, fluke, _flick_abort644);
  _flick_abort644:
    goto _flick_reaper;
  }
}

CORBA_ReferenceData *CORBA_ActivationImplDef__get_id(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  CORBA_ReferenceData *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort659);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_id, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort659);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort659);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            {
              CORBA_ReferenceData *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_ReferenceData *)(mom_flick_alloc(sizeof(CORBA_ReferenceData )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort669);
              _return = _t_alloc_ptr;
            }
            flick_fluke_check_span(4, _flick_abort670);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _return->_length, oskit_u32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _return->_length);
            flick_fluke_check_span(1 * _return->_length * 1, _flick_abort670);
            flick_fluke_decode_new_chunk(1 * _return->_length);
            {
              oskit_u8_t *_t_alloc_ptr;

              _t_alloc_ptr = (oskit_u8_t *)(mom_flick_alloc(_return->_length * sizeof(oskit_u8_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort670);
              _return->_buffer = _t_alloc_ptr;
              _return->_maximum = _return->_length;
              _return->_release = 1;
            }
            flick_fluke_decode_bcopy(0, _return->_buffer, 1 * _return->_length);
            flick_fluke_decode_end_chunk(1 * _return->_length);
            flick_fluke_decode_end_glob(1 * _return->_length);
            break;
            {
            _flick_abort670:
              mom_flick_free(_return);
            _flick_abort669:
              goto _flick_abort659;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort674);
            break;
            {
            _flick_abort674:
              goto _flick_abort659;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort675);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort675:
              goto _flick_abort659;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort659);
  return _return;
  {
  _flick_abort659:
    flick_mom_client_error(fluke, fluke, _flick_abort658);
  _flick_abort658:
    goto _flick_reaper;
  }
}

void CORBA_ActivationImplDef__set_id(mom_ref_t _obj, const CORBA_ReferenceData *id, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort677);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_id, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, id->_length, oskit_u32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * id->_length, _flick_abort677);
      flick_fluke_encode_new_chunk(1 * id->_length);
      flick_fluke_encode_bcopy(0, id->_buffer, 1 * id->_length);
      flick_fluke_encode_end_chunk(1 * id->_length);
      flick_fluke_encode_end_glob(1 * id->_length);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort677);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort677);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort688);
            break;
            {
            _flick_abort688:
              goto _flick_abort677;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort689);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort689:
              goto _flick_abort677;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort677);
  return;
  {
  _flick_abort677:
    flick_mom_client_error(fluke, fluke, _flick_abort676);
  _flick_abort676:
    goto _flick_reaper;
  }
}

