#include "nest-refs-client.h"

int flick_marshal_stub_OctetSequence(flick_marshal_stream_t _stream, const OctetSequence *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort0);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _data->_length, _flick_abort0);
  flick_fluke_encode_new_chunk(1 * _data->_length);
  flick_fluke_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_fluke_encode_end_chunk(1 * _data->_length);
  flick_fluke_encode_end_glob(1 * _data->_length);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_OctetSequence(flick_marshal_stream_t _stream, OctetSequence *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort3);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _data->_length);
  flick_fluke_check_span(1 * _data->_length * 1, _flick_abort3);
  flick_fluke_decode_new_chunk(1 * _data->_length);
  {
    oskit_u8_t *_t_alloc_ptr;

    _t_alloc_ptr = (oskit_u8_t *)(mom_flick_alloc(_data->_length * sizeof(oskit_u8_t )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_fluke_decode_end_chunk(1 * _data->_length);
  flick_fluke_decode_end_glob(1 * _data->_length);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ReferenceData(flick_marshal_stream_t _stream, const ReferenceData *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort7);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _data->_length, _flick_abort7);
  flick_fluke_encode_new_chunk(1 * _data->_length);
  flick_fluke_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_fluke_encode_end_chunk(1 * _data->_length);
  flick_fluke_encode_end_glob(1 * _data->_length);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ReferenceData(flick_marshal_stream_t _stream, ReferenceData *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort10);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _data->_length);
  flick_fluke_check_span(1 * _data->_length * 1, _flick_abort10);
  flick_fluke_decode_new_chunk(1 * _data->_length);
  {
    oskit_u8_t *_t_alloc_ptr;

    _t_alloc_ptr = (oskit_u8_t *)(mom_flick_alloc(_data->_length * sizeof(oskit_u8_t )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_fluke_decode_end_chunk(1 * _data->_length);
  flick_fluke_decode_end_glob(1 * _data->_length);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

ReferenceData *test__get_id(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  ReferenceData *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort15);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_test__get_id, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort15);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort15);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            {
              ReferenceData *_t_alloc_ptr;

              _t_alloc_ptr = (ReferenceData *)(mom_flick_alloc(sizeof(ReferenceData )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort25);
              _return = _t_alloc_ptr;
            }
            flick_fluke_check_span(4, _flick_abort26);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _return->_length, oskit_u32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _return->_length);
            flick_fluke_check_span(1 * _return->_length * 1, _flick_abort26);
            flick_fluke_decode_new_chunk(1 * _return->_length);
            {
              oskit_u8_t *_t_alloc_ptr;

              _t_alloc_ptr = (oskit_u8_t *)(mom_flick_alloc(_return->_length * sizeof(oskit_u8_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort26);
              _return->_buffer = _t_alloc_ptr;
              _return->_maximum = _return->_length;
              _return->_release = 1;
            }
            flick_fluke_decode_bcopy(0, _return->_buffer, 1 * _return->_length);
            flick_fluke_decode_end_chunk(1 * _return->_length);
            flick_fluke_decode_end_glob(1 * _return->_length);
            break;
            {
            _flick_abort26:
              mom_flick_free(_return);
            _flick_abort25:
              goto _flick_abort15;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort30);
            break;
            {
            _flick_abort30:
              goto _flick_abort15;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort31);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort31:
              goto _flick_abort15;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15);
  return _return;
  {
  _flick_abort15:
    flick_mom_client_error(fluke, fluke, _flick_abort14);
  _flick_abort14:
    goto _flick_reaper;
  }
}

void test__set_id(mom_ref_t _obj, const ReferenceData *id, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort33);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_test__set_id, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, id->_length, oskit_u32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * id->_length, _flick_abort33);
      flick_fluke_encode_new_chunk(1 * id->_length);
      flick_fluke_encode_bcopy(0, id->_buffer, 1 * id->_length);
      flick_fluke_encode_end_chunk(1 * id->_length);
      flick_fluke_encode_end_glob(1 * id->_length);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort33);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort33);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort44);
            break;
            {
            _flick_abort44:
              goto _flick_abort33;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort45);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort45:
              goto _flick_abort33;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort33);
  return;
  {
  _flick_abort33:
    flick_mom_client_error(fluke, fluke, _flick_abort32);
  _flick_abort32:
    goto _flick_reaper;
  }
}

OctetSequence *test__get_info(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  OctetSequence *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort47);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_test__get_info, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort47);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort47);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            {
              OctetSequence *_t_alloc_ptr;

              _t_alloc_ptr = (OctetSequence *)(mom_flick_alloc(sizeof(OctetSequence )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort57);
              _return = _t_alloc_ptr;
            }
            flick_fluke_check_span(4, _flick_abort58);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _return->_length, oskit_u32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _return->_length);
            flick_fluke_check_span(1 * _return->_length * 1, _flick_abort58);
            flick_fluke_decode_new_chunk(1 * _return->_length);
            {
              oskit_u8_t *_t_alloc_ptr;

              _t_alloc_ptr = (oskit_u8_t *)(mom_flick_alloc(_return->_length * sizeof(oskit_u8_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort58);
              _return->_buffer = _t_alloc_ptr;
              _return->_maximum = _return->_length;
              _return->_release = 1;
            }
            flick_fluke_decode_bcopy(0, _return->_buffer, 1 * _return->_length);
            flick_fluke_decode_end_chunk(1 * _return->_length);
            flick_fluke_decode_end_glob(1 * _return->_length);
            break;
            {
            _flick_abort58:
              mom_flick_free(_return);
            _flick_abort57:
              goto _flick_abort47;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort62);
            break;
            {
            _flick_abort62:
              goto _flick_abort47;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort63);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort63:
              goto _flick_abort47;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort47);
  return _return;
  {
  _flick_abort47:
    flick_mom_client_error(fluke, fluke, _flick_abort46);
  _flick_abort46:
    goto _flick_reaper;
  }
}

void test__set_info(mom_ref_t _obj, const OctetSequence *info, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort65);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_test__set_info, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, info->_length, oskit_u32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * info->_length, _flick_abort65);
      flick_fluke_encode_new_chunk(1 * info->_length);
      flick_fluke_encode_bcopy(0, info->_buffer, 1 * info->_length);
      flick_fluke_encode_end_chunk(1 * info->_length);
      flick_fluke_encode_end_glob(1 * info->_length);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort65);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort65);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort76);
            break;
            {
            _flick_abort76:
              goto _flick_abort65;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort77);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort77:
              goto _flick_abort65;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort65);
  return;
  {
  _flick_abort65:
    flick_mom_client_error(fluke, fluke, _flick_abort64);
  _flick_abort64:
    goto _flick_reaper;
  }
}

