#include "parms-server.h"

int flick_marshal_stub_long_seq(flick_marshal_stream_t _stream, long_seq *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(44, _flick_abort0);
  flick_fluke_encode_new_chunk(4 + 4 * _data->long_seq_len);
  flick_fluke_encode_unsigned32(0, _data->long_seq_len, unsigned int );
  if (_data->long_seq_len > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_fluke_encode_bcopy(4, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_fluke_encode_end_chunk(4 + 4 * _data->long_seq_len);
  flick_fluke_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_seq(flick_marshal_stream_t _stream, long_seq *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(44);
  flick_fluke_check_span(4, _flick_abort3);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->long_seq_len, unsigned int );
  if (_data->long_seq_len > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(4 * _data->long_seq_len * 1, _flick_abort3);
  flick_fluke_decode_new_chunk(4 * _data->long_seq_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->long_seq_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->long_seq_val = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_fluke_decode_end_chunk(4 * _data->long_seq_len);
  flick_fluke_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

mom_dispatch_action_t parm_2345(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t11_switch_tag;

    flick_fluke_decode_new_glob(48);
    flick_fluke_check_span(4, _flick_abort9);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t11_switch_tag, signed int );
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t11_switch_tag)
      {
      case (signed int) 0:
        {
          {
            void *_return;
            void *_local_arg;
            char _t12_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (char *)(&_t12_storage);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = void_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(4, _flick_abort108);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_end_glob(4);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(4);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort114);
                    break;
                    {
                    _flick_abort114:
                      goto _flick_abort108;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort115);
                    flick_fluke_encode_end_glob(4);
                    break;
                    {
                    _flick_abort115:
                      goto _flick_abort108;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort108:
              goto _flick_abort107;
            }
          }
          break;
          {
          _flick_abort107:
            goto _flick_abort9;
          }
        }
      case (signed int) 1:
        {
          {
            char *_return;
            char *_local_arg;
            char _t13_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (char *)(&_t13_storage);
            flick_fluke_check_span(1, _flick_abort117);
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, *_local_arg, char );
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = char_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(5, _flick_abort117);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(1);
                    flick_fluke_encode_char8(0, *_return, char );
                    flick_fluke_encode_end_chunk(1);
                    flick_fluke_encode_end_glob(5);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(5);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort123);
                    break;
                    {
                    _flick_abort123:
                      goto _flick_abort117;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort124);
                    flick_fluke_encode_end_glob(5);
                    break;
                    {
                    _flick_abort124:
                      goto _flick_abort117;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort117:
              goto _flick_abort116;
            }
          }
          break;
          {
          _flick_abort116:
            goto _flick_abort9;
          }
        }
      case (signed int) 2:
        {
          {
            int *_return;
            int *_local_arg;
            int _t14_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (int *)(&_t14_storage);
            flick_fluke_check_span(1, _flick_abort126);
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_unsigned8(0, *_local_arg, int );
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = bool_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(5, _flick_abort126);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(1);
                    flick_fluke_encode_unsigned8(0, *_return, int );
                    flick_fluke_encode_end_chunk(1);
                    flick_fluke_encode_end_glob(5);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(5);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort132);
                    break;
                    {
                    _flick_abort132:
                      goto _flick_abort126;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort133);
                    flick_fluke_encode_end_glob(5);
                    break;
                    {
                    _flick_abort133:
                      goto _flick_abort126;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort126:
              goto _flick_abort125;
            }
          }
          break;
          {
          _flick_abort125:
            goto _flick_abort9;
          }
        }
      case (signed int) 3:
        {
          {
            short int *_return;
            short int *_local_arg;
            short int _t15_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (short int *)(&_t15_storage);
            flick_fluke_check_span(2, _flick_abort135);
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, *_local_arg, short int );
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = short_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(6, _flick_abort135);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(2);
                    flick_fluke_encode_signed16(0, *_return, short int );
                    flick_fluke_encode_end_chunk(2);
                    flick_fluke_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort141);
                    break;
                    {
                    _flick_abort141:
                      goto _flick_abort135;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort142);
                    flick_fluke_encode_end_glob(6);
                    break;
                    {
                    _flick_abort142:
                      goto _flick_abort135;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort135:
              goto _flick_abort134;
            }
          }
          break;
          {
          _flick_abort134:
            goto _flick_abort9;
          }
        }
      case (signed int) 4:
        {
          {
            unsigned short int *_return;
            unsigned short int *_local_arg;
            unsigned short int _t16_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (unsigned short int *)(&_t16_storage);
            flick_fluke_check_span(2, _flick_abort144);
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_unsigned16(0, *_local_arg, unsigned short int );
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ushort_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(6, _flick_abort144);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(2);
                    flick_fluke_encode_unsigned16(0, *_return, unsigned short int );
                    flick_fluke_encode_end_chunk(2);
                    flick_fluke_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort150);
                    break;
                    {
                    _flick_abort150:
                      goto _flick_abort144;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort151);
                    flick_fluke_encode_end_glob(6);
                    break;
                    {
                    _flick_abort151:
                      goto _flick_abort144;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort144:
              goto _flick_abort143;
            }
          }
          break;
          {
          _flick_abort143:
            goto _flick_abort9;
          }
        }
      case (signed int) 5:
        {
          {
            int *_return;
            int *_local_arg;
            int _t17_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (int *)(&_t17_storage);
            flick_fluke_check_span(4, _flick_abort153);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_local_arg, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = long_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort153);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, *_return, int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort159);
                    break;
                    {
                    _flick_abort159:
                      goto _flick_abort153;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort160);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort160:
                      goto _flick_abort153;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort153:
              goto _flick_abort152;
            }
          }
          break;
          {
          _flick_abort152:
            goto _flick_abort9;
          }
        }
      case (signed int) 6:
        {
          {
            unsigned int *_return;
            unsigned int *_local_arg;
            unsigned int _t18_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (unsigned int *)(&_t18_storage);
            flick_fluke_check_span(4, _flick_abort162);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *_local_arg, unsigned int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ulong_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort162);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_unsigned32(0, *_return, unsigned int );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort168);
                    break;
                    {
                    _flick_abort168:
                      goto _flick_abort162;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort169);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort169:
                      goto _flick_abort162;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort162:
              goto _flick_abort161;
            }
          }
          break;
          {
          _flick_abort161:
            goto _flick_abort9;
          }
        }
      case (signed int) 7:
        {
          {
            float *_return;
            float *_local_arg;
            float _t19_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (float *)(&_t19_storage);
            flick_fluke_check_span(4, _flick_abort171);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_float32(0, *_local_arg, float );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = float_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort171);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_float32(0, *_return, float );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort177);
                    break;
                    {
                    _flick_abort177:
                      goto _flick_abort171;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort178);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort178:
                      goto _flick_abort171;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort171:
              goto _flick_abort170;
            }
          }
          break;
          {
          _flick_abort170:
            goto _flick_abort9;
          }
        }
      case (signed int) 8:
        {
          {
            double *_return;
            double *_local_arg;
            double _t20_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (double *)(&_t20_storage);
            flick_fluke_check_span(12, _flick_abort180);
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_float64(4, *_local_arg, double );
            flick_fluke_decode_end_chunk(12);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = double_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(16, _flick_abort180);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(12);
                    flick_fluke_encode_float64(4, *_return, double );
                    flick_fluke_encode_end_chunk(12);
                    flick_fluke_encode_end_glob(16);
                    break;
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(16);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort186);
                    break;
                    {
                    _flick_abort186:
                      goto _flick_abort180;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort187);
                    flick_fluke_encode_end_glob(16);
                    break;
                    {
                    _flick_abort187:
                      goto _flick_abort180;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort180:
              goto _flick_abort179;
            }
          }
          break;
          {
          _flick_abort179:
            goto _flick_abort9;
          }
        }
      case (signed int) 9:
        {
          {
            long_seq *_return;
            long_seq *_local_arg;
            long_seq _t21_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (long_seq *)(&_t21_storage);
            flick_fluke_check_span(4, _flick_abort189);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_arg->long_seq_len, unsigned int );
            if (_local_arg->long_seq_len > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort189);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(4 * _local_arg->long_seq_len * 1, _flick_abort189);
            flick_fluke_decode_new_chunk(4 * _local_arg->long_seq_len);
            flick_fluke_decode_msgptr(0, _local_arg->long_seq_val, int *);
            flick_fluke_decode_end_chunk(4 * _local_arg->long_seq_len);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = long_seq_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(48, _flick_abort189);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, flick_errno, flick_env_t );
              flick_fluke_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4 + 4 * _return->long_seq_len);
                    flick_fluke_encode_unsigned32(0, _return->long_seq_len, unsigned int );
                    if (_return->long_seq_len > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort198);
                    flick_fluke_encode_bcopy(4, _return->long_seq_val, 4 * _return->long_seq_len);
                    flick_fluke_encode_end_chunk(4 + 4 * _return->long_seq_len);
                    flick_fluke_encode_end_glob(48);
                    break;
                    {
                    _flick_abort198:
                      goto _flick_abort189;
                    }
                  }
                case -1:
                  {
                    flick_fluke_encode_end_glob(48);
                    flick_sun_encode_system_exception(flick_errno, fluke, fluke, _flick_abort201);
                    break;
                    {
                    _flick_abort201:
                      goto _flick_abort189;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort202);
                    flick_fluke_encode_end_glob(48);
                    break;
                    {
                    _flick_abort202:
                      goto _flick_abort189;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort189:
              goto _flick_abort188;
            }
          }
          break;
          {
          _flick_abort188:
            goto _flick_abort9;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort9);
          flick_fluke_decode_end_glob(48);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
  {
  _flick_abort9:
    flick_sun_server_error(fluke, fluke, _flick_reaper, _flick_abort8);
  _flick_abort8:
    return DISPATCH_ACK_SEND;
    goto _flick_reaper;
  }
_flick_reaper:
  return DISPATCH_NO_REPLY;
}

