#include "primtypes-client.h"

oskit_s32_t ex1_m1(mom_ref_t _obj, oskit_s32_t a, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort1);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_ex1_m1, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a, oskit_s32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort1);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort7);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort7:
              goto _flick_abort1;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort8);
            break;
            {
            _flick_abort8:
              goto _flick_abort1;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort9);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort9:
              goto _flick_abort1;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1);
  return _return;
  {
  _flick_abort1:
    flick_mom_client_error(fluke, fluke, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
}

mom_ref_t ex1_mtypes(mom_ref_t _obj, oskit_s32_t a1, oskit_s32_t *a2, oskit_s32_t *a3, oskit_u32_t b1, oskit_u32_t *b2, oskit_u32_t *b3, oskit_s16_t c1, oskit_s16_t *c2, oskit_s16_t *c3, oskit_u16_t d1, oskit_u16_t *d2, oskit_u16_t *d3, float e1, float *e2, float *e3, double f1, double *f2, double *f3, char g1, char *g2, char *g3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  mom_ref_t _return;

  memset(&_return, 0, sizeof(mom_ref_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(58, _flick_abort11);
      flick_fluke_encode_new_chunk(58);
      flick_fluke_encode_unsigned32(0, req_ex1_mtypes, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a1, oskit_s32_t );
      flick_fluke_encode_signed32(8, *a2, oskit_s32_t );
      flick_fluke_encode_unsigned32(12, b1, oskit_u32_t );
      flick_fluke_encode_unsigned32(16, *b2, oskit_u32_t );
      flick_fluke_encode_signed16(20, c1, oskit_s16_t );
      flick_fluke_encode_signed16(22, *c2, oskit_s16_t );
      flick_fluke_encode_unsigned16(24, d1, oskit_u16_t );
      flick_fluke_encode_unsigned16(26, *d2, oskit_u16_t );
      flick_fluke_encode_float32(28, e1, float );
      flick_fluke_encode_float32(32, *e2, float );
      flick_fluke_encode_float64(40, f1, double );
      flick_fluke_encode_float64(48, *f2, double );
      flick_fluke_encode_char8(56, g1, char );
      flick_fluke_encode_char8(57, *g2, char );
      flick_fluke_encode_end_chunk(58);
      flick_fluke_encode_end_glob(58);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort11);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(58);
      flick_fluke_check_span(4, _flick_abort11);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(54, _flick_abort17);
            flick_fluke_decode_new_chunk(54);
            flick_fluke_client_decode_port32(0, _return, 1);
            flick_fluke_decode_signed32(4, *a2, oskit_s32_t );
            flick_fluke_decode_signed32(8, *a3, oskit_s32_t );
            flick_fluke_decode_unsigned32(12, *b2, oskit_u32_t );
            flick_fluke_decode_unsigned32(16, *b3, oskit_u32_t );
            flick_fluke_decode_signed16(20, *c2, oskit_s16_t );
            flick_fluke_decode_signed16(22, *c3, oskit_s16_t );
            flick_fluke_decode_unsigned16(24, *d2, oskit_u16_t );
            flick_fluke_decode_unsigned16(26, *d3, oskit_u16_t );
            flick_fluke_decode_float32(28, *e2, float );
            flick_fluke_decode_float32(32, *e3, float );
            flick_fluke_decode_float64(36, *f2, double );
            flick_fluke_decode_float64(44, *f3, double );
            flick_fluke_decode_char8(52, *g2, char );
            flick_fluke_decode_char8(53, *g3, char );
            flick_fluke_decode_end_chunk(54);
            flick_fluke_decode_end_glob(58);
            break;
            {
            _flick_abort17:
              goto _flick_abort11;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(58);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort18);
            break;
            {
            _flick_abort18:
              goto _flick_abort11;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort19);
            flick_fluke_decode_end_glob(58);
            break;
            {
            _flick_abort19:
              goto _flick_abort11;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort11);
  return _return;
  {
  _flick_abort11:
    flick_mom_client_error(fluke, fluke, _flick_abort10);
  _flick_abort10:
    goto _flick_reaper;
  }
}

oskit_s32_t ex1__get_l1(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort21);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_ex1__get_l1, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort21);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort27);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort27:
              goto _flick_abort21;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort28);
            break;
            {
            _flick_abort28:
              goto _flick_abort21;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort29);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort29:
              goto _flick_abort21;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21);
  return _return;
  {
  _flick_abort21:
    flick_mom_client_error(fluke, fluke, _flick_abort20);
  _flick_abort20:
    goto _flick_reaper;
  }
}

void ex1__set_l1(mom_ref_t _obj, oskit_s32_t l1, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort31);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_ex1__set_l1, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, l1, oskit_s32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort31);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort31);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort38);
            break;
            {
            _flick_abort38:
              goto _flick_abort31;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort39);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort39:
              goto _flick_abort31;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort31);
  return;
  {
  _flick_abort31:
    flick_mom_client_error(fluke, fluke, _flick_abort30);
  _flick_abort30:
    goto _flick_reaper;
  }
}

oskit_s32_t ex2_m2(mom_ref_t _obj, oskit_s32_t a, oskit_s32_t *b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort41);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_ex2_m2, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a, oskit_s32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort41);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort41);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(8, _flick_abort47);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_signed32(4, *b, oskit_s32_t );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort47:
              goto _flick_abort41;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(12);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort48);
            break;
            {
            _flick_abort48:
              goto _flick_abort41;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort49);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort49:
              goto _flick_abort41;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort41);
  return _return;
  {
  _flick_abort41:
    flick_mom_client_error(fluke, fluke, _flick_abort40);
  _flick_abort40:
    goto _flick_reaper;
  }
}

void ex2_mv(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort51);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_ex2_mv, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort51);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort51);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort58);
            break;
            {
            _flick_abort58:
              goto _flick_abort51;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort59);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort59:
              goto _flick_abort51;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort51);
  return;
  {
  _flick_abort51:
    flick_mom_client_error(fluke, fluke, _flick_abort50);
  _flick_abort50:
    goto _flick_reaper;
  }
}

oskit_s32_t ex2__get_l2(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort61);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_ex2__get_l2, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort61);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort61);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort67);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort67:
              goto _flick_abort61;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort68);
            break;
            {
            _flick_abort68:
              goto _flick_abort61;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort69);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort69:
              goto _flick_abort61;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort61);
  return _return;
  {
  _flick_abort61:
    flick_mom_client_error(fluke, fluke, _flick_abort60);
  _flick_abort60:
    goto _flick_reaper;
  }
}

oskit_s32_t ex2_m1(mom_ref_t _obj, oskit_s32_t a, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort71);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_ex1_m1, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a, oskit_s32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort71);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort71);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort77);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort77:
              goto _flick_abort71;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort78);
            break;
            {
            _flick_abort78:
              goto _flick_abort71;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort79);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort79:
              goto _flick_abort71;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort71);
  return _return;
  {
  _flick_abort71:
    flick_mom_client_error(fluke, fluke, _flick_abort70);
  _flick_abort70:
    goto _flick_reaper;
  }
}

mom_ref_t ex2_mtypes(mom_ref_t _obj, oskit_s32_t a1, oskit_s32_t *a2, oskit_s32_t *a3, oskit_u32_t b1, oskit_u32_t *b2, oskit_u32_t *b3, oskit_s16_t c1, oskit_s16_t *c2, oskit_s16_t *c3, oskit_u16_t d1, oskit_u16_t *d2, oskit_u16_t *d3, float e1, float *e2, float *e3, double f1, double *f2, double *f3, char g1, char *g2, char *g3, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  mom_ref_t _return;

  memset(&_return, 0, sizeof(mom_ref_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(58, _flick_abort81);
      flick_fluke_encode_new_chunk(58);
      flick_fluke_encode_unsigned32(0, req_ex1_mtypes, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a1, oskit_s32_t );
      flick_fluke_encode_signed32(8, *a2, oskit_s32_t );
      flick_fluke_encode_unsigned32(12, b1, oskit_u32_t );
      flick_fluke_encode_unsigned32(16, *b2, oskit_u32_t );
      flick_fluke_encode_signed16(20, c1, oskit_s16_t );
      flick_fluke_encode_signed16(22, *c2, oskit_s16_t );
      flick_fluke_encode_unsigned16(24, d1, oskit_u16_t );
      flick_fluke_encode_unsigned16(26, *d2, oskit_u16_t );
      flick_fluke_encode_float32(28, e1, float );
      flick_fluke_encode_float32(32, *e2, float );
      flick_fluke_encode_float64(40, f1, double );
      flick_fluke_encode_float64(48, *f2, double );
      flick_fluke_encode_char8(56, g1, char );
      flick_fluke_encode_char8(57, *g2, char );
      flick_fluke_encode_end_chunk(58);
      flick_fluke_encode_end_glob(58);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort81);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(58);
      flick_fluke_check_span(4, _flick_abort81);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(54, _flick_abort87);
            flick_fluke_decode_new_chunk(54);
            flick_fluke_client_decode_port32(0, _return, 1);
            flick_fluke_decode_signed32(4, *a2, oskit_s32_t );
            flick_fluke_decode_signed32(8, *a3, oskit_s32_t );
            flick_fluke_decode_unsigned32(12, *b2, oskit_u32_t );
            flick_fluke_decode_unsigned32(16, *b3, oskit_u32_t );
            flick_fluke_decode_signed16(20, *c2, oskit_s16_t );
            flick_fluke_decode_signed16(22, *c3, oskit_s16_t );
            flick_fluke_decode_unsigned16(24, *d2, oskit_u16_t );
            flick_fluke_decode_unsigned16(26, *d3, oskit_u16_t );
            flick_fluke_decode_float32(28, *e2, float );
            flick_fluke_decode_float32(32, *e3, float );
            flick_fluke_decode_float64(36, *f2, double );
            flick_fluke_decode_float64(44, *f3, double );
            flick_fluke_decode_char8(52, *g2, char );
            flick_fluke_decode_char8(53, *g3, char );
            flick_fluke_decode_end_chunk(54);
            flick_fluke_decode_end_glob(58);
            break;
            {
            _flick_abort87:
              goto _flick_abort81;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(58);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort88);
            break;
            {
            _flick_abort88:
              goto _flick_abort81;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
            flick_fluke_decode_end_glob(58);
            break;
            {
            _flick_abort89:
              goto _flick_abort81;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort81);
  return _return;
  {
  _flick_abort81:
    flick_mom_client_error(fluke, fluke, _flick_abort80);
  _flick_abort80:
    goto _flick_reaper;
  }
}

oskit_s32_t ex2__get_l1(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort91);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_ex1__get_l1, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort91);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort91);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort97);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort97:
              goto _flick_abort91;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort98);
            break;
            {
            _flick_abort98:
              goto _flick_abort91;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort99);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort99:
              goto _flick_abort91;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort91);
  return _return;
  {
  _flick_abort91:
    flick_mom_client_error(fluke, fluke, _flick_abort90);
  _flick_abort90:
    goto _flick_reaper;
  }
}

void ex2__set_l1(mom_ref_t _obj, oskit_s32_t l1, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort101);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_ex1__set_l1, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, l1, oskit_s32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort101);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort101);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort108);
            break;
            {
            _flick_abort108:
              goto _flick_abort101;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort109);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort109:
              goto _flick_abort101;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort101);
  return;
  {
  _flick_abort101:
    flick_mom_client_error(fluke, fluke, _flick_abort100);
  _flick_abort100:
    goto _flick_reaper;
  }
}

