#include "struct-server.h"

int flick_marshal_stub_bar(flick_marshal_stream_t _stream, bar *_data)
{
  flick_unsigned32_t _t0_temp_string_len;

  flick_fluke_stringlen(char *, _data->b3, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(33, _flick_abort0);
  flick_fluke_encode_new_chunk(12 + 1 * _t0_temp_string_len);
  flick_fluke_encode_signed32(0, _data->b1, oskit_s32_t );
  flick_fluke_encode_signed32(4, _data->b2, oskit_s32_t );
  flick_fluke_encode_unsigned32(8, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_fluke_encode_bcopy(12, _data->b3, 1 * _t0_temp_string_len);
  mom_flick_free(_data->b3);
  flick_fluke_encode_end_chunk(12 + 1 * _t0_temp_string_len);
  flick_fluke_encode_end_glob(33);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, bar *_data)
{
  flick_unsigned32_t _t1_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(33);
  flick_fluke_check_span(12, _flick_abort3);
  flick_fluke_decode_new_chunk(12);
  flick_fluke_decode_signed32(0, _data->b1, oskit_s32_t );
  flick_fluke_decode_signed32(4, _data->b2, oskit_s32_t );
  flick_fluke_decode_unsigned32(8, _t1_temp_string_len, flick_unsigned32_t );
  if (_t1_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_fluke_decode_end_chunk(12);
  flick_fluke_check_span(1 * _t1_temp_string_len * 1, _flick_abort3);
  flick_fluke_decode_new_chunk(1 * _t1_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(mom_flick_alloc(_t1_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->b3 = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->b3, 1 * _t1_temp_string_len);
  flick_fluke_decode_end_chunk(1 * _t1_temp_string_len);
  flick_fluke_decode_end_glob(33);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_bar2(flick_marshal_stream_t _stream, bar2 *_data)
{
  flick_unsigned32_t _t2_temp_string_len;

  flick_fluke_stringlen(char *, _data->b4.b3, flick_unsigned32_t , _t2_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(37, _flick_abort7);
  flick_fluke_encode_new_chunk(16 + 1 * _t2_temp_string_len);
  flick_fluke_encode_signed32(0, _data->b3, oskit_s32_t );
  flick_fluke_encode_signed32(4, _data->b4.b1, oskit_s32_t );
  flick_fluke_encode_signed32(8, _data->b4.b2, oskit_s32_t );
  flick_fluke_encode_unsigned32(12, _t2_temp_string_len, flick_unsigned32_t );
  if (_t2_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  flick_fluke_encode_bcopy(16, _data->b4.b3, 1 * _t2_temp_string_len);
  mom_flick_free(_data->b4.b3);
  flick_fluke_encode_end_chunk(16 + 1 * _t2_temp_string_len);
  flick_fluke_encode_end_glob(37);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar2(flick_marshal_stream_t _stream, bar2 *_data)
{
  flick_unsigned32_t _t3_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(37);
  flick_fluke_check_span(16, _flick_abort10);
  flick_fluke_decode_new_chunk(16);
  flick_fluke_decode_signed32(0, _data->b3, oskit_s32_t );
  flick_fluke_decode_signed32(4, _data->b4.b1, oskit_s32_t );
  flick_fluke_decode_signed32(8, _data->b4.b2, oskit_s32_t );
  flick_fluke_decode_unsigned32(12, _t3_temp_string_len, flick_unsigned32_t );
  if (_t3_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort10);
  flick_fluke_decode_end_chunk(16);
  flick_fluke_check_span(1 * _t3_temp_string_len * 1, _flick_abort10);
  flick_fluke_decode_new_chunk(1 * _t3_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(mom_flick_alloc(_t3_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10);
    _data->b4.b3 = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->b4.b3, 1 * _t3_temp_string_len);
  flick_fluke_decode_end_chunk(1 * _t3_temp_string_len);
  flick_fluke_decode_end_glob(37);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_bar3(flick_marshal_stream_t _stream, bar3 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(12, _flick_abort14);
  flick_fluke_encode_new_chunk(12);
  flick_fluke_encode_signed32(0, _data->b1, oskit_s32_t );
  flick_fluke_encode_signed32(4, _data->b2, oskit_s32_t );
  flick_fluke_encode_signed32(8, _data->b3, oskit_s32_t );
  flick_fluke_encode_end_chunk(12);
  flick_fluke_encode_end_glob(12);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar3(flick_marshal_stream_t _stream, bar3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(12);
  flick_fluke_check_span(12, _flick_abort15);
  flick_fluke_decode_new_chunk(12);
  flick_fluke_decode_signed32(0, _data->b1, oskit_s32_t );
  flick_fluke_decode_signed32(4, _data->b2, oskit_s32_t );
  flick_fluke_decode_signed32(8, _data->b3, oskit_s32_t );
  flick_fluke_decode_end_chunk(12);
  flick_fluke_decode_end_glob(12);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_bar4(flick_marshal_stream_t _stream, bar4 *_data)
{
  flick_unsigned32_t _t4_temp_string_len;

  flick_fluke_stringlen(char *, _data->b2.b4.b3, flick_unsigned32_t , _t4_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(64, _flick_abort16);
  flick_fluke_encode_new_chunk(20 + 1 * _t4_temp_string_len);
  flick_fluke_encode_signed32(0, _data->b1, oskit_s32_t );
  flick_fluke_encode_signed32(4, _data->b2.b3, oskit_s32_t );
  flick_fluke_encode_signed32(8, _data->b2.b4.b1, oskit_s32_t );
  flick_fluke_encode_signed32(12, _data->b2.b4.b2, oskit_s32_t );
  flick_fluke_encode_unsigned32(16, _t4_temp_string_len, flick_unsigned32_t );
  if (_t4_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort16);
  flick_fluke_encode_bcopy(20, _data->b2.b4.b3, 1 * _t4_temp_string_len);
  mom_flick_free(_data->b2.b4.b3);
  flick_fluke_encode_end_chunk(20 + 1 * _t4_temp_string_len);
  flick_fluke_encode_new_chunk_align(20, 2, 0, 0);
  flick_fluke_encode_signed32(0, _data->b3, oskit_s32_t );
  flick_fluke_encode_signed32(4, _data->b4.b1, oskit_s32_t );
  flick_fluke_encode_signed32(8, _data->b4.b2, oskit_s32_t );
  flick_fluke_encode_signed32(12, _data->b4.b3, oskit_s32_t );
  flick_fluke_encode_signed32(16, _data->b5, oskit_s32_t );
  flick_fluke_encode_end_chunk(20);
  flick_fluke_encode_end_glob(64);
  return 0;
  {
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar4(flick_marshal_stream_t _stream, bar4 *_data)
{
  flick_unsigned32_t _t5_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(64);
  flick_fluke_check_span(20, _flick_abort19);
  flick_fluke_decode_new_chunk(20);
  flick_fluke_decode_signed32(0, _data->b1, oskit_s32_t );
  flick_fluke_decode_signed32(4, _data->b2.b3, oskit_s32_t );
  flick_fluke_decode_signed32(8, _data->b2.b4.b1, oskit_s32_t );
  flick_fluke_decode_signed32(12, _data->b2.b4.b2, oskit_s32_t );
  flick_fluke_decode_unsigned32(16, _t5_temp_string_len, flick_unsigned32_t );
  if (_t5_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort19);
  flick_fluke_decode_end_chunk(20);
  flick_fluke_check_span(1 * _t5_temp_string_len * 1, _flick_abort19);
  flick_fluke_decode_new_chunk(1 * _t5_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(mom_flick_alloc(_t5_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19);
    _data->b2.b4.b3 = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->b2.b4.b3, 1 * _t5_temp_string_len);
  flick_fluke_decode_end_chunk(1 * _t5_temp_string_len);
  flick_fluke_decode_new_chunk_align(20, 2, 0, 0);
  flick_fluke_check_span(20, _flick_abort22);
  flick_fluke_decode_signed32(0, _data->b3, oskit_s32_t );
  flick_fluke_decode_signed32(4, _data->b4.b1, oskit_s32_t );
  flick_fluke_decode_signed32(8, _data->b4.b2, oskit_s32_t );
  flick_fluke_decode_signed32(12, _data->b4.b3, oskit_s32_t );
  flick_fluke_decode_signed32(16, _data->b5, oskit_s32_t );
  flick_fluke_decode_end_chunk(20);
  flick_fluke_decode_end_glob(64);
  return 0;
  {
  _flick_abort22:
    mom_flick_free(_data->b2.b4.b3);
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_foo(flick_marshal_stream_t _stream, foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  return 0;
  return 1;
}

int flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  return 0;
  return 1;
}

mom_dispatch_action_t foo_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t13_switch_tag;

    flick_fluke_decode_new_glob(37);
    flick_fluke_check_span(16, _flick_abort27);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t13_switch_tag, signed int );
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t13_switch_tag)
      {
      case req_foo_op:
        {
          {
            oskit_s32_t _return;
            bar *_local_a;
            bar _t14_storage;
            flick_unsigned32_t _t15_temp_string_len;
            bar2 **_local_b;
            bar2 *_t16_storage;
            mom_exc_t *_ev;
            mom_exc_t _t17_storage;

            _obj = (foo *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (bar *)(&_t14_storage);
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_signed32(0, _local_a->b1, oskit_s32_t );
            flick_fluke_decode_signed32(4, _local_a->b2, oskit_s32_t );
            flick_fluke_decode_unsigned32(8, _t15_temp_string_len, flick_unsigned32_t );
            if (_t15_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort45);
            flick_fluke_decode_end_chunk(12);
            flick_fluke_check_span(1 * _t15_temp_string_len * 1, _flick_abort45);
            flick_fluke_decode_new_chunk(1 * _t15_temp_string_len);
            flick_fluke_decode_msgptr(0, _local_a->b3, char *);
            flick_fluke_decode_end_chunk(1 * _t15_temp_string_len);
            _local_b = (bar2 **)(&_t16_storage);
            _ev = (mom_exc_t *)(&_t17_storage);
            flick_fluke_decode_end_glob(37);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = foo_server_op(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(45, _flick_abort45);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    flick_unsigned32_t _t19_temp_string_len;

                    flick_fluke_stringlen(char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t19_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(20 + 1 * _t19_temp_string_len);
                    flick_fluke_encode_signed32(0, _return, oskit_s32_t );
                    flick_fluke_encode_signed32(4, (*_local_b)->b3, oskit_s32_t );
                    flick_fluke_encode_signed32(8, (*_local_b)->b4.b1, oskit_s32_t );
                    flick_fluke_encode_signed32(12, (*_local_b)->b4.b2, oskit_s32_t );
                    flick_fluke_encode_unsigned32(16, _t19_temp_string_len, flick_unsigned32_t );
                    if (_t19_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort54);
                    flick_fluke_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t19_temp_string_len);
                    mom_flick_free((*_local_b)->b4.b3);
                    (*_local_b)->b4.b3 = 0;
                    flick_fluke_encode_end_chunk(20 + 1 * _t19_temp_string_len);
                    mom_flick_free(*_local_b);
                    *_local_b = 0;
                    flick_fluke_encode_end_glob(45);
                    break;
                    {
                    _flick_abort54:
                      goto _flick_abort45;
                    }
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(45);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort57);
                    break;
                    {
                    _flick_abort57:
                      goto _flick_abort45;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort58);
                    flick_fluke_encode_end_glob(45);
                    break;
                    {
                    _flick_abort58:
                      goto _flick_abort45;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort45:
              goto _flick_abort44;
            }
          }
          break;
          {
          _flick_abort44:
            goto _flick_abort27;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort27);
          flick_fluke_decode_end_glob(37);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
  {
  _flick_abort27:
    flick_mom_server_error(fluke, fluke, _flick_reaper, _flick_abort26);
  _flick_abort26:
    return DISPATCH_ACK_SEND;
    goto _flick_reaper;
  }
_flick_reaper:
  return DISPATCH_NO_REPLY;
}

int flick_marshal_stub_foo2(flick_marshal_stream_t _stream, foo2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  return 0;
  return 1;
}

int flick_unmarshal_stub_foo2(flick_marshal_stream_t _stream, foo2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  return 0;
  return 1;
}

mom_dispatch_action_t foo2_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t34_switch_tag;

    flick_fluke_decode_new_glob(41);
    flick_fluke_check_span(8, _flick_abort63);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t34_switch_tag, signed int );
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t34_switch_tag)
      {
      case req_foo2_op2:
        {
          {
            bar *_return;
            bar2 *_local_a;
            bar2 _t35_storage;
            flick_unsigned32_t _t36_temp_string_len;
            mom_exc_t *_ev;
            mom_exc_t _t37_storage;

            _obj = (foo2 *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (bar2 *)(&_t35_storage);
            flick_fluke_check_span(16, _flick_abort105);
            flick_fluke_decode_new_chunk(16);
            flick_fluke_decode_signed32(0, _local_a->b3, oskit_s32_t );
            flick_fluke_decode_signed32(4, _local_a->b4.b1, oskit_s32_t );
            flick_fluke_decode_signed32(8, _local_a->b4.b2, oskit_s32_t );
            flick_fluke_decode_unsigned32(12, _t36_temp_string_len, flick_unsigned32_t );
            if (_t36_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort105);
            flick_fluke_decode_end_chunk(16);
            flick_fluke_check_span(1 * _t36_temp_string_len * 1, _flick_abort105);
            flick_fluke_decode_new_chunk(1 * _t36_temp_string_len);
            flick_fluke_decode_msgptr(0, _local_a->b4.b3, char *);
            flick_fluke_decode_end_chunk(1 * _t36_temp_string_len);
            _ev = (mom_exc_t *)(&_t37_storage);
            flick_fluke_decode_end_glob(41);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = foo2_server_op2(_obj, _local_a, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(37, _flick_abort105);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    flick_unsigned32_t _t39_temp_string_len;

                    flick_fluke_stringlen(char *, _return->b3, flick_unsigned32_t , _t39_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(12 + 1 * _t39_temp_string_len);
                    flick_fluke_encode_signed32(0, _return->b1, oskit_s32_t );
                    flick_fluke_encode_signed32(4, _return->b2, oskit_s32_t );
                    flick_fluke_encode_unsigned32(8, _t39_temp_string_len, flick_unsigned32_t );
                    if (_t39_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort114);
                    flick_fluke_encode_bcopy(12, _return->b3, 1 * _t39_temp_string_len);
                    mom_flick_free(_return->b3);
                    _return->b3 = 0;
                    flick_fluke_encode_end_chunk(12 + 1 * _t39_temp_string_len);
                    mom_flick_free(_return);
                    _return = 0;
                    flick_fluke_encode_end_glob(37);
                    break;
                    {
                    _flick_abort114:
                      goto _flick_abort105;
                    }
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(37);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort117);
                    break;
                    {
                    _flick_abort117:
                      goto _flick_abort105;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort118);
                    flick_fluke_encode_end_glob(37);
                    break;
                    {
                    _flick_abort118:
                      goto _flick_abort105;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort105:
              goto _flick_abort104;
            }
          }
          break;
          {
          _flick_abort104:
            goto _flick_abort63;
          }
        }
      case req_foo2_op3:
        {
          {
            oskit_s32_t _return;
            oskit_s32_t _local_a;
            char *_local_b;
            char _t40_storage;
            mom_exc_t *_ev;
            mom_exc_t _t41_storage;

            _obj = (foo2 *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_a, oskit_s32_t );
            _local_b = (char *)(&_t40_storage);
            _ev = (mom_exc_t *)(&_t41_storage);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(41);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = foo2_server_op3(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(9, _flick_abort120);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(5);
                    flick_fluke_encode_signed32(0, _return, oskit_s32_t );
                    flick_fluke_encode_char8(4, *_local_b, char );
                    flick_fluke_encode_end_chunk(5);
                    flick_fluke_encode_end_glob(9);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(9);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort126);
                    break;
                    {
                    _flick_abort126:
                      goto _flick_abort120;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort127);
                    flick_fluke_encode_end_glob(9);
                    break;
                    {
                    _flick_abort127:
                      goto _flick_abort120;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort120:
              goto _flick_abort119;
            }
          }
          break;
          {
          _flick_abort119:
            goto _flick_abort63;
          }
        }
      case req_foo_op:
        {
          {
            oskit_s32_t _return;
            bar *_local_a;
            bar _t42_storage;
            flick_unsigned32_t _t43_temp_string_len;
            bar2 **_local_b;
            bar2 *_t44_storage;
            mom_exc_t *_ev;
            mom_exc_t _t45_storage;

            _obj = (foo2 *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (bar *)(&_t42_storage);
            flick_fluke_check_span(12, _flick_abort129);
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_signed32(0, _local_a->b1, oskit_s32_t );
            flick_fluke_decode_signed32(4, _local_a->b2, oskit_s32_t );
            flick_fluke_decode_unsigned32(8, _t43_temp_string_len, flick_unsigned32_t );
            if (_t43_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort129);
            flick_fluke_decode_end_chunk(12);
            flick_fluke_check_span(1 * _t43_temp_string_len * 1, _flick_abort129);
            flick_fluke_decode_new_chunk(1 * _t43_temp_string_len);
            flick_fluke_decode_msgptr(0, _local_a->b3, char *);
            flick_fluke_decode_end_chunk(1 * _t43_temp_string_len);
            _local_b = (bar2 **)(&_t44_storage);
            _ev = (mom_exc_t *)(&_t45_storage);
            flick_fluke_decode_end_glob(41);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = foo2_server_op(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(45, _flick_abort129);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    flick_unsigned32_t _t47_temp_string_len;

                    flick_fluke_stringlen(char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t47_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(20 + 1 * _t47_temp_string_len);
                    flick_fluke_encode_signed32(0, _return, oskit_s32_t );
                    flick_fluke_encode_signed32(4, (*_local_b)->b3, oskit_s32_t );
                    flick_fluke_encode_signed32(8, (*_local_b)->b4.b1, oskit_s32_t );
                    flick_fluke_encode_signed32(12, (*_local_b)->b4.b2, oskit_s32_t );
                    flick_fluke_encode_unsigned32(16, _t47_temp_string_len, flick_unsigned32_t );
                    if (_t47_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort138);
                    flick_fluke_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t47_temp_string_len);
                    mom_flick_free((*_local_b)->b4.b3);
                    (*_local_b)->b4.b3 = 0;
                    flick_fluke_encode_end_chunk(20 + 1 * _t47_temp_string_len);
                    mom_flick_free(*_local_b);
                    *_local_b = 0;
                    flick_fluke_encode_end_glob(45);
                    break;
                    {
                    _flick_abort138:
                      goto _flick_abort129;
                    }
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(45);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort141);
                    break;
                    {
                    _flick_abort141:
                      goto _flick_abort129;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort142);
                    flick_fluke_encode_end_glob(45);
                    break;
                    {
                    _flick_abort142:
                      goto _flick_abort129;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort129:
              goto _flick_abort128;
            }
          }
          break;
          {
          _flick_abort128:
            goto _flick_abort63;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort63);
          flick_fluke_decode_end_glob(41);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
  {
  _flick_abort63:
    flick_mom_server_error(fluke, fluke, _flick_reaper, _flick_abort62);
  _flick_abort62:
    return DISPATCH_ACK_SEND;
    goto _flick_reaper;
  }
_flick_reaper:
  return DISPATCH_NO_REPLY;
}

int flick_marshal_stub_Coord(flick_marshal_stream_t _stream, Coord *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(2, _flick_abort143);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_unsigned16(0, *_data, oskit_u16_t );
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
  return 0;
  {
  _flick_abort143:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Coord(flick_marshal_stream_t _stream, Coord *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(2);
  flick_fluke_check_span(2, _flick_abort144);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_unsigned16(0, *_data, oskit_u16_t );
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
  return 0;
  {
  _flick_abort144:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CellPos(flick_marshal_stream_t _stream, CellPos *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort145);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned16(0, _data->row, oskit_u16_t );
  flick_fluke_encode_unsigned16(2, _data->col, oskit_u16_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  return 0;
  {
  _flick_abort145:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CellPos(flick_marshal_stream_t _stream, CellPos *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort146);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned16(0, _data->row, oskit_u16_t );
  flick_fluke_decode_unsigned16(2, _data->col, oskit_u16_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  return 0;
  {
  _flick_abort146:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CellPos2(flick_marshal_stream_t _stream, CellPos2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort147);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned16(0, _data->row, oskit_u16_t );
  flick_fluke_encode_unsigned16(2, _data->col, oskit_u16_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  return 0;
  {
  _flick_abort147:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CellPos2(flick_marshal_stream_t _stream, CellPos2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort148);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned16(0, _data->row, oskit_u16_t );
  flick_fluke_decode_unsigned16(2, _data->col, oskit_u16_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  return 0;
  {
  _flick_abort148:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CellPos3(flick_marshal_stream_t _stream, CellPos3 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(6, _flick_abort149);
  flick_fluke_encode_new_chunk(6);
  flick_fluke_encode_unsigned16(0, _data->row, oskit_u16_t );
  flick_fluke_encode_unsigned16(2, _data->col, oskit_u16_t );
  flick_fluke_encode_unsigned16(4, _data->col2, oskit_u16_t );
  flick_fluke_encode_end_chunk(6);
  flick_fluke_encode_end_glob(6);
  return 0;
  {
  _flick_abort149:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CellPos3(flick_marshal_stream_t _stream, CellPos3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(6);
  flick_fluke_check_span(6, _flick_abort150);
  flick_fluke_decode_new_chunk(6);
  flick_fluke_decode_unsigned16(0, _data->row, oskit_u16_t );
  flick_fluke_decode_unsigned16(2, _data->col, oskit_u16_t );
  flick_fluke_decode_unsigned16(4, _data->col2, oskit_u16_t );
  flick_fluke_decode_end_chunk(6);
  flick_fluke_decode_end_glob(6);
  return 0;
  {
  _flick_abort150:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

