#include "parms-client.h"

/* This is the runtime type information */
char *flick_interface_parents_PARM[] = {
	0
};

char *flick_interface_parents_ONE[] = {
	"IDL:PARM:1.0",
	0
};

/* */

int flick_marshal_stub_long_seq(flick_marshal_stream_t _stream, const long_seq *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(44, _flick_abort0);
  flick_iiop_encode_new_chunk(4 + 4 * _data->long_seq_len);
  flick_cdr_encode_unsigned32(0, _data->long_seq_len, unsigned int );
  if (_data->long_seq_len > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_cdr_encode_bcopy(4, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_iiop_encode_end_chunk(4 + 4 * _data->long_seq_len);
  flick_iiop_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_seq(flick_marshal_stream_t _stream, long_seq *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(44);
  flick_iiop_check_span(4, _flick_abort3);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->long_seq_len, unsigned int );
  if (_data->long_seq_len > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_check_span(4 * _data->long_seq_len * 1, _flick_abort3);
  flick_iiop_decode_new_chunk(4 * _data->long_seq_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->long_seq_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->long_seq_val = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_iiop_decode_end_chunk(4 * _data->long_seq_len);
  flick_iiop_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_seq_swap(flick_marshal_stream_t _stream, long_seq *_data)
{
  unsigned int _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(44);
  flick_iiop_check_span(4, _flick_abort7);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->long_seq_len, unsigned int );
  if (_data->long_seq_len > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  flick_iiop_decode_end_chunk(4);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->long_seq_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
    _data->long_seq_val = _t_alloc_ptr;
  }
  flick_iiop_check_span(_data->long_seq_len * 4, _flick_abort11);
  for (_t0_array_iter = 0; _t0_array_iter < _data->long_seq_len; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->long_seq_val[_t0_array_iter], int );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(44);
  return 0;
  {
  _flick_abort11:
    sun_flick_free(_data->long_seq_val);
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void *void_test_2345(void *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  void *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(_obj, 0, cdr, _flick_abort15);
  }
  {
    flick_iiop_encode_new_glob(8, _flick_abort15);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_unsigned32(0, 0, flick_unsigned32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort15);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(4);
      flick_iiop_check_span(4, _flick_abort15);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t4_storage;

            /* Begin decode phase on parameters */
            _return = (char *)(&_t4_storage);
            flick_iiop_decode_end_glob(4);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(4);
            flick_sun_decode_system_exception(flick_errno, cdr_swap, iiop, _flick_abort29);
            break;
            {
            _flick_abort29:
              goto _flick_abort15;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort30);
            flick_iiop_decode_end_glob(4);
            break;
            {
            _flick_abort30:
              goto _flick_abort15;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(4);
      flick_iiop_check_span(4, _flick_abort15);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t2_storage;

            /* Begin decode phase on parameters */
            _return = (char *)(&_t2_storage);
            flick_iiop_decode_end_glob(4);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(4);
            flick_sun_decode_system_exception(flick_errno, cdr, iiop, _flick_abort22);
            break;
            {
            _flick_abort22:
              goto _flick_abort15;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort23);
            flick_iiop_decode_end_glob(4);
            break;
            {
            _flick_abort23:
              goto _flick_abort15;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort15:
    flick_sun_client_error(cdr, iiop, _flick_abort14);
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

char *char_test_2345(char *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  char *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(_obj, 0, cdr, _flick_abort32);
  }
  {
    flick_iiop_encode_new_glob(9, _flick_abort32);
    flick_iiop_encode_new_chunk(9);
    flick_cdr_encode_unsigned32(0, 1, flick_unsigned32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(8, *arg, char );
    flick_iiop_encode_end_chunk(9);
    flick_iiop_encode_end_glob(9);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort32);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(5);
      flick_iiop_check_span(4, _flick_abort32);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t8_storage;

            /* Begin decode phase on parameters */
            _return = (char *)(&_t8_storage);
            flick_iiop_check_span(1, _flick_abort45);
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, *_return, char );
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(5);
            break;
            {
            _flick_abort45:
              goto _flick_abort32;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(5);
            flick_sun_decode_system_exception(flick_errno, cdr_swap, iiop, _flick_abort46);
            break;
            {
            _flick_abort46:
              goto _flick_abort32;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort47);
            flick_iiop_decode_end_glob(5);
            break;
            {
            _flick_abort47:
              goto _flick_abort32;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(5);
      flick_iiop_check_span(4, _flick_abort32);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t6_storage;

            /* Begin decode phase on parameters */
            _return = (char *)(&_t6_storage);
            flick_iiop_check_span(1, _flick_abort38);
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, *_return, char );
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(5);
            break;
            {
            _flick_abort38:
              goto _flick_abort32;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(5);
            flick_sun_decode_system_exception(flick_errno, cdr, iiop, _flick_abort39);
            break;
            {
            _flick_abort39:
              goto _flick_abort32;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort40);
            flick_iiop_decode_end_glob(5);
            break;
            {
            _flick_abort40:
              goto _flick_abort32;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort32:
    flick_sun_client_error(cdr, iiop, _flick_abort31);
  _flick_abort31:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

int *bool_test_2345(int *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(_obj, 0, cdr, _flick_abort49);
  }
  {
    flick_iiop_encode_new_glob(9, _flick_abort49);
    flick_iiop_encode_new_chunk(9);
    flick_cdr_encode_unsigned32(0, 2, flick_unsigned32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned8(8, *arg, int );
    flick_iiop_encode_end_chunk(9);
    flick_iiop_encode_end_glob(9);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort49);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(5);
      flick_iiop_check_span(4, _flick_abort49);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t12_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t12_storage);
            flick_iiop_check_span(1, _flick_abort62);
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_unsigned8(0, *_return, int );
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(5);
            break;
            {
            _flick_abort62:
              goto _flick_abort49;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(5);
            flick_sun_decode_system_exception(flick_errno, cdr_swap, iiop, _flick_abort63);
            break;
            {
            _flick_abort63:
              goto _flick_abort49;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort64);
            flick_iiop_decode_end_glob(5);
            break;
            {
            _flick_abort64:
              goto _flick_abort49;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(5);
      flick_iiop_check_span(4, _flick_abort49);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t10_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t10_storage);
            flick_iiop_check_span(1, _flick_abort55);
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_unsigned8(0, *_return, int );
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(5);
            break;
            {
            _flick_abort55:
              goto _flick_abort49;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(5);
            flick_sun_decode_system_exception(flick_errno, cdr, iiop, _flick_abort56);
            break;
            {
            _flick_abort56:
              goto _flick_abort49;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort57);
            flick_iiop_decode_end_glob(5);
            break;
            {
            _flick_abort57:
              goto _flick_abort49;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort49:
    flick_sun_client_error(cdr, iiop, _flick_abort48);
  _flick_abort48:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

short int *short_test_2345(short int *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  short int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(_obj, 0, cdr, _flick_abort66);
  }
  {
    flick_iiop_encode_new_glob(10, _flick_abort66);
    flick_iiop_encode_new_chunk(10);
    flick_cdr_encode_unsigned32(0, 3, flick_unsigned32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(8, *arg, short int );
    flick_iiop_encode_end_chunk(10);
    flick_iiop_encode_end_glob(10);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort66);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(6);
      flick_iiop_check_span(4, _flick_abort66);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t16_storage;

            /* Begin decode phase on parameters */
            _return = (short int *)(&_t16_storage);
            flick_iiop_check_span(2, _flick_abort79);
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, *_return, short int );
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(6);
            break;
            {
            _flick_abort79:
              goto _flick_abort66;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(6);
            flick_sun_decode_system_exception(flick_errno, cdr_swap, iiop, _flick_abort80);
            break;
            {
            _flick_abort80:
              goto _flick_abort66;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort81);
            flick_iiop_decode_end_glob(6);
            break;
            {
            _flick_abort81:
              goto _flick_abort66;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(6);
      flick_iiop_check_span(4, _flick_abort66);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t14_storage;

            /* Begin decode phase on parameters */
            _return = (short int *)(&_t14_storage);
            flick_iiop_check_span(2, _flick_abort72);
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, *_return, short int );
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(6);
            break;
            {
            _flick_abort72:
              goto _flick_abort66;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(6);
            flick_sun_decode_system_exception(flick_errno, cdr, iiop, _flick_abort73);
            break;
            {
            _flick_abort73:
              goto _flick_abort66;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort74);
            flick_iiop_decode_end_glob(6);
            break;
            {
            _flick_abort74:
              goto _flick_abort66;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort66:
    flick_sun_client_error(cdr, iiop, _flick_abort65);
  _flick_abort65:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

unsigned short int *ushort_test_2345(unsigned short int *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  unsigned short int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(_obj, 0, cdr, _flick_abort83);
  }
  {
    flick_iiop_encode_new_glob(10, _flick_abort83);
    flick_iiop_encode_new_chunk(10);
    flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned16(8, *arg, unsigned short int );
    flick_iiop_encode_end_chunk(10);
    flick_iiop_encode_end_glob(10);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort83);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(6);
      flick_iiop_check_span(4, _flick_abort83);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned short int _t20_storage;

            /* Begin decode phase on parameters */
            _return = (unsigned short int *)(&_t20_storage);
            flick_iiop_check_span(2, _flick_abort96);
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_unsigned16(0, *_return, unsigned short int );
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(6);
            break;
            {
            _flick_abort96:
              goto _flick_abort83;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(6);
            flick_sun_decode_system_exception(flick_errno, cdr_swap, iiop, _flick_abort97);
            break;
            {
            _flick_abort97:
              goto _flick_abort83;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort98);
            flick_iiop_decode_end_glob(6);
            break;
            {
            _flick_abort98:
              goto _flick_abort83;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(6);
      flick_iiop_check_span(4, _flick_abort83);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned short int _t18_storage;

            /* Begin decode phase on parameters */
            _return = (unsigned short int *)(&_t18_storage);
            flick_iiop_check_span(2, _flick_abort89);
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_unsigned16(0, *_return, unsigned short int );
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(6);
            break;
            {
            _flick_abort89:
              goto _flick_abort83;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(6);
            flick_sun_decode_system_exception(flick_errno, cdr, iiop, _flick_abort90);
            break;
            {
            _flick_abort90:
              goto _flick_abort83;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort91);
            flick_iiop_decode_end_glob(6);
            break;
            {
            _flick_abort91:
              goto _flick_abort83;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort83:
    flick_sun_client_error(cdr, iiop, _flick_abort82);
  _flick_abort82:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

int *long_test_2345(int *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(_obj, 0, cdr, _flick_abort100);
  }
  {
    flick_iiop_encode_new_glob(12, _flick_abort100);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *arg, int );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort100);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort100);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t24_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t24_storage);
            flick_iiop_check_span(4, _flick_abort113);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return, int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort113:
              goto _flick_abort100;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, cdr_swap, iiop, _flick_abort114);
            break;
            {
            _flick_abort114:
              goto _flick_abort100;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort115);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort115:
              goto _flick_abort100;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort100);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t22_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t22_storage);
            flick_iiop_check_span(4, _flick_abort106);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return, int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort106:
              goto _flick_abort100;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, cdr, iiop, _flick_abort107);
            break;
            {
            _flick_abort107:
              goto _flick_abort100;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort108);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort108:
              goto _flick_abort100;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort100:
    flick_sun_client_error(cdr, iiop, _flick_abort99);
  _flick_abort99:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

unsigned int *ulong_test_2345(unsigned int *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  unsigned int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(_obj, 0, cdr, _flick_abort117);
  }
  {
    flick_iiop_encode_new_glob(12, _flick_abort117);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 6, flick_unsigned32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, *arg, unsigned int );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort117);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort117);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned int _t28_storage;

            /* Begin decode phase on parameters */
            _return = (unsigned int *)(&_t28_storage);
            flick_iiop_check_span(4, _flick_abort130);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *_return, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort130:
              goto _flick_abort117;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, cdr_swap, iiop, _flick_abort131);
            break;
            {
            _flick_abort131:
              goto _flick_abort117;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort132);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort132:
              goto _flick_abort117;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort117);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned int _t26_storage;

            /* Begin decode phase on parameters */
            _return = (unsigned int *)(&_t26_storage);
            flick_iiop_check_span(4, _flick_abort123);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *_return, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort123:
              goto _flick_abort117;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, cdr, iiop, _flick_abort124);
            break;
            {
            _flick_abort124:
              goto _flick_abort117;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort125);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort125:
              goto _flick_abort117;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort117:
    flick_sun_client_error(cdr, iiop, _flick_abort116);
  _flick_abort116:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

float *float_test_2345(float *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  float *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(_obj, 0, cdr, _flick_abort134);
  }
  {
    flick_iiop_encode_new_glob(12, _flick_abort134);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 7, flick_unsigned32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_float32(8, *arg, float );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort134);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort134);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static float _t32_storage;

            /* Begin decode phase on parameters */
            _return = (float *)(&_t32_storage);
            flick_iiop_check_span(4, _flick_abort147);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_float32(0, *_return, float );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort147:
              goto _flick_abort134;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, cdr_swap, iiop, _flick_abort148);
            break;
            {
            _flick_abort148:
              goto _flick_abort134;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort149);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort149:
              goto _flick_abort134;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort134);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static float _t30_storage;

            /* Begin decode phase on parameters */
            _return = (float *)(&_t30_storage);
            flick_iiop_check_span(4, _flick_abort140);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_float32(0, *_return, float );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort140:
              goto _flick_abort134;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, cdr, iiop, _flick_abort141);
            break;
            {
            _flick_abort141:
              goto _flick_abort134;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort142);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort142:
              goto _flick_abort134;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort134:
    flick_sun_client_error(cdr, iiop, _flick_abort133);
  _flick_abort133:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

double *double_test_2345(double *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  double *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(_obj, 0, cdr, _flick_abort151);
  }
  {
    flick_iiop_encode_new_glob(20, _flick_abort151);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_unsigned32(0, 8, flick_unsigned32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, *arg, double );
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(20);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort151);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(16);
      flick_iiop_check_span(4, _flick_abort151);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static double _t36_storage;

            /* Begin decode phase on parameters */
            _return = (double *)(&_t36_storage);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_iiop_check_span(8, _flick_abort164);
            flick_cdr_swap_decode_float64(0, *_return, double );
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(16);
            break;
            {
            _flick_abort164:
              goto _flick_abort151;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(16);
            flick_sun_decode_system_exception(flick_errno, cdr_swap, iiop, _flick_abort165);
            break;
            {
            _flick_abort165:
              goto _flick_abort151;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort166);
            flick_iiop_decode_end_glob(16);
            break;
            {
            _flick_abort166:
              goto _flick_abort151;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(16);
      flick_iiop_check_span(4, _flick_abort151);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static double _t34_storage;

            /* Begin decode phase on parameters */
            _return = (double *)(&_t34_storage);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_iiop_check_span(8, _flick_abort157);
            flick_cdr_decode_float64(0, *_return, double );
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(16);
            break;
            {
            _flick_abort157:
              goto _flick_abort151;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(16);
            flick_sun_decode_system_exception(flick_errno, cdr, iiop, _flick_abort158);
            break;
            {
            _flick_abort158:
              goto _flick_abort151;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort159);
            flick_iiop_decode_end_glob(16);
            break;
            {
            _flick_abort159:
              goto _flick_abort151;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort151:
    flick_sun_client_error(cdr, iiop, _flick_abort150);
  _flick_abort150:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

long_seq *long_seq_test_2345(long_seq *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  long_seq *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(_obj, 0, cdr, _flick_abort168);
  }
  {
    flick_iiop_encode_new_glob(52, _flick_abort168);
    flick_iiop_encode_new_chunk(12 + 4 * arg->long_seq_len);
    flick_cdr_encode_unsigned32(0, 9, flick_unsigned32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, arg->long_seq_len, unsigned int );
    if (arg->long_seq_len > 10)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort168);
    flick_cdr_encode_bcopy(12, arg->long_seq_val, 4 * arg->long_seq_len);
    flick_iiop_encode_end_chunk(12 + 4 * arg->long_seq_len);
    flick_iiop_encode_end_glob(52);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort168);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(48);
      flick_iiop_check_span(4, _flick_abort168);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static long_seq _t41_storage;
            unsigned int _t42_array_iter;

            /* Begin decode phase on parameters */
            _return = (long_seq *)(&_t41_storage);
            flick_iiop_check_span(4, _flick_abort197);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _return->long_seq_len, unsigned int );
            if (_return->long_seq_len > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort197);
            flick_iiop_decode_end_chunk(4);
            {
              int *_t_alloc_ptr;

              _t_alloc_ptr = (int *)(sun_flick_alloc(_return->long_seq_len * sizeof(int )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort197);
              _return->long_seq_val = _t_alloc_ptr;
            }
            flick_iiop_check_span(_return->long_seq_len * 4, _flick_abort201);
            for (_t42_array_iter = 0; _t42_array_iter < _return->long_seq_len; _t42_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _return->long_seq_val[_t42_array_iter], int );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(48);
            break;
            {
            _flick_abort201:
              sun_flick_free(_return->long_seq_val);
            _flick_abort197:
              goto _flick_abort168;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(48);
            flick_sun_decode_system_exception(flick_errno, cdr_swap, iiop, _flick_abort204);
            break;
            {
            _flick_abort204:
              goto _flick_abort168;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort205);
            flick_iiop_decode_end_glob(48);
            break;
            {
            _flick_abort205:
              goto _flick_abort168;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(48);
      flick_iiop_check_span(4, _flick_abort168);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static long_seq _t38_storage;

            /* Begin decode phase on parameters */
            _return = (long_seq *)(&_t38_storage);
            flick_iiop_check_span(4, _flick_abort181);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _return->long_seq_len, unsigned int );
            if (_return->long_seq_len > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort181);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_check_span(4 * _return->long_seq_len * 1, _flick_abort181);
            flick_iiop_decode_new_chunk(4 * _return->long_seq_len);
            {
              int *_t_alloc_ptr;

              _t_alloc_ptr = (int *)(sun_flick_alloc(_return->long_seq_len * sizeof(int )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort181);
              _return->long_seq_val = _t_alloc_ptr;
            }
            flick_cdr_decode_bcopy(0, _return->long_seq_val, 4 * _return->long_seq_len);
            flick_iiop_decode_end_chunk(4 * _return->long_seq_len);
            flick_iiop_decode_end_glob(48);
            break;
            {
            _flick_abort181:
              goto _flick_abort168;
            }
          }
        case -1:
          {
            flick_iiop_decode_end_glob(48);
            flick_sun_decode_system_exception(flick_errno, cdr, iiop, _flick_abort185);
            break;
            {
            _flick_abort185:
              goto _flick_abort168;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort186);
            flick_iiop_decode_end_glob(48);
            break;
            {
            _flick_abort186:
              goto _flick_abort168;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort168:
    flick_sun_client_error(cdr, iiop, _flick_abort167);
  _flick_abort167:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

