#include "structplain_-client.h"

/* This is the runtime type information */
char *flick_interface_parents_geom[] = {
	0
};

/* */

int flick_marshal_stub_coord(flick_marshal_stream_t _stream, const struct coord *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort0);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed16(0, _data->row, CORBA_short );
  flick_cdr_encode_signed16(2, _data->col, CORBA_short );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_coord(flick_marshal_stream_t _stream, struct coord *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort1);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed16(0, _data->row, CORBA_short );
  flick_cdr_decode_signed16(2, _data->col, CORBA_short );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_coord_swap(flick_marshal_stream_t _stream, struct coord *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort2);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed16(0, _data->row, CORBA_short );
  flick_cdr_swap_decode_signed16(2, _data->col, CORBA_short );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_geom(flick_marshal_stream_t _stream, const geom *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort3);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_geom(flick_marshal_stream_t _stream, geom *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_geom_swap(flick_marshal_stream_t _stream, geom *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
  return 1;
}

CORBA_short geom_dist(geom _obj, struct coord *a, struct coord *b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(_obj, 0, cdr, _flick_abort7);
  }
  {
    flick_iiop_encode_new_glob(24, _flick_abort7);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
    flick_cdr_encode_char8(4, 'd', flick_char8_t );
    flick_cdr_encode_char8(5, 'i', flick_char8_t );
    flick_cdr_encode_char8(6, 's', flick_char8_t );
    flick_cdr_encode_char8(7, 't', flick_char8_t );
    flick_cdr_encode_char8(8, 0, flick_char8_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(16, a->row, CORBA_short );
    flick_cdr_encode_signed16(18, a->col, CORBA_short );
    flick_cdr_encode_signed16(20, b->row, CORBA_short );
    flick_cdr_encode_signed16(22, b->col, CORBA_short );
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) || !flick_client_get_reply(_obj, _obj->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort7);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(6);
      flick_iiop_check_span(4, _flick_abort7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(2, _flick_abort20);
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, _return, CORBA_short );
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(6);
            break;
            {
            _flick_abort20:
              goto _flick_abort7;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(6);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop, _flick_abort21);
            break;
            {
            _flick_abort21:
              goto _flick_abort7;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort22);
            flick_iiop_decode_end_glob(6);
            break;
            {
            _flick_abort22:
              goto _flick_abort7;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(6);
      flick_iiop_check_span(4, _flick_abort7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(2, _flick_abort13);
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, _return, CORBA_short );
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(6);
            break;
            {
            _flick_abort13:
              goto _flick_abort7;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(6);
            flick_corba_decode_system_exception(_ev, cdr, iiop, _flick_abort14);
            break;
            {
            _flick_abort14:
              goto _flick_abort7;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort15);
            flick_iiop_decode_end_glob(6);
            break;
            {
            _flick_abort15:
              goto _flick_abort7;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort7:
    flick_corba_client_error(cdr, iiop, _flick_abort6);
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

