#ifndef _turtle_client_server_h_
#define _turtle_client_server_h_

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corba.h>

#ifndef _typedef___Client
#define _typedef___Client
typedef CORBA_Object Client;
#endif /* _typedef___Client */

int flick_marshal_stub_Client(flick_marshal_stream_t _stream, Client *_data);

int flick_unmarshal_stub_Client(flick_marshal_stream_t _stream, Client *_data);

extern flick_dispatch_t Client_server;

CORBA_long Client_SetLeft(Client _obj, CORBA_long speed, CORBA_Environment *_ev);

CORBA_long Client_SetRight(Client _obj, CORBA_long speed, CORBA_Environment *_ev);

CORBA_long Client_GetButton(Client _obj, CORBA_Environment *_ev);

CORBA_long Client_GetPhoto(Client _obj, CORBA_Environment *_ev);

CORBA_boolean CORBA_Object_is_a_internal(CORBA_Object _obj, CORBA_char *id, char **_par, CORBA_Environment *_ev);

#endif /* _turtle_client_server_h_ */
