#ifndef _ttcp_client_h_
#define _ttcp_client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

struct a {
  CORBA::Long xx;
  CORBA::Long yy;
} ;


class a_var {

public:
  a_var();
  a_var(struct a *p);
  a_var(const a_var &a);
  ~a_var();
  a_var &operator=(struct a *p);
  a_var &operator=(const a_var &p);
  struct a *operator->();
  const struct a *operator->() const;
  operator const struct a &() const;
  operator struct a &();
  operator struct a &() const;
  const struct a &in() const;
  struct a &inout();
  struct a &out();
  struct a _retn();
  struct a *ptr() const;

private:
  struct a *ptr_;
} ;


typedef struct a &a_out;

void operator<<=(CORBA::Any &a, const struct a &o);

void operator<<=(CORBA::Any &a, struct a *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct a *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct a *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct a *_data);

struct b {

public:
  struct a x;
  struct a y;
} ;


class b_var {

public:
  b_var();
  b_var(struct b *p);
  b_var(const b_var &a);
  ~b_var();
  b_var &operator=(struct b *p);
  b_var &operator=(const b_var &p);
  struct b *operator->();
  const struct b *operator->() const;
  operator const struct b &() const;
  operator struct b &();
  operator struct b &() const;
  const struct b &in() const;
  struct b &inout();
  struct b &out();
  struct b _retn();
  struct b *ptr() const;

private:
  struct b *ptr_;
} ;


typedef struct b &b_out;

void operator<<=(CORBA::Any &a, const struct b &o);

void operator<<=(CORBA::Any &a, struct b *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct b *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct b *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct b *_data);

class structBuffer {

public:
  CORBA::ULong _maximum;
  CORBA::ULong _length;
  struct b *_buffer;
  CORBA::Boolean _release;
  structBuffer();
  structBuffer(CORBA::ULong max);
  structBuffer(CORBA::ULong max, CORBA::ULong length, struct b *buffer, CORBA::Boolean release = 0);
  structBuffer(const structBuffer &o);
  virtual ~structBuffer();
  structBuffer &operator=(const structBuffer &rhs);
  struct b &operator[](CORBA::ULong i);
  const struct b &operator[](CORBA::ULong i) const;
  static struct b *allocbuf(CORBA::ULong size);
  static void freebuf(struct b *buffer);
  virtual void _allocate_buffer(CORBA::ULong length);
  virtual void _deallocate_buffer();
  CORBA::Boolean release() const;
  CORBA::ULong maximum() const;
  CORBA::ULong length() const;
  void length(CORBA::ULong length);
  virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
  struct b *get_buffer(CORBA::Boolean orphan = 0);
  const struct b *get_buffer() const;
} ;


typedef structBuffer *structBuffer_ptr;

class structBuffer_var {

public:
  structBuffer_var();
  structBuffer_var(structBuffer *p);
  structBuffer_var(const structBuffer_var &a);
  ~structBuffer_var();
  structBuffer_var &operator=(structBuffer *p);
  structBuffer_var &operator=(const structBuffer_var &p);
  struct b &operator[](CORBA::ULong index);
  const struct b &operator[](CORBA::ULong index) const;
  structBuffer *operator->();
  const structBuffer *operator->() const;
  operator const structBuffer &() const;
  operator structBuffer &();
  operator structBuffer &() const;
  const structBuffer &in() const;
  structBuffer &inout();
  structBuffer *&out();
  structBuffer *_retn();
  structBuffer *ptr() const;

private:
  structBuffer_ptr ptr_;
} ;


class structBuffer_out {

public:
  structBuffer_out(structBuffer *&r);
  structBuffer_out(structBuffer_var &r);
  structBuffer_out(const structBuffer_out &r);
  structBuffer_out &operator=(const structBuffer_out &r);

private:
  structBuffer_out &operator=(const structBuffer_var &r);

public:
  structBuffer_out &operator=(structBuffer *r);
  operator structBuffer *&();
  structBuffer *&ptr();
  struct b &operator[](CORBA::ULong index);
  const struct b &operator[](CORBA::ULong index) const;
  structBuffer *operator->();

private:
  structBuffer_ptr &ptr_;
} ;


void operator<<=(CORBA::Any &a, const structBuffer &o);

void operator<<=(CORBA::Any &a, structBuffer *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, structBuffer *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const structBuffer *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, structBuffer *_data);

class intBuffer {

public:
  CORBA::ULong _maximum;
  CORBA::ULong _length;
  CORBA::Long *_buffer;
  CORBA::Boolean _release;
  intBuffer();
  intBuffer(CORBA::ULong max);
  intBuffer(CORBA::ULong max, CORBA::ULong length, CORBA::Long *buffer, CORBA::Boolean release = 0);
  intBuffer(const intBuffer &o);
  virtual ~intBuffer();
  intBuffer &operator=(const intBuffer &rhs);
  CORBA::Long &operator[](CORBA::ULong i);
  const CORBA::Long &operator[](CORBA::ULong i) const;
  static CORBA::Long *allocbuf(CORBA::ULong size);
  static void freebuf(CORBA::Long *buffer);
  virtual void _allocate_buffer(CORBA::ULong length);
  virtual void _deallocate_buffer();
  CORBA::Boolean release() const;
  CORBA::ULong maximum() const;
  CORBA::ULong length() const;
  void length(CORBA::ULong length);
  virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
  CORBA::Long *get_buffer(CORBA::Boolean orphan = 0);
  const CORBA::Long *get_buffer() const;
} ;


typedef intBuffer *intBuffer_ptr;

class intBuffer_var {

public:
  intBuffer_var();
  intBuffer_var(intBuffer *p);
  intBuffer_var(const intBuffer_var &a);
  ~intBuffer_var();
  intBuffer_var &operator=(intBuffer *p);
  intBuffer_var &operator=(const intBuffer_var &p);
  CORBA::Long &operator[](CORBA::ULong index);
  const CORBA::Long &operator[](CORBA::ULong index) const;
  intBuffer *operator->();
  const intBuffer *operator->() const;
  operator const intBuffer &() const;
  operator intBuffer &();
  operator intBuffer &() const;
  const intBuffer &in() const;
  intBuffer &inout();
  intBuffer *&out();
  intBuffer *_retn();
  intBuffer *ptr() const;

private:
  intBuffer_ptr ptr_;
} ;


class intBuffer_out {

public:
  intBuffer_out(intBuffer *&r);
  intBuffer_out(intBuffer_var &r);
  intBuffer_out(const intBuffer_out &r);
  intBuffer_out &operator=(const intBuffer_out &r);

private:
  intBuffer_out &operator=(const intBuffer_var &r);

public:
  intBuffer_out &operator=(intBuffer *r);
  operator intBuffer *&();
  intBuffer *&ptr();
  CORBA::Long &operator[](CORBA::ULong index);
  const CORBA::Long &operator[](CORBA::ULong index) const;
  intBuffer *operator->();

private:
  intBuffer_ptr &ptr_;
} ;


void operator<<=(CORBA::Any &a, const intBuffer &o);

void operator<<=(CORBA::Any &a, intBuffer *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, intBuffer *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const intBuffer *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, intBuffer *_data);

class useless ;


class useless : public CORBA::UserException {

public:
  useless();
  useless(const useless &o);
  ~useless();
  useless &operator=(const useless &o);
  virtual void _raise();
  static useless *_narrow(CORBA::Exception *e);
  static CORBA::Exception *_alloc();
  CORBA::Long baloney;
  useless(CORBA::Long _baloney_);
} ;


typedef useless *useless_ptr;

void operator<<=(CORBA::Any &a, const useless &o);

void operator<<=(CORBA::Any &a, useless *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, useless *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const useless *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, useless *_data);

class ttcp ;


typedef ttcp *ttcp_ptr;

class ttcp_var {

public:
  ttcp_var();
  ttcp_var(ttcp_ptr p);
  ttcp_var(const ttcp_var &a);
  ~ttcp_var();
  ttcp_var &operator=(ttcp_ptr p);
  ttcp_var &operator=(const ttcp_var &p);
  ttcp_ptr operator->() const;
  operator const ttcp_ptr &() const;
  operator ttcp_ptr &();
  ttcp_ptr in() const;
  ttcp_ptr &inout();
  ttcp_ptr &out();
  ttcp_ptr _retn();
  ttcp_ptr ptr() const;

private:
  ttcp_ptr ptr_;
} ;


class ttcp_out {

public:
  ttcp_out(ttcp_ptr &r);
  ttcp_out(ttcp_var &r);
  ttcp_out(const ttcp_out &r);
  ttcp_out &operator=(const ttcp_out &r);
  ttcp_out &operator=(const ttcp_var &r);
  ttcp_out &operator=(ttcp_ptr r);
  operator ttcp_ptr &();
  ttcp_ptr &ptr();
  ttcp_ptr operator->();

private:
  ttcp_ptr &ptr_;
} ;


class ttcp : public virtual ACE_CORBA_1 (Object) {

public:
  static ttcp_ptr _duplicate(ttcp_ptr obj);
  static ttcp_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static ttcp_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static ttcp_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  ttcp();
  virtual ~ttcp();

private:
  ttcp(const ttcp &v);
  void operator=(const ttcp &v);

public:
  virtual CORBA::Long inttest(/* ttcp *this, */ const intBuffer &data, CORBA::Environment &_ev);
  virtual CORBA::Long structtest(/* ttcp *this, */ const structBuffer &data, CORBA::Environment &_ev);

protected:
  ttcp(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const ttcp_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, ttcp_ptr *_data);

void operator<<=(CORBA::Any &a, ttcp_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, ttcp_ptr &o);

extern CORBA::TypeCode_ptr _tc_a;

extern CORBA::TypeCode_ptr _tc_b;

extern CORBA::TypeCode_ptr _tc_structBuffer;

extern CORBA::TypeCode_ptr _tc_intBuffer;

extern CORBA::TypeCode_ptr _tc_useless;

extern CORBA::TypeCode_ptr _tc_ttcp;

#endif /* _ttcp_client_h_ */
