#include "program-3-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	0
};

char *flick_interface_parents_ONE[] = {
	"IDL:PROG:1.0",
	0
};

char *flick_interface_parents_TWO[] = {
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t prog_1(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t18_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t18_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t18_switch_tag)
      {
      case (signed int) 10:
        {
          {
            struct svc_req *_obj;
            unsigned int _t19_principal_len;
            char **_return;
            char **_local_arg;
            char *_t20_storage;
            flick_unsigned32_t _t21_temp_string_len;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort51);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t19_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t19_principal_len);
            flick_khazana_check_span(_t19_principal_len * 1, _flick_abort51);
            flick_khazana_decode_new_chunk(_t19_principal_len);
            flick_khazana_decode_end_chunk(_t19_principal_len);
            flick_khazana_decode_end_glob(_t19_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (char **)(&_t20_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort51);
            flick_cdr_swap_decode_unsigned32(0, _t21_temp_string_len, flick_unsigned32_t );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_decode_new_glob(1 * _t21_temp_string_len);
            flick_khazana_check_span(1 * _t21_temp_string_len * 1, _flick_abort51);
            flick_khazana_decode_new_chunk(1 * _t21_temp_string_len);
            flick_cdr_swap_decode_msgptr(0, *_local_arg, char *);
            flick_khazana_decode_end_chunk(1 * _t21_temp_string_len);
            flick_khazana_decode_end_glob(1 * _t21_temp_string_len);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort51);
              flick_khazana_encode_new_glob(8, _flick_abort51);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_unsigned32_t _t23_temp_string_len;

                    flick_cdr_stringlen(char *, *_return, flick_unsigned32_t , _t23_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _t23_temp_string_len, flick_unsigned32_t );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    flick_khazana_encode_new_glob(1 * _t23_temp_string_len, _flick_abort60);
                    flick_khazana_encode_new_chunk(1 * _t23_temp_string_len);
                    flick_cdr_encode_bcopy(0, *_return, 1 * _t23_temp_string_len);
                    flick_khazana_encode_end_chunk(1 * _t23_temp_string_len);
                    flick_khazana_encode_end_glob(1 * _t23_temp_string_len);
                    break;
                    {
                    _flick_abort60:
                      goto _flick_abort51;
                    }
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort63);
                    break;
                    {
                    _flick_abort63:
                      goto _flick_abort51;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort64);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort64:
                      goto _flick_abort51;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort51:
              goto _flick_abort50;
            }
          }
          break;
          {
          _flick_abort50:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t6_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t6_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t6_switch_tag)
      {
      case (signed int) 10:
        {
          {
            struct svc_req *_obj;
            unsigned int _t7_principal_len;
            char **_return;
            char **_local_arg;
            char *_t8_storage;
            flick_unsigned32_t _t9_temp_string_len;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort20);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t7_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t7_principal_len);
            flick_khazana_check_span(_t7_principal_len * 1, _flick_abort20);
            flick_khazana_decode_new_chunk(_t7_principal_len);
            flick_khazana_decode_end_chunk(_t7_principal_len);
            flick_khazana_decode_end_glob(_t7_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (char **)(&_t8_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort20);
            flick_cdr_decode_unsigned32(0, _t9_temp_string_len, flick_unsigned32_t );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_decode_new_glob(1 * _t9_temp_string_len);
            flick_khazana_check_span(1 * _t9_temp_string_len * 1, _flick_abort20);
            flick_khazana_decode_new_chunk(1 * _t9_temp_string_len);
            flick_cdr_decode_msgptr(0, *_local_arg, char *);
            flick_khazana_decode_end_chunk(1 * _t9_temp_string_len);
            flick_khazana_decode_end_glob(1 * _t9_temp_string_len);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort20);
              flick_khazana_encode_new_glob(8, _flick_abort20);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_unsigned32_t _t11_temp_string_len;

                    flick_cdr_stringlen(char *, *_return, flick_unsigned32_t , _t11_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _t11_temp_string_len, flick_unsigned32_t );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    flick_khazana_encode_new_glob(1 * _t11_temp_string_len, _flick_abort29);
                    flick_khazana_encode_new_chunk(1 * _t11_temp_string_len);
                    flick_cdr_encode_bcopy(0, *_return, 1 * _t11_temp_string_len);
                    flick_khazana_encode_end_chunk(1 * _t11_temp_string_len);
                    flick_khazana_encode_end_glob(1 * _t11_temp_string_len);
                    break;
                    {
                    _flick_abort29:
                      goto _flick_abort20;
                    }
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort32);
                    break;
                    {
                    _flick_abort32:
                      goto _flick_abort20;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort33);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort33:
                      goto _flick_abort20;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort20:
              goto _flick_abort19;
            }
          }
          break;
          {
          _flick_abort19:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_sun_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t prog_2(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t42_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort67);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t42_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t42_switch_tag)
      {
      case (signed int) 10:
        {
          {
            struct svc_req *_obj;
            unsigned int _t43_principal_len;
            char **_return;
            char **_local_arg;
            char *_t44_storage;
            flick_unsigned32_t _t45_temp_string_len;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort116);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t43_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t43_principal_len);
            flick_khazana_check_span(_t43_principal_len * 1, _flick_abort116);
            flick_khazana_decode_new_chunk(_t43_principal_len);
            flick_khazana_decode_end_chunk(_t43_principal_len);
            flick_khazana_decode_end_glob(_t43_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (char **)(&_t44_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort116);
            flick_cdr_swap_decode_unsigned32(0, _t45_temp_string_len, flick_unsigned32_t );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_decode_new_glob(1 * _t45_temp_string_len);
            flick_khazana_check_span(1 * _t45_temp_string_len * 1, _flick_abort116);
            flick_khazana_decode_new_chunk(1 * _t45_temp_string_len);
            flick_cdr_swap_decode_msgptr(0, *_local_arg, char *);
            flick_khazana_decode_end_chunk(1 * _t45_temp_string_len);
            flick_khazana_decode_end_glob(1 * _t45_temp_string_len);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort116);
              flick_khazana_encode_new_glob(8, _flick_abort116);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_unsigned32_t _t47_temp_string_len;

                    flick_cdr_stringlen(char *, *_return, flick_unsigned32_t , _t47_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _t47_temp_string_len, flick_unsigned32_t );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    flick_khazana_encode_new_glob(1 * _t47_temp_string_len, _flick_abort125);
                    flick_khazana_encode_new_chunk(1 * _t47_temp_string_len);
                    flick_cdr_encode_bcopy(0, *_return, 1 * _t47_temp_string_len);
                    flick_khazana_encode_end_chunk(1 * _t47_temp_string_len);
                    flick_khazana_encode_end_glob(1 * _t47_temp_string_len);
                    break;
                    {
                    _flick_abort125:
                      goto _flick_abort116;
                    }
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort128);
                    break;
                    {
                    _flick_abort128:
                      goto _flick_abort116;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort129);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort129:
                      goto _flick_abort116;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort116:
              goto _flick_abort115;
            }
          }
          break;
          {
          _flick_abort115:
            goto _flick_abort67;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort67);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t30_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort67);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t30_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t30_switch_tag)
      {
      case (signed int) 10:
        {
          {
            struct svc_req *_obj;
            unsigned int _t31_principal_len;
            char **_return;
            char **_local_arg;
            char *_t32_storage;
            flick_unsigned32_t _t33_temp_string_len;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort85);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t31_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_decode_new_glob(_t31_principal_len);
            flick_khazana_check_span(_t31_principal_len * 1, _flick_abort85);
            flick_khazana_decode_new_chunk(_t31_principal_len);
            flick_khazana_decode_end_chunk(_t31_principal_len);
            flick_khazana_decode_end_glob(_t31_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (char **)(&_t32_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort85);
            flick_cdr_decode_unsigned32(0, _t33_temp_string_len, flick_unsigned32_t );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_decode_new_glob(1 * _t33_temp_string_len);
            flick_khazana_check_span(1 * _t33_temp_string_len * 1, _flick_abort85);
            flick_khazana_decode_new_chunk(1 * _t33_temp_string_len);
            flick_cdr_decode_msgptr(0, *_local_arg, char *);
            flick_khazana_decode_end_chunk(1 * _t33_temp_string_len);
            flick_khazana_decode_end_glob(1 * _t33_temp_string_len);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort85);
              flick_khazana_encode_new_glob(8, _flick_abort85);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_unsigned32_t _t35_temp_string_len;

                    flick_cdr_stringlen(char *, *_return, flick_unsigned32_t , _t35_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _t35_temp_string_len, flick_unsigned32_t );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    flick_khazana_encode_new_glob(1 * _t35_temp_string_len, _flick_abort94);
                    flick_khazana_encode_new_chunk(1 * _t35_temp_string_len);
                    flick_cdr_encode_bcopy(0, *_return, 1 * _t35_temp_string_len);
                    flick_khazana_encode_end_chunk(1 * _t35_temp_string_len);
                    flick_khazana_encode_end_glob(1 * _t35_temp_string_len);
                    break;
                    {
                    _flick_abort94:
                      goto _flick_abort85;
                    }
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort97);
                    break;
                    {
                    _flick_abort97:
                      goto _flick_abort85;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort98);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort98:
                      goto _flick_abort85;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort85:
              goto _flick_abort84;
            }
          }
          break;
          {
          _flick_abort84:
            goto _flick_abort67;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort67);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort67:
    flick_sun_server_error(cdr, khazana, _flick_reaper, _flick_abort66);
  _flick_abort66:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

