#include "typedef_-server.h"

/* This is the runtime type information */
/* */

int flick_marshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(2, _flick_abort0);
  flick_khazana_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, *_data, CORBA_short );
  flick_khazana_encode_end_chunk(2);
  flick_khazana_encode_end_glob(2);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(2);
  flick_khazana_check_span(2, _flick_abort1);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, *_data, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(2);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(2);
  flick_khazana_check_span(2, _flick_abort2);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, *_data, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_c(flick_marshal_stream_t _stream, c *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(1, _flick_abort3);
  flick_khazana_encode_new_chunk(1);
  flick_cdr_encode_char8(0, *_data, CORBA_char );
  flick_khazana_encode_end_chunk(1);
  flick_khazana_encode_end_glob(1);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_c(flick_marshal_stream_t _stream, c *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(1);
  flick_khazana_check_span(1, _flick_abort4);
  flick_khazana_decode_new_chunk(1);
  flick_cdr_decode_char8(0, *_data, CORBA_char );
  flick_khazana_decode_end_chunk(1);
  flick_khazana_decode_end_glob(1);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_c_swap(flick_marshal_stream_t _stream, c *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(1);
  flick_khazana_check_span(1, _flick_abort5);
  flick_khazana_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, *_data, CORBA_char );
  flick_khazana_decode_end_chunk(1);
  flick_khazana_decode_end_glob(1);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_d(flick_marshal_stream_t _stream, d *_data)
{
  flick_unsigned32_t _t0_temp_string_len;

  flick_cdr_stringlen(CORBA_char *, *_data, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(261, _flick_abort6);
  flick_khazana_encode_new_chunk(4 + 1 * _t0_temp_string_len);
  flick_cdr_encode_unsigned32(0, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len > 257)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort6);
  flick_cdr_encode_bcopy(4, *_data, 1 * _t0_temp_string_len);
  CORBA_flick_free(*_data);
  flick_khazana_encode_end_chunk(4 + 1 * _t0_temp_string_len);
  flick_khazana_encode_end_glob(261);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_d(flick_marshal_stream_t _stream, d *_data)
{
  flick_unsigned32_t _t1_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(261);
  flick_khazana_check_span(4, _flick_abort9);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t1_temp_string_len, flick_unsigned32_t );
  if (_t1_temp_string_len > 257)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort9);
  flick_khazana_decode_end_chunk(4);
  flick_khazana_check_span(1 * _t1_temp_string_len * 1, _flick_abort9);
  flick_khazana_decode_new_chunk(1 * _t1_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(257 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort9);
    *_data = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, *_data, 1 * _t1_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t1_temp_string_len);
  flick_khazana_decode_end_glob(261);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_d_swap(flick_marshal_stream_t _stream, d *_data)
{
  flick_unsigned32_t _t2_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(261);
  flick_khazana_check_span(4, _flick_abort13);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t2_temp_string_len, flick_unsigned32_t );
  if (_t2_temp_string_len > 257)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort13);
  flick_khazana_decode_end_chunk(4);
  flick_khazana_check_span(1 * _t2_temp_string_len * 1, _flick_abort13);
  flick_khazana_decode_new_chunk(1 * _t2_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(257 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13);
    *_data = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, *_data, 1 * _t2_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t2_temp_string_len);
  flick_khazana_decode_end_glob(261);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_e(flick_marshal_stream_t _stream, e *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort17);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  flick_khazana_encode_new_glob(2 * _data->_length, _flick_abort17);
  flick_khazana_encode_new_chunk(2 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 2 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_khazana_encode_end_chunk(2 * _data->_length);
  flick_khazana_encode_end_glob(2 * _data->_length);
  return 0;
  {
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_e(flick_marshal_stream_t _stream, e *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort20);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(2 * _data->_length);
  flick_khazana_check_span(2 * _data->_length * 1, _flick_abort20);
  flick_khazana_decode_new_chunk(2 * _data->_length);
  {
    CORBA_short *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_short *)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_short )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->_buffer, 2 * _data->_length);
  flick_khazana_decode_end_chunk(2 * _data->_length);
  flick_khazana_decode_end_glob(2 * _data->_length);
  return 0;
  {
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_e_swap(flick_marshal_stream_t _stream, e *_data)
{
  CORBA_unsigned_long _t3_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort24);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(2 * _data->_length);
  {
    CORBA_short *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_short *)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_short )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort24);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_khazana_check_span(_data->_length * 2, _flick_abort28);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_khazana_decode_new_chunk(2);
      flick_cdr_swap_decode_signed16(0, _data->_buffer[_t3_array_iter], CORBA_short );
      flick_khazana_decode_end_chunk(2);
      continue;
    }
  flick_khazana_decode_end_glob(2 * _data->_length);
  return 0;
  {
  _flick_abort28:
    CORBA_flick_free(_data->_buffer);
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_f(flick_marshal_stream_t _stream, f *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort31);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_float32(0, *_data, CORBA_float );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort31:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_f(flick_marshal_stream_t _stream, f *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort32);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_float32(0, *_data, CORBA_float );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort32:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_f_swap(flick_marshal_stream_t _stream, f *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort33);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_float32(0, *_data, CORBA_float );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_g(flick_marshal_stream_t _stream, g *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(10, _flick_abort34);
  flick_khazana_encode_new_chunk(10);
  flick_cdr_encode_bcopy(0, *_data, 10);
  flick_khazana_encode_end_chunk(10);
  flick_khazana_encode_end_glob(10);
  return 0;
  {
  _flick_abort34:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_g(flick_marshal_stream_t _stream, g *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(10);
  flick_khazana_check_span(10, _flick_abort37);
  flick_khazana_decode_new_chunk(10);
  flick_cdr_decode_bcopy(0, *_data, 10);
  flick_khazana_decode_end_chunk(10);
  flick_khazana_decode_end_glob(10);
  return 0;
  {
  _flick_abort37:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_g_swap(flick_marshal_stream_t _stream, g *_data)
{
  flick_unsigned32_t _t4_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(10);
  flick_khazana_check_span(5 * 2 + 0, _flick_abort40);
  for (_t4_array_iter = 0; _t4_array_iter < 5; _t4_array_iter++)
    {
      flick_khazana_decode_new_chunk(2);
      flick_cdr_swap_decode_signed16(0, (*_data)[_t4_array_iter], CORBA_short );
      flick_khazana_decode_end_chunk(2);
      continue;
    }
  flick_khazana_decode_end_glob(10);
  return 0;
  {
  _flick_abort40:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_h(flick_marshal_stream_t _stream, h *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(14, _flick_abort46);
  flick_khazana_encode_new_chunk(4 + 2 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 5)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort46);
  flick_cdr_encode_bcopy(4, _data->_buffer, 2 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_khazana_encode_end_chunk(4 + 2 * _data->_length);
  flick_khazana_encode_end_glob(14);
  return 0;
  {
  _flick_abort46:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_h(flick_marshal_stream_t _stream, h *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(14);
  flick_khazana_check_span(4, _flick_abort49);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 5)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort49);
  flick_khazana_decode_end_chunk(4);
  flick_khazana_check_span(2 * _data->_length * 1, _flick_abort49);
  flick_khazana_decode_new_chunk(2 * _data->_length);
  {
    CORBA_short *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_short *)(CORBA_flick_alloc(5 * sizeof(CORBA_short )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort49);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 5;
    _data->_release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->_buffer, 2 * _data->_length);
  flick_khazana_decode_end_chunk(2 * _data->_length);
  flick_khazana_decode_end_glob(14);
  return 0;
  {
  _flick_abort49:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_h_swap(flick_marshal_stream_t _stream, h *_data)
{
  CORBA_unsigned_long _t5_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(14);
  flick_khazana_check_span(4, _flick_abort53);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 5)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort53);
  flick_khazana_decode_end_chunk(4);
  {
    CORBA_short *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_short *)(CORBA_flick_alloc(5 * sizeof(CORBA_short )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort53);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 5;
    _data->_release = 1;
  }
  flick_khazana_check_span(_data->_length * 2, _flick_abort57);
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_khazana_decode_new_chunk(2);
      flick_cdr_swap_decode_signed16(0, _data->_buffer[_t5_array_iter], CORBA_short );
      flick_khazana_decode_end_chunk(2);
      continue;
    }
  flick_khazana_decode_end_glob(14);
  return 0;
  {
  _flick_abort57:
    CORBA_flick_free(_data->_buffer);
  _flick_abort53:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

