#include "arrayez-client.h"

/* This is the runtime type information */
char *flick_interface_parents_arrayez[] = {
	0
};

/* */

int flick_marshal_stub_arrayez(flick_marshal_stream_t _stream, const arrayez *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrayez(flick_marshal_stream_t _stream, arrayez *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, const arrayez_arr8k *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8192, _flick_abort2);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 2048; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t0_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(8192);
  flick_xdr_encode_bcopy(0, *_data, 8192);
  flick_suntcp_encode_end_chunk(8192);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(8192);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, arrayez_arr8k *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(2048 * 4 + 8192, _flick_abort13);
  for (_t1_array_iter = 0; _t1_array_iter < 2048; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t1_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(8192);
  flick_xdr_decode_bcopy(0, *_data, 8192);
  flick_suntcp_decode_end_chunk(8192);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(8192);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort13:
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA_long arrayez_test_in8k(arrayez _obj, arrayez_arr8k a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort19);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    flick_unsigned32_t _t3_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(60, _flick_abort19);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 10, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 't', flick_char8_t );
    flick_xdr_encode_char8(8, 'e', flick_char8_t );
    flick_xdr_encode_char8(12, 's', flick_char8_t );
    flick_xdr_encode_char8(16, 't', flick_char8_t );
    flick_xdr_encode_char8(20, '_', flick_char8_t );
    flick_xdr_encode_char8(24, 'i', flick_char8_t );
    flick_xdr_encode_char8(28, 'n', flick_char8_t );
    flick_xdr_encode_char8(32, '8', flick_char8_t );
    flick_xdr_encode_char8(36, 'k', flick_char8_t );
    flick_xdr_encode_char8(40, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(48, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(52, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(56, (unsigned int) 0, unsigned int );
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
    flick_suntcp_encode_new_glob(8192, _flick_abort19);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t3_array_iter = 0; _t3_array_iter < 2048; _t3_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, a[_t3_array_iter], CORBA_long );
        flick_suntcp_encode_end_chunk(4);
        continue;
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(8192);
    flick_xdr_encode_bcopy(0, a, 8192);
    flick_suntcp_encode_end_chunk(8192);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(8192);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block32);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block32);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort_block32);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_check_span(4, _flick_abort39);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return, CORBA_long );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort39:
              goto _flick_abort_block32;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort40);
            break;
            {
            _flick_abort40:
              goto _flick_abort_block32;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort41);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort41:
              goto _flick_abort_block32;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort_block32:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
  _flick_abort19:
    flick_corba_client_error(xdr, sun, _flick_abort18);
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long arrayez_test_out8k(arrayez _obj, arrayez_arr8k a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort43);
  }
  {
    flick_suntcp_encode_new_glob(64, _flick_abort43);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 11, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 't', flick_char8_t );
    flick_xdr_encode_char8(8, 'e', flick_char8_t );
    flick_xdr_encode_char8(12, 's', flick_char8_t );
    flick_xdr_encode_char8(16, 't', flick_char8_t );
    flick_xdr_encode_char8(20, '_', flick_char8_t );
    flick_xdr_encode_char8(24, 'o', flick_char8_t );
    flick_xdr_encode_char8(28, 'u', flick_char8_t );
    flick_xdr_encode_char8(32, 't', flick_char8_t );
    flick_xdr_encode_char8(36, '8', flick_char8_t );
    flick_xdr_encode_char8(40, 'k', flick_char8_t );
    flick_xdr_encode_char8(44, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(52, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(56, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(60, (unsigned int) 0, unsigned int );
    flick_suntcp_encode_end_chunk(64);
    flick_suntcp_encode_end_glob(64);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort43);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort43);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort43);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
#if BYTE_ORDER != BIG_ENDIAN
            flick_unsigned32_t _t5_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_check_span(2048 * 4 + 8196, _flick_abort56);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return, CORBA_long );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t5_array_iter = 0; _t5_array_iter < 2048; _t5_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, a[_t5_array_iter], CORBA_long );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(8192);
            flick_xdr_decode_bcopy(0, a, 8192);
            flick_suntcp_decode_end_chunk(8192);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(8192);
            break;
            {
            _flick_abort56:
              goto _flick_abort43;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort64);
            break;
            {
            _flick_abort64:
              goto _flick_abort43;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort65);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort65:
              goto _flick_abort43;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort43:
    flick_corba_client_error(xdr, sun, _flick_abort42);
  _flick_abort42:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long arrayez_test_io8k(arrayez _obj, arrayez_arr8k a, arrayez_arr8k b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort67);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    flick_unsigned32_t _t7_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(60, _flick_abort67);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 10, flick_unsigned32_t );
    flick_xdr_encode_char8(4, 't', flick_char8_t );
    flick_xdr_encode_char8(8, 'e', flick_char8_t );
    flick_xdr_encode_char8(12, 's', flick_char8_t );
    flick_xdr_encode_char8(16, 't', flick_char8_t );
    flick_xdr_encode_char8(20, '_', flick_char8_t );
    flick_xdr_encode_char8(24, 'i', flick_char8_t );
    flick_xdr_encode_char8(28, 'o', flick_char8_t );
    flick_xdr_encode_char8(32, '8', flick_char8_t );
    flick_xdr_encode_char8(36, 'k', flick_char8_t );
    flick_xdr_encode_char8(40, 0, flick_char8_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(48, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(52, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(56, (unsigned int) 0, unsigned int );
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
    flick_suntcp_encode_new_glob(8192, _flick_abort67);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t7_array_iter = 0; _t7_array_iter < 2048; _t7_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, a[_t7_array_iter], CORBA_long );
        flick_suntcp_encode_end_chunk(4);
        continue;
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(8192);
    flick_xdr_encode_bcopy(0, a, 8192);
    flick_suntcp_encode_end_chunk(8192);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(8192);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block86);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block86);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort_block86);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
#if BYTE_ORDER != BIG_ENDIAN
            flick_unsigned32_t _t9_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_check_span(2048 * 4 + 8196, _flick_abort94);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return, CORBA_long );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t9_array_iter = 0; _t9_array_iter < 2048; _t9_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, b[_t9_array_iter], CORBA_long );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(8192);
            flick_xdr_decode_bcopy(0, b, 8192);
            flick_suntcp_decode_end_chunk(8192);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(8192);
            break;
            {
            _flick_abort94:
              goto _flick_abort_block86;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp, _flick_abort102);
            break;
            {
            _flick_abort102:
              goto _flick_abort_block86;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort103);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort103:
              goto _flick_abort_block86;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort_block86:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
  _flick_abort67:
    flick_corba_client_error(xdr, sun, _flick_abort66);
  _flick_abort66:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

