#include "program-2-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROGNAME[] = {
	0
};

char *flick_interface_parents_VERSNAME[] = {
	"IDL:PROGNAME:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = PROGNAME;
	s.vers_num = VERSNAME;

	reg_success = flick_server_register(s, &progname_1);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_parm(flick_marshal_stream_t _stream, struct parm *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->data.data_len, unsigned int );
  if (_data->data.data_len + 1 > 100000)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->data.data_len, _flick_abort0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->data.data_len; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data.data_val[_t0_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->data.data_len);
  flick_xdr_encode_bcopy(0, _data->data.data_val, 4 * _data->data.data_len);
  flick_suntcp_encode_end_chunk(4 * _data->data.data_len);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->data.data_len);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_parm(flick_marshal_stream_t _stream, struct parm *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->data.data_len, unsigned int );
  if (_data->data.data_len + 1 > 100000)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort8);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->data.data_len);
#if BYTE_ORDER != BIG_ENDIAN
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc((_data->data.data_len + 1) * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort11);
    _data->data.data_val = _t_alloc_ptr;
  }
  flick_suntcp_check_span(_data->data.data_len * 4, _flick_abort13);
  for (_t1_array_iter = 0; _t1_array_iter < _data->data.data_len; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data.data_val[_t1_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_check_span(4 * _data->data.data_len * 1, _flick_abort16);
  flick_suntcp_decode_new_chunk(4 * _data->data.data_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc((_data->data.data_len + 1) * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16);
    _data->data.data_val = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->data.data_val, 4 * _data->data.data_len);
  flick_suntcp_decode_end_chunk(4 * _data->data.data_len);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->data.data_len);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort13:
    sun_flick_free(_data->data.data_val);
  _flick_abort11:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort16:
#endif /* ENDIANness */
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t progname_1(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t6_switch_tag;

    flick_suntcp_decode_new_glob(24);
    flick_suntcp_check_span(24, _flick_abort20);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t6_switch_tag, signed int );
    flick_suntcp_decode_end_chunk(4);
    switch ((signed int )_t6_switch_tag)
      {
      case (signed int) 10:
        {
          {
            struct svc_req *_obj;
            unsigned int _t7_ignore;
            int *_return;
            struct parm *_local_arg;
            struct parm _t8_storage;
#if BYTE_ORDER != BIG_ENDIAN
            unsigned int _t9_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort40);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t7_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t7_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t7_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t7_ignore, unsigned int );
            _return = 0;
            _local_arg = (struct parm *)(&_t8_storage);
            flick_xdr_decode_unsigned32(16, _local_arg->data.data_len, unsigned int );
            if (_local_arg->data.data_len + 1 > 100000)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort40);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            flick_suntcp_decode_new_glob(4 * _local_arg->data.data_len);
#if BYTE_ORDER != BIG_ENDIAN
            {
              int *_t_alloc_ptr;

              _t_alloc_ptr = (int *)(auto_flick_alloc((_local_arg->data.data_len + 1) * sizeof(int )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort43);
              _local_arg->data.data_val = _t_alloc_ptr;
            }
            flick_suntcp_check_span(_local_arg->data.data_len * 4, _flick_abort45);
            for (_t9_array_iter = 0; _t9_array_iter < _local_arg->data.data_len; _t9_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg->data.data_val[_t9_array_iter], int );
                flick_suntcp_decode_end_chunk(4);
                continue;
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_check_span(4 * _local_arg->data.data_len * 1, _flick_abort48);
            flick_suntcp_decode_new_chunk(4 * _local_arg->data.data_len);
            flick_xdr_decode_msgptr(0, _local_arg->data.data_val, int *);
            flick_suntcp_decode_end_chunk(4 * _local_arg->data.data_len);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _local_arg->data.data_len);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block43);
              flick_suntcp_encode_new_glob(8, _flick_abort_block43);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort54);
                    break;
                    {
                    _flick_abort54:
                      goto _flick_abort_block43;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort55);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort55:
                      goto _flick_abort_block43;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort_block43:
#if BYTE_ORDER != BIG_ENDIAN
            _flick_abort45:
              auto_flick_free(_local_arg->data.data_val);
            _flick_abort43:
#else /* BIG_ENDIAN - do a bcopy*/
            _flick_abort48:
#endif /* ENDIANness */
            _flick_abort40:
              goto _flick_abort39;
            }
          }
          break;
          {
          _flick_abort39:
            goto _flick_abort20;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
          flick_suntcp_decode_end_glob(24);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort20:
    flick_sun_server_error(xdr, suntcp, _flick_reaper, _flick_abort19);
  _flick_abort19:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

