#include "program-6-client.h"

/* This is the runtime type information */
char *flick_interface_parents_MATH[] = {
	0
};

char *flick_interface_parents_ONE[] = {
	"IDL:MATH:1.0",
	0
};

/* */

int flick_marshal_stub_sa(flick_marshal_stream_t _stream, const struct sa *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort0);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->a, int );
  flick_xdr_encode_signed32(4, _data->b, int );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sa(flick_marshal_stream_t _stream, struct sa *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort1);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->a, int );
  flick_xdr_decode_signed32(4, _data->b, int );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_sb(flick_marshal_stream_t _stream, const struct sb *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(16, _flick_abort2);
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_signed32(0, _data->a.a, int );
  flick_xdr_encode_signed32(4, _data->a.b, int );
  flick_xdr_encode_signed32(8, _data->b.a, int );
  flick_xdr_encode_signed32(12, _data->b.b, int );
  flick_suntcp_encode_end_chunk(16);
  flick_suntcp_encode_end_glob(16);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sb(flick_marshal_stream_t _stream, struct sb *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_check_span(16, _flick_abort3);
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_signed32(0, _data->a.a, int );
  flick_xdr_decode_signed32(4, _data->a.b, int );
  flick_xdr_decode_signed32(8, _data->b.a, int );
  flick_xdr_decode_signed32(12, _data->b.b, int );
  flick_suntcp_decode_end_chunk(16);
  flick_suntcp_decode_end_glob(16);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->long_list_len, unsigned int );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->long_list_len, _flick_abort4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->long_list_len; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->long_list_val[_t0_array_iter], int );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->long_list_len);
  flick_xdr_encode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_suntcp_encode_end_chunk(4 * _data->long_list_len);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->long_list_len);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort12);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->long_list_len, unsigned int );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->long_list_len);
#if BYTE_ORDER != BIG_ENDIAN
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc((_data->long_list_len + 1) * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15);
    _data->long_list_val = _t_alloc_ptr;
  }
  flick_suntcp_check_span(_data->long_list_len * 4, _flick_abort17);
  for (_t1_array_iter = 0; _t1_array_iter < _data->long_list_len; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->long_list_val[_t1_array_iter], int );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_check_span(4 * _data->long_list_len * 1, _flick_abort20);
  flick_suntcp_decode_new_chunk(4 * _data->long_list_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc((_data->long_list_len + 1) * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20);
    _data->long_list_val = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_suntcp_decode_end_chunk(4 * _data->long_list_len);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->long_list_len);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort17:
    sun_flick_free(_data->long_list_val);
  _flick_abort15:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort20:
#endif /* ENDIANness */
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_sb_list(flick_marshal_stream_t _stream, const sb_list *_data)
{
  unsigned int _t2_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort22);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->sb_list_len, unsigned int );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(16 * _data->sb_list_len, _flick_abort22);
  for (_t2_array_iter = 0; _t2_array_iter < _data->sb_list_len; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_signed32(0, _data->sb_list_val[_t2_array_iter].a.a, int );
      flick_xdr_encode_signed32(4, _data->sb_list_val[_t2_array_iter].a.b, int );
      flick_xdr_encode_signed32(8, _data->sb_list_val[_t2_array_iter].b.a, int );
      flick_xdr_encode_signed32(12, _data->sb_list_val[_t2_array_iter].b.b, int );
      flick_suntcp_encode_end_chunk(16);
      continue;
    }
  flick_suntcp_encode_end_glob(16 * _data->sb_list_len);
  return 0;
  {
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sb_list(flick_marshal_stream_t _stream, sb_list *_data)
{
  unsigned int _t3_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort28);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->sb_list_len, unsigned int );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(16 * _data->sb_list_len);
  {
    struct sb *_t_alloc_ptr;

    _t_alloc_ptr = (struct sb *)(sun_flick_alloc((_data->sb_list_len + 1) * sizeof(struct sb )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort28);
    _data->sb_list_val = _t_alloc_ptr;
  }
  flick_suntcp_check_span(_data->sb_list_len * 16, _flick_abort32);
  for (_t3_array_iter = 0; _t3_array_iter < _data->sb_list_len; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_signed32(0, _data->sb_list_val[_t3_array_iter].a.a, int );
      flick_xdr_decode_signed32(4, _data->sb_list_val[_t3_array_iter].a.b, int );
      flick_xdr_decode_signed32(8, _data->sb_list_val[_t3_array_iter].b.a, int );
      flick_xdr_decode_signed32(12, _data->sb_list_val[_t3_array_iter].b.b, int );
      flick_suntcp_decode_end_chunk(16);
      continue;
    }
  flick_suntcp_decode_end_glob(16 * _data->sb_list_len);
  return 0;
  {
  _flick_abort32:
    sun_flick_free(_data->sb_list_val);
  _flick_abort28:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int *long_test_50(long_list *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort36);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    unsigned int _t5_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(24, _flick_abort36);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 7, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(20, arg->long_list_len, unsigned int );
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
    flick_suntcp_encode_new_glob(4 * arg->long_list_len, _flick_abort36);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t5_array_iter = 0; _t5_array_iter < arg->long_list_len; _t5_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg->long_list_val[_t5_array_iter], int );
        flick_suntcp_encode_end_chunk(4);
        continue;
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(4 * arg->long_list_len);
    flick_xdr_encode_bcopy(0, arg->long_list_val, 4 * arg->long_list_len);
    flick_suntcp_encode_end_chunk(4 * arg->long_list_len);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(4 * arg->long_list_len);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block48);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort_block48);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort_block48);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t7_storage;

            _return = (int *)(&_t7_storage);
            flick_suntcp_check_span(4, _flick_abort56);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return, int );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort56:
              goto _flick_abort_block48;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort57);
            break;
            {
            _flick_abort57:
              goto _flick_abort_block48;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort58);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort58:
              goto _flick_abort_block48;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort_block48:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
  _flick_abort36:
    flick_sun_client_error(xdr, sun, _flick_abort35);
  _flick_abort35:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

int *sb_test_50(sb_list *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_suntcp_client_encode_target(_obj, 0, xdr, _flick_abort60);
  }
  {
    unsigned int _t9_array_iter;

    flick_suntcp_encode_new_glob(24, _flick_abort60);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 8, flick_unsigned32_t );
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
    flick_xdr_encode_unsigned32(20, arg->sb_list_len, unsigned int );
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
    flick_suntcp_encode_new_glob(16 * arg->sb_list_len, _flick_abort60);
    for (_t9_array_iter = 0; _t9_array_iter < arg->sb_list_len; _t9_array_iter++)
      {
        flick_suntcp_encode_new_chunk(16);
        flick_xdr_encode_signed32(0, arg->sb_list_val[_t9_array_iter].a.a, int );
        flick_xdr_encode_signed32(4, arg->sb_list_val[_t9_array_iter].a.b, int );
        flick_xdr_encode_signed32(8, arg->sb_list_val[_t9_array_iter].b.a, int );
        flick_xdr_encode_signed32(12, arg->sb_list_val[_t9_array_iter].b.b, int );
        flick_suntcp_encode_end_chunk(16);
        continue;
      }
    flick_suntcp_encode_end_glob(16 * arg->sb_list_len);
  }
  flick_suntcp_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_client_send_request(_obj, _obj->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort60);
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_client_get_reply(_obj, _obj->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort60);
  flick_suntcp_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_check_span(4, _flick_abort60);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno, flick_env_t );
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t11_storage;

            _return = (int *)(&_t11_storage);
            flick_suntcp_check_span(4, _flick_abort76);
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return, int );
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort76:
              goto _flick_abort60;
            }
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, xdr, suntcp, _flick_abort77);
            break;
            {
            _flick_abort77:
              goto _flick_abort60;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort78);
            flick_suntcp_decode_end_glob(8);
            break;
            {
            _flick_abort78:
              goto _flick_abort60;
            }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
  {
  _flick_abort60:
    flick_sun_client_error(xdr, sun, _flick_abort59);
  _flick_abort59:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

