#include "sequence_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_TestSeq[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_TestSeq;
	s.vers_num = _VERS_TestSeq;

	reg_success = flick_server_register(s, &TestSeq_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_seq(flick_marshal_stream_t _stream, seq *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(44, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t0_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_seq(flick_marshal_stream_t _stream, seq *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(44);
  flick_suntcp_check_span(4, _flick_abort8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort8);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort11);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_suntcp_check_span(_data->_length * 4, _flick_abort13);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t1_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_check_span(4 * _data->_length * 1, _flick_abort16);
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort13:
    CORBA_flick_free(_data->_buffer);
  _flick_abort11:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort16:
#endif /* ENDIANness */
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort18);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort19);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t TestSeq_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t27_switch_tag;

    flick_suntcp_decode_new_glob(104);
    flick_suntcp_check_span(44, _flick_abort22);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t27_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t27_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t28_switch_tag;

          flick_suntcp_check_span(60, _flick_abort22);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t28_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t28_switch_tag)
            {
            case 'S':
              {
                char _t29_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t29_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t29_switch_tag)
                  {
                  case 'e':
                    {
                      char _t30_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t30_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t30_switch_tag)
                        {
                        case 'q':
                          {
                            char _t31_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t31_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t31_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t32_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t32_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t32_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t33_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t33_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t33_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t34_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t34_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t34_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t35_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t35_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t35_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t36_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t36_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t36_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t37_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t37_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t37_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        TestSeq _obj;
                                                                        unsigned int _t38_ignore;
                                                                        CORBA_short _return;
                                                                        seq *_local_a;
                                                                        seq _t39_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                        CORBA_unsigned_long _t40_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t41_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort69);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t38_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t38_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t38_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t38_ignore, unsigned int );
                                                                        _return = 0;
                                                                        _local_a = (seq *)(&_t39_storage);
                                                                        flick_xdr_decode_unsigned32(16, _local_a->_length, CORBA_unsigned_long );
                                                                        if (_local_a->_length + 1 > 10)
                                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort69);
                                                                        flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        {
                                                                          CORBA_long *_t_alloc_ptr;

                                                                          _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                                                                          if (!_t_alloc_ptr)
                                                                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort72);
                                                                          _local_a->_buffer = _t_alloc_ptr;
                                                                          _local_a->_maximum = 10;
                                                                          _local_a->_release = 1;
                                                                        }
                                                                        flick_suntcp_check_span(_local_a->_length * 4, _flick_abort74);
                                                                        for (_t40_array_iter = 0; _t40_array_iter < _local_a->_length; _t40_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_signed32(0, _local_a->_buffer[_t40_array_iter], CORBA_long );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            continue;
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_check_span(4 * _local_a->_length * 1, _flick_abort77);
                                                                        flick_suntcp_decode_new_chunk(4 * _local_a->_length);
                                                                        {
                                                                          CORBA_long *_t_alloc_ptr;

                                                                          _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                                                                          if (!_t_alloc_ptr)
                                                                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort77);
                                                                          _local_a->_buffer = _t_alloc_ptr;
                                                                          _local_a->_maximum = 10;
                                                                          _local_a->_release = 1;
                                                                        }
                                                                        flick_xdr_decode_bcopy(0, _local_a->_buffer, 4 * _local_a->_length);
                                                                        flick_suntcp_decode_end_chunk(4 * _local_a->_length);
#endif /* ENDIANness */
                                                                        _ev = (CORBA_Environment *)(&_t41_storage);
                                                                        flick_suntcp_decode_end_glob(104);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        _return = TestSeq_Sequencer(_obj, _local_a, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block75);
                                                                          flick_suntcp_encode_new_glob(52, _flick_abort_block75);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
#if BYTE_ORDER != BIG_ENDIAN
                                                                                CORBA_unsigned_long _t43_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

                                                                                flick_suntcp_encode_new_chunk(8);
                                                                                flick_xdr_encode_signed16(0, _return, CORBA_short );
                                                                                flick_xdr_encode_unsigned32(4, _local_a->_length, CORBA_unsigned_long );
                                                                                if (_local_a->_length + 1 > 10)
                                                                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort90);
                                                                                flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                                for (_t43_array_iter = 0; _t43_array_iter < _local_a->_length; _t43_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _local_a->_buffer[_t43_array_iter], CORBA_long );
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    continue;
                                                                                  }
                                                                                if (_local_a->_release)
                                                                                  CORBA_flick_free(_local_a->_buffer);
                                                                                _local_a->_maximum = 0;
                                                                                _local_a->_release = 0;
                                                                                _local_a->_buffer = 0;
#else /* BIG_ENDIAN - do a bcopy*/
                                                                                flick_suntcp_encode_new_chunk(4 * _local_a->_length);
                                                                                flick_xdr_encode_bcopy(0, _local_a->_buffer, 4 * _local_a->_length);
                                                                                if (_local_a->_release)
                                                                                  CORBA_flick_free(_local_a->_buffer);
                                                                                _local_a->_maximum = 0;
                                                                                _local_a->_release = 0;
                                                                                _local_a->_buffer = 0;
                                                                                flick_suntcp_encode_end_chunk(4 * _local_a->_length);
#endif /* ENDIANness */
                                                                                flick_suntcp_encode_end_glob(52);
                                                                                break;
                                                                                {
                                                                                _flick_abort90:
                                                                                  goto _flick_abort_block75;
                                                                                }
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(52);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort98);
                                                                                break;
                                                                                {
                                                                                _flick_abort98:
                                                                                  goto _flick_abort_block75;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort99);
                                                                                flick_suntcp_encode_end_glob(52);
                                                                                break;
                                                                                {
                                                                                _flick_abort99:
                                                                                  goto _flick_abort_block75;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort_block75:
#if BYTE_ORDER != BIG_ENDIAN
                                                                        _flick_abort74:
                                                                          CORBA_flick_free(_local_a->_buffer);
                                                                        _flick_abort72:
#else /* BIG_ENDIAN - do a bcopy*/
                                                                          CORBA_flick_free(_local_a->_buffer);
                                                                        _flick_abort77:
#endif /* ENDIANness */
                                                                        _flick_abort69:
                                                                          goto _flick_abort68;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort68:
                                                                        goto _flick_abort22;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                                      flick_suntcp_decode_end_glob(104);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                                flick_suntcp_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                          flick_suntcp_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                                    flick_suntcp_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                              flick_suntcp_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                            flick_suntcp_decode_end_glob(104);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_suntcp_decode_end_glob(104);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                flick_suntcp_decode_end_glob(104);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t44_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t44_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t44_switch_tag)
            {
            case 'i':
              {
                char _t45_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t45_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t45_switch_tag)
                  {
                  case 's':
                    {
                      char _t46_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t46_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t46_switch_tag)
                        {
                        case '_':
                          {
                            char _t47_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t47_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t47_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t48_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t48_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t48_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t49_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t50_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t51_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort101);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t49_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t49_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t49_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t49_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t50_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(104);
                                          flick_suntcp_decode_new_glob(1 * _t50_temp_string_len);
                                          flick_suntcp_check_span(1 * _t50_temp_string_len * 1, _flick_abort101);
                                          flick_suntcp_decode_new_chunk(1 * _t50_temp_string_len);
                                          if ((_t50_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t50_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort101);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t50_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t50_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t50_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort104);
                                          _local_id[_t50_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t51_storage);
                                          _par = flick_interface_parents_TestSeq;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort104);
                                            flick_suntcp_encode_new_glob(8, _flick_abort104);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort110);
                                                  break;
                                                  {
                                                  _flick_abort110:
                                                    goto _flick_abort104;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort111);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort111:
                                                    goto _flick_abort104;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort104:
                                            auto_flick_free(_local_id);
                                          _flick_abort101:
                                            goto _flick_abort100;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort100:
                                          goto _flick_abort22;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                            flick_suntcp_decode_end_glob(104);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_suntcp_decode_end_glob(104);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                flick_suntcp_decode_end_glob(104);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
          flick_suntcp_decode_end_glob(104);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort22:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort21);
  _flick_abort21:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

