#include "union-5-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	0
};

char *flick_interface_parents_VERS[] = {
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = PROG;
	s.vers_num = VERS;

	reg_success = flick_server_register(s, &prog_2);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(12, _flick_abort0);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_signed32(0, _data->slot_1, int );
  flick_xdr_encode_signed32(4, _data->slot_2, int );
  flick_xdr_encode_signed32(8, _data->slot_3, int );
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_check_span(12, _flick_abort1);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_signed32(0, _data->slot_1, int );
  flick_xdr_decode_signed32(4, _data->slot_2, int );
  flick_xdr_decode_signed32(8, _data->slot_3, int );
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(408, _flick_abort2);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->discriminator, int );
  flick_suntcp_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
#if BYTE_ORDER != BIG_ENDIAN
        unsigned int _t2_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_unsigned32(0, _data->foo_u.one.one_len, unsigned int );
        if (_data->foo_u.one.one_len + 1 > 100)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort18);
        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
        for (_t2_array_iter = 0; _t2_array_iter < _data->foo_u.one.one_len; _t2_array_iter++)
          {
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, _data->foo_u.one.one_val[_t2_array_iter], int );
            flick_suntcp_encode_end_chunk(4);
            continue;
          }
#else /* BIG_ENDIAN - do a bcopy*/
        flick_suntcp_encode_new_chunk(4 * _data->foo_u.one.one_len);
        flick_xdr_encode_bcopy(0, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_suntcp_encode_end_chunk(4 * _data->foo_u.one.one_len);
#endif /* ENDIANness */
        flick_suntcp_encode_end_glob(408);
        break;
        {
        _flick_abort18:
          goto _flick_abort2;
        }
      }
    case 2:
      {
        flick_unsigned32_t _t3_temp_string_len;

        flick_xdr_stringlen(char *, _data->foo_u.two, flick_unsigned32_t , _t3_temp_string_len);

        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_unsigned32(0, _t3_temp_string_len, flick_unsigned32_t );
        flick_suntcp_encode_end_chunk(4);
        flick_suntcp_encode_end_glob(408);
        flick_suntcp_encode_new_glob(1 * _t3_temp_string_len, _flick_abort26);
        flick_suntcp_encode_new_chunk(1 * _t3_temp_string_len);
        flick_xdr_encode_bcopy(0, _data->foo_u.two, 1 * _t3_temp_string_len);
        flick_suntcp_encode_end_chunk(1 * _t3_temp_string_len);
        flick_suntcp_encode_end_glob(1 * _t3_temp_string_len);
        flick_suntcp_encode_new_glob(3, _flick_abort26);
        flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
        flick_suntcp_encode_end_chunk(0);
        flick_suntcp_encode_end_glob(3);
        break;
        {
        _flick_abort26:
          goto _flick_abort2;
        }
      }
    case 3:
      {
        flick_suntcp_encode_new_chunk(12);
        flick_xdr_encode_signed32(0, _data->foo_u.three.slot_1, int );
        flick_xdr_encode_signed32(4, _data->foo_u.three.slot_2, int );
        flick_xdr_encode_signed32(8, _data->foo_u.three.slot_3, int );
        flick_suntcp_encode_end_chunk(12);
        flick_suntcp_encode_end_glob(408);
        break;
      }
    default:
      {
        flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort30);
        flick_suntcp_encode_end_glob(408);
        break;
        {
        _flick_abort30:
          goto _flick_abort2;
        }
      }
    }
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(408);
  flick_suntcp_check_span(4, _flick_abort32);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->discriminator, int );
  flick_suntcp_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
#if BYTE_ORDER != BIG_ENDIAN
        unsigned int _t6_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

        flick_suntcp_check_span(4, _flick_abort51);
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_unsigned32(0, _data->foo_u.one.one_len, unsigned int );
        if (_data->foo_u.one.one_len + 1 > 100)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort51);
        flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
        {
          int *_t_alloc_ptr;

          _t_alloc_ptr = (int *)(sun_flick_alloc((_data->foo_u.one.one_len + 1) * sizeof(int )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort54);
          _data->foo_u.one.one_val = _t_alloc_ptr;
        }
        flick_suntcp_check_span(_data->foo_u.one.one_len * 4, _flick_abort56);
        for (_t6_array_iter = 0; _t6_array_iter < _data->foo_u.one.one_len; _t6_array_iter++)
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _data->foo_u.one.one_val[_t6_array_iter], int );
            flick_suntcp_decode_end_chunk(4);
            continue;
          }
#else /* BIG_ENDIAN - do a bcopy*/
        flick_suntcp_check_span(4 * _data->foo_u.one.one_len * 1, _flick_abort59);
        flick_suntcp_decode_new_chunk(4 * _data->foo_u.one.one_len);
        {
          int *_t_alloc_ptr;

          _t_alloc_ptr = (int *)(sun_flick_alloc((_data->foo_u.one.one_len + 1) * sizeof(int )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort59);
          _data->foo_u.one.one_val = _t_alloc_ptr;
        }
        flick_xdr_decode_bcopy(0, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_suntcp_decode_end_chunk(4 * _data->foo_u.one.one_len);
#endif /* ENDIANness */
        flick_suntcp_decode_end_glob(408);
        break;
        {
#if BYTE_ORDER != BIG_ENDIAN
        _flick_abort56:
          sun_flick_free(_data->foo_u.one.one_val);
        _flick_abort54:
#else /* BIG_ENDIAN - do a bcopy*/
        _flick_abort59:
#endif /* ENDIANness */
        _flick_abort51:
          goto _flick_abort32;
        }
      }
    case 2:
      {
        flick_unsigned32_t _t7_temp_string_len;

        flick_suntcp_check_span(4, _flick_abort61);
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_unsigned32(0, _t7_temp_string_len, flick_unsigned32_t );
        flick_suntcp_decode_end_chunk(4);
        flick_suntcp_decode_end_glob(408);
        flick_suntcp_decode_new_glob(1 * _t7_temp_string_len);
        flick_suntcp_check_span(1 * _t7_temp_string_len * 1, _flick_abort61);
        flick_suntcp_decode_new_chunk(1 * _t7_temp_string_len);
        {
          char *_t_alloc_ptr;

          _t_alloc_ptr = (char *)(sun_flick_alloc((_t7_temp_string_len + 1) * sizeof(char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort61);
          _data->foo_u.two = _t_alloc_ptr;
        }
        flick_xdr_decode_bcopy(0, _data->foo_u.two, 1 * _t7_temp_string_len);
        flick_suntcp_decode_end_chunk(1 * _t7_temp_string_len);
        flick_suntcp_decode_end_glob(1 * _t7_temp_string_len);
        flick_suntcp_decode_new_glob(3);
        flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
        flick_suntcp_check_span(0, _flick_abort64);
        _data->foo_u.two[_t7_temp_string_len] = 0;
        flick_suntcp_decode_end_chunk(0);
        flick_suntcp_decode_end_glob(3);
        break;
        {
        _flick_abort64:
          sun_flick_free(_data->foo_u.two);
        _flick_abort61:
          goto _flick_abort32;
        }
      }
    case 3:
      {
        flick_suntcp_check_span(12, _flick_abort65);
        flick_suntcp_decode_new_chunk(12);
        flick_xdr_decode_signed32(0, _data->foo_u.three.slot_1, int );
        flick_xdr_decode_signed32(4, _data->foo_u.three.slot_2, int );
        flick_xdr_decode_signed32(8, _data->foo_u.three.slot_3, int );
        flick_suntcp_decode_end_chunk(12);
        flick_suntcp_decode_end_glob(408);
        break;
        {
        _flick_abort65:
          goto _flick_abort32;
        }
      }
    default:
      {
        flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort66);
        flick_suntcp_decode_end_glob(408);
        break;
        {
        _flick_abort66:
          goto _flick_abort32;
        }
      }
    }
  return 0;
  {
  _flick_abort32:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t25_switch_tag;

    flick_suntcp_decode_new_glob(428);
    flick_suntcp_check_span(24, _flick_abort70);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t25_switch_tag, signed int );
    flick_suntcp_decode_end_chunk(4);
    switch ((signed int )_t25_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t26_ignore;
            struct foo *_return;
            struct foo *_local_arg;
            struct foo _t27_storage;

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort171);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t26_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t26_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t26_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t26_ignore, unsigned int );
            _return = 0;
            _local_arg = (struct foo *)(&_t27_storage);
            flick_xdr_decode_signed32(16, _local_arg->discriminator, int );
            flick_suntcp_decode_end_chunk(20);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
#if BYTE_ORDER != BIG_ENDIAN
                  int _t31_storage[100];
                  unsigned int _t32_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

                  flick_suntcp_check_span(4, _flick_abort188);
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_unsigned32(0, _local_arg->foo_u.one.one_len, unsigned int );
                  if (_local_arg->foo_u.one.one_len + 1 > 100)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort188);
                  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                  _local_arg->foo_u.one.one_val = (int *)_t31_storage;
                  flick_suntcp_check_span(_local_arg->foo_u.one.one_len * 4, _flick_abort191);
                  for (_t32_array_iter = 0; _t32_array_iter < _local_arg->foo_u.one.one_len; _t32_array_iter++)
                    {
                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_signed32(0, _local_arg->foo_u.one.one_val[_t32_array_iter], int );
                      flick_suntcp_decode_end_chunk(4);
                      continue;
                    }
#else /* BIG_ENDIAN - do a bcopy*/
                  flick_suntcp_check_span(4 * _local_arg->foo_u.one.one_len * 1, _flick_abort195);
                  flick_suntcp_decode_new_chunk(4 * _local_arg->foo_u.one.one_len);
                  flick_xdr_decode_msgptr(0, _local_arg->foo_u.one.one_val, int *);
                  flick_suntcp_decode_end_chunk(4 * _local_arg->foo_u.one.one_len);
#endif /* ENDIANness */
                  flick_suntcp_decode_end_glob(428);
                  break;
                _flick_abort_block202:
                  {
#if BYTE_ORDER != BIG_ENDIAN
                  _flick_abort191:
#else /* BIG_ENDIAN - do a bcopy*/
                  _flick_abort195:
#endif /* ENDIANness */
                  _flick_abort188:
                    goto _flick_abort171;
                  }
                }
              case 2:
                {
                  flick_unsigned32_t _t33_temp_string_len;

                  flick_suntcp_check_span(4, _flick_abort196);
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_unsigned32(0, _t33_temp_string_len, flick_unsigned32_t );
                  flick_suntcp_decode_end_chunk(4);
                  flick_suntcp_decode_end_glob(428);
                  flick_suntcp_decode_new_glob(1 * _t33_temp_string_len);
                  flick_suntcp_check_span(1 * _t33_temp_string_len * 1, _flick_abort196);
                  flick_suntcp_decode_new_chunk(1 * _t33_temp_string_len);
                  if ((_t33_temp_string_len + 3) & ~3)
                    {
                      flick_xdr_decode_msgptr(0, _local_arg->foo_u.two, char *);
                    }
                  else
                    {
                      {
                        char *_t_alloc_ptr;

                        _t_alloc_ptr = (char *)(auto_flick_alloc((_t33_temp_string_len + 1) * sizeof(char )));
                        if (!_t_alloc_ptr)
                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort196);
                        _local_arg->foo_u.two = _t_alloc_ptr;
                      }
                      flick_xdr_decode_bcopy(0, _local_arg->foo_u.two, 1 * _t33_temp_string_len);
                    }
                  flick_suntcp_decode_end_chunk(1 * _t33_temp_string_len);
                  flick_suntcp_decode_end_glob(1 * _t33_temp_string_len);
                  flick_suntcp_decode_new_glob(3);
                  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                  flick_suntcp_check_span(0, _flick_abort199);
                  _local_arg->foo_u.two[_t33_temp_string_len] = 0;
                  flick_suntcp_decode_end_chunk(0);
                  flick_suntcp_decode_end_glob(3);
                  break;
                _flick_abort_block211:
                  {
                  _flick_abort199:
                    auto_flick_free(_local_arg->foo_u.two);
                  _flick_abort196:
                    goto _flick_abort171;
                  }
                }
              case 3:
                {
                  flick_suntcp_check_span(12, _flick_abort200);
                  flick_suntcp_decode_new_chunk(12);
                  flick_xdr_decode_signed32(0, _local_arg->foo_u.three.slot_1, int );
                  flick_xdr_decode_signed32(4, _local_arg->foo_u.three.slot_2, int );
                  flick_xdr_decode_signed32(8, _local_arg->foo_u.three.slot_3, int );
                  flick_suntcp_decode_end_chunk(12);
                  flick_suntcp_decode_end_glob(428);
                  break;
                  {
                  _flick_abort200:
                    goto _flick_abort171;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort201);
                  flick_suntcp_decode_end_glob(428);
                  break;
                  {
                  _flick_abort201:
                    goto _flick_abort171;
                  }
                }
              _flick_abort_block201:
                {
                  switch (_local_arg->discriminator)
                    {
                    case 1:
                      goto _flick_abort_block202;
                    case 2:
                      goto _flick_abort_block211;
                    case 3:
                      break;
                    default:
                      break;
                    }
                }
              }
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort202);
              flick_suntcp_encode_new_glob(412, _flick_abort202);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, _return->discriminator, int );
                    flick_suntcp_encode_end_chunk(4);
                    switch (_return->discriminator)
                      {
                      case 1:
                        {
#if BYTE_ORDER != BIG_ENDIAN
                          unsigned int _t40_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

                          flick_suntcp_encode_new_chunk(4);
                          flick_xdr_encode_unsigned32(0, _return->foo_u.one.one_len, unsigned int );
                          if (_return->foo_u.one.one_len + 1 > 100)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort252);
                          flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                          for (_t40_array_iter = 0; _t40_array_iter < _return->foo_u.one.one_len; _t40_array_iter++)
                            {
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _return->foo_u.one.one_val[_t40_array_iter], int );
                              flick_suntcp_encode_end_chunk(4);
                              continue;
                            }
#else /* BIG_ENDIAN - do a bcopy*/
                          flick_suntcp_encode_new_chunk(4 * _return->foo_u.one.one_len);
                          flick_xdr_encode_bcopy(0, _return->foo_u.one.one_val, 4 * _return->foo_u.one.one_len);
                          flick_suntcp_encode_end_chunk(4 * _return->foo_u.one.one_len);
#endif /* ENDIANness */
                          flick_suntcp_encode_end_glob(412);
                          break;
                          {
                          _flick_abort252:
                            goto _flick_abort236;
                          }
                        }
                      case 2:
                        {
                          flick_unsigned32_t _t41_temp_string_len;

                          flick_xdr_stringlen(char *, _return->foo_u.two, flick_unsigned32_t , _t41_temp_string_len);

                          flick_suntcp_encode_new_chunk(4);
                          flick_xdr_encode_unsigned32(0, _t41_temp_string_len, flick_unsigned32_t );
                          flick_suntcp_encode_end_chunk(4);
                          flick_suntcp_encode_end_glob(412);
                          flick_suntcp_encode_new_glob(1 * _t41_temp_string_len, _flick_abort260);
                          flick_suntcp_encode_new_chunk(1 * _t41_temp_string_len);
                          flick_xdr_encode_bcopy(0, _return->foo_u.two, 1 * _t41_temp_string_len);
                          flick_suntcp_encode_end_chunk(1 * _t41_temp_string_len);
                          flick_suntcp_encode_end_glob(1 * _t41_temp_string_len);
                          flick_suntcp_encode_new_glob(3, _flick_abort260);
                          flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                          flick_suntcp_encode_end_chunk(0);
                          flick_suntcp_encode_end_glob(3);
                          break;
                          {
                          _flick_abort260:
                            goto _flick_abort236;
                          }
                        }
                      case 3:
                        {
                          flick_suntcp_encode_new_chunk(12);
                          flick_xdr_encode_signed32(0, _return->foo_u.three.slot_1, int );
                          flick_xdr_encode_signed32(4, _return->foo_u.three.slot_2, int );
                          flick_xdr_encode_signed32(8, _return->foo_u.three.slot_3, int );
                          flick_suntcp_encode_end_chunk(12);
                          flick_suntcp_encode_end_glob(412);
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort264);
                          flick_suntcp_encode_end_glob(412);
                          break;
                          {
                          _flick_abort264:
                            goto _flick_abort236;
                          }
                        }
                      }
                    break;
                    {
                    _flick_abort236:
                      goto _flick_abort202;
                    }
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(412);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort266);
                    break;
                    {
                    _flick_abort266:
                      goto _flick_abort202;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort267);
                    flick_suntcp_encode_end_glob(412);
                    break;
                    {
                    _flick_abort267:
                      goto _flick_abort202;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort202:
              goto _flick_abort_block201;
            _flick_abort171:
              goto _flick_abort170;
            }
          }
          break;
          {
          _flick_abort170:
            goto _flick_abort70;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
          flick_suntcp_decode_end_glob(428);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort70:
    flick_sun_server_error(xdr, suntcp, _flick_reaper, _flick_abort69);
  _flick_abort69:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

